#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 509
#define LARGE_STATE_COUNT 90
#define SYMBOL_COUNT 246
#define ALIAS_COUNT 0
#define TOKEN_COUNT 109
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 11
#define MAX_ALIAS_SEQUENCE_LENGTH 5
#define PRODUCTION_ID_COUNT 24

enum {
  anon_sym_DQUOTE = 1,
  aux_sym_legacy_quoted_stmt_token1 = 2,
  anon_sym_TILDE = 3,
  sym_grep_specifier_identifier = 4,
  aux_sym_grep_specifier_token1 = 5,
  anon_sym_PIPE = 6,
  anon_sym_PIPEH = 7,
  anon_sym_AT_AT_DOT = 8,
  anon_sym_AT_AT_EQ = 9,
  anon_sym_AT_AT_AT_EQ = 10,
  anon_sym_AT_AT = 11,
  anon_sym_AT_ATc_COLON = 12,
  anon_sym_AT_AT_ATc_COLON = 13,
  anon_sym_AT_ATC = 14,
  anon_sym_COLON = 15,
  anon_sym_AT_ATdbt = 16,
  anon_sym_AT_ATdbta = 17,
  anon_sym_AT_ATdbtb = 18,
  anon_sym_AT_ATdbts = 19,
  anon_sym_AT_ATt = 20,
  anon_sym_AT_ATb = 21,
  anon_sym_AT_ATi = 22,
  anon_sym_AT_ATii = 23,
  anon_sym_AT_ATiS = 24,
  anon_sym_AT_ATiSS = 25,
  anon_sym_AT_ATis = 26,
  anon_sym_AT_ATiz = 27,
  anon_sym_AT_ATf = 28,
  anon_sym_AT_ATF = 29,
  anon_sym_AT_ATom = 30,
  anon_sym_AT_ATdm = 31,
  anon_sym_AT_ATr = 32,
  anon_sym_AT_ATs_COLON = 33,
  anon_sym_AT = 34,
  anon_sym_AT_BANG = 35,
  anon_sym_AT_LPAREN = 36,
  anon_sym_RPAREN = 37,
  anon_sym_ATa_COLON = 38,
  anon_sym_ATb_COLON = 39,
  anon_sym_ATB_COLON = 40,
  anon_sym_ATe_COLON = 41,
  anon_sym_ATF_COLON = 42,
  anon_sym_ATi_COLON = 43,
  anon_sym_ATk_COLON = 44,
  anon_sym_ATo_COLON = 45,
  anon_sym_ATr_COLON = 46,
  anon_sym_ATf_COLON = 47,
  anon_sym_ATs_COLON = 48,
  anon_sym_ATv_COLON = 49,
  anon_sym_ATx_COLON = 50,
  anon_sym_SEMI = 51,
  sym_macro_name = 52,
  anon_sym_LPAREN = 53,
  anon_sym_LPAREN_DASH_STAR = 54,
  anon_sym_LPAREN_STAR = 55,
  anon_sym_LPAREN_DASH = 56,
  aux_sym__search_stmt_token1 = 57,
  anon_sym_DOT = 58,
  aux_sym__interpret_stmt_token1 = 59,
  aux_sym__interpret_stmt_token2 = 60,
  aux_sym__interpret_stmt_token3 = 61,
  aux_sym__interpret_stmt_token4 = 62,
  anon_sym_PIPE_DOT = 63,
  anon_sym_DOT_SLASH = 64,
  anon_sym_pfo = 65,
  anon_sym_Cf = 66,
  sym_pf_dot_cmd_identifier = 67,
  sym_pf_dot_full_cmd_identifier = 68,
  aux_sym_pf_cmd_token1 = 69,
  anon_sym_EQ = 70,
  aux_sym__pf_dot_arg_identifier_token1 = 71,
  anon_sym_DOLLAR = 72,
  aux_sym_pf_arg_identifier_token1 = 73,
  anon_sym_PERCENT = 74,
  anon_sym_env = 75,
  anon_sym_DOT_DOT_DOT = 76,
  sym_system_identifier = 77,
  sym_question_mark_identifier = 78,
  sym_pointer_identifier = 79,
  anon_sym_GT = 80,
  anon_sym_GT_GT = 81,
  sym_html_redirect_operator = 82,
  sym_html_append_operator = 83,
  anon_sym_COMMA = 84,
  aux_sym_tmp_eval_arg_token1 = 85,
  sym__eq_sep_key_identifier = 86,
  aux_sym_arg_identifier_token1 = 87,
  aux_sym_spec_arg_identifier_token1 = 88,
  aux_sym_double_quoted_arg_token1 = 89,
  aux_sym_double_quoted_arg_token2 = 90,
  aux_sym_double_quoted_arg_token3 = 91,
  anon_sym_SQUOTE = 92,
  aux_sym_single_quoted_arg_token1 = 93,
  aux_sym_single_quoted_arg_token2 = 94,
  anon_sym_DOLLAR_LPAREN = 95,
  anon_sym_BQUOTE = 96,
  aux_sym__dec_number_token1 = 97,
  aux_sym__dec_number_token2 = 98,
  sym__comment = 99,
  anon_sym_LF = 100,
  anon_sym_CR = 101,
  sym__cmd_identifier = 102,
  sym__help_stmt = 103,
  sym_file_descriptor = 104,
  sym__eq_sep_concat = 105,
  sym__concat = 106,
  sym__concat_pf_dot = 107,
  sym__spec_sep = 108,
  sym_statements = 109,
  sym__statements_singleline = 110,
  sym__statement = 111,
  sym_legacy_quoted_stmt = 112,
  sym__simple_stmt = 113,
  sym__tmp_stmt = 114,
  sym__iter_stmt = 115,
  sym__pipe_stmt = 116,
  sym_grep_stmt = 117,
  sym_grep_specifier = 118,
  sym_html_disable_stmt = 119,
  sym_html_enable_stmt = 120,
  sym_pipe_stmt = 121,
  sym_iter_file_lines_stmt = 122,
  sym_iter_offsets_stmt = 123,
  sym_iter_offsetssizes_stmt = 124,
  sym_iter_hit_stmt = 125,
  sym_iter_interpret_stmt = 126,
  sym_iter_interpret_offsetssizes_stmt = 127,
  sym_iter_comment_stmt = 128,
  sym_iter_dbta_stmt = 129,
  sym_iter_dbtb_stmt = 130,
  sym_iter_dbts_stmt = 131,
  sym_iter_threads_stmt = 132,
  sym_iter_bbs_stmt = 133,
  sym_iter_instrs_stmt = 134,
  sym_iter_import_stmt = 135,
  sym_iter_sections_stmt = 136,
  sym_iter_segments_stmt = 137,
  sym_iter_symbol_stmt = 138,
  sym_iter_string_stmt = 139,
  sym_iter_flags_stmt = 140,
  sym_iter_function_stmt = 141,
  sym_iter_iomap_stmt = 142,
  sym_iter_dbgmap_stmt = 143,
  sym_iter_register_stmt = 144,
  sym_iter_step_stmt = 145,
  sym_tmp_seek_stmt = 146,
  sym_tmp_blksz_stmt = 147,
  sym_tmp_fromto_stmt = 148,
  sym_tmp_arch_stmt = 149,
  sym_tmp_bits_stmt = 150,
  sym_tmp_nthi_stmt = 151,
  sym_tmp_eval_stmt = 152,
  sym_tmp_fs_stmt = 153,
  sym_tmp_reli_stmt = 154,
  sym_tmp_kuery_stmt = 155,
  sym_tmp_fd_stmt = 156,
  sym_tmp_reg_stmt = 157,
  sym_tmp_file_stmt = 158,
  sym_tmp_string_stmt = 159,
  sym_tmp_value_stmt = 160,
  sym_tmp_hex_stmt = 161,
  sym_help_stmt = 162,
  sym_macro_body = 163,
  sym_macro_content = 164,
  sym_macro_call = 165,
  sym_macro_stmt = 166,
  sym_arged_stmt = 167,
  sym__macro_arged_stmt = 168,
  sym__simple_arged_stmt_question = 169,
  sym__simple_arged_stmt = 170,
  sym__search_stmt = 171,
  sym__math_arged_stmt = 172,
  sym__pointer_arged_stmt = 173,
  sym__system_stmt = 174,
  sym__interpret_stmt = 175,
  sym__interpret_search_identifier = 176,
  sym__pf_arged_stmt = 177,
  sym__pf_stmts = 178,
  sym_Cf_cmd = 179,
  sym__Cf_args = 180,
  sym_pf_new_cmd = 181,
  sym_pf_dot_cmd = 182,
  sym_pf_cmd = 183,
  sym_pf_new_args = 184,
  sym_pf_dot_cmd_args = 185,
  sym__pf_dot_arg_identifier = 186,
  sym__pf_arg_parentheses = 187,
  sym_pf_arg_identifier = 188,
  sym__pf_arg = 189,
  sym__pf_dot_arg = 190,
  sym_pf_concatenation = 191,
  sym_pf_dot_concatenation = 192,
  sym_pf_arg = 193,
  sym_pf_dot_arg = 194,
  sym_pf_args = 195,
  sym_pf_dot_args = 196,
  sym__env_stmt = 197,
  sym__env_stmt_identifier = 198,
  sym__last_stmt = 199,
  sym_last_stmt_identifier = 200,
  sym_repeat_stmt = 201,
  sym_eq_sep_args = 202,
  sym_redirect_stmt = 203,
  sym__redirect_operator = 204,
  sym_fdn_redirect_operator = 205,
  sym_fdn_append_operator = 206,
  sym__arg_with_paren = 207,
  sym__arg = 208,
  sym_arg = 209,
  sym_args = 210,
  sym_tmp_eval_args = 211,
  sym_tmp_eval_arg = 212,
  sym__eq_sep_key_single = 213,
  sym__eq_sep_key_concatenation = 214,
  sym__eq_sep_key = 215,
  sym__eq_sep_val_concatenation = 216,
  sym__eq_sep_val = 217,
  sym_arg_identifier = 218,
  sym_spec_arg_identifier = 219,
  sym_double_quoted_arg = 220,
  sym_single_quoted_arg = 221,
  sym_cmd_substitution_arg = 222,
  sym_concatenation = 223,
  sym__dec_number = 224,
  sym_specifiers = 225,
  sym_cmd_identifier = 226,
  aux_sym_statements_repeat1 = 227,
  aux_sym_statements_repeat2 = 228,
  aux_sym__statements_singleline_repeat1 = 229,
  aux_sym__statements_singleline_repeat2 = 230,
  aux_sym_grep_specifier_repeat1 = 231,
  aux_sym_macro_body_repeat1 = 232,
  aux_sym_pf_concatenation_repeat1 = 233,
  aux_sym_pf_dot_concatenation_repeat1 = 234,
  aux_sym_pf_args_repeat1 = 235,
  aux_sym_pf_dot_args_repeat1 = 236,
  aux_sym_args_repeat1 = 237,
  aux_sym_tmp_eval_args_repeat1 = 238,
  aux_sym_tmp_eval_arg_repeat1 = 239,
  aux_sym__eq_sep_key_concatenation_repeat1 = 240,
  aux_sym__eq_sep_val_concatenation_repeat1 = 241,
  aux_sym_double_quoted_arg_repeat1 = 242,
  aux_sym_single_quoted_arg_repeat1 = 243,
  aux_sym_concatenation_repeat1 = 244,
  aux_sym_specifiers_repeat1 = 245,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_legacy_quoted_stmt_token1] = "legacy_quoted_stmt_token1",
  [anon_sym_TILDE] = "~",
  [sym_grep_specifier_identifier] = "grep_specifier_identifier",
  [aux_sym_grep_specifier_token1] = "grep_specifier_identifier",
  [anon_sym_PIPE] = "|",
  [anon_sym_PIPEH] = "|H",
  [anon_sym_AT_AT_DOT] = "@@.",
  [anon_sym_AT_AT_EQ] = "@@=",
  [anon_sym_AT_AT_AT_EQ] = "@@@=",
  [anon_sym_AT_AT] = "@@",
  [anon_sym_AT_ATc_COLON] = "@@c:",
  [anon_sym_AT_AT_ATc_COLON] = "@@@c:",
  [anon_sym_AT_ATC] = "@@C",
  [anon_sym_COLON] = ":",
  [anon_sym_AT_ATdbt] = "@@dbt",
  [anon_sym_AT_ATdbta] = "@@dbta",
  [anon_sym_AT_ATdbtb] = "@@dbtb",
  [anon_sym_AT_ATdbts] = "@@dbts",
  [anon_sym_AT_ATt] = "@@t",
  [anon_sym_AT_ATb] = "@@b",
  [anon_sym_AT_ATi] = "@@i",
  [anon_sym_AT_ATii] = "@@ii",
  [anon_sym_AT_ATiS] = "@@iS",
  [anon_sym_AT_ATiSS] = "@@iSS",
  [anon_sym_AT_ATis] = "@@is",
  [anon_sym_AT_ATiz] = "@@iz",
  [anon_sym_AT_ATf] = "@@f",
  [anon_sym_AT_ATF] = "@@F",
  [anon_sym_AT_ATom] = "@@om",
  [anon_sym_AT_ATdm] = "@@dm",
  [anon_sym_AT_ATr] = "@@r",
  [anon_sym_AT_ATs_COLON] = "@@s:",
  [anon_sym_AT] = "@ ",
  [anon_sym_AT_BANG] = "@!",
  [anon_sym_AT_LPAREN] = "@(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_ATa_COLON] = "@a:",
  [anon_sym_ATb_COLON] = "@b:",
  [anon_sym_ATB_COLON] = "@B:",
  [anon_sym_ATe_COLON] = "@e:",
  [anon_sym_ATF_COLON] = "@F:",
  [anon_sym_ATi_COLON] = "@i:",
  [anon_sym_ATk_COLON] = "@k:",
  [anon_sym_ATo_COLON] = "@o:",
  [anon_sym_ATr_COLON] = "@r:",
  [anon_sym_ATf_COLON] = "@f:",
  [anon_sym_ATs_COLON] = "@s:",
  [anon_sym_ATv_COLON] = "@v:",
  [anon_sym_ATx_COLON] = "@x:",
  [anon_sym_SEMI] = ";",
  [sym_macro_name] = "macro_name",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LPAREN_DASH_STAR] = "cmd_identifier",
  [anon_sym_LPAREN_STAR] = "cmd_identifier",
  [anon_sym_LPAREN_DASH] = "cmd_identifier",
  [aux_sym__search_stmt_token1] = "cmd_identifier",
  [anon_sym_DOT] = ".",
  [aux_sym__interpret_stmt_token1] = "cmd_identifier",
  [aux_sym__interpret_stmt_token2] = "_interpret_stmt_token2",
  [aux_sym__interpret_stmt_token3] = "cmd_identifier",
  [aux_sym__interpret_stmt_token4] = "cmd_identifier",
  [anon_sym_PIPE_DOT] = "|.",
  [anon_sym_DOT_SLASH] = "./",
  [anon_sym_pfo] = "cmd_identifier",
  [anon_sym_Cf] = "cmd_identifier",
  [sym_pf_dot_cmd_identifier] = "cmd_identifier",
  [sym_pf_dot_full_cmd_identifier] = "cmd_identifier",
  [aux_sym_pf_cmd_token1] = "cmd_identifier",
  [anon_sym_EQ] = "=",
  [aux_sym__pf_dot_arg_identifier_token1] = "_pf_dot_arg_identifier_token1",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_pf_arg_identifier_token1] = "pf_arg_identifier_token1",
  [anon_sym_PERCENT] = "%",
  [anon_sym_env] = "env",
  [anon_sym_DOT_DOT_DOT] = "...",
  [sym_system_identifier] = "system_identifier",
  [sym_question_mark_identifier] = "cmd_identifier",
  [sym_pointer_identifier] = "cmd_identifier",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [sym_html_redirect_operator] = "html_redirect_operator",
  [sym_html_append_operator] = "html_append_operator",
  [anon_sym_COMMA] = ",",
  [aux_sym_tmp_eval_arg_token1] = "tmp_eval_arg_token1",
  [sym__eq_sep_key_identifier] = "arg_identifier",
  [aux_sym_arg_identifier_token1] = "arg_identifier_token1",
  [aux_sym_spec_arg_identifier_token1] = "spec_arg_identifier_token1",
  [aux_sym_double_quoted_arg_token1] = "double_quoted_arg_token1",
  [aux_sym_double_quoted_arg_token2] = "double_quoted_arg_token2",
  [aux_sym_double_quoted_arg_token3] = "double_quoted_arg_token3",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_single_quoted_arg_token1] = "single_quoted_arg_token1",
  [aux_sym_single_quoted_arg_token2] = "single_quoted_arg_token2",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [aux_sym__dec_number_token1] = "_dec_number_token1",
  [aux_sym__dec_number_token2] = "_dec_number_token2",
  [sym__comment] = "_comment",
  [anon_sym_LF] = "\n",
  [anon_sym_CR] = "\r",
  [sym__cmd_identifier] = "_cmd_identifier",
  [sym__help_stmt] = "cmd_identifier",
  [sym_file_descriptor] = "file_descriptor",
  [sym__eq_sep_concat] = "_eq_sep_concat",
  [sym__concat] = "_concat",
  [sym__concat_pf_dot] = "_concat_pf_dot",
  [sym__spec_sep] = "_spec_sep",
  [sym_statements] = "statements",
  [sym__statements_singleline] = "_statements_singleline",
  [sym__statement] = "_statement",
  [sym_legacy_quoted_stmt] = "legacy_quoted_stmt",
  [sym__simple_stmt] = "_simple_stmt",
  [sym__tmp_stmt] = "_tmp_stmt",
  [sym__iter_stmt] = "_iter_stmt",
  [sym__pipe_stmt] = "_pipe_stmt",
  [sym_grep_stmt] = "grep_stmt",
  [sym_grep_specifier] = "grep_specifier",
  [sym_html_disable_stmt] = "html_disable_stmt",
  [sym_html_enable_stmt] = "html_enable_stmt",
  [sym_pipe_stmt] = "pipe_stmt",
  [sym_iter_file_lines_stmt] = "iter_file_lines_stmt",
  [sym_iter_offsets_stmt] = "iter_offsets_stmt",
  [sym_iter_offsetssizes_stmt] = "iter_offsetssizes_stmt",
  [sym_iter_hit_stmt] = "iter_hit_stmt",
  [sym_iter_interpret_stmt] = "iter_interpret_stmt",
  [sym_iter_interpret_offsetssizes_stmt] = "iter_interpret_offsetssizes_stmt",
  [sym_iter_comment_stmt] = "iter_comment_stmt",
  [sym_iter_dbta_stmt] = "iter_dbta_stmt",
  [sym_iter_dbtb_stmt] = "iter_dbtb_stmt",
  [sym_iter_dbts_stmt] = "iter_dbts_stmt",
  [sym_iter_threads_stmt] = "iter_threads_stmt",
  [sym_iter_bbs_stmt] = "iter_bbs_stmt",
  [sym_iter_instrs_stmt] = "iter_instrs_stmt",
  [sym_iter_import_stmt] = "iter_import_stmt",
  [sym_iter_sections_stmt] = "iter_sections_stmt",
  [sym_iter_segments_stmt] = "iter_segments_stmt",
  [sym_iter_symbol_stmt] = "iter_symbol_stmt",
  [sym_iter_string_stmt] = "iter_string_stmt",
  [sym_iter_flags_stmt] = "iter_flags_stmt",
  [sym_iter_function_stmt] = "iter_function_stmt",
  [sym_iter_iomap_stmt] = "iter_iomap_stmt",
  [sym_iter_dbgmap_stmt] = "iter_dbgmap_stmt",
  [sym_iter_register_stmt] = "iter_register_stmt",
  [sym_iter_step_stmt] = "iter_step_stmt",
  [sym_tmp_seek_stmt] = "tmp_seek_stmt",
  [sym_tmp_blksz_stmt] = "tmp_blksz_stmt",
  [sym_tmp_fromto_stmt] = "tmp_fromto_stmt",
  [sym_tmp_arch_stmt] = "tmp_arch_stmt",
  [sym_tmp_bits_stmt] = "tmp_bits_stmt",
  [sym_tmp_nthi_stmt] = "tmp_nthi_stmt",
  [sym_tmp_eval_stmt] = "tmp_eval_stmt",
  [sym_tmp_fs_stmt] = "tmp_fs_stmt",
  [sym_tmp_reli_stmt] = "tmp_reli_stmt",
  [sym_tmp_kuery_stmt] = "tmp_kuery_stmt",
  [sym_tmp_fd_stmt] = "tmp_fd_stmt",
  [sym_tmp_reg_stmt] = "tmp_reg_stmt",
  [sym_tmp_file_stmt] = "tmp_file_stmt",
  [sym_tmp_string_stmt] = "tmp_string_stmt",
  [sym_tmp_value_stmt] = "tmp_value_stmt",
  [sym_tmp_hex_stmt] = "tmp_hex_stmt",
  [sym_help_stmt] = "help_stmt",
  [sym_macro_body] = "macro_body",
  [sym_macro_content] = "macro_content",
  [sym_macro_call] = "macro_call",
  [sym_macro_stmt] = "macro_stmt",
  [sym_arged_stmt] = "arged_stmt",
  [sym__macro_arged_stmt] = "_macro_arged_stmt",
  [sym__simple_arged_stmt_question] = "_simple_arged_stmt_question",
  [sym__simple_arged_stmt] = "_simple_arged_stmt",
  [sym__search_stmt] = "arged_stmt",
  [sym__math_arged_stmt] = "_math_arged_stmt",
  [sym__pointer_arged_stmt] = "_pointer_arged_stmt",
  [sym__system_stmt] = "_system_stmt",
  [sym__interpret_stmt] = "_interpret_stmt",
  [sym__interpret_search_identifier] = "cmd_identifier",
  [sym__pf_arged_stmt] = "_pf_arged_stmt",
  [sym__pf_stmts] = "_pf_stmts",
  [sym_Cf_cmd] = "arged_stmt",
  [sym__Cf_args] = "args",
  [sym_pf_new_cmd] = "arged_stmt",
  [sym_pf_dot_cmd] = "arged_stmt",
  [sym_pf_cmd] = "arged_stmt",
  [sym_pf_new_args] = "pf_new_args",
  [sym_pf_dot_cmd_args] = "pf_dot_cmd_args",
  [sym__pf_dot_arg_identifier] = "pf_arg_identifier",
  [sym__pf_arg_parentheses] = "_pf_arg_parentheses",
  [sym_pf_arg_identifier] = "pf_arg_identifier",
  [sym__pf_arg] = "_pf_arg",
  [sym__pf_dot_arg] = "_pf_dot_arg",
  [sym_pf_concatenation] = "pf_concatenation",
  [sym_pf_dot_concatenation] = "pf_concatenation",
  [sym_pf_arg] = "pf_arg",
  [sym_pf_dot_arg] = "pf_arg",
  [sym_pf_args] = "pf_args",
  [sym_pf_dot_args] = "pf_args",
  [sym__env_stmt] = "_env_stmt",
  [sym__env_stmt_identifier] = "cmd_identifier",
  [sym__last_stmt] = "_last_stmt",
  [sym_last_stmt_identifier] = "cmd_identifier",
  [sym_repeat_stmt] = "repeat_stmt",
  [sym_eq_sep_args] = "args",
  [sym_redirect_stmt] = "redirect_stmt",
  [sym__redirect_operator] = "_redirect_operator",
  [sym_fdn_redirect_operator] = "fdn_redirect_operator",
  [sym_fdn_append_operator] = "fdn_append_operator",
  [sym__arg_with_paren] = "args",
  [sym__arg] = "_arg",
  [sym_arg] = "arg",
  [sym_args] = "args",
  [sym_tmp_eval_args] = "args",
  [sym_tmp_eval_arg] = "arg",
  [sym__eq_sep_key_single] = "_eq_sep_key_single",
  [sym__eq_sep_key_concatenation] = "concatenation",
  [sym__eq_sep_key] = "arg",
  [sym__eq_sep_val_concatenation] = "concatenation",
  [sym__eq_sep_val] = "arg",
  [sym_arg_identifier] = "arg_identifier",
  [sym_spec_arg_identifier] = "arg_identifier",
  [sym_double_quoted_arg] = "double_quoted_arg",
  [sym_single_quoted_arg] = "single_quoted_arg",
  [sym_cmd_substitution_arg] = "cmd_substitution_arg",
  [sym_concatenation] = "concatenation",
  [sym__dec_number] = "number",
  [sym_specifiers] = "specifiers",
  [sym_cmd_identifier] = "cmd_identifier",
  [aux_sym_statements_repeat1] = "statements_repeat1",
  [aux_sym_statements_repeat2] = "statements_repeat2",
  [aux_sym__statements_singleline_repeat1] = "_statements_singleline_repeat1",
  [aux_sym__statements_singleline_repeat2] = "_statements_singleline_repeat2",
  [aux_sym_grep_specifier_repeat1] = "grep_specifier_repeat1",
  [aux_sym_macro_body_repeat1] = "macro_body_repeat1",
  [aux_sym_pf_concatenation_repeat1] = "pf_concatenation_repeat1",
  [aux_sym_pf_dot_concatenation_repeat1] = "pf_dot_concatenation_repeat1",
  [aux_sym_pf_args_repeat1] = "pf_args_repeat1",
  [aux_sym_pf_dot_args_repeat1] = "pf_dot_args_repeat1",
  [aux_sym_args_repeat1] = "args_repeat1",
  [aux_sym_tmp_eval_args_repeat1] = "tmp_eval_args_repeat1",
  [aux_sym_tmp_eval_arg_repeat1] = "tmp_eval_arg_repeat1",
  [aux_sym__eq_sep_key_concatenation_repeat1] = "_eq_sep_key_concatenation_repeat1",
  [aux_sym__eq_sep_val_concatenation_repeat1] = "_eq_sep_val_concatenation_repeat1",
  [aux_sym_double_quoted_arg_repeat1] = "double_quoted_arg_repeat1",
  [aux_sym_single_quoted_arg_repeat1] = "single_quoted_arg_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_specifiers_repeat1] = "specifiers_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_legacy_quoted_stmt_token1] = aux_sym_legacy_quoted_stmt_token1,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [sym_grep_specifier_identifier] = sym_grep_specifier_identifier,
  [aux_sym_grep_specifier_token1] = sym_grep_specifier_identifier,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PIPEH] = anon_sym_PIPEH,
  [anon_sym_AT_AT_DOT] = anon_sym_AT_AT_DOT,
  [anon_sym_AT_AT_EQ] = anon_sym_AT_AT_EQ,
  [anon_sym_AT_AT_AT_EQ] = anon_sym_AT_AT_AT_EQ,
  [anon_sym_AT_AT] = anon_sym_AT_AT,
  [anon_sym_AT_ATc_COLON] = anon_sym_AT_ATc_COLON,
  [anon_sym_AT_AT_ATc_COLON] = anon_sym_AT_AT_ATc_COLON,
  [anon_sym_AT_ATC] = anon_sym_AT_ATC,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_AT_ATdbt] = anon_sym_AT_ATdbt,
  [anon_sym_AT_ATdbta] = anon_sym_AT_ATdbta,
  [anon_sym_AT_ATdbtb] = anon_sym_AT_ATdbtb,
  [anon_sym_AT_ATdbts] = anon_sym_AT_ATdbts,
  [anon_sym_AT_ATt] = anon_sym_AT_ATt,
  [anon_sym_AT_ATb] = anon_sym_AT_ATb,
  [anon_sym_AT_ATi] = anon_sym_AT_ATi,
  [anon_sym_AT_ATii] = anon_sym_AT_ATii,
  [anon_sym_AT_ATiS] = anon_sym_AT_ATiS,
  [anon_sym_AT_ATiSS] = anon_sym_AT_ATiSS,
  [anon_sym_AT_ATis] = anon_sym_AT_ATis,
  [anon_sym_AT_ATiz] = anon_sym_AT_ATiz,
  [anon_sym_AT_ATf] = anon_sym_AT_ATf,
  [anon_sym_AT_ATF] = anon_sym_AT_ATF,
  [anon_sym_AT_ATom] = anon_sym_AT_ATom,
  [anon_sym_AT_ATdm] = anon_sym_AT_ATdm,
  [anon_sym_AT_ATr] = anon_sym_AT_ATr,
  [anon_sym_AT_ATs_COLON] = anon_sym_AT_ATs_COLON,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_AT_BANG] = anon_sym_AT_BANG,
  [anon_sym_AT_LPAREN] = anon_sym_AT_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_ATa_COLON] = anon_sym_ATa_COLON,
  [anon_sym_ATb_COLON] = anon_sym_ATb_COLON,
  [anon_sym_ATB_COLON] = anon_sym_ATB_COLON,
  [anon_sym_ATe_COLON] = anon_sym_ATe_COLON,
  [anon_sym_ATF_COLON] = anon_sym_ATF_COLON,
  [anon_sym_ATi_COLON] = anon_sym_ATi_COLON,
  [anon_sym_ATk_COLON] = anon_sym_ATk_COLON,
  [anon_sym_ATo_COLON] = anon_sym_ATo_COLON,
  [anon_sym_ATr_COLON] = anon_sym_ATr_COLON,
  [anon_sym_ATf_COLON] = anon_sym_ATf_COLON,
  [anon_sym_ATs_COLON] = anon_sym_ATs_COLON,
  [anon_sym_ATv_COLON] = anon_sym_ATv_COLON,
  [anon_sym_ATx_COLON] = anon_sym_ATx_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym_macro_name] = sym_macro_name,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LPAREN_DASH_STAR] = sym_cmd_identifier,
  [anon_sym_LPAREN_STAR] = sym_cmd_identifier,
  [anon_sym_LPAREN_DASH] = sym_cmd_identifier,
  [aux_sym__search_stmt_token1] = sym_cmd_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [aux_sym__interpret_stmt_token1] = sym_cmd_identifier,
  [aux_sym__interpret_stmt_token2] = aux_sym__interpret_stmt_token2,
  [aux_sym__interpret_stmt_token3] = sym_cmd_identifier,
  [aux_sym__interpret_stmt_token4] = sym_cmd_identifier,
  [anon_sym_PIPE_DOT] = anon_sym_PIPE_DOT,
  [anon_sym_DOT_SLASH] = anon_sym_DOT_SLASH,
  [anon_sym_pfo] = sym_cmd_identifier,
  [anon_sym_Cf] = sym_cmd_identifier,
  [sym_pf_dot_cmd_identifier] = sym_cmd_identifier,
  [sym_pf_dot_full_cmd_identifier] = sym_cmd_identifier,
  [aux_sym_pf_cmd_token1] = sym_cmd_identifier,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym__pf_dot_arg_identifier_token1] = aux_sym__pf_dot_arg_identifier_token1,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_pf_arg_identifier_token1] = aux_sym_pf_arg_identifier_token1,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_env] = anon_sym_env,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [sym_system_identifier] = sym_system_identifier,
  [sym_question_mark_identifier] = sym_cmd_identifier,
  [sym_pointer_identifier] = sym_cmd_identifier,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym_html_redirect_operator] = sym_html_redirect_operator,
  [sym_html_append_operator] = sym_html_append_operator,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_tmp_eval_arg_token1] = aux_sym_tmp_eval_arg_token1,
  [sym__eq_sep_key_identifier] = sym_arg_identifier,
  [aux_sym_arg_identifier_token1] = aux_sym_arg_identifier_token1,
  [aux_sym_spec_arg_identifier_token1] = aux_sym_spec_arg_identifier_token1,
  [aux_sym_double_quoted_arg_token1] = aux_sym_double_quoted_arg_token1,
  [aux_sym_double_quoted_arg_token2] = aux_sym_double_quoted_arg_token2,
  [aux_sym_double_quoted_arg_token3] = aux_sym_double_quoted_arg_token3,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_single_quoted_arg_token1] = aux_sym_single_quoted_arg_token1,
  [aux_sym_single_quoted_arg_token2] = aux_sym_single_quoted_arg_token2,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [aux_sym__dec_number_token1] = aux_sym__dec_number_token1,
  [aux_sym__dec_number_token2] = aux_sym__dec_number_token2,
  [sym__comment] = sym__comment,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_CR] = anon_sym_CR,
  [sym__cmd_identifier] = sym__cmd_identifier,
  [sym__help_stmt] = sym_cmd_identifier,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__eq_sep_concat] = sym__eq_sep_concat,
  [sym__concat] = sym__concat,
  [sym__concat_pf_dot] = sym__concat_pf_dot,
  [sym__spec_sep] = sym__spec_sep,
  [sym_statements] = sym_statements,
  [sym__statements_singleline] = sym__statements_singleline,
  [sym__statement] = sym__statement,
  [sym_legacy_quoted_stmt] = sym_legacy_quoted_stmt,
  [sym__simple_stmt] = sym__simple_stmt,
  [sym__tmp_stmt] = sym__tmp_stmt,
  [sym__iter_stmt] = sym__iter_stmt,
  [sym__pipe_stmt] = sym__pipe_stmt,
  [sym_grep_stmt] = sym_grep_stmt,
  [sym_grep_specifier] = sym_grep_specifier,
  [sym_html_disable_stmt] = sym_html_disable_stmt,
  [sym_html_enable_stmt] = sym_html_enable_stmt,
  [sym_pipe_stmt] = sym_pipe_stmt,
  [sym_iter_file_lines_stmt] = sym_iter_file_lines_stmt,
  [sym_iter_offsets_stmt] = sym_iter_offsets_stmt,
  [sym_iter_offsetssizes_stmt] = sym_iter_offsetssizes_stmt,
  [sym_iter_hit_stmt] = sym_iter_hit_stmt,
  [sym_iter_interpret_stmt] = sym_iter_interpret_stmt,
  [sym_iter_interpret_offsetssizes_stmt] = sym_iter_interpret_offsetssizes_stmt,
  [sym_iter_comment_stmt] = sym_iter_comment_stmt,
  [sym_iter_dbta_stmt] = sym_iter_dbta_stmt,
  [sym_iter_dbtb_stmt] = sym_iter_dbtb_stmt,
  [sym_iter_dbts_stmt] = sym_iter_dbts_stmt,
  [sym_iter_threads_stmt] = sym_iter_threads_stmt,
  [sym_iter_bbs_stmt] = sym_iter_bbs_stmt,
  [sym_iter_instrs_stmt] = sym_iter_instrs_stmt,
  [sym_iter_import_stmt] = sym_iter_import_stmt,
  [sym_iter_sections_stmt] = sym_iter_sections_stmt,
  [sym_iter_segments_stmt] = sym_iter_segments_stmt,
  [sym_iter_symbol_stmt] = sym_iter_symbol_stmt,
  [sym_iter_string_stmt] = sym_iter_string_stmt,
  [sym_iter_flags_stmt] = sym_iter_flags_stmt,
  [sym_iter_function_stmt] = sym_iter_function_stmt,
  [sym_iter_iomap_stmt] = sym_iter_iomap_stmt,
  [sym_iter_dbgmap_stmt] = sym_iter_dbgmap_stmt,
  [sym_iter_register_stmt] = sym_iter_register_stmt,
  [sym_iter_step_stmt] = sym_iter_step_stmt,
  [sym_tmp_seek_stmt] = sym_tmp_seek_stmt,
  [sym_tmp_blksz_stmt] = sym_tmp_blksz_stmt,
  [sym_tmp_fromto_stmt] = sym_tmp_fromto_stmt,
  [sym_tmp_arch_stmt] = sym_tmp_arch_stmt,
  [sym_tmp_bits_stmt] = sym_tmp_bits_stmt,
  [sym_tmp_nthi_stmt] = sym_tmp_nthi_stmt,
  [sym_tmp_eval_stmt] = sym_tmp_eval_stmt,
  [sym_tmp_fs_stmt] = sym_tmp_fs_stmt,
  [sym_tmp_reli_stmt] = sym_tmp_reli_stmt,
  [sym_tmp_kuery_stmt] = sym_tmp_kuery_stmt,
  [sym_tmp_fd_stmt] = sym_tmp_fd_stmt,
  [sym_tmp_reg_stmt] = sym_tmp_reg_stmt,
  [sym_tmp_file_stmt] = sym_tmp_file_stmt,
  [sym_tmp_string_stmt] = sym_tmp_string_stmt,
  [sym_tmp_value_stmt] = sym_tmp_value_stmt,
  [sym_tmp_hex_stmt] = sym_tmp_hex_stmt,
  [sym_help_stmt] = sym_help_stmt,
  [sym_macro_body] = sym_macro_body,
  [sym_macro_content] = sym_macro_content,
  [sym_macro_call] = sym_macro_call,
  [sym_macro_stmt] = sym_macro_stmt,
  [sym_arged_stmt] = sym_arged_stmt,
  [sym__macro_arged_stmt] = sym__macro_arged_stmt,
  [sym__simple_arged_stmt_question] = sym__simple_arged_stmt_question,
  [sym__simple_arged_stmt] = sym__simple_arged_stmt,
  [sym__search_stmt] = sym_arged_stmt,
  [sym__math_arged_stmt] = sym__math_arged_stmt,
  [sym__pointer_arged_stmt] = sym__pointer_arged_stmt,
  [sym__system_stmt] = sym__system_stmt,
  [sym__interpret_stmt] = sym__interpret_stmt,
  [sym__interpret_search_identifier] = sym_cmd_identifier,
  [sym__pf_arged_stmt] = sym__pf_arged_stmt,
  [sym__pf_stmts] = sym__pf_stmts,
  [sym_Cf_cmd] = sym_arged_stmt,
  [sym__Cf_args] = sym_args,
  [sym_pf_new_cmd] = sym_arged_stmt,
  [sym_pf_dot_cmd] = sym_arged_stmt,
  [sym_pf_cmd] = sym_arged_stmt,
  [sym_pf_new_args] = sym_pf_new_args,
  [sym_pf_dot_cmd_args] = sym_pf_dot_cmd_args,
  [sym__pf_dot_arg_identifier] = sym_pf_arg_identifier,
  [sym__pf_arg_parentheses] = sym__pf_arg_parentheses,
  [sym_pf_arg_identifier] = sym_pf_arg_identifier,
  [sym__pf_arg] = sym__pf_arg,
  [sym__pf_dot_arg] = sym__pf_dot_arg,
  [sym_pf_concatenation] = sym_pf_concatenation,
  [sym_pf_dot_concatenation] = sym_pf_concatenation,
  [sym_pf_arg] = sym_pf_arg,
  [sym_pf_dot_arg] = sym_pf_arg,
  [sym_pf_args] = sym_pf_args,
  [sym_pf_dot_args] = sym_pf_args,
  [sym__env_stmt] = sym__env_stmt,
  [sym__env_stmt_identifier] = sym_cmd_identifier,
  [sym__last_stmt] = sym__last_stmt,
  [sym_last_stmt_identifier] = sym_cmd_identifier,
  [sym_repeat_stmt] = sym_repeat_stmt,
  [sym_eq_sep_args] = sym_args,
  [sym_redirect_stmt] = sym_redirect_stmt,
  [sym__redirect_operator] = sym__redirect_operator,
  [sym_fdn_redirect_operator] = sym_fdn_redirect_operator,
  [sym_fdn_append_operator] = sym_fdn_append_operator,
  [sym__arg_with_paren] = sym_args,
  [sym__arg] = sym__arg,
  [sym_arg] = sym_arg,
  [sym_args] = sym_args,
  [sym_tmp_eval_args] = sym_args,
  [sym_tmp_eval_arg] = sym_arg,
  [sym__eq_sep_key_single] = sym__eq_sep_key_single,
  [sym__eq_sep_key_concatenation] = sym_concatenation,
  [sym__eq_sep_key] = sym_arg,
  [sym__eq_sep_val_concatenation] = sym_concatenation,
  [sym__eq_sep_val] = sym_arg,
  [sym_arg_identifier] = sym_arg_identifier,
  [sym_spec_arg_identifier] = sym_arg_identifier,
  [sym_double_quoted_arg] = sym_double_quoted_arg,
  [sym_single_quoted_arg] = sym_single_quoted_arg,
  [sym_cmd_substitution_arg] = sym_cmd_substitution_arg,
  [sym_concatenation] = sym_concatenation,
  [sym__dec_number] = sym__dec_number,
  [sym_specifiers] = sym_specifiers,
  [sym_cmd_identifier] = sym_cmd_identifier,
  [aux_sym_statements_repeat1] = aux_sym_statements_repeat1,
  [aux_sym_statements_repeat2] = aux_sym_statements_repeat2,
  [aux_sym__statements_singleline_repeat1] = aux_sym__statements_singleline_repeat1,
  [aux_sym__statements_singleline_repeat2] = aux_sym__statements_singleline_repeat2,
  [aux_sym_grep_specifier_repeat1] = aux_sym_grep_specifier_repeat1,
  [aux_sym_macro_body_repeat1] = aux_sym_macro_body_repeat1,
  [aux_sym_pf_concatenation_repeat1] = aux_sym_pf_concatenation_repeat1,
  [aux_sym_pf_dot_concatenation_repeat1] = aux_sym_pf_dot_concatenation_repeat1,
  [aux_sym_pf_args_repeat1] = aux_sym_pf_args_repeat1,
  [aux_sym_pf_dot_args_repeat1] = aux_sym_pf_dot_args_repeat1,
  [aux_sym_args_repeat1] = aux_sym_args_repeat1,
  [aux_sym_tmp_eval_args_repeat1] = aux_sym_tmp_eval_args_repeat1,
  [aux_sym_tmp_eval_arg_repeat1] = aux_sym_tmp_eval_arg_repeat1,
  [aux_sym__eq_sep_key_concatenation_repeat1] = aux_sym__eq_sep_key_concatenation_repeat1,
  [aux_sym__eq_sep_val_concatenation_repeat1] = aux_sym__eq_sep_val_concatenation_repeat1,
  [aux_sym_double_quoted_arg_repeat1] = aux_sym_double_quoted_arg_repeat1,
  [aux_sym_single_quoted_arg_repeat1] = aux_sym_single_quoted_arg_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_specifiers_repeat1] = aux_sym_specifiers_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_legacy_quoted_stmt_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [sym_grep_specifier_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_grep_specifier_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPEH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATc_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_AT_ATc_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATC] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATdbt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATdbta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATdbtb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATdbts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATb] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATii] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATiS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATiSS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATis] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATiz] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATdm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_ATs_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATa_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATb_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATB_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATe_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATF_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATi_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATk_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATo_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATr_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATf_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATs_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATv_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATx_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_macro_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_DASH_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN_DASH] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__search_stmt_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__interpret_stmt_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpret_stmt_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpret_stmt_token3] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpret_stmt_token4] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pfo] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_Cf] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_dot_cmd_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_dot_full_cmd_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_pf_cmd_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__pf_dot_arg_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pf_arg_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_env] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_system_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_question_mark_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_html_redirect_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_html_append_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_tmp_eval_arg_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__eq_sep_key_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_arg_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_spec_arg_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_double_quoted_arg_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_double_quoted_arg_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_double_quoted_arg_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_single_quoted_arg_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_single_quoted_arg_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__dec_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__dec_number_token2] = {
    .visible = false,
    .named = false,
  },
  [sym__comment] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [sym__cmd_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__help_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__eq_sep_concat] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym__concat_pf_dot] = {
    .visible = false,
    .named = true,
  },
  [sym__spec_sep] = {
    .visible = false,
    .named = true,
  },
  [sym_statements] = {
    .visible = true,
    .named = true,
  },
  [sym__statements_singleline] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_legacy_quoted_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__tmp_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__iter_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__pipe_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym_grep_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_grep_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_html_disable_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_html_enable_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_file_lines_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_offsets_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_offsetssizes_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_hit_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_interpret_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_interpret_offsetssizes_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_comment_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_dbta_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_dbtb_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_dbts_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_threads_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_bbs_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_instrs_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_import_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_sections_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_segments_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_symbol_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_string_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_flags_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_function_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_iomap_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_dbgmap_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_register_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_iter_step_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_seek_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_blksz_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_fromto_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_arch_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_bits_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_nthi_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_eval_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_fs_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_reli_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_kuery_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_fd_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_reg_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_file_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_string_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_value_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_hex_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_help_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_body] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_content] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_call] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_arged_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym__macro_arged_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_arged_stmt_question] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_arged_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__search_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym__math_arged_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__pointer_arged_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__system_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__interpret_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__interpret_search_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__pf_arged_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__pf_stmts] = {
    .visible = false,
    .named = true,
  },
  [sym_Cf_cmd] = {
    .visible = true,
    .named = true,
  },
  [sym__Cf_args] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_new_cmd] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_dot_cmd] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_cmd] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_new_args] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_dot_cmd_args] = {
    .visible = true,
    .named = true,
  },
  [sym__pf_dot_arg_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__pf_arg_parentheses] = {
    .visible = false,
    .named = true,
  },
  [sym_pf_arg_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__pf_arg] = {
    .visible = false,
    .named = true,
  },
  [sym__pf_dot_arg] = {
    .visible = false,
    .named = true,
  },
  [sym_pf_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_dot_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_dot_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_args] = {
    .visible = true,
    .named = true,
  },
  [sym_pf_dot_args] = {
    .visible = true,
    .named = true,
  },
  [sym__env_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__env_stmt_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__last_stmt] = {
    .visible = false,
    .named = true,
  },
  [sym_last_stmt_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_repeat_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_eq_sep_args] = {
    .visible = true,
    .named = true,
  },
  [sym_redirect_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym__redirect_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_fdn_redirect_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_fdn_append_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__arg_with_paren] = {
    .visible = true,
    .named = true,
  },
  [sym__arg] = {
    .visible = false,
    .named = true,
  },
  [sym_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_args] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_eval_args] = {
    .visible = true,
    .named = true,
  },
  [sym_tmp_eval_arg] = {
    .visible = true,
    .named = true,
  },
  [sym__eq_sep_key_single] = {
    .visible = false,
    .named = true,
  },
  [sym__eq_sep_key_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym__eq_sep_key] = {
    .visible = true,
    .named = true,
  },
  [sym__eq_sep_val_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym__eq_sep_val] = {
    .visible = true,
    .named = true,
  },
  [sym_arg_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_spec_arg_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_double_quoted_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_single_quoted_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_cmd_substitution_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym__dec_number] = {
    .visible = true,
    .named = true,
  },
  [sym_specifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_cmd_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statements_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statements_singleline_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statements_singleline_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_grep_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_macro_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pf_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pf_dot_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pf_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pf_dot_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tmp_eval_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tmp_eval_arg_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__eq_sep_key_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__eq_sep_val_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_double_quoted_arg_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_single_quoted_arg_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_arg = 1,
  field_args = 2,
  field_argv = 3,
  field_body = 4,
  field_command = 5,
  field_extra = 6,
  field_id = 7,
  field_name = 8,
  field_redirect_operator = 9,
  field_specifier = 10,
  field_string = 11,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_arg] = "arg",
  [field_args] = "args",
  [field_argv] = "argv",
  [field_body] = "body",
  [field_command] = "command",
  [field_extra] = "extra",
  [field_id] = "id",
  [field_name] = "name",
  [field_redirect_operator] = "redirect_operator",
  [field_specifier] = "specifier",
  [field_string] = "string",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 2},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 2},
  [14] = {.index = 14, .length = 2},
  [15] = {.index = 16, .length = 2},
  [16] = {.index = 18, .length = 3},
  [18] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 2},
  [21] = {.index = 25, .length = 3},
  [23] = {.index = 28, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_id, 0},
  [1] =
    {field_command, 0},
  [2] =
    {field_args, 0, .inherited = true},
    {field_command, 0, .inherited = true},
  [4] =
    {field_command, 0, .inherited = true},
  [5] =
    {field_extra, 1},
    {field_id, 0},
  [7] =
    {field_args, 1},
    {field_command, 0},
  [9] =
    {field_args, 0},
    {field_command, 1},
  [11] =
    {field_arg, 0},
    {field_command, 1},
  [13] =
    {field_string, 1},
  [14] =
    {field_args, 2},
    {field_command, 0},
  [16] =
    {field_command, 0},
    {field_specifier, 2},
  [18] =
    {field_arg, 2},
    {field_command, 0},
    {field_redirect_operator, 1},
  [21] =
    {field_body, 1},
    {field_name, 0},
  [23] =
    {field_args, 3, .inherited = true},
    {field_command, 3, .inherited = true},
  [25] =
    {field_args, 1},
    {field_body, 2},
    {field_name, 0},
  [28] =
    {field_argv, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [0] = sym_cmd_identifier,
  },
  [7] = {
    [0] = sym_arg_identifier,
  },
  [9] = {
    [0] = sym_cmd_identifier,
  },
  [13] = {
    [0] = sym_cmd_identifier,
  },
  [17] = {
    [0] = sym_arg_identifier,
    [2] = sym_arg_identifier,
  },
  [19] = {
    [0] = sym_pf_arg_identifier,
    [2] = sym_pf_arg_identifier,
  },
  [22] = {
    [1] = sym_pf_arg_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym_tmp_eval_arg_repeat1, 2,
    aux_sym_tmp_eval_arg_repeat1,
    sym_arg_identifier,
  0,
};

static inline bool sym_grep_specifier_identifier_character_set_1(int32_t c) {
  return (c < '('
    ? (c < '\r'
      ? (c < '\n'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || c == '#'))
    : (c <= '(' || (c < '`'
      ? (c < '>'
        ? c == ';'
        : c <= '>')
      : (c <= '`' || c == '|'))));
}

static inline bool sym_grep_specifier_identifier_character_set_2(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\n'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '('
        ? c == '#'
        : c <= ')')))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '>'
        : c <= '@')
      : (c <= '`' || c == '|'))));
}

static inline bool sym_grep_specifier_identifier_character_set_3(int32_t c) {
  return (c < '('
    ? (c < '\r'
      ? (c < '\n'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || c == '#'))
    : (c <= ')' || (c < '`'
      ? (c < '@'
        ? c == ';'
        : c <= '@')
      : (c <= '`' || c == '|'))));
}

static inline bool aux_sym__pf_dot_arg_identifier_token1_character_set_1(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\n'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '\''
        ? c == '"'
        : c <= ')')))
    : (c <= ';' || (c < '|'
      ? (c < '@'
        ? (c >= '=' && c <= '>')
        : c <= '@')
      : (c <= '|' || c == '~'))));
}

static inline bool aux_sym__pf_dot_arg_identifier_token1_character_set_2(int32_t c) {
  return (c < '.'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : c <= ')')))
    : (c <= '.' || (c < '`'
      ? (c < '='
        ? c == ';'
        : (c <= '>' || c == '@'))
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym__pf_dot_arg_identifier_token1_character_set_3(int32_t c) {
  return (c < ';'
    ? (c < '\''
      ? (c < '"'
        ? c == '\t'
        : c <= '#')
      : (c <= ')' || c == '.'))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? (c >= '=' && c <= '>')
        : c <= '@')
      : (c <= '`' || (c >= '|' && c <= '~')))));
}

static inline bool aux_sym_pf_arg_identifier_token1_character_set_1(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\n'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '\''
        ? c == '"'
        : c <= '\'')))
    : (c <= ';' || (c < '|'
      ? (c < '@'
        ? c == '>'
        : c <= '@')
      : (c <= '|' || c == '~'))));
}

static inline bool aux_sym_pf_arg_identifier_token1_character_set_2(int32_t c) {
  return (c < ';'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : c <= ')')))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '>'
        : c <= '@')
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_pf_arg_identifier_token1_character_set_3(int32_t c) {
  return (c < '\''
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < '"'
        ? c == ' '
        : c <= '#')))
    : (c <= ')' || (c < '`'
      ? (c < '@'
        ? c == ';'
        : c <= '@')
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_tmp_eval_arg_token1_character_set_1(int32_t c) {
  return (c < ';'
    ? (c < '"'
      ? (c < '\n'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= '$' || (c < ','
        ? (c >= '\'' && c <= ')')
        : c <= ',')))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '>'
        : (c <= '@' || c == '\\'))
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool sym__eq_sep_key_identifier_character_set_1(int32_t c) {
  return (c < ';'
    ? (c < '\r'
      ? (c < '\n'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || (c < ','
        ? (c >= '(' && c <= ')')
        : c <= ',')))
    : (c <= ';' || (c < '\\'
      ? (c < '@'
        ? (c >= '=' && c <= '>')
        : c <= '@')
      : (c <= '\\' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool sym__eq_sep_key_identifier_character_set_2(int32_t c) {
  return (c < ';'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : (c <= ')' || c == ','))))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? (c >= '=' && c <= '>')
        : (c <= '@' || c == '\\'))
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool sym__eq_sep_key_identifier_character_set_3(int32_t c) {
  return (c < ';'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : (c <= ')' || c == ','))))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '='
        : (c <= '@' || c == '\\'))
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_arg_identifier_token1_character_set_1(int32_t c) {
  return (c < ';'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : c <= ')')))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '>'
        : (c <= '@' || c == '\\'))
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_arg_identifier_token1_character_set_2(int32_t c) {
  return (c < ','
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : c <= ')')))
    : (c <= ',' || (c < '`'
      ? (c < '@'
        ? c == ';'
        : c <= '@')
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_arg_identifier_token1_character_set_3(int32_t c) {
  return (c < ','
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : c <= ')')))
    : (c <= ',' || (c < '`'
      ? (c < '>'
        ? c == ';'
        : (c <= '>' || c == '@'))
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_arg_identifier_token1_character_set_4(int32_t c) {
  return (c < ';'
    ? (c < '\''
      ? (c < '"'
        ? c == '\t'
        : c <= '#')
      : (c <= ')' || c == ','))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '>'
        : c <= '@')
      : (c <= '`' || (c >= '|' && c <= '~')))));
}

static inline bool aux_sym_spec_arg_identifier_token1_character_set_1(int32_t c) {
  return (c < ':'
    ? (c < '"'
      ? (c < '\n'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= '"' || (c < ','
        ? (c >= '\'' && c <= ')')
        : c <= ',')))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '>'
        : c <= '@')
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_spec_arg_identifier_token1_character_set_2(int32_t c) {
  return (c < ','
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '#')
        : c <= ')')))
    : (c <= ',' || (c < '`'
      ? (c < '>'
        ? (c >= ':' && c <= ';')
        : (c <= '>' || c == '@'))
      : (c <= '`' || (c < '~'
        ? c == '|'
        : c <= '~')))));
}

static inline bool aux_sym_spec_arg_identifier_token1_character_set_3(int32_t c) {
  return (c < ':'
    ? (c < '\''
      ? (c < '"'
        ? c == '\t'
        : c <= '#')
      : (c <= ')' || c == ','))
    : (c <= ';' || (c < '`'
      ? (c < '@'
        ? c == '>'
        : c <= '@')
      : (c <= '`' || (c >= '|' && c <= '~')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '"') ADVANCE(75);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(167);
      if (lookahead == '%') ADVANCE(173);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(137);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == ',') ADVANCE(183);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(157);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '?') ADVANCE(177);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(185);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(184);
      END_STATE();
    case 1:
      if (lookahead == ' ') ADVANCE(117);
      if (lookahead == '!') ADVANCE(118);
      if (lookahead == '(') ADVANCE(119);
      if (lookahead == '@') ADVANCE(94);
      if (lookahead == 'B') ADVANCE(18);
      if (lookahead == 'F') ADVANCE(19);
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'b') ADVANCE(21);
      if (lookahead == 'e') ADVANCE(22);
      if (lookahead == 'f') ADVANCE(23);
      if (lookahead == 'i') ADVANCE(24);
      if (lookahead == 'k') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      if (lookahead == 's') ADVANCE(28);
      if (lookahead == 'v') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(30);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(75);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(16);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(2)
      if (!sym__eq_sep_key_identifier_character_set_1(lookahead)) ADVANCE(190);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(75);
      if (lookahead == '#') ADVANCE(200);
      if (lookahead == '$') ADVANCE(204);
      if (lookahead == '\\') ADVANCE(206);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(202);
      END_STATE();
    case 4:
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(83);
      END_STATE();
    case 5:
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(5)
      if (!aux_sym_spec_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(198);
      END_STATE();
    case 6:
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(164);
      if (lookahead == '(') ADVANCE(136);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6)
      if (!aux_sym_pf_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 7:
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(165);
      if (lookahead == '.') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7)
      if (!aux_sym__pf_dot_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(161);
      END_STATE();
    case 8:
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(8)
      if (!aux_sym_tmp_eval_arg_token1_character_set_1(lookahead)) ADVANCE(184);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(9)
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 10:
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '\\') ADVANCE(212);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(210);
      END_STATE();
    case 11:
      if (lookahead == '#') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(77);
      END_STATE();
    case 12:
      if (lookahead == '$') ADVANCE(195);
      if (lookahead == '{') ADVANCE(55);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(192);
      END_STATE();
    case 13:
      if (lookahead == '$') ADVANCE(169);
      if (lookahead == '{') ADVANCE(56);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 14:
      if (lookahead == '$') ADVANCE(160);
      if (lookahead == '{') ADVANCE(58);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(161);
      END_STATE();
    case 15:
      if (lookahead == '$') ADVANCE(197);
      if (lookahead == '{') ADVANCE(59);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(198);
      END_STATE();
    case 16:
      if (lookahead == '(') ADVANCE(213);
      if (lookahead == '{') ADVANCE(57);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(154);
      END_STATE();
    case 18:
      if (lookahead == ':') ADVANCE(123);
      END_STATE();
    case 19:
      if (lookahead == ':') ADVANCE(125);
      END_STATE();
    case 20:
      if (lookahead == ':') ADVANCE(121);
      END_STATE();
    case 21:
      if (lookahead == ':') ADVANCE(122);
      END_STATE();
    case 22:
      if (lookahead == ':') ADVANCE(124);
      END_STATE();
    case 23:
      if (lookahead == ':') ADVANCE(130);
      END_STATE();
    case 24:
      if (lookahead == ':') ADVANCE(126);
      END_STATE();
    case 25:
      if (lookahead == ':') ADVANCE(127);
      END_STATE();
    case 26:
      if (lookahead == ':') ADVANCE(128);
      END_STATE();
    case 27:
      if (lookahead == ':') ADVANCE(129);
      END_STATE();
    case 28:
      if (lookahead == ':') ADVANCE(131);
      END_STATE();
    case 29:
      if (lookahead == ':') ADVANCE(132);
      END_STATE();
    case 30:
      if (lookahead == ':') ADVANCE(133);
      END_STATE();
    case 31:
      if (lookahead == ':') ADVANCE(95);
      END_STATE();
    case 32:
      if (lookahead == ':') ADVANCE(116);
      END_STATE();
    case 33:
      if (lookahead == ':') ADVANCE(96);
      END_STATE();
    case 34:
      if (lookahead == '=') ADVANCE(93);
      if (lookahead == 'c') ADVANCE(33);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(181);
      END_STATE();
    case 36:
      if (lookahead == 'b') ADVANCE(41);
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(152);
      END_STATE();
    case 38:
      if (lookahead == 'f') ADVANCE(155);
      END_STATE();
    case 39:
      if (lookahead == 'm') ADVANCE(113);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(42);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 42:
      if (lookahead == 'v') ADVANCE(174);
      END_STATE();
    case 43:
      if (lookahead == '{') ADVANCE(57);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(190);
      END_STATE();
    case 44:
      if (lookahead == '}') ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$') ADVANCE(44);
      END_STATE();
    case 45:
      if (lookahead == '}') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$') ADVANCE(45);
      END_STATE();
    case 46:
      if (lookahead == '}') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$') ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '}') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$') ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '}') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$') ADVANCE(48);
      END_STATE();
    case 49:
      if (lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == '$' ||
          lookahead == '}') ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(193);
      END_STATE();
    case 50:
      if (lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == '$' ||
          lookahead == '}') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(172);
      END_STATE();
    case 51:
      if (lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == '$' ||
          lookahead == '}') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(162);
      END_STATE();
    case 52:
      if (lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == '$' ||
          lookahead == '}') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(199);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      END_STATE();
    case 54:
      if (!sym_grep_specifier_identifier_character_set_1(lookahead)) ADVANCE(83);
      END_STATE();
    case 55:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$' &&
          lookahead != '}') ADVANCE(44);
      END_STATE();
    case 56:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$' &&
          lookahead != '}') ADVANCE(45);
      END_STATE();
    case 57:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$' &&
          lookahead != '}') ADVANCE(46);
      END_STATE();
    case 58:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$' &&
          lookahead != '}') ADVANCE(47);
      END_STATE();
    case 59:
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '$' &&
          lookahead != '}') ADVANCE(48);
      END_STATE();
    case 60:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(192);
      END_STATE();
    case 61:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(171);
      END_STATE();
    case 62:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(161);
      END_STATE();
    case 63:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(198);
      END_STATE();
    case 64:
      if (lookahead != 0) ADVANCE(77);
      END_STATE();
    case 65:
      if (eof) ADVANCE(74);
      if (lookahead == '\t') SKIP(65)
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == ' ') ADVANCE(146);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(35);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      END_STATE();
    case 66:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '!') ADVANCE(176);
      if (lookahead == '"') ADVANCE(75);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '%') ADVANCE(173);
      if (lookahead == '(') ADVANCE(137);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '.') ADVANCE(143);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '0') ADVANCE(53);
      if (lookahead == ':') ADVANCE(98);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(157);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '?') ADVANCE(177);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'C') ADVANCE(37);
      if (lookahead == 'H') ADVANCE(35);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == 'e') ADVANCE(40);
      if (lookahead == 'p') ADVANCE(38);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(66)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(215);
      END_STATE();
    case 67:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '"') ADVANCE(75);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(163);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(136);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ',') ADVANCE(183);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(191);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(67)
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 68:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '"') ADVANCE(75);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(163);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == '(') ADVANCE(136);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ',') ADVANCE(183);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(68)
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '|' &&
          lookahead != '~') ADVANCE(192);
      END_STATE();
    case 69:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '"') ADVANCE(75);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(16);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '\'') ADVANCE(207);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(187);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(69)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ',' &&
          lookahead != '=' &&
          lookahead != '\\') ADVANCE(190);
      END_STATE();
    case 70:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(87);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(80);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(83);
      END_STATE();
    case 71:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(164);
      if (lookahead == '(') ADVANCE(136);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '=') ADVANCE(158);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(71)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(171);
      END_STATE();
    case 72:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(164);
      if (lookahead == '(') ADVANCE(136);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(72)
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\'') ADVANCE(171);
      END_STATE();
    case 73:
      if (eof) ADVANCE(74);
      if (lookahead == '\n') ADVANCE(220);
      if (lookahead == '\r') ADVANCE(221);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == ')') ADVANCE(120);
      if (lookahead == ',') ADVANCE(183);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '>') ADVANCE(179);
      if (lookahead == '@') ADVANCE(1);
      if (lookahead == 'H') ADVANCE(185);
      if (lookahead == '`') ADVANCE(214);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '~') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(73)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '(' &&
          lookahead != '\\') ADVANCE(184);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_legacy_quoted_stmt_token1);
      if (lookahead == '#') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_legacy_quoted_stmt_token1);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '$') ADVANCE(54);
      if (lookahead == '\\') ADVANCE(85);
      if (!sym_grep_specifier_identifier_character_set_2(lookahead)) ADVANCE(83);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_grep_specifier_identifier);
      if (lookahead == '$') ADVANCE(87);
      if (lookahead == 'H') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '~') ADVANCE(79);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(80);
      if (!sym_grep_specifier_identifier_character_set_2(lookahead)) ADVANCE(83);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_grep_specifier_identifier);
      if (lookahead == '$') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(81);
      if (!sym_grep_specifier_identifier_character_set_2(lookahead)) ADVANCE(83);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_grep_specifier_identifier);
      if (lookahead == '$') ADVANCE(54);
      if (lookahead == '>') ADVANCE(181);
      if (lookahead == '\\') ADVANCE(85);
      if (!sym_grep_specifier_identifier_character_set_3(lookahead)) ADVANCE(83);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_grep_specifier_identifier);
      if (lookahead == '$') ADVANCE(54);
      if (lookahead == '\\') ADVANCE(85);
      if (!sym_grep_specifier_identifier_character_set_2(lookahead)) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_grep_specifier_identifier);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == ')' ||
          lookahead == '@') ADVANCE(83);
      if (!sym_grep_specifier_identifier_character_set_1(lookahead)) ADVANCE(83);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_grep_specifier_identifier);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '\r' ||
          lookahead == '#' ||
          lookahead == '(' ||
          lookahead == ')' ||
          lookahead == ';' ||
          lookahead == '>' ||
          lookahead == '@' ||
          lookahead == '`' ||
          lookahead == '|') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(83);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_grep_specifier_identifier);
      if (lookahead == '$') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(85);
      if (!sym_grep_specifier_identifier_character_set_2(lookahead)) ADVANCE(83);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_grep_specifier_token1);
      if (lookahead == '$') ADVANCE(86);
      if (lookahead == '(') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '#' &&
          lookahead != ';' &&
          lookahead != '>' &&
          lookahead != '`' &&
          lookahead != '|') ADVANCE(83);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_grep_specifier_token1);
      if (lookahead == '$') ADVANCE(86);
      if (!sym_grep_specifier_identifier_character_set_1(lookahead)) ADVANCE(83);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == 'H') ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPEH);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_AT_AT_DOT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AT_AT_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AT_AT_AT_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_AT_AT);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '=') ADVANCE(92);
      if (lookahead == '@') ADVANCE(34);
      if (lookahead == 'C') ADVANCE(97);
      if (lookahead == 'F') ADVANCE(112);
      if (lookahead == 'b') ADVANCE(104);
      if (lookahead == 'c') ADVANCE(31);
      if (lookahead == 'd') ADVANCE(36);
      if (lookahead == 'f') ADVANCE(111);
      if (lookahead == 'i') ADVANCE(105);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(115);
      if (lookahead == 's') ADVANCE(32);
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_AT_ATc_COLON);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_AT_AT_ATc_COLON);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_AT_ATC);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_AT_ATdbt);
      if (lookahead == 'a') ADVANCE(100);
      if (lookahead == 'b') ADVANCE(101);
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_AT_ATdbta);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AT_ATdbtb);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_AT_ATdbts);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_AT_ATt);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_AT_ATb);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_AT_ATi);
      if (lookahead == 'S') ADVANCE(107);
      if (lookahead == 'i') ADVANCE(106);
      if (lookahead == 's') ADVANCE(109);
      if (lookahead == 'z') ADVANCE(110);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_AT_ATii);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_AT_ATiS);
      if (lookahead == 'S') ADVANCE(108);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_AT_ATiSS);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_AT_ATis);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AT_ATiz);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AT_ATf);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AT_ATF);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_AT_ATom);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_AT_ATdm);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_AT_ATr);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_AT_ATs_COLON);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_AT_BANG);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AT_LPAREN);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_ATa_COLON);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_ATb_COLON);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_ATB_COLON);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_ATe_COLON);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_ATF_COLON);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_ATi_COLON);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_ATk_COLON);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_ATo_COLON);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_ATr_COLON);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_ATf_COLON);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_ATs_COLON);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_ATv_COLON);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_ATx_COLON);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_macro_name);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead == '-') ADVANCE(140);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LPAREN_DASH_STAR);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LPAREN_STAR);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LPAREN_DASH);
      if (lookahead == '*') ADVANCE(138);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__search_stmt_token1);
      if (lookahead == '!' ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('/' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == ' ') ADVANCE(147);
      if (lookahead == '(') ADVANCE(148);
      if (lookahead == '.') ADVANCE(144);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead == '*' ||
          lookahead == '-' ||
          lookahead == ':') ADVANCE(145);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym__interpret_stmt_token1);
      if (lookahead == '(') ADVANCE(148);
      if (lookahead == '.') ADVANCE(175);
      if (lookahead == '*' ||
          lookahead == '-' ||
          lookahead == ':') ADVANCE(145);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__interpret_stmt_token1);
      if (lookahead == '*' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':') ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__interpret_stmt_token2);
      if (lookahead == ' ') ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym__interpret_stmt_token3);
      if (lookahead == ' ') ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym__interpret_stmt_token4);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE_DOT);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DOT_SLASH);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_pfo);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_Cf);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_pf_dot_cmd_identifier);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_pf_dot_full_cmd_identifier);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_pf_cmd_token1);
      if (lookahead == '.') ADVANCE(153);
      if (lookahead == 'o') ADVANCE(151);
      if (lookahead == 'v') ADVANCE(17);
      if (lookahead == '*' ||
          lookahead == 'c' ||
          lookahead == 'j' ||
          lookahead == 'q' ||
          lookahead == 's') ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_pf_cmd_token1);
      if (lookahead == '.') ADVANCE(154);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '$') ADVANCE(13);
      if (lookahead == '\\') ADVANCE(61);
      if (!aux_sym_pf_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__pf_dot_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(159);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '{') ADVANCE(162);
      if (lookahead == '.' ||
          lookahead == '=') ADVANCE(161);
      if (!aux_sym_pf_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(161);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym__pf_dot_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(159);
      if (lookahead == '\\') ADVANCE(62);
      if (!aux_sym__pf_dot_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(161);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym__pf_dot_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(14);
      if (lookahead == '\\') ADVANCE(62);
      if (!aux_sym__pf_dot_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(161);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym__pf_dot_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(14);
      if (lookahead == '\\') ADVANCE(51);
      if (lookahead == '}') ADVANCE(161);
      if (aux_sym__pf_dot_arg_identifier_token1_character_set_3(lookahead)) ADVANCE(47);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(162);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '$') ADVANCE(195);
      if (lookahead == '(') ADVANCE(213);
      if (lookahead == '{') ADVANCE(55);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(192);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '$') ADVANCE(169);
      if (lookahead == '(') ADVANCE(213);
      if (lookahead == '{') ADVANCE(56);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(171);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '$') ADVANCE(160);
      if (lookahead == '(') ADVANCE(213);
      if (lookahead == '{') ADVANCE(58);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(161);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '$') ADVANCE(197);
      if (lookahead == '{') ADVANCE(59);
      if (!aux_sym_arg_identifier_token1_character_set_1(lookahead)) ADVANCE(198);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(213);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_pf_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '\\') ADVANCE(61);
      if (lookahead == '{') ADVANCE(172);
      if (!aux_sym_pf_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_pf_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '\\') ADVANCE(61);
      if (!aux_sym_pf_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_pf_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(13);
      if (lookahead == '>') ADVANCE(181);
      if (lookahead == '\\') ADVANCE(61);
      if (!aux_sym_pf_arg_identifier_token1_character_set_3(lookahead)) ADVANCE(171);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_pf_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(13);
      if (lookahead == '\\') ADVANCE(61);
      if (!aux_sym_pf_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_pf_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(13);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == '}') ADVANCE(171);
      if (lookahead == '\t' ||
          lookahead == '"' ||
          lookahead == '#' ||
          ('\'' <= lookahead && lookahead <= ')') ||
          lookahead == ';' ||
          lookahead == '>' ||
          lookahead == '@' ||
          lookahead == '`' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(45);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_env);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      if (lookahead == '*' ||
          lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':') ADVANCE(145);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_system_identifier);
      if (('!' <= lookahead && lookahead <= '=')) ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_question_mark_identifier);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_pointer_identifier);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '>') ADVANCE(180);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_html_redirect_operator);
      if (lookahead == '>') ADVANCE(182);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_html_append_operator);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(aux_sym_tmp_eval_arg_token1);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_tmp_eval_arg_token1);
      if (lookahead == '>') ADVANCE(181);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym__eq_sep_key_identifier);
      if (lookahead == '$') ADVANCE(43);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '5') ADVANCE(188);
      if (!sym__eq_sep_key_identifier_character_set_2(lookahead)) ADVANCE(190);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym__eq_sep_key_identifier);
      if (lookahead == '$') ADVANCE(43);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == '>') ADVANCE(181);
      if (!sym__eq_sep_key_identifier_character_set_3(lookahead)) ADVANCE(190);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym__eq_sep_key_identifier);
      if (lookahead == '$') ADVANCE(43);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == 'C') ADVANCE(189);
      if (!sym__eq_sep_key_identifier_character_set_2(lookahead)) ADVANCE(190);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym__eq_sep_key_identifier);
      if (lookahead == '$') ADVANCE(43);
      if (lookahead == '%') ADVANCE(186);
      if (lookahead == 's') ADVANCE(190);
      if (!sym__eq_sep_key_identifier_character_set_2(lookahead)) ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym__eq_sep_key_identifier);
      if (lookahead == '$') ADVANCE(43);
      if (lookahead == '%') ADVANCE(186);
      if (!sym__eq_sep_key_identifier_character_set_2(lookahead)) ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(12);
      if (lookahead == '>') ADVANCE(181);
      if (lookahead == '\\') ADVANCE(60);
      if (!aux_sym_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(12);
      if (lookahead == '\\') ADVANCE(60);
      if (!aux_sym_arg_identifier_token1_character_set_3(lookahead)) ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(12);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead == '}') ADVANCE(192);
      if (aux_sym_arg_identifier_token1_character_set_4(lookahead)) ADVANCE(44);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == ',') ADVANCE(192);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '{') ADVANCE(193);
      if (!aux_sym_pf_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(192);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '\\') ADVANCE(60);
      if (!aux_sym_arg_identifier_token1_character_set_3(lookahead)) ADVANCE(192);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym_spec_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == '{') ADVANCE(199);
      if (lookahead == ',' ||
          lookahead == ':') ADVANCE(198);
      if (!aux_sym_pf_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(198);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym_spec_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(63);
      if (!aux_sym_spec_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(198);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_spec_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(15);
      if (lookahead == '\\') ADVANCE(63);
      if (!aux_sym_spec_arg_identifier_token1_character_set_2(lookahead)) ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_spec_arg_identifier_token1);
      if (lookahead == '$') ADVANCE(15);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '}') ADVANCE(198);
      if (aux_sym_spec_arg_identifier_token1_character_set_3(lookahead)) ADVANCE(48);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym_double_quoted_arg_token1);
      if (lookahead == '\r') ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym_double_quoted_arg_token1);
      if (lookahead == '#') ADVANCE(200);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          (lookahead < '"' || '$' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(202);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(aux_sym_double_quoted_arg_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(aux_sym_double_quoted_arg_token2);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(aux_sym_double_quoted_arg_token2);
      if (lookahead == '(') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(aux_sym_double_quoted_arg_token3);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(aux_sym_double_quoted_arg_token3);
      if (lookahead == '\n' ||
          lookahead == '"' ||
          lookahead == '$' ||
          lookahead == '\\' ||
          lookahead == '`') ADVANCE(205);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_single_quoted_arg_token1);
      if (lookahead == '\r') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(208);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym_single_quoted_arg_token1);
      if (lookahead == '#') ADVANCE(208);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(210);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym_single_quoted_arg_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(210);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_single_quoted_arg_token2);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(aux_sym_single_quoted_arg_token2);
      if (lookahead == '\n' ||
          lookahead == '\'' ||
          lookahead == '\\') ADVANCE(211);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(aux_sym__dec_number_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(215);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(aux_sym__dec_number_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(216);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__comment);
      if (lookahead == '"') ADVANCE(218);
      if (lookahead == '\\') ADVANCE(219);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(217);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(218);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym__comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(217);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LF);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_CR);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 66, .external_lex_state = 2},
  [2] = {.lex_state = 66, .external_lex_state = 3},
  [3] = {.lex_state = 66, .external_lex_state = 3},
  [4] = {.lex_state = 66, .external_lex_state = 2},
  [5] = {.lex_state = 66, .external_lex_state = 2},
  [6] = {.lex_state = 66, .external_lex_state = 2},
  [7] = {.lex_state = 66, .external_lex_state = 2},
  [8] = {.lex_state = 66, .external_lex_state = 2},
  [9] = {.lex_state = 66, .external_lex_state = 2},
  [10] = {.lex_state = 66, .external_lex_state = 2},
  [11] = {.lex_state = 66, .external_lex_state = 2},
  [12] = {.lex_state = 66, .external_lex_state = 2},
  [13] = {.lex_state = 66, .external_lex_state = 2},
  [14] = {.lex_state = 66, .external_lex_state = 2},
  [15] = {.lex_state = 66, .external_lex_state = 2},
  [16] = {.lex_state = 66, .external_lex_state = 2},
  [17] = {.lex_state = 66, .external_lex_state = 2},
  [18] = {.lex_state = 66, .external_lex_state = 2},
  [19] = {.lex_state = 66, .external_lex_state = 2},
  [20] = {.lex_state = 66, .external_lex_state = 2},
  [21] = {.lex_state = 66, .external_lex_state = 2},
  [22] = {.lex_state = 66, .external_lex_state = 2},
  [23] = {.lex_state = 66, .external_lex_state = 2},
  [24] = {.lex_state = 66, .external_lex_state = 2},
  [25] = {.lex_state = 66, .external_lex_state = 2},
  [26] = {.lex_state = 66, .external_lex_state = 2},
  [27] = {.lex_state = 66, .external_lex_state = 2},
  [28] = {.lex_state = 66, .external_lex_state = 2},
  [29] = {.lex_state = 66, .external_lex_state = 2},
  [30] = {.lex_state = 66, .external_lex_state = 2},
  [31] = {.lex_state = 66, .external_lex_state = 2},
  [32] = {.lex_state = 66, .external_lex_state = 2},
  [33] = {.lex_state = 66, .external_lex_state = 2},
  [34] = {.lex_state = 66, .external_lex_state = 2},
  [35] = {.lex_state = 66, .external_lex_state = 2},
  [36] = {.lex_state = 66, .external_lex_state = 2},
  [37] = {.lex_state = 66, .external_lex_state = 2},
  [38] = {.lex_state = 66, .external_lex_state = 2},
  [39] = {.lex_state = 66, .external_lex_state = 2},
  [40] = {.lex_state = 66, .external_lex_state = 2},
  [41] = {.lex_state = 66, .external_lex_state = 2},
  [42] = {.lex_state = 67, .external_lex_state = 4},
  [43] = {.lex_state = 67, .external_lex_state = 4},
  [44] = {.lex_state = 67, .external_lex_state = 4},
  [45] = {.lex_state = 67, .external_lex_state = 4},
  [46] = {.lex_state = 67, .external_lex_state = 4},
  [47] = {.lex_state = 67, .external_lex_state = 4},
  [48] = {.lex_state = 67, .external_lex_state = 4},
  [49] = {.lex_state = 67, .external_lex_state = 4},
  [50] = {.lex_state = 67, .external_lex_state = 4},
  [51] = {.lex_state = 67, .external_lex_state = 4},
  [52] = {.lex_state = 67, .external_lex_state = 4},
  [53] = {.lex_state = 67, .external_lex_state = 4},
  [54] = {.lex_state = 67, .external_lex_state = 4},
  [55] = {.lex_state = 71, .external_lex_state = 5},
  [56] = {.lex_state = 67, .external_lex_state = 4},
  [57] = {.lex_state = 67, .external_lex_state = 4},
  [58] = {.lex_state = 67, .external_lex_state = 4},
  [59] = {.lex_state = 67, .external_lex_state = 4},
  [60] = {.lex_state = 67, .external_lex_state = 4},
  [61] = {.lex_state = 67, .external_lex_state = 4},
  [62] = {.lex_state = 67, .external_lex_state = 4},
  [63] = {.lex_state = 67, .external_lex_state = 4},
  [64] = {.lex_state = 67, .external_lex_state = 4},
  [65] = {.lex_state = 67, .external_lex_state = 4},
  [66] = {.lex_state = 67, .external_lex_state = 4},
  [67] = {.lex_state = 67, .external_lex_state = 4},
  [68] = {.lex_state = 71, .external_lex_state = 5},
  [69] = {.lex_state = 69, .external_lex_state = 4},
  [70] = {.lex_state = 72, .external_lex_state = 4},
  [71] = {.lex_state = 72, .external_lex_state = 4},
  [72] = {.lex_state = 67, .external_lex_state = 6},
  [73] = {.lex_state = 67, .external_lex_state = 7},
  [74] = {.lex_state = 67, .external_lex_state = 7},
  [75] = {.lex_state = 67, .external_lex_state = 6},
  [76] = {.lex_state = 67, .external_lex_state = 7},
  [77] = {.lex_state = 67, .external_lex_state = 6},
  [78] = {.lex_state = 67, .external_lex_state = 7},
  [79] = {.lex_state = 67, .external_lex_state = 6},
  [80] = {.lex_state = 67, .external_lex_state = 7},
  [81] = {.lex_state = 67, .external_lex_state = 7},
  [82] = {.lex_state = 67, .external_lex_state = 7},
  [83] = {.lex_state = 67, .external_lex_state = 6},
  [84] = {.lex_state = 67, .external_lex_state = 7},
  [85] = {.lex_state = 67, .external_lex_state = 7},
  [86] = {.lex_state = 67, .external_lex_state = 7},
  [87] = {.lex_state = 67, .external_lex_state = 7},
  [88] = {.lex_state = 67, .external_lex_state = 7},
  [89] = {.lex_state = 67, .external_lex_state = 7},
  [90] = {.lex_state = 72, .external_lex_state = 4},
  [91] = {.lex_state = 69, .external_lex_state = 4},
  [92] = {.lex_state = 71, .external_lex_state = 5},
  [93] = {.lex_state = 67, .external_lex_state = 4},
  [94] = {.lex_state = 67, .external_lex_state = 4},
  [95] = {.lex_state = 71, .external_lex_state = 5},
  [96] = {.lex_state = 71, .external_lex_state = 5},
  [97] = {.lex_state = 71, .external_lex_state = 5},
  [98] = {.lex_state = 72, .external_lex_state = 7},
  [99] = {.lex_state = 72, .external_lex_state = 7},
  [100] = {.lex_state = 71, .external_lex_state = 5},
  [101] = {.lex_state = 71, .external_lex_state = 5},
  [102] = {.lex_state = 71, .external_lex_state = 5},
  [103] = {.lex_state = 72, .external_lex_state = 7},
  [104] = {.lex_state = 71, .external_lex_state = 5},
  [105] = {.lex_state = 72, .external_lex_state = 7},
  [106] = {.lex_state = 72, .external_lex_state = 7},
  [107] = {.lex_state = 72, .external_lex_state = 7},
  [108] = {.lex_state = 72, .external_lex_state = 7},
  [109] = {.lex_state = 72, .external_lex_state = 7},
  [110] = {.lex_state = 72, .external_lex_state = 4},
  [111] = {.lex_state = 70, .external_lex_state = 4},
  [112] = {.lex_state = 70, .external_lex_state = 4},
  [113] = {.lex_state = 69, .external_lex_state = 4},
  [114] = {.lex_state = 73, .external_lex_state = 4},
  [115] = {.lex_state = 73, .external_lex_state = 4},
  [116] = {.lex_state = 66, .external_lex_state = 8},
  [117] = {.lex_state = 66, .external_lex_state = 8},
  [118] = {.lex_state = 66, .external_lex_state = 5},
  [119] = {.lex_state = 66, .external_lex_state = 5},
  [120] = {.lex_state = 66, .external_lex_state = 5},
  [121] = {.lex_state = 66, .external_lex_state = 8},
  [122] = {.lex_state = 0, .external_lex_state = 9},
  [123] = {.lex_state = 0, .external_lex_state = 9},
  [124] = {.lex_state = 66, .external_lex_state = 5},
  [125] = {.lex_state = 66, .external_lex_state = 5},
  [126] = {.lex_state = 0, .external_lex_state = 9},
  [127] = {.lex_state = 66, .external_lex_state = 5},
  [128] = {.lex_state = 0, .external_lex_state = 9},
  [129] = {.lex_state = 0, .external_lex_state = 9},
  [130] = {.lex_state = 0, .external_lex_state = 9},
  [131] = {.lex_state = 0, .external_lex_state = 9},
  [132] = {.lex_state = 66, .external_lex_state = 5},
  [133] = {.lex_state = 66, .external_lex_state = 5},
  [134] = {.lex_state = 66, .external_lex_state = 5},
  [135] = {.lex_state = 0, .external_lex_state = 8},
  [136] = {.lex_state = 70, .external_lex_state = 4},
  [137] = {.lex_state = 0, .external_lex_state = 4},
  [138] = {.lex_state = 70, .external_lex_state = 4},
  [139] = {.lex_state = 0, .external_lex_state = 9},
  [140] = {.lex_state = 0, .external_lex_state = 8},
  [141] = {.lex_state = 66, .external_lex_state = 5},
  [142] = {.lex_state = 66, .external_lex_state = 5},
  [143] = {.lex_state = 70, .external_lex_state = 4},
  [144] = {.lex_state = 0, .external_lex_state = 9},
  [145] = {.lex_state = 0, .external_lex_state = 4},
  [146] = {.lex_state = 66, .external_lex_state = 8},
  [147] = {.lex_state = 70, .external_lex_state = 4},
  [148] = {.lex_state = 67, .external_lex_state = 4},
  [149] = {.lex_state = 66, .external_lex_state = 5},
  [150] = {.lex_state = 0, .external_lex_state = 9},
  [151] = {.lex_state = 66, .external_lex_state = 8},
  [152] = {.lex_state = 0, .external_lex_state = 9},
  [153] = {.lex_state = 0, .external_lex_state = 9},
  [154] = {.lex_state = 0, .external_lex_state = 9},
  [155] = {.lex_state = 66, .external_lex_state = 8},
  [156] = {.lex_state = 66, .external_lex_state = 8},
  [157] = {.lex_state = 66, .external_lex_state = 8},
  [158] = {.lex_state = 0, .external_lex_state = 9},
  [159] = {.lex_state = 66, .external_lex_state = 8},
  [160] = {.lex_state = 0, .external_lex_state = 4},
  [161] = {.lex_state = 66, .external_lex_state = 8},
  [162] = {.lex_state = 73, .external_lex_state = 4},
  [163] = {.lex_state = 0, .external_lex_state = 8},
  [164] = {.lex_state = 70, .external_lex_state = 4},
  [165] = {.lex_state = 66, .external_lex_state = 4},
  [166] = {.lex_state = 66, .external_lex_state = 4},
  [167] = {.lex_state = 0, .external_lex_state = 4},
  [168] = {.lex_state = 0, .external_lex_state = 4},
  [169] = {.lex_state = 66, .external_lex_state = 4},
  [170] = {.lex_state = 0, .external_lex_state = 8},
  [171] = {.lex_state = 66, .external_lex_state = 4},
  [172] = {.lex_state = 66, .external_lex_state = 4},
  [173] = {.lex_state = 0, .external_lex_state = 7},
  [174] = {.lex_state = 0, .external_lex_state = 4},
  [175] = {.lex_state = 0, .external_lex_state = 4},
  [176] = {.lex_state = 0, .external_lex_state = 4},
  [177] = {.lex_state = 66, .external_lex_state = 4},
  [178] = {.lex_state = 0, .external_lex_state = 4},
  [179] = {.lex_state = 70, .external_lex_state = 4},
  [180] = {.lex_state = 70, .external_lex_state = 4},
  [181] = {.lex_state = 0, .external_lex_state = 4},
  [182] = {.lex_state = 0, .external_lex_state = 4},
  [183] = {.lex_state = 0, .external_lex_state = 4},
  [184] = {.lex_state = 0, .external_lex_state = 4},
  [185] = {.lex_state = 0, .external_lex_state = 4},
  [186] = {.lex_state = 0, .external_lex_state = 4},
  [187] = {.lex_state = 0, .external_lex_state = 4},
  [188] = {.lex_state = 0, .external_lex_state = 4},
  [189] = {.lex_state = 0, .external_lex_state = 4},
  [190] = {.lex_state = 0, .external_lex_state = 4},
  [191] = {.lex_state = 0, .external_lex_state = 4},
  [192] = {.lex_state = 0, .external_lex_state = 4},
  [193] = {.lex_state = 0, .external_lex_state = 4},
  [194] = {.lex_state = 0, .external_lex_state = 4},
  [195] = {.lex_state = 0, .external_lex_state = 4},
  [196] = {.lex_state = 0, .external_lex_state = 4},
  [197] = {.lex_state = 0, .external_lex_state = 4},
  [198] = {.lex_state = 0, .external_lex_state = 4},
  [199] = {.lex_state = 0, .external_lex_state = 4},
  [200] = {.lex_state = 0, .external_lex_state = 4},
  [201] = {.lex_state = 0, .external_lex_state = 4},
  [202] = {.lex_state = 0, .external_lex_state = 4},
  [203] = {.lex_state = 0, .external_lex_state = 4},
  [204] = {.lex_state = 0, .external_lex_state = 4},
  [205] = {.lex_state = 0, .external_lex_state = 4},
  [206] = {.lex_state = 0, .external_lex_state = 4},
  [207] = {.lex_state = 0, .external_lex_state = 4},
  [208] = {.lex_state = 0, .external_lex_state = 4},
  [209] = {.lex_state = 0, .external_lex_state = 4},
  [210] = {.lex_state = 0, .external_lex_state = 4},
  [211] = {.lex_state = 0, .external_lex_state = 4},
  [212] = {.lex_state = 0, .external_lex_state = 4},
  [213] = {.lex_state = 0, .external_lex_state = 4},
  [214] = {.lex_state = 0, .external_lex_state = 4},
  [215] = {.lex_state = 0, .external_lex_state = 4},
  [216] = {.lex_state = 0, .external_lex_state = 4},
  [217] = {.lex_state = 0, .external_lex_state = 4},
  [218] = {.lex_state = 0, .external_lex_state = 4},
  [219] = {.lex_state = 0, .external_lex_state = 4},
  [220] = {.lex_state = 0, .external_lex_state = 4},
  [221] = {.lex_state = 0, .external_lex_state = 4},
  [222] = {.lex_state = 0, .external_lex_state = 4},
  [223] = {.lex_state = 0, .external_lex_state = 4},
  [224] = {.lex_state = 0, .external_lex_state = 4},
  [225] = {.lex_state = 0, .external_lex_state = 4},
  [226] = {.lex_state = 0, .external_lex_state = 4},
  [227] = {.lex_state = 0, .external_lex_state = 4},
  [228] = {.lex_state = 0, .external_lex_state = 4},
  [229] = {.lex_state = 0, .external_lex_state = 4},
  [230] = {.lex_state = 0, .external_lex_state = 4},
  [231] = {.lex_state = 0, .external_lex_state = 4},
  [232] = {.lex_state = 0, .external_lex_state = 4},
  [233] = {.lex_state = 0, .external_lex_state = 4},
  [234] = {.lex_state = 0, .external_lex_state = 4},
  [235] = {.lex_state = 0, .external_lex_state = 4},
  [236] = {.lex_state = 0, .external_lex_state = 4},
  [237] = {.lex_state = 0, .external_lex_state = 4},
  [238] = {.lex_state = 0, .external_lex_state = 4},
  [239] = {.lex_state = 0, .external_lex_state = 4},
  [240] = {.lex_state = 0, .external_lex_state = 4},
  [241] = {.lex_state = 0, .external_lex_state = 4},
  [242] = {.lex_state = 65, .external_lex_state = 4},
  [243] = {.lex_state = 0, .external_lex_state = 4},
  [244] = {.lex_state = 0, .external_lex_state = 4},
  [245] = {.lex_state = 0, .external_lex_state = 4},
  [246] = {.lex_state = 0, .external_lex_state = 4},
  [247] = {.lex_state = 0, .external_lex_state = 4},
  [248] = {.lex_state = 0, .external_lex_state = 4},
  [249] = {.lex_state = 0, .external_lex_state = 4},
  [250] = {.lex_state = 0, .external_lex_state = 4},
  [251] = {.lex_state = 0, .external_lex_state = 4},
  [252] = {.lex_state = 0, .external_lex_state = 4},
  [253] = {.lex_state = 0, .external_lex_state = 4},
  [254] = {.lex_state = 0, .external_lex_state = 4},
  [255] = {.lex_state = 0, .external_lex_state = 4},
  [256] = {.lex_state = 0, .external_lex_state = 4},
  [257] = {.lex_state = 0, .external_lex_state = 5},
  [258] = {.lex_state = 0, .external_lex_state = 4},
  [259] = {.lex_state = 0, .external_lex_state = 4},
  [260] = {.lex_state = 0, .external_lex_state = 4},
  [261] = {.lex_state = 0, .external_lex_state = 4},
  [262] = {.lex_state = 0, .external_lex_state = 4},
  [263] = {.lex_state = 0, .external_lex_state = 4},
  [264] = {.lex_state = 0, .external_lex_state = 4},
  [265] = {.lex_state = 0, .external_lex_state = 4},
  [266] = {.lex_state = 0, .external_lex_state = 4},
  [267] = {.lex_state = 0, .external_lex_state = 4},
  [268] = {.lex_state = 66, .external_lex_state = 4},
  [269] = {.lex_state = 0, .external_lex_state = 5},
  [270] = {.lex_state = 65, .external_lex_state = 4},
  [271] = {.lex_state = 0, .external_lex_state = 4},
  [272] = {.lex_state = 0, .external_lex_state = 4},
  [273] = {.lex_state = 66, .external_lex_state = 2},
  [274] = {.lex_state = 66, .external_lex_state = 2},
  [275] = {.lex_state = 66, .external_lex_state = 2},
  [276] = {.lex_state = 68},
  [277] = {.lex_state = 68},
  [278] = {.lex_state = 68},
  [279] = {.lex_state = 68},
  [280] = {.lex_state = 68},
  [281] = {.lex_state = 68},
  [282] = {.lex_state = 68},
  [283] = {.lex_state = 68},
  [284] = {.lex_state = 68},
  [285] = {.lex_state = 68},
  [286] = {.lex_state = 68},
  [287] = {.lex_state = 68},
  [288] = {.lex_state = 68},
  [289] = {.lex_state = 68},
  [290] = {.lex_state = 68},
  [291] = {.lex_state = 68},
  [292] = {.lex_state = 68},
  [293] = {.lex_state = 68},
  [294] = {.lex_state = 68},
  [295] = {.lex_state = 68},
  [296] = {.lex_state = 68},
  [297] = {.lex_state = 68},
  [298] = {.lex_state = 68},
  [299] = {.lex_state = 68},
  [300] = {.lex_state = 68},
  [301] = {.lex_state = 68},
  [302] = {.lex_state = 68},
  [303] = {.lex_state = 68},
  [304] = {.lex_state = 68},
  [305] = {.lex_state = 68},
  [306] = {.lex_state = 68},
  [307] = {.lex_state = 68},
  [308] = {.lex_state = 68},
  [309] = {.lex_state = 68},
  [310] = {.lex_state = 68},
  [311] = {.lex_state = 68},
  [312] = {.lex_state = 68},
  [313] = {.lex_state = 68},
  [314] = {.lex_state = 68},
  [315] = {.lex_state = 68},
  [316] = {.lex_state = 68},
  [317] = {.lex_state = 68},
  [318] = {.lex_state = 68},
  [319] = {.lex_state = 68},
  [320] = {.lex_state = 68},
  [321] = {.lex_state = 68, .external_lex_state = 10},
  [322] = {.lex_state = 68, .external_lex_state = 10},
  [323] = {.lex_state = 68, .external_lex_state = 10},
  [324] = {.lex_state = 68},
  [325] = {.lex_state = 68},
  [326] = {.lex_state = 68, .external_lex_state = 10},
  [327] = {.lex_state = 68, .external_lex_state = 10},
  [328] = {.lex_state = 68, .external_lex_state = 10},
  [329] = {.lex_state = 68, .external_lex_state = 10},
  [330] = {.lex_state = 68, .external_lex_state = 10},
  [331] = {.lex_state = 68},
  [332] = {.lex_state = 68, .external_lex_state = 10},
  [333] = {.lex_state = 68, .external_lex_state = 10},
  [334] = {.lex_state = 68},
  [335] = {.lex_state = 68, .external_lex_state = 10},
  [336] = {.lex_state = 68},
  [337] = {.lex_state = 68, .external_lex_state = 10},
  [338] = {.lex_state = 68, .external_lex_state = 10},
  [339] = {.lex_state = 6},
  [340] = {.lex_state = 6},
  [341] = {.lex_state = 6},
  [342] = {.lex_state = 68},
  [343] = {.lex_state = 6},
  [344] = {.lex_state = 6},
  [345] = {.lex_state = 6},
  [346] = {.lex_state = 6},
  [347] = {.lex_state = 6},
  [348] = {.lex_state = 6},
  [349] = {.lex_state = 6},
  [350] = {.lex_state = 2},
  [351] = {.lex_state = 7},
  [352] = {.lex_state = 7},
  [353] = {.lex_state = 7},
  [354] = {.lex_state = 7},
  [355] = {.lex_state = 6},
  [356] = {.lex_state = 2},
  [357] = {.lex_state = 6},
  [358] = {.lex_state = 7},
  [359] = {.lex_state = 3},
  [360] = {.lex_state = 3},
  [361] = {.lex_state = 3},
  [362] = {.lex_state = 68},
  [363] = {.lex_state = 3},
  [364] = {.lex_state = 3},
  [365] = {.lex_state = 68},
  [366] = {.lex_state = 3},
  [367] = {.lex_state = 6, .external_lex_state = 10},
  [368] = {.lex_state = 3},
  [369] = {.lex_state = 68},
  [370] = {.lex_state = 6, .external_lex_state = 10},
  [371] = {.lex_state = 6, .external_lex_state = 10},
  [372] = {.lex_state = 68},
  [373] = {.lex_state = 3},
  [374] = {.lex_state = 3},
  [375] = {.lex_state = 68},
  [376] = {.lex_state = 3},
  [377] = {.lex_state = 3},
  [378] = {.lex_state = 3},
  [379] = {.lex_state = 3},
  [380] = {.lex_state = 7},
  [381] = {.lex_state = 6, .external_lex_state = 10},
  [382] = {.lex_state = 6, .external_lex_state = 10},
  [383] = {.lex_state = 6, .external_lex_state = 10},
  [384] = {.lex_state = 6, .external_lex_state = 10},
  [385] = {.lex_state = 6, .external_lex_state = 10},
  [386] = {.lex_state = 6, .external_lex_state = 10},
  [387] = {.lex_state = 4},
  [388] = {.lex_state = 6, .external_lex_state = 10},
  [389] = {.lex_state = 7},
  [390] = {.lex_state = 6, .external_lex_state = 10},
  [391] = {.lex_state = 4},
  [392] = {.lex_state = 4},
  [393] = {.lex_state = 6, .external_lex_state = 10},
  [394] = {.lex_state = 3},
  [395] = {.lex_state = 3},
  [396] = {.lex_state = 6},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 6, .external_lex_state = 10},
  [399] = {.lex_state = 6, .external_lex_state = 10},
  [400] = {.lex_state = 6, .external_lex_state = 10},
  [401] = {.lex_state = 6, .external_lex_state = 10},
  [402] = {.lex_state = 6, .external_lex_state = 10},
  [403] = {.lex_state = 6, .external_lex_state = 10},
  [404] = {.lex_state = 6, .external_lex_state = 10},
  [405] = {.lex_state = 0},
  [406] = {.lex_state = 0},
  [407] = {.lex_state = 0},
  [408] = {.lex_state = 6},
  [409] = {.lex_state = 0},
  [410] = {.lex_state = 0},
  [411] = {.lex_state = 8},
  [412] = {.lex_state = 10},
  [413] = {.lex_state = 10},
  [414] = {.lex_state = 10},
  [415] = {.lex_state = 0},
  [416] = {.lex_state = 10},
  [417] = {.lex_state = 10},
  [418] = {.lex_state = 10},
  [419] = {.lex_state = 10},
  [420] = {.lex_state = 10},
  [421] = {.lex_state = 10},
  [422] = {.lex_state = 10},
  [423] = {.lex_state = 10},
  [424] = {.lex_state = 10},
  [425] = {.lex_state = 10},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 0},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 0, .external_lex_state = 11},
  [430] = {.lex_state = 0},
  [431] = {.lex_state = 0},
  [432] = {.lex_state = 5},
  [433] = {.lex_state = 0},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 0},
  [436] = {.lex_state = 0},
  [437] = {.lex_state = 0, .external_lex_state = 11},
  [438] = {.lex_state = 0},
  [439] = {.lex_state = 8},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 0},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 0, .external_lex_state = 11},
  [445] = {.lex_state = 0, .external_lex_state = 11},
  [446] = {.lex_state = 66},
  [447] = {.lex_state = 0},
  [448] = {.lex_state = 0, .external_lex_state = 11},
  [449] = {.lex_state = 0, .external_lex_state = 12},
  [450] = {.lex_state = 0, .external_lex_state = 11},
  [451] = {.lex_state = 0, .external_lex_state = 11},
  [452] = {.lex_state = 0, .external_lex_state = 11},
  [453] = {.lex_state = 0, .external_lex_state = 11},
  [454] = {.lex_state = 0, .external_lex_state = 11},
  [455] = {.lex_state = 0, .external_lex_state = 11},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 66},
  [459] = {.lex_state = 9},
  [460] = {.lex_state = 0, .external_lex_state = 11},
  [461] = {.lex_state = 0},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 0},
  [464] = {.lex_state = 0},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 0},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 0},
  [472] = {.lex_state = 0},
  [473] = {.lex_state = 0},
  [474] = {.lex_state = 0},
  [475] = {.lex_state = 0},
  [476] = {.lex_state = 0},
  [477] = {.lex_state = 0},
  [478] = {.lex_state = 0},
  [479] = {.lex_state = 0, .external_lex_state = 12},
  [480] = {.lex_state = 0},
  [481] = {.lex_state = 0},
  [482] = {.lex_state = 0, .external_lex_state = 10},
  [483] = {.lex_state = 7},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 0},
  [486] = {.lex_state = 0},
  [487] = {.lex_state = 0},
  [488] = {.lex_state = 0},
  [489] = {.lex_state = 0, .external_lex_state = 10},
  [490] = {.lex_state = 11},
  [491] = {.lex_state = 0},
  [492] = {.lex_state = 0},
  [493] = {.lex_state = 0},
  [494] = {.lex_state = 0},
  [495] = {.lex_state = 0},
  [496] = {.lex_state = 0},
  [497] = {.lex_state = 0},
  [498] = {.lex_state = 0, .external_lex_state = 13},
  [499] = {.lex_state = 0},
  [500] = {.lex_state = 0},
  [501] = {.lex_state = 0, .external_lex_state = 10},
  [502] = {.lex_state = 0},
  [503] = {.lex_state = 0},
  [504] = {.lex_state = 0, .external_lex_state = 13},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 0},
  [507] = {.lex_state = 0},
  [508] = {.lex_state = 0, .external_lex_state = 13},
};

enum {
  ts_external_token__cmd_identifier = 0,
  ts_external_token__help_stmt = 1,
  ts_external_token_file_descriptor = 2,
  ts_external_token__eq_sep_concat = 3,
  ts_external_token__concat = 4,
  ts_external_token__concat_pf_dot = 5,
  ts_external_token__spec_sep = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__cmd_identifier] = sym__cmd_identifier,
  [ts_external_token__help_stmt] = sym__help_stmt,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__eq_sep_concat] = sym__eq_sep_concat,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token__concat_pf_dot] = sym__concat_pf_dot,
  [ts_external_token__spec_sep] = sym__spec_sep,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__cmd_identifier] = true,
    [ts_external_token__help_stmt] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__eq_sep_concat] = true,
    [ts_external_token__concat] = true,
    [ts_external_token__concat_pf_dot] = true,
    [ts_external_token__spec_sep] = true,
  },
  [2] = {
    [ts_external_token__cmd_identifier] = true,
    [ts_external_token__help_stmt] = true,
  },
  [3] = {
    [ts_external_token__cmd_identifier] = true,
    [ts_external_token__help_stmt] = true,
    [ts_external_token_file_descriptor] = true,
  },
  [4] = {
    [ts_external_token_file_descriptor] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat_pf_dot] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__spec_sep] = true,
  },
  [7] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__eq_sep_concat] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__eq_sep_concat] = true,
    [ts_external_token__concat] = true,
  },
  [10] = {
    [ts_external_token__concat] = true,
  },
  [11] = {
    [ts_external_token__eq_sep_concat] = true,
    [ts_external_token__concat] = true,
  },
  [12] = {
    [ts_external_token__eq_sep_concat] = true,
  },
  [13] = {
    [ts_external_token__concat_pf_dot] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PIPEH] = ACTIONS(1),
    [anon_sym_AT_AT_DOT] = ACTIONS(1),
    [anon_sym_AT_AT_EQ] = ACTIONS(1),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(1),
    [anon_sym_AT_AT] = ACTIONS(1),
    [anon_sym_AT_ATc_COLON] = ACTIONS(1),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(1),
    [anon_sym_AT_ATC] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_AT_ATdbt] = ACTIONS(1),
    [anon_sym_AT_ATdbta] = ACTIONS(1),
    [anon_sym_AT_ATdbtb] = ACTIONS(1),
    [anon_sym_AT_ATdbts] = ACTIONS(1),
    [anon_sym_AT_ATt] = ACTIONS(1),
    [anon_sym_AT_ATb] = ACTIONS(1),
    [anon_sym_AT_ATi] = ACTIONS(1),
    [anon_sym_AT_ATii] = ACTIONS(1),
    [anon_sym_AT_ATiS] = ACTIONS(1),
    [anon_sym_AT_ATiSS] = ACTIONS(1),
    [anon_sym_AT_ATis] = ACTIONS(1),
    [anon_sym_AT_ATiz] = ACTIONS(1),
    [anon_sym_AT_ATf] = ACTIONS(1),
    [anon_sym_AT_ATF] = ACTIONS(1),
    [anon_sym_AT_ATom] = ACTIONS(1),
    [anon_sym_AT_ATdm] = ACTIONS(1),
    [anon_sym_AT_ATr] = ACTIONS(1),
    [anon_sym_AT_ATs_COLON] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_AT_BANG] = ACTIONS(1),
    [anon_sym_AT_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_ATa_COLON] = ACTIONS(1),
    [anon_sym_ATb_COLON] = ACTIONS(1),
    [anon_sym_ATB_COLON] = ACTIONS(1),
    [anon_sym_ATe_COLON] = ACTIONS(1),
    [anon_sym_ATF_COLON] = ACTIONS(1),
    [anon_sym_ATi_COLON] = ACTIONS(1),
    [anon_sym_ATk_COLON] = ACTIONS(1),
    [anon_sym_ATo_COLON] = ACTIONS(1),
    [anon_sym_ATr_COLON] = ACTIONS(1),
    [anon_sym_ATf_COLON] = ACTIONS(1),
    [anon_sym_ATs_COLON] = ACTIONS(1),
    [anon_sym_ATv_COLON] = ACTIONS(1),
    [anon_sym_ATx_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(1),
    [anon_sym_LPAREN_STAR] = ACTIONS(1),
    [anon_sym_LPAREN_DASH] = ACTIONS(1),
    [aux_sym__search_stmt_token1] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_PIPE_DOT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [sym_question_mark_identifier] = ACTIONS(1),
    [sym_pointer_identifier] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [sym_html_redirect_operator] = ACTIONS(1),
    [sym_html_append_operator] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_tmp_eval_arg_token1] = ACTIONS(1),
    [aux_sym_double_quoted_arg_token3] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(1),
    [anon_sym_CR] = ACTIONS(1),
    [sym__cmd_identifier] = ACTIONS(1),
    [sym__help_stmt] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__eq_sep_concat] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym__concat_pf_dot] = ACTIONS(1),
    [sym__spec_sep] = ACTIONS(1),
  },
  [1] = {
    [sym_statements] = STATE(493),
    [sym__statement] = STATE(409),
    [sym_legacy_quoted_stmt] = STATE(167),
    [sym__simple_stmt] = STATE(167),
    [sym__tmp_stmt] = STATE(167),
    [sym__iter_stmt] = STATE(167),
    [sym__pipe_stmt] = STATE(167),
    [sym_grep_stmt] = STATE(167),
    [sym_html_disable_stmt] = STATE(167),
    [sym_html_enable_stmt] = STATE(167),
    [sym_pipe_stmt] = STATE(167),
    [sym_iter_file_lines_stmt] = STATE(167),
    [sym_iter_offsets_stmt] = STATE(167),
    [sym_iter_offsetssizes_stmt] = STATE(167),
    [sym_iter_hit_stmt] = STATE(167),
    [sym_iter_interpret_stmt] = STATE(167),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(167),
    [sym_iter_comment_stmt] = STATE(167),
    [sym_iter_dbta_stmt] = STATE(167),
    [sym_iter_dbtb_stmt] = STATE(167),
    [sym_iter_dbts_stmt] = STATE(167),
    [sym_iter_threads_stmt] = STATE(167),
    [sym_iter_bbs_stmt] = STATE(167),
    [sym_iter_instrs_stmt] = STATE(167),
    [sym_iter_import_stmt] = STATE(167),
    [sym_iter_sections_stmt] = STATE(167),
    [sym_iter_segments_stmt] = STATE(167),
    [sym_iter_symbol_stmt] = STATE(167),
    [sym_iter_string_stmt] = STATE(167),
    [sym_iter_flags_stmt] = STATE(167),
    [sym_iter_function_stmt] = STATE(167),
    [sym_iter_iomap_stmt] = STATE(167),
    [sym_iter_dbgmap_stmt] = STATE(167),
    [sym_iter_register_stmt] = STATE(167),
    [sym_iter_step_stmt] = STATE(167),
    [sym_tmp_seek_stmt] = STATE(167),
    [sym_tmp_blksz_stmt] = STATE(167),
    [sym_tmp_fromto_stmt] = STATE(167),
    [sym_tmp_arch_stmt] = STATE(167),
    [sym_tmp_bits_stmt] = STATE(167),
    [sym_tmp_nthi_stmt] = STATE(167),
    [sym_tmp_eval_stmt] = STATE(167),
    [sym_tmp_fs_stmt] = STATE(167),
    [sym_tmp_reli_stmt] = STATE(167),
    [sym_tmp_kuery_stmt] = STATE(167),
    [sym_tmp_fd_stmt] = STATE(167),
    [sym_tmp_reg_stmt] = STATE(167),
    [sym_tmp_file_stmt] = STATE(167),
    [sym_tmp_string_stmt] = STATE(167),
    [sym_tmp_value_stmt] = STATE(167),
    [sym_tmp_hex_stmt] = STATE(167),
    [sym_help_stmt] = STATE(167),
    [sym_macro_stmt] = STATE(167),
    [sym_arged_stmt] = STATE(167),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(167),
    [sym_Cf_cmd] = STATE(167),
    [sym_pf_new_cmd] = STATE(167),
    [sym_pf_dot_cmd] = STATE(167),
    [sym_pf_cmd] = STATE(167),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(167),
    [sym_redirect_stmt] = STATE(409),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym_statements_repeat1] = STATE(4),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(9),
    [anon_sym_CR] = ACTIONS(9),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [2] = {
    [sym_legacy_quoted_stmt] = STATE(232),
    [sym__simple_stmt] = STATE(232),
    [sym__tmp_stmt] = STATE(232),
    [sym__iter_stmt] = STATE(232),
    [sym__pipe_stmt] = STATE(232),
    [sym_grep_stmt] = STATE(232),
    [sym_html_disable_stmt] = STATE(232),
    [sym_html_enable_stmt] = STATE(232),
    [sym_pipe_stmt] = STATE(232),
    [sym_iter_file_lines_stmt] = STATE(232),
    [sym_iter_offsets_stmt] = STATE(232),
    [sym_iter_offsetssizes_stmt] = STATE(232),
    [sym_iter_hit_stmt] = STATE(232),
    [sym_iter_interpret_stmt] = STATE(232),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(232),
    [sym_iter_comment_stmt] = STATE(232),
    [sym_iter_dbta_stmt] = STATE(232),
    [sym_iter_dbtb_stmt] = STATE(232),
    [sym_iter_dbts_stmt] = STATE(232),
    [sym_iter_threads_stmt] = STATE(232),
    [sym_iter_bbs_stmt] = STATE(232),
    [sym_iter_instrs_stmt] = STATE(232),
    [sym_iter_import_stmt] = STATE(232),
    [sym_iter_sections_stmt] = STATE(232),
    [sym_iter_segments_stmt] = STATE(232),
    [sym_iter_symbol_stmt] = STATE(232),
    [sym_iter_string_stmt] = STATE(232),
    [sym_iter_flags_stmt] = STATE(232),
    [sym_iter_function_stmt] = STATE(232),
    [sym_iter_iomap_stmt] = STATE(232),
    [sym_iter_dbgmap_stmt] = STATE(232),
    [sym_iter_register_stmt] = STATE(232),
    [sym_iter_step_stmt] = STATE(232),
    [sym_tmp_seek_stmt] = STATE(232),
    [sym_tmp_blksz_stmt] = STATE(232),
    [sym_tmp_fromto_stmt] = STATE(232),
    [sym_tmp_arch_stmt] = STATE(232),
    [sym_tmp_bits_stmt] = STATE(232),
    [sym_tmp_nthi_stmt] = STATE(232),
    [sym_tmp_eval_stmt] = STATE(232),
    [sym_tmp_fs_stmt] = STATE(232),
    [sym_tmp_reli_stmt] = STATE(232),
    [sym_tmp_kuery_stmt] = STATE(232),
    [sym_tmp_fd_stmt] = STATE(232),
    [sym_tmp_reg_stmt] = STATE(232),
    [sym_tmp_file_stmt] = STATE(232),
    [sym_tmp_string_stmt] = STATE(232),
    [sym_tmp_value_stmt] = STATE(232),
    [sym_tmp_hex_stmt] = STATE(232),
    [sym_help_stmt] = STATE(232),
    [sym_macro_stmt] = STATE(232),
    [sym_arged_stmt] = STATE(232),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(232),
    [sym_Cf_cmd] = STATE(232),
    [sym_pf_new_cmd] = STATE(232),
    [sym_pf_dot_cmd] = STATE(232),
    [sym_pf_cmd] = STATE(232),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(232),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [ts_builtin_sym_end] = ACTIONS(55),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(57),
    [anon_sym_PIPEH] = ACTIONS(55),
    [anon_sym_AT_AT_DOT] = ACTIONS(55),
    [anon_sym_AT_AT_EQ] = ACTIONS(55),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(55),
    [anon_sym_AT_AT] = ACTIONS(57),
    [anon_sym_AT_ATc_COLON] = ACTIONS(55),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(55),
    [anon_sym_AT_ATC] = ACTIONS(55),
    [anon_sym_AT_ATdbt] = ACTIONS(57),
    [anon_sym_AT_ATdbta] = ACTIONS(55),
    [anon_sym_AT_ATdbtb] = ACTIONS(55),
    [anon_sym_AT_ATdbts] = ACTIONS(55),
    [anon_sym_AT_ATt] = ACTIONS(55),
    [anon_sym_AT_ATb] = ACTIONS(55),
    [anon_sym_AT_ATi] = ACTIONS(57),
    [anon_sym_AT_ATii] = ACTIONS(55),
    [anon_sym_AT_ATiS] = ACTIONS(57),
    [anon_sym_AT_ATiSS] = ACTIONS(55),
    [anon_sym_AT_ATis] = ACTIONS(55),
    [anon_sym_AT_ATiz] = ACTIONS(55),
    [anon_sym_AT_ATf] = ACTIONS(55),
    [anon_sym_AT_ATF] = ACTIONS(55),
    [anon_sym_AT_ATom] = ACTIONS(55),
    [anon_sym_AT_ATdm] = ACTIONS(55),
    [anon_sym_AT_ATr] = ACTIONS(55),
    [anon_sym_AT_ATs_COLON] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_AT_BANG] = ACTIONS(55),
    [anon_sym_AT_LPAREN] = ACTIONS(55),
    [anon_sym_RPAREN] = ACTIONS(55),
    [anon_sym_ATa_COLON] = ACTIONS(55),
    [anon_sym_ATb_COLON] = ACTIONS(55),
    [anon_sym_ATB_COLON] = ACTIONS(55),
    [anon_sym_ATe_COLON] = ACTIONS(55),
    [anon_sym_ATF_COLON] = ACTIONS(55),
    [anon_sym_ATi_COLON] = ACTIONS(55),
    [anon_sym_ATk_COLON] = ACTIONS(55),
    [anon_sym_ATo_COLON] = ACTIONS(55),
    [anon_sym_ATr_COLON] = ACTIONS(55),
    [anon_sym_ATf_COLON] = ACTIONS(55),
    [anon_sym_ATs_COLON] = ACTIONS(55),
    [anon_sym_ATv_COLON] = ACTIONS(55),
    [anon_sym_ATx_COLON] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_PIPE_DOT] = ACTIONS(55),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [anon_sym_GT] = ACTIONS(57),
    [anon_sym_GT_GT] = ACTIONS(55),
    [sym_html_redirect_operator] = ACTIONS(57),
    [sym_html_append_operator] = ACTIONS(55),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(55),
    [anon_sym_CR] = ACTIONS(55),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
    [sym_file_descriptor] = ACTIONS(55),
  },
  [3] = {
    [sym_legacy_quoted_stmt] = STATE(232),
    [sym__simple_stmt] = STATE(232),
    [sym__tmp_stmt] = STATE(232),
    [sym__iter_stmt] = STATE(232),
    [sym__pipe_stmt] = STATE(232),
    [sym_grep_stmt] = STATE(232),
    [sym_html_disable_stmt] = STATE(232),
    [sym_html_enable_stmt] = STATE(232),
    [sym_pipe_stmt] = STATE(232),
    [sym_iter_file_lines_stmt] = STATE(232),
    [sym_iter_offsets_stmt] = STATE(232),
    [sym_iter_offsetssizes_stmt] = STATE(232),
    [sym_iter_hit_stmt] = STATE(232),
    [sym_iter_interpret_stmt] = STATE(232),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(232),
    [sym_iter_comment_stmt] = STATE(232),
    [sym_iter_dbta_stmt] = STATE(232),
    [sym_iter_dbtb_stmt] = STATE(232),
    [sym_iter_dbts_stmt] = STATE(232),
    [sym_iter_threads_stmt] = STATE(232),
    [sym_iter_bbs_stmt] = STATE(232),
    [sym_iter_instrs_stmt] = STATE(232),
    [sym_iter_import_stmt] = STATE(232),
    [sym_iter_sections_stmt] = STATE(232),
    [sym_iter_segments_stmt] = STATE(232),
    [sym_iter_symbol_stmt] = STATE(232),
    [sym_iter_string_stmt] = STATE(232),
    [sym_iter_flags_stmt] = STATE(232),
    [sym_iter_function_stmt] = STATE(232),
    [sym_iter_iomap_stmt] = STATE(232),
    [sym_iter_dbgmap_stmt] = STATE(232),
    [sym_iter_register_stmt] = STATE(232),
    [sym_iter_step_stmt] = STATE(232),
    [sym_tmp_seek_stmt] = STATE(232),
    [sym_tmp_blksz_stmt] = STATE(232),
    [sym_tmp_fromto_stmt] = STATE(232),
    [sym_tmp_arch_stmt] = STATE(232),
    [sym_tmp_bits_stmt] = STATE(232),
    [sym_tmp_nthi_stmt] = STATE(232),
    [sym_tmp_eval_stmt] = STATE(232),
    [sym_tmp_fs_stmt] = STATE(232),
    [sym_tmp_reli_stmt] = STATE(232),
    [sym_tmp_kuery_stmt] = STATE(232),
    [sym_tmp_fd_stmt] = STATE(232),
    [sym_tmp_reg_stmt] = STATE(232),
    [sym_tmp_file_stmt] = STATE(232),
    [sym_tmp_string_stmt] = STATE(232),
    [sym_tmp_value_stmt] = STATE(232),
    [sym_tmp_hex_stmt] = STATE(232),
    [sym_help_stmt] = STATE(232),
    [sym_macro_stmt] = STATE(232),
    [sym_arged_stmt] = STATE(232),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(232),
    [sym_Cf_cmd] = STATE(232),
    [sym_pf_new_cmd] = STATE(232),
    [sym_pf_dot_cmd] = STATE(232),
    [sym_pf_cmd] = STATE(232),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(232),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_PIPE] = ACTIONS(57),
    [anon_sym_PIPEH] = ACTIONS(55),
    [anon_sym_AT_AT_DOT] = ACTIONS(55),
    [anon_sym_AT_AT_EQ] = ACTIONS(55),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(55),
    [anon_sym_AT_AT] = ACTIONS(57),
    [anon_sym_AT_ATc_COLON] = ACTIONS(55),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(55),
    [anon_sym_AT_ATC] = ACTIONS(55),
    [anon_sym_AT_ATdbt] = ACTIONS(57),
    [anon_sym_AT_ATdbta] = ACTIONS(55),
    [anon_sym_AT_ATdbtb] = ACTIONS(55),
    [anon_sym_AT_ATdbts] = ACTIONS(55),
    [anon_sym_AT_ATt] = ACTIONS(55),
    [anon_sym_AT_ATb] = ACTIONS(55),
    [anon_sym_AT_ATi] = ACTIONS(57),
    [anon_sym_AT_ATii] = ACTIONS(55),
    [anon_sym_AT_ATiS] = ACTIONS(57),
    [anon_sym_AT_ATiSS] = ACTIONS(55),
    [anon_sym_AT_ATis] = ACTIONS(55),
    [anon_sym_AT_ATiz] = ACTIONS(55),
    [anon_sym_AT_ATf] = ACTIONS(55),
    [anon_sym_AT_ATF] = ACTIONS(55),
    [anon_sym_AT_ATom] = ACTIONS(55),
    [anon_sym_AT_ATdm] = ACTIONS(55),
    [anon_sym_AT_ATr] = ACTIONS(55),
    [anon_sym_AT_ATs_COLON] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(55),
    [anon_sym_AT_BANG] = ACTIONS(55),
    [anon_sym_AT_LPAREN] = ACTIONS(55),
    [anon_sym_ATa_COLON] = ACTIONS(55),
    [anon_sym_ATb_COLON] = ACTIONS(55),
    [anon_sym_ATB_COLON] = ACTIONS(55),
    [anon_sym_ATe_COLON] = ACTIONS(55),
    [anon_sym_ATF_COLON] = ACTIONS(55),
    [anon_sym_ATi_COLON] = ACTIONS(55),
    [anon_sym_ATk_COLON] = ACTIONS(55),
    [anon_sym_ATo_COLON] = ACTIONS(55),
    [anon_sym_ATr_COLON] = ACTIONS(55),
    [anon_sym_ATf_COLON] = ACTIONS(55),
    [anon_sym_ATs_COLON] = ACTIONS(55),
    [anon_sym_ATv_COLON] = ACTIONS(55),
    [anon_sym_ATx_COLON] = ACTIONS(55),
    [anon_sym_SEMI] = ACTIONS(55),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_PIPE_DOT] = ACTIONS(55),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [anon_sym_GT] = ACTIONS(57),
    [anon_sym_GT_GT] = ACTIONS(55),
    [sym_html_redirect_operator] = ACTIONS(57),
    [sym_html_append_operator] = ACTIONS(55),
    [anon_sym_BQUOTE] = ACTIONS(55),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
    [sym_file_descriptor] = ACTIONS(55),
  },
  [4] = {
    [sym__statement] = STATE(405),
    [sym_legacy_quoted_stmt] = STATE(167),
    [sym__simple_stmt] = STATE(167),
    [sym__tmp_stmt] = STATE(167),
    [sym__iter_stmt] = STATE(167),
    [sym__pipe_stmt] = STATE(167),
    [sym_grep_stmt] = STATE(167),
    [sym_html_disable_stmt] = STATE(167),
    [sym_html_enable_stmt] = STATE(167),
    [sym_pipe_stmt] = STATE(167),
    [sym_iter_file_lines_stmt] = STATE(167),
    [sym_iter_offsets_stmt] = STATE(167),
    [sym_iter_offsetssizes_stmt] = STATE(167),
    [sym_iter_hit_stmt] = STATE(167),
    [sym_iter_interpret_stmt] = STATE(167),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(167),
    [sym_iter_comment_stmt] = STATE(167),
    [sym_iter_dbta_stmt] = STATE(167),
    [sym_iter_dbtb_stmt] = STATE(167),
    [sym_iter_dbts_stmt] = STATE(167),
    [sym_iter_threads_stmt] = STATE(167),
    [sym_iter_bbs_stmt] = STATE(167),
    [sym_iter_instrs_stmt] = STATE(167),
    [sym_iter_import_stmt] = STATE(167),
    [sym_iter_sections_stmt] = STATE(167),
    [sym_iter_segments_stmt] = STATE(167),
    [sym_iter_symbol_stmt] = STATE(167),
    [sym_iter_string_stmt] = STATE(167),
    [sym_iter_flags_stmt] = STATE(167),
    [sym_iter_function_stmt] = STATE(167),
    [sym_iter_iomap_stmt] = STATE(167),
    [sym_iter_dbgmap_stmt] = STATE(167),
    [sym_iter_register_stmt] = STATE(167),
    [sym_iter_step_stmt] = STATE(167),
    [sym_tmp_seek_stmt] = STATE(167),
    [sym_tmp_blksz_stmt] = STATE(167),
    [sym_tmp_fromto_stmt] = STATE(167),
    [sym_tmp_arch_stmt] = STATE(167),
    [sym_tmp_bits_stmt] = STATE(167),
    [sym_tmp_nthi_stmt] = STATE(167),
    [sym_tmp_eval_stmt] = STATE(167),
    [sym_tmp_fs_stmt] = STATE(167),
    [sym_tmp_reli_stmt] = STATE(167),
    [sym_tmp_kuery_stmt] = STATE(167),
    [sym_tmp_fd_stmt] = STATE(167),
    [sym_tmp_reg_stmt] = STATE(167),
    [sym_tmp_file_stmt] = STATE(167),
    [sym_tmp_string_stmt] = STATE(167),
    [sym_tmp_value_stmt] = STATE(167),
    [sym_tmp_hex_stmt] = STATE(167),
    [sym_help_stmt] = STATE(167),
    [sym_macro_stmt] = STATE(167),
    [sym_arged_stmt] = STATE(167),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(167),
    [sym_Cf_cmd] = STATE(167),
    [sym_pf_new_cmd] = STATE(167),
    [sym_pf_dot_cmd] = STATE(167),
    [sym_pf_cmd] = STATE(167),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(167),
    [sym_redirect_stmt] = STATE(405),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym_statements_repeat1] = STATE(273),
    [ts_builtin_sym_end] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(85),
    [anon_sym_CR] = ACTIONS(85),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [5] = {
    [sym__statement] = STATE(415),
    [sym_legacy_quoted_stmt] = STATE(167),
    [sym__simple_stmt] = STATE(167),
    [sym__tmp_stmt] = STATE(167),
    [sym__iter_stmt] = STATE(167),
    [sym__pipe_stmt] = STATE(167),
    [sym_grep_stmt] = STATE(167),
    [sym_html_disable_stmt] = STATE(167),
    [sym_html_enable_stmt] = STATE(167),
    [sym_pipe_stmt] = STATE(167),
    [sym_iter_file_lines_stmt] = STATE(167),
    [sym_iter_offsets_stmt] = STATE(167),
    [sym_iter_offsetssizes_stmt] = STATE(167),
    [sym_iter_hit_stmt] = STATE(167),
    [sym_iter_interpret_stmt] = STATE(167),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(167),
    [sym_iter_comment_stmt] = STATE(167),
    [sym_iter_dbta_stmt] = STATE(167),
    [sym_iter_dbtb_stmt] = STATE(167),
    [sym_iter_dbts_stmt] = STATE(167),
    [sym_iter_threads_stmt] = STATE(167),
    [sym_iter_bbs_stmt] = STATE(167),
    [sym_iter_instrs_stmt] = STATE(167),
    [sym_iter_import_stmt] = STATE(167),
    [sym_iter_sections_stmt] = STATE(167),
    [sym_iter_segments_stmt] = STATE(167),
    [sym_iter_symbol_stmt] = STATE(167),
    [sym_iter_string_stmt] = STATE(167),
    [sym_iter_flags_stmt] = STATE(167),
    [sym_iter_function_stmt] = STATE(167),
    [sym_iter_iomap_stmt] = STATE(167),
    [sym_iter_dbgmap_stmt] = STATE(167),
    [sym_iter_register_stmt] = STATE(167),
    [sym_iter_step_stmt] = STATE(167),
    [sym_tmp_seek_stmt] = STATE(167),
    [sym_tmp_blksz_stmt] = STATE(167),
    [sym_tmp_fromto_stmt] = STATE(167),
    [sym_tmp_arch_stmt] = STATE(167),
    [sym_tmp_bits_stmt] = STATE(167),
    [sym_tmp_nthi_stmt] = STATE(167),
    [sym_tmp_eval_stmt] = STATE(167),
    [sym_tmp_fs_stmt] = STATE(167),
    [sym_tmp_reli_stmt] = STATE(167),
    [sym_tmp_kuery_stmt] = STATE(167),
    [sym_tmp_fd_stmt] = STATE(167),
    [sym_tmp_reg_stmt] = STATE(167),
    [sym_tmp_file_stmt] = STATE(167),
    [sym_tmp_string_stmt] = STATE(167),
    [sym_tmp_value_stmt] = STATE(167),
    [sym_tmp_hex_stmt] = STATE(167),
    [sym_help_stmt] = STATE(167),
    [sym_macro_stmt] = STATE(167),
    [sym_arged_stmt] = STATE(167),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(167),
    [sym_Cf_cmd] = STATE(167),
    [sym_pf_new_cmd] = STATE(167),
    [sym_pf_dot_cmd] = STATE(167),
    [sym_pf_cmd] = STATE(167),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(167),
    [sym_redirect_stmt] = STATE(415),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [ts_builtin_sym_end] = ACTIONS(87),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(87),
    [anon_sym_CR] = ACTIONS(87),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [6] = {
    [sym__statements_singleline] = STATE(495),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [7] = {
    [sym__statements_singleline] = STATE(507),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [8] = {
    [sym__statements_singleline] = STATE(472),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [9] = {
    [sym__statements_singleline] = STATE(471),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [10] = {
    [sym__statements_singleline] = STATE(506),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [11] = {
    [sym__statements_singleline] = STATE(470),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [12] = {
    [sym__statements_singleline] = STATE(469),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [13] = {
    [sym__statements_singleline] = STATE(468),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [14] = {
    [sym__statements_singleline] = STATE(473),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [15] = {
    [sym__statements_singleline] = STATE(467),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [16] = {
    [sym__statements_singleline] = STATE(466),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [17] = {
    [sym__statements_singleline] = STATE(465),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [18] = {
    [sym__statements_singleline] = STATE(475),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [19] = {
    [sym__statements_singleline] = STATE(464),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [20] = {
    [sym__statements_singleline] = STATE(488),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [21] = {
    [sym__statements_singleline] = STATE(494),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [22] = {
    [sym__statements_singleline] = STATE(463),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [23] = {
    [sym__statements_singleline] = STATE(484),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [24] = {
    [sym__statements_singleline] = STATE(481),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [25] = {
    [sym__statements_singleline] = STATE(462),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [26] = {
    [sym__statements_singleline] = STATE(486),
    [sym__statement] = STATE(431),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(431),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(30),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [27] = {
    [sym__statements_singleline] = STATE(487),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [28] = {
    [sym__statements_singleline] = STATE(474),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [29] = {
    [sym__statements_singleline] = STATE(497),
    [sym__statement] = STATE(427),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(427),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(33),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [30] = {
    [sym__statement] = STATE(436),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(436),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [aux_sym__statements_singleline_repeat1] = STATE(274),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [31] = {
    [sym__statement] = STATE(441),
    [sym_legacy_quoted_stmt] = STATE(267),
    [sym__simple_stmt] = STATE(267),
    [sym__tmp_stmt] = STATE(267),
    [sym__iter_stmt] = STATE(267),
    [sym__pipe_stmt] = STATE(267),
    [sym_grep_stmt] = STATE(267),
    [sym_html_disable_stmt] = STATE(267),
    [sym_html_enable_stmt] = STATE(267),
    [sym_pipe_stmt] = STATE(267),
    [sym_iter_file_lines_stmt] = STATE(267),
    [sym_iter_offsets_stmt] = STATE(267),
    [sym_iter_offsetssizes_stmt] = STATE(267),
    [sym_iter_hit_stmt] = STATE(267),
    [sym_iter_interpret_stmt] = STATE(267),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(267),
    [sym_iter_comment_stmt] = STATE(267),
    [sym_iter_dbta_stmt] = STATE(267),
    [sym_iter_dbtb_stmt] = STATE(267),
    [sym_iter_dbts_stmt] = STATE(267),
    [sym_iter_threads_stmt] = STATE(267),
    [sym_iter_bbs_stmt] = STATE(267),
    [sym_iter_instrs_stmt] = STATE(267),
    [sym_iter_import_stmt] = STATE(267),
    [sym_iter_sections_stmt] = STATE(267),
    [sym_iter_segments_stmt] = STATE(267),
    [sym_iter_symbol_stmt] = STATE(267),
    [sym_iter_string_stmt] = STATE(267),
    [sym_iter_flags_stmt] = STATE(267),
    [sym_iter_function_stmt] = STATE(267),
    [sym_iter_iomap_stmt] = STATE(267),
    [sym_iter_dbgmap_stmt] = STATE(267),
    [sym_iter_register_stmt] = STATE(267),
    [sym_iter_step_stmt] = STATE(267),
    [sym_tmp_seek_stmt] = STATE(267),
    [sym_tmp_blksz_stmt] = STATE(267),
    [sym_tmp_fromto_stmt] = STATE(267),
    [sym_tmp_arch_stmt] = STATE(267),
    [sym_tmp_bits_stmt] = STATE(267),
    [sym_tmp_nthi_stmt] = STATE(267),
    [sym_tmp_eval_stmt] = STATE(267),
    [sym_tmp_fs_stmt] = STATE(267),
    [sym_tmp_reli_stmt] = STATE(267),
    [sym_tmp_kuery_stmt] = STATE(267),
    [sym_tmp_fd_stmt] = STATE(267),
    [sym_tmp_reg_stmt] = STATE(267),
    [sym_tmp_file_stmt] = STATE(267),
    [sym_tmp_string_stmt] = STATE(267),
    [sym_tmp_value_stmt] = STATE(267),
    [sym_tmp_hex_stmt] = STATE(267),
    [sym_help_stmt] = STATE(267),
    [sym_macro_stmt] = STATE(267),
    [sym_arged_stmt] = STATE(267),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(267),
    [sym_Cf_cmd] = STATE(267),
    [sym_pf_new_cmd] = STATE(267),
    [sym_pf_dot_cmd] = STATE(267),
    [sym_pf_cmd] = STATE(267),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(267),
    [sym_redirect_stmt] = STATE(441),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(95),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [anon_sym_BQUOTE] = ACTIONS(95),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [32] = {
    [sym__statement] = STATE(441),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(441),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_RPAREN] = ACTIONS(95),
    [anon_sym_SEMI] = ACTIONS(95),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [33] = {
    [sym__statement] = STATE(435),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(435),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [aux_sym__statements_singleline_repeat1] = STATE(274),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [34] = {
    [sym__statement] = STATE(456),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(456),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [35] = {
    [sym__statement] = STATE(430),
    [sym_legacy_quoted_stmt] = STATE(264),
    [sym__simple_stmt] = STATE(264),
    [sym__tmp_stmt] = STATE(264),
    [sym__iter_stmt] = STATE(264),
    [sym__pipe_stmt] = STATE(264),
    [sym_grep_stmt] = STATE(264),
    [sym_html_disable_stmt] = STATE(264),
    [sym_html_enable_stmt] = STATE(264),
    [sym_pipe_stmt] = STATE(264),
    [sym_iter_file_lines_stmt] = STATE(264),
    [sym_iter_offsets_stmt] = STATE(264),
    [sym_iter_offsetssizes_stmt] = STATE(264),
    [sym_iter_hit_stmt] = STATE(264),
    [sym_iter_interpret_stmt] = STATE(264),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(264),
    [sym_iter_comment_stmt] = STATE(264),
    [sym_iter_dbta_stmt] = STATE(264),
    [sym_iter_dbtb_stmt] = STATE(264),
    [sym_iter_dbts_stmt] = STATE(264),
    [sym_iter_threads_stmt] = STATE(264),
    [sym_iter_bbs_stmt] = STATE(264),
    [sym_iter_instrs_stmt] = STATE(264),
    [sym_iter_import_stmt] = STATE(264),
    [sym_iter_sections_stmt] = STATE(264),
    [sym_iter_segments_stmt] = STATE(264),
    [sym_iter_symbol_stmt] = STATE(264),
    [sym_iter_string_stmt] = STATE(264),
    [sym_iter_flags_stmt] = STATE(264),
    [sym_iter_function_stmt] = STATE(264),
    [sym_iter_iomap_stmt] = STATE(264),
    [sym_iter_dbgmap_stmt] = STATE(264),
    [sym_iter_register_stmt] = STATE(264),
    [sym_iter_step_stmt] = STATE(264),
    [sym_tmp_seek_stmt] = STATE(264),
    [sym_tmp_blksz_stmt] = STATE(264),
    [sym_tmp_fromto_stmt] = STATE(264),
    [sym_tmp_arch_stmt] = STATE(264),
    [sym_tmp_bits_stmt] = STATE(264),
    [sym_tmp_nthi_stmt] = STATE(264),
    [sym_tmp_eval_stmt] = STATE(264),
    [sym_tmp_fs_stmt] = STATE(264),
    [sym_tmp_reli_stmt] = STATE(264),
    [sym_tmp_kuery_stmt] = STATE(264),
    [sym_tmp_fd_stmt] = STATE(264),
    [sym_tmp_reg_stmt] = STATE(264),
    [sym_tmp_file_stmt] = STATE(264),
    [sym_tmp_string_stmt] = STATE(264),
    [sym_tmp_value_stmt] = STATE(264),
    [sym_tmp_hex_stmt] = STATE(264),
    [sym_help_stmt] = STATE(264),
    [sym_macro_stmt] = STATE(264),
    [sym_arged_stmt] = STATE(264),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(264),
    [sym_Cf_cmd] = STATE(264),
    [sym_pf_new_cmd] = STATE(264),
    [sym_pf_dot_cmd] = STATE(264),
    [sym_pf_cmd] = STATE(264),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(264),
    [sym_redirect_stmt] = STATE(430),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [36] = {
    [sym_legacy_quoted_stmt] = STATE(213),
    [sym__simple_stmt] = STATE(213),
    [sym__tmp_stmt] = STATE(213),
    [sym__iter_stmt] = STATE(213),
    [sym__pipe_stmt] = STATE(213),
    [sym_grep_stmt] = STATE(213),
    [sym_html_disable_stmt] = STATE(213),
    [sym_html_enable_stmt] = STATE(213),
    [sym_pipe_stmt] = STATE(213),
    [sym_iter_file_lines_stmt] = STATE(213),
    [sym_iter_offsets_stmt] = STATE(213),
    [sym_iter_offsetssizes_stmt] = STATE(213),
    [sym_iter_hit_stmt] = STATE(213),
    [sym_iter_interpret_stmt] = STATE(213),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(213),
    [sym_iter_comment_stmt] = STATE(213),
    [sym_iter_dbta_stmt] = STATE(213),
    [sym_iter_dbtb_stmt] = STATE(213),
    [sym_iter_dbts_stmt] = STATE(213),
    [sym_iter_threads_stmt] = STATE(213),
    [sym_iter_bbs_stmt] = STATE(213),
    [sym_iter_instrs_stmt] = STATE(213),
    [sym_iter_import_stmt] = STATE(213),
    [sym_iter_sections_stmt] = STATE(213),
    [sym_iter_segments_stmt] = STATE(213),
    [sym_iter_symbol_stmt] = STATE(213),
    [sym_iter_string_stmt] = STATE(213),
    [sym_iter_flags_stmt] = STATE(213),
    [sym_iter_function_stmt] = STATE(213),
    [sym_iter_iomap_stmt] = STATE(213),
    [sym_iter_dbgmap_stmt] = STATE(213),
    [sym_iter_register_stmt] = STATE(213),
    [sym_iter_step_stmt] = STATE(213),
    [sym_tmp_seek_stmt] = STATE(213),
    [sym_tmp_blksz_stmt] = STATE(213),
    [sym_tmp_fromto_stmt] = STATE(213),
    [sym_tmp_arch_stmt] = STATE(213),
    [sym_tmp_bits_stmt] = STATE(213),
    [sym_tmp_nthi_stmt] = STATE(213),
    [sym_tmp_eval_stmt] = STATE(213),
    [sym_tmp_fs_stmt] = STATE(213),
    [sym_tmp_reli_stmt] = STATE(213),
    [sym_tmp_kuery_stmt] = STATE(213),
    [sym_tmp_fd_stmt] = STATE(213),
    [sym_tmp_reg_stmt] = STATE(213),
    [sym_tmp_file_stmt] = STATE(213),
    [sym_tmp_string_stmt] = STATE(213),
    [sym_tmp_value_stmt] = STATE(213),
    [sym_tmp_hex_stmt] = STATE(213),
    [sym_help_stmt] = STATE(213),
    [sym_macro_stmt] = STATE(213),
    [sym_arged_stmt] = STATE(213),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(213),
    [sym_Cf_cmd] = STATE(213),
    [sym_pf_new_cmd] = STATE(213),
    [sym_pf_dot_cmd] = STATE(213),
    [sym_pf_cmd] = STATE(213),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(213),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [37] = {
    [sym_legacy_quoted_stmt] = STATE(266),
    [sym__simple_stmt] = STATE(266),
    [sym__tmp_stmt] = STATE(266),
    [sym__iter_stmt] = STATE(266),
    [sym__pipe_stmt] = STATE(266),
    [sym_grep_stmt] = STATE(266),
    [sym_html_disable_stmt] = STATE(266),
    [sym_html_enable_stmt] = STATE(266),
    [sym_pipe_stmt] = STATE(266),
    [sym_iter_file_lines_stmt] = STATE(266),
    [sym_iter_offsets_stmt] = STATE(266),
    [sym_iter_offsetssizes_stmt] = STATE(266),
    [sym_iter_hit_stmt] = STATE(266),
    [sym_iter_interpret_stmt] = STATE(266),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(266),
    [sym_iter_comment_stmt] = STATE(266),
    [sym_iter_dbta_stmt] = STATE(266),
    [sym_iter_dbtb_stmt] = STATE(266),
    [sym_iter_dbts_stmt] = STATE(266),
    [sym_iter_threads_stmt] = STATE(266),
    [sym_iter_bbs_stmt] = STATE(266),
    [sym_iter_instrs_stmt] = STATE(266),
    [sym_iter_import_stmt] = STATE(266),
    [sym_iter_sections_stmt] = STATE(266),
    [sym_iter_segments_stmt] = STATE(266),
    [sym_iter_symbol_stmt] = STATE(266),
    [sym_iter_string_stmt] = STATE(266),
    [sym_iter_flags_stmt] = STATE(266),
    [sym_iter_function_stmt] = STATE(266),
    [sym_iter_iomap_stmt] = STATE(266),
    [sym_iter_dbgmap_stmt] = STATE(266),
    [sym_iter_register_stmt] = STATE(266),
    [sym_iter_step_stmt] = STATE(266),
    [sym_tmp_seek_stmt] = STATE(266),
    [sym_tmp_blksz_stmt] = STATE(266),
    [sym_tmp_fromto_stmt] = STATE(266),
    [sym_tmp_arch_stmt] = STATE(266),
    [sym_tmp_bits_stmt] = STATE(266),
    [sym_tmp_nthi_stmt] = STATE(266),
    [sym_tmp_eval_stmt] = STATE(266),
    [sym_tmp_fs_stmt] = STATE(266),
    [sym_tmp_reli_stmt] = STATE(266),
    [sym_tmp_kuery_stmt] = STATE(266),
    [sym_tmp_fd_stmt] = STATE(266),
    [sym_tmp_reg_stmt] = STATE(266),
    [sym_tmp_file_stmt] = STATE(266),
    [sym_tmp_string_stmt] = STATE(266),
    [sym_tmp_value_stmt] = STATE(266),
    [sym_tmp_hex_stmt] = STATE(266),
    [sym_help_stmt] = STATE(266),
    [sym_macro_stmt] = STATE(266),
    [sym_arged_stmt] = STATE(266),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(266),
    [sym_Cf_cmd] = STATE(266),
    [sym_pf_new_cmd] = STATE(266),
    [sym_pf_dot_cmd] = STATE(266),
    [sym_pf_cmd] = STATE(266),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(266),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [38] = {
    [sym_legacy_quoted_stmt] = STATE(213),
    [sym__simple_stmt] = STATE(213),
    [sym__tmp_stmt] = STATE(213),
    [sym__iter_stmt] = STATE(213),
    [sym__pipe_stmt] = STATE(213),
    [sym_grep_stmt] = STATE(213),
    [sym_html_disable_stmt] = STATE(213),
    [sym_html_enable_stmt] = STATE(213),
    [sym_pipe_stmt] = STATE(213),
    [sym_iter_file_lines_stmt] = STATE(213),
    [sym_iter_offsets_stmt] = STATE(213),
    [sym_iter_offsetssizes_stmt] = STATE(213),
    [sym_iter_hit_stmt] = STATE(213),
    [sym_iter_interpret_stmt] = STATE(213),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(213),
    [sym_iter_comment_stmt] = STATE(213),
    [sym_iter_dbta_stmt] = STATE(213),
    [sym_iter_dbtb_stmt] = STATE(213),
    [sym_iter_dbts_stmt] = STATE(213),
    [sym_iter_threads_stmt] = STATE(213),
    [sym_iter_bbs_stmt] = STATE(213),
    [sym_iter_instrs_stmt] = STATE(213),
    [sym_iter_import_stmt] = STATE(213),
    [sym_iter_sections_stmt] = STATE(213),
    [sym_iter_segments_stmt] = STATE(213),
    [sym_iter_symbol_stmt] = STATE(213),
    [sym_iter_string_stmt] = STATE(213),
    [sym_iter_flags_stmt] = STATE(213),
    [sym_iter_function_stmt] = STATE(213),
    [sym_iter_iomap_stmt] = STATE(213),
    [sym_iter_dbgmap_stmt] = STATE(213),
    [sym_iter_register_stmt] = STATE(213),
    [sym_iter_step_stmt] = STATE(213),
    [sym_tmp_seek_stmt] = STATE(213),
    [sym_tmp_blksz_stmt] = STATE(213),
    [sym_tmp_fromto_stmt] = STATE(213),
    [sym_tmp_arch_stmt] = STATE(213),
    [sym_tmp_bits_stmt] = STATE(213),
    [sym_tmp_nthi_stmt] = STATE(213),
    [sym_tmp_eval_stmt] = STATE(213),
    [sym_tmp_fs_stmt] = STATE(213),
    [sym_tmp_reli_stmt] = STATE(213),
    [sym_tmp_kuery_stmt] = STATE(213),
    [sym_tmp_fd_stmt] = STATE(213),
    [sym_tmp_reg_stmt] = STATE(213),
    [sym_tmp_file_stmt] = STATE(213),
    [sym_tmp_string_stmt] = STATE(213),
    [sym_tmp_value_stmt] = STATE(213),
    [sym_tmp_hex_stmt] = STATE(213),
    [sym_help_stmt] = STATE(213),
    [sym_macro_stmt] = STATE(213),
    [sym_arged_stmt] = STATE(213),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(213),
    [sym_Cf_cmd] = STATE(213),
    [sym_pf_new_cmd] = STATE(213),
    [sym_pf_dot_cmd] = STATE(213),
    [sym_pf_cmd] = STATE(213),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(213),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [39] = {
    [sym_legacy_quoted_stmt] = STATE(265),
    [sym__simple_stmt] = STATE(265),
    [sym__tmp_stmt] = STATE(265),
    [sym__iter_stmt] = STATE(265),
    [sym__pipe_stmt] = STATE(265),
    [sym_grep_stmt] = STATE(265),
    [sym_html_disable_stmt] = STATE(265),
    [sym_html_enable_stmt] = STATE(265),
    [sym_pipe_stmt] = STATE(265),
    [sym_iter_file_lines_stmt] = STATE(265),
    [sym_iter_offsets_stmt] = STATE(265),
    [sym_iter_offsetssizes_stmt] = STATE(265),
    [sym_iter_hit_stmt] = STATE(265),
    [sym_iter_interpret_stmt] = STATE(265),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(265),
    [sym_iter_comment_stmt] = STATE(265),
    [sym_iter_dbta_stmt] = STATE(265),
    [sym_iter_dbtb_stmt] = STATE(265),
    [sym_iter_dbts_stmt] = STATE(265),
    [sym_iter_threads_stmt] = STATE(265),
    [sym_iter_bbs_stmt] = STATE(265),
    [sym_iter_instrs_stmt] = STATE(265),
    [sym_iter_import_stmt] = STATE(265),
    [sym_iter_sections_stmt] = STATE(265),
    [sym_iter_segments_stmt] = STATE(265),
    [sym_iter_symbol_stmt] = STATE(265),
    [sym_iter_string_stmt] = STATE(265),
    [sym_iter_flags_stmt] = STATE(265),
    [sym_iter_function_stmt] = STATE(265),
    [sym_iter_iomap_stmt] = STATE(265),
    [sym_iter_dbgmap_stmt] = STATE(265),
    [sym_iter_register_stmt] = STATE(265),
    [sym_iter_step_stmt] = STATE(265),
    [sym_tmp_seek_stmt] = STATE(265),
    [sym_tmp_blksz_stmt] = STATE(265),
    [sym_tmp_fromto_stmt] = STATE(265),
    [sym_tmp_arch_stmt] = STATE(265),
    [sym_tmp_bits_stmt] = STATE(265),
    [sym_tmp_nthi_stmt] = STATE(265),
    [sym_tmp_eval_stmt] = STATE(265),
    [sym_tmp_fs_stmt] = STATE(265),
    [sym_tmp_reli_stmt] = STATE(265),
    [sym_tmp_kuery_stmt] = STATE(265),
    [sym_tmp_fd_stmt] = STATE(265),
    [sym_tmp_reg_stmt] = STATE(265),
    [sym_tmp_file_stmt] = STATE(265),
    [sym_tmp_string_stmt] = STATE(265),
    [sym_tmp_value_stmt] = STATE(265),
    [sym_tmp_hex_stmt] = STATE(265),
    [sym_help_stmt] = STATE(265),
    [sym_macro_stmt] = STATE(265),
    [sym_arged_stmt] = STATE(265),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(300),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(265),
    [sym_Cf_cmd] = STATE(265),
    [sym_pf_new_cmd] = STATE(265),
    [sym_pf_dot_cmd] = STATE(265),
    [sym_pf_cmd] = STATE(265),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(69),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(265),
    [sym__dec_number] = STATE(38),
    [sym_cmd_identifier] = STATE(44),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(15),
    [anon_sym_DOT] = ACTIONS(17),
    [aux_sym__interpret_stmt_token1] = ACTIONS(19),
    [aux_sym__interpret_stmt_token3] = ACTIONS(21),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(27),
    [anon_sym_Cf] = ACTIONS(29),
    [sym_pf_dot_cmd_identifier] = ACTIONS(31),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(33),
    [aux_sym_pf_cmd_token1] = ACTIONS(35),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(41),
    [sym_question_mark_identifier] = ACTIONS(43),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(53),
  },
  [40] = {
    [sym_legacy_quoted_stmt] = STATE(271),
    [sym__simple_stmt] = STATE(271),
    [sym__tmp_stmt] = STATE(271),
    [sym__iter_stmt] = STATE(271),
    [sym__pipe_stmt] = STATE(271),
    [sym_grep_stmt] = STATE(271),
    [sym_html_disable_stmt] = STATE(271),
    [sym_html_enable_stmt] = STATE(271),
    [sym_pipe_stmt] = STATE(271),
    [sym_iter_file_lines_stmt] = STATE(271),
    [sym_iter_offsets_stmt] = STATE(271),
    [sym_iter_offsetssizes_stmt] = STATE(271),
    [sym_iter_hit_stmt] = STATE(271),
    [sym_iter_interpret_stmt] = STATE(271),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(271),
    [sym_iter_comment_stmt] = STATE(271),
    [sym_iter_dbta_stmt] = STATE(271),
    [sym_iter_dbtb_stmt] = STATE(271),
    [sym_iter_dbts_stmt] = STATE(271),
    [sym_iter_threads_stmt] = STATE(271),
    [sym_iter_bbs_stmt] = STATE(271),
    [sym_iter_instrs_stmt] = STATE(271),
    [sym_iter_import_stmt] = STATE(271),
    [sym_iter_sections_stmt] = STATE(271),
    [sym_iter_segments_stmt] = STATE(271),
    [sym_iter_symbol_stmt] = STATE(271),
    [sym_iter_string_stmt] = STATE(271),
    [sym_iter_flags_stmt] = STATE(271),
    [sym_iter_function_stmt] = STATE(271),
    [sym_iter_iomap_stmt] = STATE(271),
    [sym_iter_dbgmap_stmt] = STATE(271),
    [sym_iter_register_stmt] = STATE(271),
    [sym_iter_step_stmt] = STATE(271),
    [sym_tmp_seek_stmt] = STATE(271),
    [sym_tmp_blksz_stmt] = STATE(271),
    [sym_tmp_fromto_stmt] = STATE(271),
    [sym_tmp_arch_stmt] = STATE(271),
    [sym_tmp_bits_stmt] = STATE(271),
    [sym_tmp_nthi_stmt] = STATE(271),
    [sym_tmp_eval_stmt] = STATE(271),
    [sym_tmp_fs_stmt] = STATE(271),
    [sym_tmp_reli_stmt] = STATE(271),
    [sym_tmp_kuery_stmt] = STATE(271),
    [sym_tmp_fd_stmt] = STATE(271),
    [sym_tmp_reg_stmt] = STATE(271),
    [sym_tmp_file_stmt] = STATE(271),
    [sym_tmp_string_stmt] = STATE(271),
    [sym_tmp_value_stmt] = STATE(271),
    [sym_tmp_hex_stmt] = STATE(271),
    [sym_help_stmt] = STATE(271),
    [sym_macro_stmt] = STATE(271),
    [sym_arged_stmt] = STATE(271),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(271),
    [sym_Cf_cmd] = STATE(271),
    [sym_pf_new_cmd] = STATE(271),
    [sym_pf_dot_cmd] = STATE(271),
    [sym_pf_cmd] = STATE(271),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(271),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [41] = {
    [sym_legacy_quoted_stmt] = STATE(272),
    [sym__simple_stmt] = STATE(272),
    [sym__tmp_stmt] = STATE(272),
    [sym__iter_stmt] = STATE(272),
    [sym__pipe_stmt] = STATE(272),
    [sym_grep_stmt] = STATE(272),
    [sym_html_disable_stmt] = STATE(272),
    [sym_html_enable_stmt] = STATE(272),
    [sym_pipe_stmt] = STATE(272),
    [sym_iter_file_lines_stmt] = STATE(272),
    [sym_iter_offsets_stmt] = STATE(272),
    [sym_iter_offsetssizes_stmt] = STATE(272),
    [sym_iter_hit_stmt] = STATE(272),
    [sym_iter_interpret_stmt] = STATE(272),
    [sym_iter_interpret_offsetssizes_stmt] = STATE(272),
    [sym_iter_comment_stmt] = STATE(272),
    [sym_iter_dbta_stmt] = STATE(272),
    [sym_iter_dbtb_stmt] = STATE(272),
    [sym_iter_dbts_stmt] = STATE(272),
    [sym_iter_threads_stmt] = STATE(272),
    [sym_iter_bbs_stmt] = STATE(272),
    [sym_iter_instrs_stmt] = STATE(272),
    [sym_iter_import_stmt] = STATE(272),
    [sym_iter_sections_stmt] = STATE(272),
    [sym_iter_segments_stmt] = STATE(272),
    [sym_iter_symbol_stmt] = STATE(272),
    [sym_iter_string_stmt] = STATE(272),
    [sym_iter_flags_stmt] = STATE(272),
    [sym_iter_function_stmt] = STATE(272),
    [sym_iter_iomap_stmt] = STATE(272),
    [sym_iter_dbgmap_stmt] = STATE(272),
    [sym_iter_register_stmt] = STATE(272),
    [sym_iter_step_stmt] = STATE(272),
    [sym_tmp_seek_stmt] = STATE(272),
    [sym_tmp_blksz_stmt] = STATE(272),
    [sym_tmp_fromto_stmt] = STATE(272),
    [sym_tmp_arch_stmt] = STATE(272),
    [sym_tmp_bits_stmt] = STATE(272),
    [sym_tmp_nthi_stmt] = STATE(272),
    [sym_tmp_eval_stmt] = STATE(272),
    [sym_tmp_fs_stmt] = STATE(272),
    [sym_tmp_reli_stmt] = STATE(272),
    [sym_tmp_kuery_stmt] = STATE(272),
    [sym_tmp_fd_stmt] = STATE(272),
    [sym_tmp_reg_stmt] = STATE(272),
    [sym_tmp_file_stmt] = STATE(272),
    [sym_tmp_string_stmt] = STATE(272),
    [sym_tmp_value_stmt] = STATE(272),
    [sym_tmp_hex_stmt] = STATE(272),
    [sym_help_stmt] = STATE(272),
    [sym_macro_stmt] = STATE(272),
    [sym_arged_stmt] = STATE(272),
    [sym__macro_arged_stmt] = STATE(255),
    [sym__simple_arged_stmt_question] = STATE(254),
    [sym__simple_arged_stmt] = STATE(239),
    [sym__math_arged_stmt] = STATE(230),
    [sym__pointer_arged_stmt] = STATE(175),
    [sym__system_stmt] = STATE(220),
    [sym__interpret_stmt] = STATE(227),
    [sym__interpret_search_identifier] = STATE(281),
    [sym__pf_arged_stmt] = STATE(181),
    [sym__pf_stmts] = STATE(272),
    [sym_Cf_cmd] = STATE(272),
    [sym_pf_new_cmd] = STATE(272),
    [sym_pf_dot_cmd] = STATE(272),
    [sym_pf_cmd] = STATE(272),
    [sym__env_stmt] = STATE(182),
    [sym__env_stmt_identifier] = STATE(91),
    [sym__last_stmt] = STATE(183),
    [sym_last_stmt_identifier] = STATE(195),
    [sym_repeat_stmt] = STATE(272),
    [sym__dec_number] = STATE(36),
    [sym_cmd_identifier] = STATE(64),
    [anon_sym_DQUOTE] = ACTIONS(7),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LPAREN_DASH_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_STAR] = ACTIONS(13),
    [anon_sym_LPAREN_DASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(61),
    [aux_sym__interpret_stmt_token1] = ACTIONS(63),
    [aux_sym__interpret_stmt_token3] = ACTIONS(65),
    [aux_sym__interpret_stmt_token4] = ACTIONS(23),
    [anon_sym_DOT_SLASH] = ACTIONS(25),
    [anon_sym_pfo] = ACTIONS(67),
    [anon_sym_Cf] = ACTIONS(69),
    [sym_pf_dot_cmd_identifier] = ACTIONS(71),
    [sym_pf_dot_full_cmd_identifier] = ACTIONS(73),
    [aux_sym_pf_cmd_token1] = ACTIONS(75),
    [anon_sym_PERCENT] = ACTIONS(37),
    [anon_sym_env] = ACTIONS(37),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(39),
    [sym_system_identifier] = ACTIONS(77),
    [sym_question_mark_identifier] = ACTIONS(79),
    [sym_pointer_identifier] = ACTIONS(45),
    [aux_sym__dec_number_token1] = ACTIONS(47),
    [aux_sym__dec_number_token2] = ACTIONS(49),
    [sym__comment] = ACTIONS(3),
    [sym__cmd_identifier] = ACTIONS(51),
    [sym__help_stmt] = ACTIONS(81),
  },
  [42] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(189),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(97),
    [anon_sym_PIPE] = ACTIONS(101),
    [anon_sym_PIPEH] = ACTIONS(97),
    [anon_sym_AT_AT_DOT] = ACTIONS(97),
    [anon_sym_AT_AT_EQ] = ACTIONS(97),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(97),
    [anon_sym_AT_AT] = ACTIONS(101),
    [anon_sym_AT_ATc_COLON] = ACTIONS(97),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(97),
    [anon_sym_AT_ATC] = ACTIONS(97),
    [anon_sym_AT_ATdbt] = ACTIONS(101),
    [anon_sym_AT_ATdbta] = ACTIONS(97),
    [anon_sym_AT_ATdbtb] = ACTIONS(97),
    [anon_sym_AT_ATdbts] = ACTIONS(97),
    [anon_sym_AT_ATt] = ACTIONS(97),
    [anon_sym_AT_ATb] = ACTIONS(97),
    [anon_sym_AT_ATi] = ACTIONS(101),
    [anon_sym_AT_ATii] = ACTIONS(97),
    [anon_sym_AT_ATiS] = ACTIONS(101),
    [anon_sym_AT_ATiSS] = ACTIONS(97),
    [anon_sym_AT_ATis] = ACTIONS(97),
    [anon_sym_AT_ATiz] = ACTIONS(97),
    [anon_sym_AT_ATf] = ACTIONS(97),
    [anon_sym_AT_ATF] = ACTIONS(97),
    [anon_sym_AT_ATom] = ACTIONS(97),
    [anon_sym_AT_ATdm] = ACTIONS(97),
    [anon_sym_AT_ATr] = ACTIONS(97),
    [anon_sym_AT_ATs_COLON] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(97),
    [anon_sym_AT_BANG] = ACTIONS(97),
    [anon_sym_AT_LPAREN] = ACTIONS(97),
    [anon_sym_RPAREN] = ACTIONS(97),
    [anon_sym_ATa_COLON] = ACTIONS(97),
    [anon_sym_ATb_COLON] = ACTIONS(97),
    [anon_sym_ATB_COLON] = ACTIONS(97),
    [anon_sym_ATe_COLON] = ACTIONS(97),
    [anon_sym_ATF_COLON] = ACTIONS(97),
    [anon_sym_ATi_COLON] = ACTIONS(97),
    [anon_sym_ATk_COLON] = ACTIONS(97),
    [anon_sym_ATo_COLON] = ACTIONS(97),
    [anon_sym_ATr_COLON] = ACTIONS(97),
    [anon_sym_ATf_COLON] = ACTIONS(97),
    [anon_sym_ATs_COLON] = ACTIONS(97),
    [anon_sym_ATv_COLON] = ACTIONS(97),
    [anon_sym_ATx_COLON] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(97),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(101),
    [anon_sym_GT_GT] = ACTIONS(97),
    [sym_html_redirect_operator] = ACTIONS(101),
    [sym_html_append_operator] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(97),
    [anon_sym_CR] = ACTIONS(97),
    [sym_file_descriptor] = ACTIONS(97),
  },
  [43] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(259),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_PIPE] = ACTIONS(117),
    [anon_sym_PIPEH] = ACTIONS(115),
    [anon_sym_AT_AT_DOT] = ACTIONS(115),
    [anon_sym_AT_AT_EQ] = ACTIONS(115),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(115),
    [anon_sym_AT_AT] = ACTIONS(117),
    [anon_sym_AT_ATc_COLON] = ACTIONS(115),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(115),
    [anon_sym_AT_ATC] = ACTIONS(115),
    [anon_sym_AT_ATdbt] = ACTIONS(117),
    [anon_sym_AT_ATdbta] = ACTIONS(115),
    [anon_sym_AT_ATdbtb] = ACTIONS(115),
    [anon_sym_AT_ATdbts] = ACTIONS(115),
    [anon_sym_AT_ATt] = ACTIONS(115),
    [anon_sym_AT_ATb] = ACTIONS(115),
    [anon_sym_AT_ATi] = ACTIONS(117),
    [anon_sym_AT_ATii] = ACTIONS(115),
    [anon_sym_AT_ATiS] = ACTIONS(117),
    [anon_sym_AT_ATiSS] = ACTIONS(115),
    [anon_sym_AT_ATis] = ACTIONS(115),
    [anon_sym_AT_ATiz] = ACTIONS(115),
    [anon_sym_AT_ATf] = ACTIONS(115),
    [anon_sym_AT_ATF] = ACTIONS(115),
    [anon_sym_AT_ATom] = ACTIONS(115),
    [anon_sym_AT_ATdm] = ACTIONS(115),
    [anon_sym_AT_ATr] = ACTIONS(115),
    [anon_sym_AT_ATs_COLON] = ACTIONS(115),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_AT_BANG] = ACTIONS(115),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_RPAREN] = ACTIONS(115),
    [anon_sym_ATa_COLON] = ACTIONS(115),
    [anon_sym_ATb_COLON] = ACTIONS(115),
    [anon_sym_ATB_COLON] = ACTIONS(115),
    [anon_sym_ATe_COLON] = ACTIONS(115),
    [anon_sym_ATF_COLON] = ACTIONS(115),
    [anon_sym_ATi_COLON] = ACTIONS(115),
    [anon_sym_ATk_COLON] = ACTIONS(115),
    [anon_sym_ATo_COLON] = ACTIONS(115),
    [anon_sym_ATr_COLON] = ACTIONS(115),
    [anon_sym_ATf_COLON] = ACTIONS(115),
    [anon_sym_ATs_COLON] = ACTIONS(115),
    [anon_sym_ATv_COLON] = ACTIONS(115),
    [anon_sym_ATx_COLON] = ACTIONS(115),
    [anon_sym_SEMI] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(117),
    [anon_sym_GT_GT] = ACTIONS(115),
    [sym_html_redirect_operator] = ACTIONS(117),
    [sym_html_append_operator] = ACTIONS(115),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(115),
    [anon_sym_CR] = ACTIONS(115),
    [sym_file_descriptor] = ACTIONS(115),
  },
  [44] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(222),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(119),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PIPEH] = ACTIONS(119),
    [anon_sym_AT_AT_DOT] = ACTIONS(119),
    [anon_sym_AT_AT_EQ] = ACTIONS(119),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(119),
    [anon_sym_AT_AT] = ACTIONS(121),
    [anon_sym_AT_ATc_COLON] = ACTIONS(119),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(119),
    [anon_sym_AT_ATC] = ACTIONS(119),
    [anon_sym_AT_ATdbt] = ACTIONS(121),
    [anon_sym_AT_ATdbta] = ACTIONS(119),
    [anon_sym_AT_ATdbtb] = ACTIONS(119),
    [anon_sym_AT_ATdbts] = ACTIONS(119),
    [anon_sym_AT_ATt] = ACTIONS(119),
    [anon_sym_AT_ATb] = ACTIONS(119),
    [anon_sym_AT_ATi] = ACTIONS(121),
    [anon_sym_AT_ATii] = ACTIONS(119),
    [anon_sym_AT_ATiS] = ACTIONS(121),
    [anon_sym_AT_ATiSS] = ACTIONS(119),
    [anon_sym_AT_ATis] = ACTIONS(119),
    [anon_sym_AT_ATiz] = ACTIONS(119),
    [anon_sym_AT_ATf] = ACTIONS(119),
    [anon_sym_AT_ATF] = ACTIONS(119),
    [anon_sym_AT_ATom] = ACTIONS(119),
    [anon_sym_AT_ATdm] = ACTIONS(119),
    [anon_sym_AT_ATr] = ACTIONS(119),
    [anon_sym_AT_ATs_COLON] = ACTIONS(119),
    [anon_sym_AT] = ACTIONS(119),
    [anon_sym_AT_BANG] = ACTIONS(119),
    [anon_sym_AT_LPAREN] = ACTIONS(119),
    [anon_sym_RPAREN] = ACTIONS(119),
    [anon_sym_ATa_COLON] = ACTIONS(119),
    [anon_sym_ATb_COLON] = ACTIONS(119),
    [anon_sym_ATB_COLON] = ACTIONS(119),
    [anon_sym_ATe_COLON] = ACTIONS(119),
    [anon_sym_ATF_COLON] = ACTIONS(119),
    [anon_sym_ATi_COLON] = ACTIONS(119),
    [anon_sym_ATk_COLON] = ACTIONS(119),
    [anon_sym_ATo_COLON] = ACTIONS(119),
    [anon_sym_ATr_COLON] = ACTIONS(119),
    [anon_sym_ATf_COLON] = ACTIONS(119),
    [anon_sym_ATs_COLON] = ACTIONS(119),
    [anon_sym_ATv_COLON] = ACTIONS(119),
    [anon_sym_ATx_COLON] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(121),
    [anon_sym_GT_GT] = ACTIONS(119),
    [sym_html_redirect_operator] = ACTIONS(121),
    [sym_html_append_operator] = ACTIONS(119),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(119),
    [anon_sym_CR] = ACTIONS(119),
    [sym_file_descriptor] = ACTIONS(119),
  },
  [45] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(188),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(123),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PIPEH] = ACTIONS(123),
    [anon_sym_AT_AT_DOT] = ACTIONS(123),
    [anon_sym_AT_AT_EQ] = ACTIONS(123),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(123),
    [anon_sym_AT_AT] = ACTIONS(125),
    [anon_sym_AT_ATc_COLON] = ACTIONS(123),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(123),
    [anon_sym_AT_ATC] = ACTIONS(123),
    [anon_sym_AT_ATdbt] = ACTIONS(125),
    [anon_sym_AT_ATdbta] = ACTIONS(123),
    [anon_sym_AT_ATdbtb] = ACTIONS(123),
    [anon_sym_AT_ATdbts] = ACTIONS(123),
    [anon_sym_AT_ATt] = ACTIONS(123),
    [anon_sym_AT_ATb] = ACTIONS(123),
    [anon_sym_AT_ATi] = ACTIONS(125),
    [anon_sym_AT_ATii] = ACTIONS(123),
    [anon_sym_AT_ATiS] = ACTIONS(125),
    [anon_sym_AT_ATiSS] = ACTIONS(123),
    [anon_sym_AT_ATis] = ACTIONS(123),
    [anon_sym_AT_ATiz] = ACTIONS(123),
    [anon_sym_AT_ATf] = ACTIONS(123),
    [anon_sym_AT_ATF] = ACTIONS(123),
    [anon_sym_AT_ATom] = ACTIONS(123),
    [anon_sym_AT_ATdm] = ACTIONS(123),
    [anon_sym_AT_ATr] = ACTIONS(123),
    [anon_sym_AT_ATs_COLON] = ACTIONS(123),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_AT_BANG] = ACTIONS(123),
    [anon_sym_AT_LPAREN] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_ATa_COLON] = ACTIONS(123),
    [anon_sym_ATb_COLON] = ACTIONS(123),
    [anon_sym_ATB_COLON] = ACTIONS(123),
    [anon_sym_ATe_COLON] = ACTIONS(123),
    [anon_sym_ATF_COLON] = ACTIONS(123),
    [anon_sym_ATi_COLON] = ACTIONS(123),
    [anon_sym_ATk_COLON] = ACTIONS(123),
    [anon_sym_ATo_COLON] = ACTIONS(123),
    [anon_sym_ATr_COLON] = ACTIONS(123),
    [anon_sym_ATf_COLON] = ACTIONS(123),
    [anon_sym_ATs_COLON] = ACTIONS(123),
    [anon_sym_ATv_COLON] = ACTIONS(123),
    [anon_sym_ATx_COLON] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(125),
    [anon_sym_GT_GT] = ACTIONS(123),
    [sym_html_redirect_operator] = ACTIONS(125),
    [sym_html_append_operator] = ACTIONS(123),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(123),
    [anon_sym_CR] = ACTIONS(123),
    [sym_file_descriptor] = ACTIONS(123),
  },
  [46] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(186),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(127),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PIPEH] = ACTIONS(127),
    [anon_sym_AT_AT_DOT] = ACTIONS(127),
    [anon_sym_AT_AT_EQ] = ACTIONS(127),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(127),
    [anon_sym_AT_AT] = ACTIONS(129),
    [anon_sym_AT_ATc_COLON] = ACTIONS(127),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(127),
    [anon_sym_AT_ATC] = ACTIONS(127),
    [anon_sym_AT_ATdbt] = ACTIONS(129),
    [anon_sym_AT_ATdbta] = ACTIONS(127),
    [anon_sym_AT_ATdbtb] = ACTIONS(127),
    [anon_sym_AT_ATdbts] = ACTIONS(127),
    [anon_sym_AT_ATt] = ACTIONS(127),
    [anon_sym_AT_ATb] = ACTIONS(127),
    [anon_sym_AT_ATi] = ACTIONS(129),
    [anon_sym_AT_ATii] = ACTIONS(127),
    [anon_sym_AT_ATiS] = ACTIONS(129),
    [anon_sym_AT_ATiSS] = ACTIONS(127),
    [anon_sym_AT_ATis] = ACTIONS(127),
    [anon_sym_AT_ATiz] = ACTIONS(127),
    [anon_sym_AT_ATf] = ACTIONS(127),
    [anon_sym_AT_ATF] = ACTIONS(127),
    [anon_sym_AT_ATom] = ACTIONS(127),
    [anon_sym_AT_ATdm] = ACTIONS(127),
    [anon_sym_AT_ATr] = ACTIONS(127),
    [anon_sym_AT_ATs_COLON] = ACTIONS(127),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_AT_BANG] = ACTIONS(127),
    [anon_sym_AT_LPAREN] = ACTIONS(127),
    [anon_sym_RPAREN] = ACTIONS(127),
    [anon_sym_ATa_COLON] = ACTIONS(127),
    [anon_sym_ATb_COLON] = ACTIONS(127),
    [anon_sym_ATB_COLON] = ACTIONS(127),
    [anon_sym_ATe_COLON] = ACTIONS(127),
    [anon_sym_ATF_COLON] = ACTIONS(127),
    [anon_sym_ATi_COLON] = ACTIONS(127),
    [anon_sym_ATk_COLON] = ACTIONS(127),
    [anon_sym_ATo_COLON] = ACTIONS(127),
    [anon_sym_ATr_COLON] = ACTIONS(127),
    [anon_sym_ATf_COLON] = ACTIONS(127),
    [anon_sym_ATs_COLON] = ACTIONS(127),
    [anon_sym_ATv_COLON] = ACTIONS(127),
    [anon_sym_ATx_COLON] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(127),
    [sym_html_redirect_operator] = ACTIONS(129),
    [sym_html_append_operator] = ACTIONS(127),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(127),
    [anon_sym_CR] = ACTIONS(127),
    [sym_file_descriptor] = ACTIONS(127),
  },
  [47] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(191),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(131),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPEH] = ACTIONS(131),
    [anon_sym_AT_AT_DOT] = ACTIONS(131),
    [anon_sym_AT_AT_EQ] = ACTIONS(131),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(131),
    [anon_sym_AT_AT] = ACTIONS(133),
    [anon_sym_AT_ATc_COLON] = ACTIONS(131),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(131),
    [anon_sym_AT_ATC] = ACTIONS(131),
    [anon_sym_AT_ATdbt] = ACTIONS(133),
    [anon_sym_AT_ATdbta] = ACTIONS(131),
    [anon_sym_AT_ATdbtb] = ACTIONS(131),
    [anon_sym_AT_ATdbts] = ACTIONS(131),
    [anon_sym_AT_ATt] = ACTIONS(131),
    [anon_sym_AT_ATb] = ACTIONS(131),
    [anon_sym_AT_ATi] = ACTIONS(133),
    [anon_sym_AT_ATii] = ACTIONS(131),
    [anon_sym_AT_ATiS] = ACTIONS(133),
    [anon_sym_AT_ATiSS] = ACTIONS(131),
    [anon_sym_AT_ATis] = ACTIONS(131),
    [anon_sym_AT_ATiz] = ACTIONS(131),
    [anon_sym_AT_ATf] = ACTIONS(131),
    [anon_sym_AT_ATF] = ACTIONS(131),
    [anon_sym_AT_ATom] = ACTIONS(131),
    [anon_sym_AT_ATdm] = ACTIONS(131),
    [anon_sym_AT_ATr] = ACTIONS(131),
    [anon_sym_AT_ATs_COLON] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(131),
    [anon_sym_AT_BANG] = ACTIONS(131),
    [anon_sym_AT_LPAREN] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_ATa_COLON] = ACTIONS(131),
    [anon_sym_ATb_COLON] = ACTIONS(131),
    [anon_sym_ATB_COLON] = ACTIONS(131),
    [anon_sym_ATe_COLON] = ACTIONS(131),
    [anon_sym_ATF_COLON] = ACTIONS(131),
    [anon_sym_ATi_COLON] = ACTIONS(131),
    [anon_sym_ATk_COLON] = ACTIONS(131),
    [anon_sym_ATo_COLON] = ACTIONS(131),
    [anon_sym_ATr_COLON] = ACTIONS(131),
    [anon_sym_ATf_COLON] = ACTIONS(131),
    [anon_sym_ATs_COLON] = ACTIONS(131),
    [anon_sym_ATv_COLON] = ACTIONS(131),
    [anon_sym_ATx_COLON] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(131),
    [sym_html_redirect_operator] = ACTIONS(133),
    [sym_html_append_operator] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(131),
    [anon_sym_CR] = ACTIONS(131),
    [sym_file_descriptor] = ACTIONS(131),
  },
  [48] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(221),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PIPEH] = ACTIONS(135),
    [anon_sym_AT_AT_DOT] = ACTIONS(135),
    [anon_sym_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT] = ACTIONS(137),
    [anon_sym_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_ATC] = ACTIONS(135),
    [anon_sym_AT_ATdbt] = ACTIONS(137),
    [anon_sym_AT_ATdbta] = ACTIONS(135),
    [anon_sym_AT_ATdbtb] = ACTIONS(135),
    [anon_sym_AT_ATdbts] = ACTIONS(135),
    [anon_sym_AT_ATt] = ACTIONS(135),
    [anon_sym_AT_ATb] = ACTIONS(135),
    [anon_sym_AT_ATi] = ACTIONS(137),
    [anon_sym_AT_ATii] = ACTIONS(135),
    [anon_sym_AT_ATiS] = ACTIONS(137),
    [anon_sym_AT_ATiSS] = ACTIONS(135),
    [anon_sym_AT_ATis] = ACTIONS(135),
    [anon_sym_AT_ATiz] = ACTIONS(135),
    [anon_sym_AT_ATf] = ACTIONS(135),
    [anon_sym_AT_ATF] = ACTIONS(135),
    [anon_sym_AT_ATom] = ACTIONS(135),
    [anon_sym_AT_ATdm] = ACTIONS(135),
    [anon_sym_AT_ATr] = ACTIONS(135),
    [anon_sym_AT_ATs_COLON] = ACTIONS(135),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_AT_BANG] = ACTIONS(135),
    [anon_sym_AT_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(135),
    [anon_sym_ATa_COLON] = ACTIONS(135),
    [anon_sym_ATb_COLON] = ACTIONS(135),
    [anon_sym_ATB_COLON] = ACTIONS(135),
    [anon_sym_ATe_COLON] = ACTIONS(135),
    [anon_sym_ATF_COLON] = ACTIONS(135),
    [anon_sym_ATi_COLON] = ACTIONS(135),
    [anon_sym_ATk_COLON] = ACTIONS(135),
    [anon_sym_ATo_COLON] = ACTIONS(135),
    [anon_sym_ATr_COLON] = ACTIONS(135),
    [anon_sym_ATf_COLON] = ACTIONS(135),
    [anon_sym_ATs_COLON] = ACTIONS(135),
    [anon_sym_ATv_COLON] = ACTIONS(135),
    [anon_sym_ATx_COLON] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_GT] = ACTIONS(135),
    [sym_html_redirect_operator] = ACTIONS(137),
    [sym_html_append_operator] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(135),
    [anon_sym_CR] = ACTIONS(135),
    [sym_file_descriptor] = ACTIONS(135),
  },
  [49] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(235),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(139),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PIPEH] = ACTIONS(139),
    [anon_sym_AT_AT_DOT] = ACTIONS(139),
    [anon_sym_AT_AT_EQ] = ACTIONS(139),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(139),
    [anon_sym_AT_AT] = ACTIONS(141),
    [anon_sym_AT_ATc_COLON] = ACTIONS(139),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(139),
    [anon_sym_AT_ATC] = ACTIONS(139),
    [anon_sym_AT_ATdbt] = ACTIONS(141),
    [anon_sym_AT_ATdbta] = ACTIONS(139),
    [anon_sym_AT_ATdbtb] = ACTIONS(139),
    [anon_sym_AT_ATdbts] = ACTIONS(139),
    [anon_sym_AT_ATt] = ACTIONS(139),
    [anon_sym_AT_ATb] = ACTIONS(139),
    [anon_sym_AT_ATi] = ACTIONS(141),
    [anon_sym_AT_ATii] = ACTIONS(139),
    [anon_sym_AT_ATiS] = ACTIONS(141),
    [anon_sym_AT_ATiSS] = ACTIONS(139),
    [anon_sym_AT_ATis] = ACTIONS(139),
    [anon_sym_AT_ATiz] = ACTIONS(139),
    [anon_sym_AT_ATf] = ACTIONS(139),
    [anon_sym_AT_ATF] = ACTIONS(139),
    [anon_sym_AT_ATom] = ACTIONS(139),
    [anon_sym_AT_ATdm] = ACTIONS(139),
    [anon_sym_AT_ATr] = ACTIONS(139),
    [anon_sym_AT_ATs_COLON] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(139),
    [anon_sym_AT_BANG] = ACTIONS(139),
    [anon_sym_AT_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(139),
    [anon_sym_ATa_COLON] = ACTIONS(139),
    [anon_sym_ATb_COLON] = ACTIONS(139),
    [anon_sym_ATB_COLON] = ACTIONS(139),
    [anon_sym_ATe_COLON] = ACTIONS(139),
    [anon_sym_ATF_COLON] = ACTIONS(139),
    [anon_sym_ATi_COLON] = ACTIONS(139),
    [anon_sym_ATk_COLON] = ACTIONS(139),
    [anon_sym_ATo_COLON] = ACTIONS(139),
    [anon_sym_ATr_COLON] = ACTIONS(139),
    [anon_sym_ATf_COLON] = ACTIONS(139),
    [anon_sym_ATs_COLON] = ACTIONS(139),
    [anon_sym_ATv_COLON] = ACTIONS(139),
    [anon_sym_ATx_COLON] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_GT] = ACTIONS(139),
    [sym_html_redirect_operator] = ACTIONS(141),
    [sym_html_append_operator] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(139),
    [anon_sym_CR] = ACTIONS(139),
    [sym_file_descriptor] = ACTIONS(139),
  },
  [50] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(204),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(135),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PIPEH] = ACTIONS(135),
    [anon_sym_AT_AT_DOT] = ACTIONS(135),
    [anon_sym_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT] = ACTIONS(137),
    [anon_sym_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_ATC] = ACTIONS(135),
    [anon_sym_AT_ATdbt] = ACTIONS(137),
    [anon_sym_AT_ATdbta] = ACTIONS(135),
    [anon_sym_AT_ATdbtb] = ACTIONS(135),
    [anon_sym_AT_ATdbts] = ACTIONS(135),
    [anon_sym_AT_ATt] = ACTIONS(135),
    [anon_sym_AT_ATb] = ACTIONS(135),
    [anon_sym_AT_ATi] = ACTIONS(137),
    [anon_sym_AT_ATii] = ACTIONS(135),
    [anon_sym_AT_ATiS] = ACTIONS(137),
    [anon_sym_AT_ATiSS] = ACTIONS(135),
    [anon_sym_AT_ATis] = ACTIONS(135),
    [anon_sym_AT_ATiz] = ACTIONS(135),
    [anon_sym_AT_ATf] = ACTIONS(135),
    [anon_sym_AT_ATF] = ACTIONS(135),
    [anon_sym_AT_ATom] = ACTIONS(135),
    [anon_sym_AT_ATdm] = ACTIONS(135),
    [anon_sym_AT_ATr] = ACTIONS(135),
    [anon_sym_AT_ATs_COLON] = ACTIONS(135),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_AT_BANG] = ACTIONS(135),
    [anon_sym_AT_LPAREN] = ACTIONS(135),
    [anon_sym_RPAREN] = ACTIONS(135),
    [anon_sym_ATa_COLON] = ACTIONS(135),
    [anon_sym_ATb_COLON] = ACTIONS(135),
    [anon_sym_ATB_COLON] = ACTIONS(135),
    [anon_sym_ATe_COLON] = ACTIONS(135),
    [anon_sym_ATF_COLON] = ACTIONS(135),
    [anon_sym_ATi_COLON] = ACTIONS(135),
    [anon_sym_ATk_COLON] = ACTIONS(135),
    [anon_sym_ATo_COLON] = ACTIONS(135),
    [anon_sym_ATr_COLON] = ACTIONS(135),
    [anon_sym_ATf_COLON] = ACTIONS(135),
    [anon_sym_ATs_COLON] = ACTIONS(135),
    [anon_sym_ATv_COLON] = ACTIONS(135),
    [anon_sym_ATx_COLON] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_GT] = ACTIONS(135),
    [sym_html_redirect_operator] = ACTIONS(137),
    [sym_html_append_operator] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(135),
    [anon_sym_CR] = ACTIONS(135),
    [sym_file_descriptor] = ACTIONS(135),
  },
  [51] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(53),
    [sym_args] = STATE(217),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(53),
    [ts_builtin_sym_end] = ACTIONS(143),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(143),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_PIPEH] = ACTIONS(143),
    [anon_sym_AT_AT_DOT] = ACTIONS(143),
    [anon_sym_AT_AT_EQ] = ACTIONS(143),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(143),
    [anon_sym_AT_AT] = ACTIONS(145),
    [anon_sym_AT_ATc_COLON] = ACTIONS(143),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(143),
    [anon_sym_AT_ATC] = ACTIONS(143),
    [anon_sym_AT_ATdbt] = ACTIONS(145),
    [anon_sym_AT_ATdbta] = ACTIONS(143),
    [anon_sym_AT_ATdbtb] = ACTIONS(143),
    [anon_sym_AT_ATdbts] = ACTIONS(143),
    [anon_sym_AT_ATt] = ACTIONS(143),
    [anon_sym_AT_ATb] = ACTIONS(143),
    [anon_sym_AT_ATi] = ACTIONS(145),
    [anon_sym_AT_ATii] = ACTIONS(143),
    [anon_sym_AT_ATiS] = ACTIONS(145),
    [anon_sym_AT_ATiSS] = ACTIONS(143),
    [anon_sym_AT_ATis] = ACTIONS(143),
    [anon_sym_AT_ATiz] = ACTIONS(143),
    [anon_sym_AT_ATf] = ACTIONS(143),
    [anon_sym_AT_ATF] = ACTIONS(143),
    [anon_sym_AT_ATom] = ACTIONS(143),
    [anon_sym_AT_ATdm] = ACTIONS(143),
    [anon_sym_AT_ATr] = ACTIONS(143),
    [anon_sym_AT_ATs_COLON] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [anon_sym_AT_BANG] = ACTIONS(143),
    [anon_sym_AT_LPAREN] = ACTIONS(143),
    [anon_sym_RPAREN] = ACTIONS(143),
    [anon_sym_ATa_COLON] = ACTIONS(143),
    [anon_sym_ATb_COLON] = ACTIONS(143),
    [anon_sym_ATB_COLON] = ACTIONS(143),
    [anon_sym_ATe_COLON] = ACTIONS(143),
    [anon_sym_ATF_COLON] = ACTIONS(143),
    [anon_sym_ATi_COLON] = ACTIONS(143),
    [anon_sym_ATk_COLON] = ACTIONS(143),
    [anon_sym_ATo_COLON] = ACTIONS(143),
    [anon_sym_ATr_COLON] = ACTIONS(143),
    [anon_sym_ATf_COLON] = ACTIONS(143),
    [anon_sym_ATs_COLON] = ACTIONS(143),
    [anon_sym_ATv_COLON] = ACTIONS(143),
    [anon_sym_ATx_COLON] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(143),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(143),
    [sym_html_redirect_operator] = ACTIONS(145),
    [sym_html_append_operator] = ACTIONS(143),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(143),
    [anon_sym_CR] = ACTIONS(143),
    [sym_file_descriptor] = ACTIONS(143),
  },
  [52] = {
    [sym__Cf_args] = STATE(178),
    [sym__arg_with_paren] = STATE(390),
    [sym__arg] = STATE(390),
    [sym_arg] = STATE(348),
    [sym_arg_identifier] = STATE(390),
    [sym_double_quoted_arg] = STATE(390),
    [sym_single_quoted_arg] = STATE(390),
    [sym_cmd_substitution_arg] = STATE(390),
    [sym_concatenation] = STATE(408),
    [ts_builtin_sym_end] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_PIPEH] = ACTIONS(147),
    [anon_sym_AT_AT_DOT] = ACTIONS(147),
    [anon_sym_AT_AT_EQ] = ACTIONS(147),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(147),
    [anon_sym_AT_AT] = ACTIONS(151),
    [anon_sym_AT_ATc_COLON] = ACTIONS(147),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(147),
    [anon_sym_AT_ATC] = ACTIONS(147),
    [anon_sym_AT_ATdbt] = ACTIONS(151),
    [anon_sym_AT_ATdbta] = ACTIONS(147),
    [anon_sym_AT_ATdbtb] = ACTIONS(147),
    [anon_sym_AT_ATdbts] = ACTIONS(147),
    [anon_sym_AT_ATt] = ACTIONS(147),
    [anon_sym_AT_ATb] = ACTIONS(147),
    [anon_sym_AT_ATi] = ACTIONS(151),
    [anon_sym_AT_ATii] = ACTIONS(147),
    [anon_sym_AT_ATiS] = ACTIONS(151),
    [anon_sym_AT_ATiSS] = ACTIONS(147),
    [anon_sym_AT_ATis] = ACTIONS(147),
    [anon_sym_AT_ATiz] = ACTIONS(147),
    [anon_sym_AT_ATf] = ACTIONS(147),
    [anon_sym_AT_ATF] = ACTIONS(147),
    [anon_sym_AT_ATom] = ACTIONS(147),
    [anon_sym_AT_ATdm] = ACTIONS(147),
    [anon_sym_AT_ATr] = ACTIONS(147),
    [anon_sym_AT_ATs_COLON] = ACTIONS(147),
    [anon_sym_AT] = ACTIONS(147),
    [anon_sym_AT_BANG] = ACTIONS(147),
    [anon_sym_AT_LPAREN] = ACTIONS(147),
    [anon_sym_RPAREN] = ACTIONS(147),
    [anon_sym_ATa_COLON] = ACTIONS(147),
    [anon_sym_ATb_COLON] = ACTIONS(147),
    [anon_sym_ATB_COLON] = ACTIONS(147),
    [anon_sym_ATe_COLON] = ACTIONS(147),
    [anon_sym_ATF_COLON] = ACTIONS(147),
    [anon_sym_ATi_COLON] = ACTIONS(147),
    [anon_sym_ATk_COLON] = ACTIONS(147),
    [anon_sym_ATo_COLON] = ACTIONS(147),
    [anon_sym_ATr_COLON] = ACTIONS(147),
    [anon_sym_ATf_COLON] = ACTIONS(147),
    [anon_sym_ATs_COLON] = ACTIONS(147),
    [anon_sym_ATv_COLON] = ACTIONS(147),
    [anon_sym_ATx_COLON] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_LPAREN] = ACTIONS(153),
    [anon_sym_PIPE_DOT] = ACTIONS(147),
    [anon_sym_DOLLAR] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(147),
    [sym_html_redirect_operator] = ACTIONS(151),
    [sym_html_append_operator] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(157),
    [aux_sym_arg_identifier_token1] = ACTIONS(155),
    [anon_sym_SQUOTE] = ACTIONS(159),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(147),
    [anon_sym_CR] = ACTIONS(147),
    [sym_file_descriptor] = ACTIONS(147),
  },
  [53] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(54),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(165),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(167),
    [anon_sym_PIPEH] = ACTIONS(165),
    [anon_sym_AT_AT_DOT] = ACTIONS(165),
    [anon_sym_AT_AT_EQ] = ACTIONS(165),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(165),
    [anon_sym_AT_AT] = ACTIONS(167),
    [anon_sym_AT_ATc_COLON] = ACTIONS(165),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(165),
    [anon_sym_AT_ATC] = ACTIONS(165),
    [anon_sym_AT_ATdbt] = ACTIONS(167),
    [anon_sym_AT_ATdbta] = ACTIONS(165),
    [anon_sym_AT_ATdbtb] = ACTIONS(165),
    [anon_sym_AT_ATdbts] = ACTIONS(165),
    [anon_sym_AT_ATt] = ACTIONS(165),
    [anon_sym_AT_ATb] = ACTIONS(165),
    [anon_sym_AT_ATi] = ACTIONS(167),
    [anon_sym_AT_ATii] = ACTIONS(165),
    [anon_sym_AT_ATiS] = ACTIONS(167),
    [anon_sym_AT_ATiSS] = ACTIONS(165),
    [anon_sym_AT_ATis] = ACTIONS(165),
    [anon_sym_AT_ATiz] = ACTIONS(165),
    [anon_sym_AT_ATf] = ACTIONS(165),
    [anon_sym_AT_ATF] = ACTIONS(165),
    [anon_sym_AT_ATom] = ACTIONS(165),
    [anon_sym_AT_ATdm] = ACTIONS(165),
    [anon_sym_AT_ATr] = ACTIONS(165),
    [anon_sym_AT_ATs_COLON] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(165),
    [anon_sym_AT_BANG] = ACTIONS(165),
    [anon_sym_AT_LPAREN] = ACTIONS(165),
    [anon_sym_RPAREN] = ACTIONS(165),
    [anon_sym_ATa_COLON] = ACTIONS(165),
    [anon_sym_ATb_COLON] = ACTIONS(165),
    [anon_sym_ATB_COLON] = ACTIONS(165),
    [anon_sym_ATe_COLON] = ACTIONS(165),
    [anon_sym_ATF_COLON] = ACTIONS(165),
    [anon_sym_ATi_COLON] = ACTIONS(165),
    [anon_sym_ATk_COLON] = ACTIONS(165),
    [anon_sym_ATo_COLON] = ACTIONS(165),
    [anon_sym_ATr_COLON] = ACTIONS(165),
    [anon_sym_ATf_COLON] = ACTIONS(165),
    [anon_sym_ATs_COLON] = ACTIONS(165),
    [anon_sym_ATv_COLON] = ACTIONS(165),
    [anon_sym_ATx_COLON] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(167),
    [anon_sym_GT_GT] = ACTIONS(165),
    [sym_html_redirect_operator] = ACTIONS(167),
    [sym_html_append_operator] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(165),
    [anon_sym_CR] = ACTIONS(165),
    [sym_file_descriptor] = ACTIONS(165),
  },
  [54] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(54),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(54),
    [ts_builtin_sym_end] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(171),
    [anon_sym_TILDE] = ACTIONS(169),
    [anon_sym_PIPE] = ACTIONS(174),
    [anon_sym_PIPEH] = ACTIONS(169),
    [anon_sym_AT_AT_DOT] = ACTIONS(169),
    [anon_sym_AT_AT_EQ] = ACTIONS(169),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(169),
    [anon_sym_AT_AT] = ACTIONS(174),
    [anon_sym_AT_ATc_COLON] = ACTIONS(169),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(169),
    [anon_sym_AT_ATC] = ACTIONS(169),
    [anon_sym_AT_ATdbt] = ACTIONS(174),
    [anon_sym_AT_ATdbta] = ACTIONS(169),
    [anon_sym_AT_ATdbtb] = ACTIONS(169),
    [anon_sym_AT_ATdbts] = ACTIONS(169),
    [anon_sym_AT_ATt] = ACTIONS(169),
    [anon_sym_AT_ATb] = ACTIONS(169),
    [anon_sym_AT_ATi] = ACTIONS(174),
    [anon_sym_AT_ATii] = ACTIONS(169),
    [anon_sym_AT_ATiS] = ACTIONS(174),
    [anon_sym_AT_ATiSS] = ACTIONS(169),
    [anon_sym_AT_ATis] = ACTIONS(169),
    [anon_sym_AT_ATiz] = ACTIONS(169),
    [anon_sym_AT_ATf] = ACTIONS(169),
    [anon_sym_AT_ATF] = ACTIONS(169),
    [anon_sym_AT_ATom] = ACTIONS(169),
    [anon_sym_AT_ATdm] = ACTIONS(169),
    [anon_sym_AT_ATr] = ACTIONS(169),
    [anon_sym_AT_ATs_COLON] = ACTIONS(169),
    [anon_sym_AT] = ACTIONS(169),
    [anon_sym_AT_BANG] = ACTIONS(169),
    [anon_sym_AT_LPAREN] = ACTIONS(169),
    [anon_sym_RPAREN] = ACTIONS(169),
    [anon_sym_ATa_COLON] = ACTIONS(169),
    [anon_sym_ATb_COLON] = ACTIONS(169),
    [anon_sym_ATB_COLON] = ACTIONS(169),
    [anon_sym_ATe_COLON] = ACTIONS(169),
    [anon_sym_ATF_COLON] = ACTIONS(169),
    [anon_sym_ATi_COLON] = ACTIONS(169),
    [anon_sym_ATk_COLON] = ACTIONS(169),
    [anon_sym_ATo_COLON] = ACTIONS(169),
    [anon_sym_ATr_COLON] = ACTIONS(169),
    [anon_sym_ATf_COLON] = ACTIONS(169),
    [anon_sym_ATs_COLON] = ACTIONS(169),
    [anon_sym_ATv_COLON] = ACTIONS(169),
    [anon_sym_ATx_COLON] = ACTIONS(169),
    [anon_sym_SEMI] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(176),
    [anon_sym_PIPE_DOT] = ACTIONS(169),
    [anon_sym_DOLLAR] = ACTIONS(179),
    [anon_sym_GT] = ACTIONS(174),
    [anon_sym_GT_GT] = ACTIONS(169),
    [sym_html_redirect_operator] = ACTIONS(174),
    [sym_html_append_operator] = ACTIONS(169),
    [anon_sym_COMMA] = ACTIONS(182),
    [aux_sym_arg_identifier_token1] = ACTIONS(179),
    [anon_sym_SQUOTE] = ACTIONS(185),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(188),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(169),
    [anon_sym_CR] = ACTIONS(169),
    [sym_file_descriptor] = ACTIONS(169),
  },
  [55] = {
    [sym__pf_arg_parentheses] = STATE(103),
    [sym_pf_arg_identifier] = STATE(103),
    [sym__pf_arg] = STATE(103),
    [sym_pf_concatenation] = STATE(110),
    [sym_pf_arg] = STATE(70),
    [sym_pf_args] = STATE(233),
    [sym_cmd_substitution_arg] = STATE(103),
    [aux_sym_pf_args_repeat1] = STATE(70),
    [aux_sym_pf_dot_args_repeat1] = STATE(118),
    [ts_builtin_sym_end] = ACTIONS(194),
    [anon_sym_TILDE] = ACTIONS(194),
    [anon_sym_PIPE] = ACTIONS(196),
    [anon_sym_PIPEH] = ACTIONS(194),
    [anon_sym_AT_AT_DOT] = ACTIONS(194),
    [anon_sym_AT_AT_EQ] = ACTIONS(194),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(194),
    [anon_sym_AT_AT] = ACTIONS(196),
    [anon_sym_AT_ATc_COLON] = ACTIONS(194),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(194),
    [anon_sym_AT_ATC] = ACTIONS(194),
    [anon_sym_AT_ATdbt] = ACTIONS(196),
    [anon_sym_AT_ATdbta] = ACTIONS(194),
    [anon_sym_AT_ATdbtb] = ACTIONS(194),
    [anon_sym_AT_ATdbts] = ACTIONS(194),
    [anon_sym_AT_ATt] = ACTIONS(194),
    [anon_sym_AT_ATb] = ACTIONS(194),
    [anon_sym_AT_ATi] = ACTIONS(196),
    [anon_sym_AT_ATii] = ACTIONS(194),
    [anon_sym_AT_ATiS] = ACTIONS(196),
    [anon_sym_AT_ATiSS] = ACTIONS(194),
    [anon_sym_AT_ATis] = ACTIONS(194),
    [anon_sym_AT_ATiz] = ACTIONS(194),
    [anon_sym_AT_ATf] = ACTIONS(194),
    [anon_sym_AT_ATF] = ACTIONS(194),
    [anon_sym_AT_ATom] = ACTIONS(194),
    [anon_sym_AT_ATdm] = ACTIONS(194),
    [anon_sym_AT_ATr] = ACTIONS(194),
    [anon_sym_AT_ATs_COLON] = ACTIONS(194),
    [anon_sym_AT] = ACTIONS(194),
    [anon_sym_AT_BANG] = ACTIONS(194),
    [anon_sym_AT_LPAREN] = ACTIONS(194),
    [anon_sym_RPAREN] = ACTIONS(194),
    [anon_sym_ATa_COLON] = ACTIONS(194),
    [anon_sym_ATb_COLON] = ACTIONS(194),
    [anon_sym_ATB_COLON] = ACTIONS(194),
    [anon_sym_ATe_COLON] = ACTIONS(194),
    [anon_sym_ATF_COLON] = ACTIONS(194),
    [anon_sym_ATi_COLON] = ACTIONS(194),
    [anon_sym_ATk_COLON] = ACTIONS(194),
    [anon_sym_ATo_COLON] = ACTIONS(194),
    [anon_sym_ATr_COLON] = ACTIONS(194),
    [anon_sym_ATf_COLON] = ACTIONS(194),
    [anon_sym_ATs_COLON] = ACTIONS(194),
    [anon_sym_ATv_COLON] = ACTIONS(194),
    [anon_sym_ATx_COLON] = ACTIONS(194),
    [anon_sym_SEMI] = ACTIONS(194),
    [anon_sym_LPAREN] = ACTIONS(198),
    [anon_sym_PIPE_DOT] = ACTIONS(194),
    [anon_sym_EQ] = ACTIONS(196),
    [anon_sym_DOLLAR] = ACTIONS(200),
    [aux_sym_pf_arg_identifier_token1] = ACTIONS(200),
    [anon_sym_GT] = ACTIONS(196),
    [anon_sym_GT_GT] = ACTIONS(194),
    [sym_html_redirect_operator] = ACTIONS(196),
    [sym_html_append_operator] = ACTIONS(194),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(202),
    [anon_sym_BQUOTE] = ACTIONS(204),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(194),
    [anon_sym_CR] = ACTIONS(194),
    [sym_file_descriptor] = ACTIONS(194),
    [sym__concat_pf_dot] = ACTIONS(206),
  },
  [56] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(189),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(97),
    [anon_sym_PIPE] = ACTIONS(101),
    [anon_sym_PIPEH] = ACTIONS(97),
    [anon_sym_AT_AT_DOT] = ACTIONS(97),
    [anon_sym_AT_AT_EQ] = ACTIONS(97),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(97),
    [anon_sym_AT_AT] = ACTIONS(101),
    [anon_sym_AT_ATc_COLON] = ACTIONS(97),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(97),
    [anon_sym_AT_ATC] = ACTIONS(97),
    [anon_sym_AT_ATdbt] = ACTIONS(101),
    [anon_sym_AT_ATdbta] = ACTIONS(97),
    [anon_sym_AT_ATdbtb] = ACTIONS(97),
    [anon_sym_AT_ATdbts] = ACTIONS(97),
    [anon_sym_AT_ATt] = ACTIONS(97),
    [anon_sym_AT_ATb] = ACTIONS(97),
    [anon_sym_AT_ATi] = ACTIONS(101),
    [anon_sym_AT_ATii] = ACTIONS(97),
    [anon_sym_AT_ATiS] = ACTIONS(101),
    [anon_sym_AT_ATiSS] = ACTIONS(97),
    [anon_sym_AT_ATis] = ACTIONS(97),
    [anon_sym_AT_ATiz] = ACTIONS(97),
    [anon_sym_AT_ATf] = ACTIONS(97),
    [anon_sym_AT_ATF] = ACTIONS(97),
    [anon_sym_AT_ATom] = ACTIONS(97),
    [anon_sym_AT_ATdm] = ACTIONS(97),
    [anon_sym_AT_ATr] = ACTIONS(97),
    [anon_sym_AT_ATs_COLON] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(97),
    [anon_sym_AT_BANG] = ACTIONS(97),
    [anon_sym_AT_LPAREN] = ACTIONS(97),
    [anon_sym_ATa_COLON] = ACTIONS(97),
    [anon_sym_ATb_COLON] = ACTIONS(97),
    [anon_sym_ATB_COLON] = ACTIONS(97),
    [anon_sym_ATe_COLON] = ACTIONS(97),
    [anon_sym_ATF_COLON] = ACTIONS(97),
    [anon_sym_ATi_COLON] = ACTIONS(97),
    [anon_sym_ATk_COLON] = ACTIONS(97),
    [anon_sym_ATo_COLON] = ACTIONS(97),
    [anon_sym_ATr_COLON] = ACTIONS(97),
    [anon_sym_ATf_COLON] = ACTIONS(97),
    [anon_sym_ATs_COLON] = ACTIONS(97),
    [anon_sym_ATv_COLON] = ACTIONS(97),
    [anon_sym_ATx_COLON] = ACTIONS(97),
    [anon_sym_SEMI] = ACTIONS(97),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(97),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(101),
    [anon_sym_GT_GT] = ACTIONS(97),
    [sym_html_redirect_operator] = ACTIONS(101),
    [sym_html_append_operator] = ACTIONS(97),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(97),
  },
  [57] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(217),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(143),
    [anon_sym_PIPE] = ACTIONS(145),
    [anon_sym_PIPEH] = ACTIONS(143),
    [anon_sym_AT_AT_DOT] = ACTIONS(143),
    [anon_sym_AT_AT_EQ] = ACTIONS(143),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(143),
    [anon_sym_AT_AT] = ACTIONS(145),
    [anon_sym_AT_ATc_COLON] = ACTIONS(143),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(143),
    [anon_sym_AT_ATC] = ACTIONS(143),
    [anon_sym_AT_ATdbt] = ACTIONS(145),
    [anon_sym_AT_ATdbta] = ACTIONS(143),
    [anon_sym_AT_ATdbtb] = ACTIONS(143),
    [anon_sym_AT_ATdbts] = ACTIONS(143),
    [anon_sym_AT_ATt] = ACTIONS(143),
    [anon_sym_AT_ATb] = ACTIONS(143),
    [anon_sym_AT_ATi] = ACTIONS(145),
    [anon_sym_AT_ATii] = ACTIONS(143),
    [anon_sym_AT_ATiS] = ACTIONS(145),
    [anon_sym_AT_ATiSS] = ACTIONS(143),
    [anon_sym_AT_ATis] = ACTIONS(143),
    [anon_sym_AT_ATiz] = ACTIONS(143),
    [anon_sym_AT_ATf] = ACTIONS(143),
    [anon_sym_AT_ATF] = ACTIONS(143),
    [anon_sym_AT_ATom] = ACTIONS(143),
    [anon_sym_AT_ATdm] = ACTIONS(143),
    [anon_sym_AT_ATr] = ACTIONS(143),
    [anon_sym_AT_ATs_COLON] = ACTIONS(143),
    [anon_sym_AT] = ACTIONS(143),
    [anon_sym_AT_BANG] = ACTIONS(143),
    [anon_sym_AT_LPAREN] = ACTIONS(143),
    [anon_sym_ATa_COLON] = ACTIONS(143),
    [anon_sym_ATb_COLON] = ACTIONS(143),
    [anon_sym_ATB_COLON] = ACTIONS(143),
    [anon_sym_ATe_COLON] = ACTIONS(143),
    [anon_sym_ATF_COLON] = ACTIONS(143),
    [anon_sym_ATi_COLON] = ACTIONS(143),
    [anon_sym_ATk_COLON] = ACTIONS(143),
    [anon_sym_ATo_COLON] = ACTIONS(143),
    [anon_sym_ATr_COLON] = ACTIONS(143),
    [anon_sym_ATf_COLON] = ACTIONS(143),
    [anon_sym_ATs_COLON] = ACTIONS(143),
    [anon_sym_ATv_COLON] = ACTIONS(143),
    [anon_sym_ATx_COLON] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(143),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(145),
    [anon_sym_GT_GT] = ACTIONS(143),
    [sym_html_redirect_operator] = ACTIONS(145),
    [sym_html_append_operator] = ACTIONS(143),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(143),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(143),
  },
  [58] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(191),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_PIPEH] = ACTIONS(131),
    [anon_sym_AT_AT_DOT] = ACTIONS(131),
    [anon_sym_AT_AT_EQ] = ACTIONS(131),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(131),
    [anon_sym_AT_AT] = ACTIONS(133),
    [anon_sym_AT_ATc_COLON] = ACTIONS(131),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(131),
    [anon_sym_AT_ATC] = ACTIONS(131),
    [anon_sym_AT_ATdbt] = ACTIONS(133),
    [anon_sym_AT_ATdbta] = ACTIONS(131),
    [anon_sym_AT_ATdbtb] = ACTIONS(131),
    [anon_sym_AT_ATdbts] = ACTIONS(131),
    [anon_sym_AT_ATt] = ACTIONS(131),
    [anon_sym_AT_ATb] = ACTIONS(131),
    [anon_sym_AT_ATi] = ACTIONS(133),
    [anon_sym_AT_ATii] = ACTIONS(131),
    [anon_sym_AT_ATiS] = ACTIONS(133),
    [anon_sym_AT_ATiSS] = ACTIONS(131),
    [anon_sym_AT_ATis] = ACTIONS(131),
    [anon_sym_AT_ATiz] = ACTIONS(131),
    [anon_sym_AT_ATf] = ACTIONS(131),
    [anon_sym_AT_ATF] = ACTIONS(131),
    [anon_sym_AT_ATom] = ACTIONS(131),
    [anon_sym_AT_ATdm] = ACTIONS(131),
    [anon_sym_AT_ATr] = ACTIONS(131),
    [anon_sym_AT_ATs_COLON] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(131),
    [anon_sym_AT_BANG] = ACTIONS(131),
    [anon_sym_AT_LPAREN] = ACTIONS(131),
    [anon_sym_ATa_COLON] = ACTIONS(131),
    [anon_sym_ATb_COLON] = ACTIONS(131),
    [anon_sym_ATB_COLON] = ACTIONS(131),
    [anon_sym_ATe_COLON] = ACTIONS(131),
    [anon_sym_ATF_COLON] = ACTIONS(131),
    [anon_sym_ATi_COLON] = ACTIONS(131),
    [anon_sym_ATk_COLON] = ACTIONS(131),
    [anon_sym_ATo_COLON] = ACTIONS(131),
    [anon_sym_ATr_COLON] = ACTIONS(131),
    [anon_sym_ATf_COLON] = ACTIONS(131),
    [anon_sym_ATs_COLON] = ACTIONS(131),
    [anon_sym_ATv_COLON] = ACTIONS(131),
    [anon_sym_ATx_COLON] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(131),
    [sym_html_redirect_operator] = ACTIONS(133),
    [sym_html_append_operator] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(131),
  },
  [59] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(204),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PIPEH] = ACTIONS(135),
    [anon_sym_AT_AT_DOT] = ACTIONS(135),
    [anon_sym_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT] = ACTIONS(137),
    [anon_sym_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_ATC] = ACTIONS(135),
    [anon_sym_AT_ATdbt] = ACTIONS(137),
    [anon_sym_AT_ATdbta] = ACTIONS(135),
    [anon_sym_AT_ATdbtb] = ACTIONS(135),
    [anon_sym_AT_ATdbts] = ACTIONS(135),
    [anon_sym_AT_ATt] = ACTIONS(135),
    [anon_sym_AT_ATb] = ACTIONS(135),
    [anon_sym_AT_ATi] = ACTIONS(137),
    [anon_sym_AT_ATii] = ACTIONS(135),
    [anon_sym_AT_ATiS] = ACTIONS(137),
    [anon_sym_AT_ATiSS] = ACTIONS(135),
    [anon_sym_AT_ATis] = ACTIONS(135),
    [anon_sym_AT_ATiz] = ACTIONS(135),
    [anon_sym_AT_ATf] = ACTIONS(135),
    [anon_sym_AT_ATF] = ACTIONS(135),
    [anon_sym_AT_ATom] = ACTIONS(135),
    [anon_sym_AT_ATdm] = ACTIONS(135),
    [anon_sym_AT_ATr] = ACTIONS(135),
    [anon_sym_AT_ATs_COLON] = ACTIONS(135),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_AT_BANG] = ACTIONS(135),
    [anon_sym_AT_LPAREN] = ACTIONS(135),
    [anon_sym_ATa_COLON] = ACTIONS(135),
    [anon_sym_ATb_COLON] = ACTIONS(135),
    [anon_sym_ATB_COLON] = ACTIONS(135),
    [anon_sym_ATe_COLON] = ACTIONS(135),
    [anon_sym_ATF_COLON] = ACTIONS(135),
    [anon_sym_ATi_COLON] = ACTIONS(135),
    [anon_sym_ATk_COLON] = ACTIONS(135),
    [anon_sym_ATo_COLON] = ACTIONS(135),
    [anon_sym_ATr_COLON] = ACTIONS(135),
    [anon_sym_ATf_COLON] = ACTIONS(135),
    [anon_sym_ATs_COLON] = ACTIONS(135),
    [anon_sym_ATv_COLON] = ACTIONS(135),
    [anon_sym_ATx_COLON] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_GT] = ACTIONS(135),
    [sym_html_redirect_operator] = ACTIONS(137),
    [sym_html_append_operator] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(135),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(135),
  },
  [60] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(259),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_PIPE] = ACTIONS(117),
    [anon_sym_PIPEH] = ACTIONS(115),
    [anon_sym_AT_AT_DOT] = ACTIONS(115),
    [anon_sym_AT_AT_EQ] = ACTIONS(115),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(115),
    [anon_sym_AT_AT] = ACTIONS(117),
    [anon_sym_AT_ATc_COLON] = ACTIONS(115),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(115),
    [anon_sym_AT_ATC] = ACTIONS(115),
    [anon_sym_AT_ATdbt] = ACTIONS(117),
    [anon_sym_AT_ATdbta] = ACTIONS(115),
    [anon_sym_AT_ATdbtb] = ACTIONS(115),
    [anon_sym_AT_ATdbts] = ACTIONS(115),
    [anon_sym_AT_ATt] = ACTIONS(115),
    [anon_sym_AT_ATb] = ACTIONS(115),
    [anon_sym_AT_ATi] = ACTIONS(117),
    [anon_sym_AT_ATii] = ACTIONS(115),
    [anon_sym_AT_ATiS] = ACTIONS(117),
    [anon_sym_AT_ATiSS] = ACTIONS(115),
    [anon_sym_AT_ATis] = ACTIONS(115),
    [anon_sym_AT_ATiz] = ACTIONS(115),
    [anon_sym_AT_ATf] = ACTIONS(115),
    [anon_sym_AT_ATF] = ACTIONS(115),
    [anon_sym_AT_ATom] = ACTIONS(115),
    [anon_sym_AT_ATdm] = ACTIONS(115),
    [anon_sym_AT_ATr] = ACTIONS(115),
    [anon_sym_AT_ATs_COLON] = ACTIONS(115),
    [anon_sym_AT] = ACTIONS(115),
    [anon_sym_AT_BANG] = ACTIONS(115),
    [anon_sym_AT_LPAREN] = ACTIONS(115),
    [anon_sym_ATa_COLON] = ACTIONS(115),
    [anon_sym_ATb_COLON] = ACTIONS(115),
    [anon_sym_ATB_COLON] = ACTIONS(115),
    [anon_sym_ATe_COLON] = ACTIONS(115),
    [anon_sym_ATF_COLON] = ACTIONS(115),
    [anon_sym_ATi_COLON] = ACTIONS(115),
    [anon_sym_ATk_COLON] = ACTIONS(115),
    [anon_sym_ATo_COLON] = ACTIONS(115),
    [anon_sym_ATr_COLON] = ACTIONS(115),
    [anon_sym_ATf_COLON] = ACTIONS(115),
    [anon_sym_ATs_COLON] = ACTIONS(115),
    [anon_sym_ATv_COLON] = ACTIONS(115),
    [anon_sym_ATx_COLON] = ACTIONS(115),
    [anon_sym_SEMI] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(117),
    [anon_sym_GT_GT] = ACTIONS(115),
    [sym_html_redirect_operator] = ACTIONS(117),
    [sym_html_append_operator] = ACTIONS(115),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(115),
  },
  [61] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(188),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(123),
    [anon_sym_PIPE] = ACTIONS(125),
    [anon_sym_PIPEH] = ACTIONS(123),
    [anon_sym_AT_AT_DOT] = ACTIONS(123),
    [anon_sym_AT_AT_EQ] = ACTIONS(123),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(123),
    [anon_sym_AT_AT] = ACTIONS(125),
    [anon_sym_AT_ATc_COLON] = ACTIONS(123),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(123),
    [anon_sym_AT_ATC] = ACTIONS(123),
    [anon_sym_AT_ATdbt] = ACTIONS(125),
    [anon_sym_AT_ATdbta] = ACTIONS(123),
    [anon_sym_AT_ATdbtb] = ACTIONS(123),
    [anon_sym_AT_ATdbts] = ACTIONS(123),
    [anon_sym_AT_ATt] = ACTIONS(123),
    [anon_sym_AT_ATb] = ACTIONS(123),
    [anon_sym_AT_ATi] = ACTIONS(125),
    [anon_sym_AT_ATii] = ACTIONS(123),
    [anon_sym_AT_ATiS] = ACTIONS(125),
    [anon_sym_AT_ATiSS] = ACTIONS(123),
    [anon_sym_AT_ATis] = ACTIONS(123),
    [anon_sym_AT_ATiz] = ACTIONS(123),
    [anon_sym_AT_ATf] = ACTIONS(123),
    [anon_sym_AT_ATF] = ACTIONS(123),
    [anon_sym_AT_ATom] = ACTIONS(123),
    [anon_sym_AT_ATdm] = ACTIONS(123),
    [anon_sym_AT_ATr] = ACTIONS(123),
    [anon_sym_AT_ATs_COLON] = ACTIONS(123),
    [anon_sym_AT] = ACTIONS(123),
    [anon_sym_AT_BANG] = ACTIONS(123),
    [anon_sym_AT_LPAREN] = ACTIONS(123),
    [anon_sym_ATa_COLON] = ACTIONS(123),
    [anon_sym_ATb_COLON] = ACTIONS(123),
    [anon_sym_ATB_COLON] = ACTIONS(123),
    [anon_sym_ATe_COLON] = ACTIONS(123),
    [anon_sym_ATF_COLON] = ACTIONS(123),
    [anon_sym_ATi_COLON] = ACTIONS(123),
    [anon_sym_ATk_COLON] = ACTIONS(123),
    [anon_sym_ATo_COLON] = ACTIONS(123),
    [anon_sym_ATr_COLON] = ACTIONS(123),
    [anon_sym_ATf_COLON] = ACTIONS(123),
    [anon_sym_ATs_COLON] = ACTIONS(123),
    [anon_sym_ATv_COLON] = ACTIONS(123),
    [anon_sym_ATx_COLON] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(123),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(125),
    [anon_sym_GT_GT] = ACTIONS(123),
    [sym_html_redirect_operator] = ACTIONS(125),
    [sym_html_append_operator] = ACTIONS(123),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(113),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(123),
  },
  [62] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(221),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_PIPE] = ACTIONS(137),
    [anon_sym_PIPEH] = ACTIONS(135),
    [anon_sym_AT_AT_DOT] = ACTIONS(135),
    [anon_sym_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(135),
    [anon_sym_AT_AT] = ACTIONS(137),
    [anon_sym_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(135),
    [anon_sym_AT_ATC] = ACTIONS(135),
    [anon_sym_AT_ATdbt] = ACTIONS(137),
    [anon_sym_AT_ATdbta] = ACTIONS(135),
    [anon_sym_AT_ATdbtb] = ACTIONS(135),
    [anon_sym_AT_ATdbts] = ACTIONS(135),
    [anon_sym_AT_ATt] = ACTIONS(135),
    [anon_sym_AT_ATb] = ACTIONS(135),
    [anon_sym_AT_ATi] = ACTIONS(137),
    [anon_sym_AT_ATii] = ACTIONS(135),
    [anon_sym_AT_ATiS] = ACTIONS(137),
    [anon_sym_AT_ATiSS] = ACTIONS(135),
    [anon_sym_AT_ATis] = ACTIONS(135),
    [anon_sym_AT_ATiz] = ACTIONS(135),
    [anon_sym_AT_ATf] = ACTIONS(135),
    [anon_sym_AT_ATF] = ACTIONS(135),
    [anon_sym_AT_ATom] = ACTIONS(135),
    [anon_sym_AT_ATdm] = ACTIONS(135),
    [anon_sym_AT_ATr] = ACTIONS(135),
    [anon_sym_AT_ATs_COLON] = ACTIONS(135),
    [anon_sym_AT] = ACTIONS(135),
    [anon_sym_AT_BANG] = ACTIONS(135),
    [anon_sym_AT_LPAREN] = ACTIONS(135),
    [anon_sym_ATa_COLON] = ACTIONS(135),
    [anon_sym_ATb_COLON] = ACTIONS(135),
    [anon_sym_ATB_COLON] = ACTIONS(135),
    [anon_sym_ATe_COLON] = ACTIONS(135),
    [anon_sym_ATF_COLON] = ACTIONS(135),
    [anon_sym_ATi_COLON] = ACTIONS(135),
    [anon_sym_ATk_COLON] = ACTIONS(135),
    [anon_sym_ATo_COLON] = ACTIONS(135),
    [anon_sym_ATr_COLON] = ACTIONS(135),
    [anon_sym_ATf_COLON] = ACTIONS(135),
    [anon_sym_ATs_COLON] = ACTIONS(135),
    [anon_sym_ATv_COLON] = ACTIONS(135),
    [anon_sym_ATx_COLON] = ACTIONS(135),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(135),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(137),
    [anon_sym_GT_GT] = ACTIONS(135),
    [sym_html_redirect_operator] = ACTIONS(137),
    [sym_html_append_operator] = ACTIONS(135),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(135),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(135),
  },
  [63] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(235),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_PIPE] = ACTIONS(141),
    [anon_sym_PIPEH] = ACTIONS(139),
    [anon_sym_AT_AT_DOT] = ACTIONS(139),
    [anon_sym_AT_AT_EQ] = ACTIONS(139),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(139),
    [anon_sym_AT_AT] = ACTIONS(141),
    [anon_sym_AT_ATc_COLON] = ACTIONS(139),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(139),
    [anon_sym_AT_ATC] = ACTIONS(139),
    [anon_sym_AT_ATdbt] = ACTIONS(141),
    [anon_sym_AT_ATdbta] = ACTIONS(139),
    [anon_sym_AT_ATdbtb] = ACTIONS(139),
    [anon_sym_AT_ATdbts] = ACTIONS(139),
    [anon_sym_AT_ATt] = ACTIONS(139),
    [anon_sym_AT_ATb] = ACTIONS(139),
    [anon_sym_AT_ATi] = ACTIONS(141),
    [anon_sym_AT_ATii] = ACTIONS(139),
    [anon_sym_AT_ATiS] = ACTIONS(141),
    [anon_sym_AT_ATiSS] = ACTIONS(139),
    [anon_sym_AT_ATis] = ACTIONS(139),
    [anon_sym_AT_ATiz] = ACTIONS(139),
    [anon_sym_AT_ATf] = ACTIONS(139),
    [anon_sym_AT_ATF] = ACTIONS(139),
    [anon_sym_AT_ATom] = ACTIONS(139),
    [anon_sym_AT_ATdm] = ACTIONS(139),
    [anon_sym_AT_ATr] = ACTIONS(139),
    [anon_sym_AT_ATs_COLON] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(139),
    [anon_sym_AT_BANG] = ACTIONS(139),
    [anon_sym_AT_LPAREN] = ACTIONS(139),
    [anon_sym_ATa_COLON] = ACTIONS(139),
    [anon_sym_ATb_COLON] = ACTIONS(139),
    [anon_sym_ATB_COLON] = ACTIONS(139),
    [anon_sym_ATe_COLON] = ACTIONS(139),
    [anon_sym_ATF_COLON] = ACTIONS(139),
    [anon_sym_ATi_COLON] = ACTIONS(139),
    [anon_sym_ATk_COLON] = ACTIONS(139),
    [anon_sym_ATo_COLON] = ACTIONS(139),
    [anon_sym_ATr_COLON] = ACTIONS(139),
    [anon_sym_ATf_COLON] = ACTIONS(139),
    [anon_sym_ATs_COLON] = ACTIONS(139),
    [anon_sym_ATv_COLON] = ACTIONS(139),
    [anon_sym_ATx_COLON] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(139),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(141),
    [anon_sym_GT_GT] = ACTIONS(139),
    [sym_html_redirect_operator] = ACTIONS(141),
    [sym_html_append_operator] = ACTIONS(139),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(139),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(139),
  },
  [64] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(222),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PIPE] = ACTIONS(121),
    [anon_sym_PIPEH] = ACTIONS(119),
    [anon_sym_AT_AT_DOT] = ACTIONS(119),
    [anon_sym_AT_AT_EQ] = ACTIONS(119),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(119),
    [anon_sym_AT_AT] = ACTIONS(121),
    [anon_sym_AT_ATc_COLON] = ACTIONS(119),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(119),
    [anon_sym_AT_ATC] = ACTIONS(119),
    [anon_sym_AT_ATdbt] = ACTIONS(121),
    [anon_sym_AT_ATdbta] = ACTIONS(119),
    [anon_sym_AT_ATdbtb] = ACTIONS(119),
    [anon_sym_AT_ATdbts] = ACTIONS(119),
    [anon_sym_AT_ATt] = ACTIONS(119),
    [anon_sym_AT_ATb] = ACTIONS(119),
    [anon_sym_AT_ATi] = ACTIONS(121),
    [anon_sym_AT_ATii] = ACTIONS(119),
    [anon_sym_AT_ATiS] = ACTIONS(121),
    [anon_sym_AT_ATiSS] = ACTIONS(119),
    [anon_sym_AT_ATis] = ACTIONS(119),
    [anon_sym_AT_ATiz] = ACTIONS(119),
    [anon_sym_AT_ATf] = ACTIONS(119),
    [anon_sym_AT_ATF] = ACTIONS(119),
    [anon_sym_AT_ATom] = ACTIONS(119),
    [anon_sym_AT_ATdm] = ACTIONS(119),
    [anon_sym_AT_ATr] = ACTIONS(119),
    [anon_sym_AT_ATs_COLON] = ACTIONS(119),
    [anon_sym_AT] = ACTIONS(119),
    [anon_sym_AT_BANG] = ACTIONS(119),
    [anon_sym_AT_LPAREN] = ACTIONS(119),
    [anon_sym_ATa_COLON] = ACTIONS(119),
    [anon_sym_ATb_COLON] = ACTIONS(119),
    [anon_sym_ATB_COLON] = ACTIONS(119),
    [anon_sym_ATe_COLON] = ACTIONS(119),
    [anon_sym_ATF_COLON] = ACTIONS(119),
    [anon_sym_ATi_COLON] = ACTIONS(119),
    [anon_sym_ATk_COLON] = ACTIONS(119),
    [anon_sym_ATo_COLON] = ACTIONS(119),
    [anon_sym_ATr_COLON] = ACTIONS(119),
    [anon_sym_ATf_COLON] = ACTIONS(119),
    [anon_sym_ATs_COLON] = ACTIONS(119),
    [anon_sym_ATv_COLON] = ACTIONS(119),
    [anon_sym_ATx_COLON] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(119),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(119),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(121),
    [anon_sym_GT_GT] = ACTIONS(119),
    [sym_html_redirect_operator] = ACTIONS(121),
    [sym_html_append_operator] = ACTIONS(119),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(119),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(119),
  },
  [65] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(67),
    [sym_args] = STATE(186),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(67),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(127),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_PIPEH] = ACTIONS(127),
    [anon_sym_AT_AT_DOT] = ACTIONS(127),
    [anon_sym_AT_AT_EQ] = ACTIONS(127),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(127),
    [anon_sym_AT_AT] = ACTIONS(129),
    [anon_sym_AT_ATc_COLON] = ACTIONS(127),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(127),
    [anon_sym_AT_ATC] = ACTIONS(127),
    [anon_sym_AT_ATdbt] = ACTIONS(129),
    [anon_sym_AT_ATdbta] = ACTIONS(127),
    [anon_sym_AT_ATdbtb] = ACTIONS(127),
    [anon_sym_AT_ATdbts] = ACTIONS(127),
    [anon_sym_AT_ATt] = ACTIONS(127),
    [anon_sym_AT_ATb] = ACTIONS(127),
    [anon_sym_AT_ATi] = ACTIONS(129),
    [anon_sym_AT_ATii] = ACTIONS(127),
    [anon_sym_AT_ATiS] = ACTIONS(129),
    [anon_sym_AT_ATiSS] = ACTIONS(127),
    [anon_sym_AT_ATis] = ACTIONS(127),
    [anon_sym_AT_ATiz] = ACTIONS(127),
    [anon_sym_AT_ATf] = ACTIONS(127),
    [anon_sym_AT_ATF] = ACTIONS(127),
    [anon_sym_AT_ATom] = ACTIONS(127),
    [anon_sym_AT_ATdm] = ACTIONS(127),
    [anon_sym_AT_ATr] = ACTIONS(127),
    [anon_sym_AT_ATs_COLON] = ACTIONS(127),
    [anon_sym_AT] = ACTIONS(127),
    [anon_sym_AT_BANG] = ACTIONS(127),
    [anon_sym_AT_LPAREN] = ACTIONS(127),
    [anon_sym_ATa_COLON] = ACTIONS(127),
    [anon_sym_ATb_COLON] = ACTIONS(127),
    [anon_sym_ATB_COLON] = ACTIONS(127),
    [anon_sym_ATe_COLON] = ACTIONS(127),
    [anon_sym_ATF_COLON] = ACTIONS(127),
    [anon_sym_ATi_COLON] = ACTIONS(127),
    [anon_sym_ATk_COLON] = ACTIONS(127),
    [anon_sym_ATo_COLON] = ACTIONS(127),
    [anon_sym_ATr_COLON] = ACTIONS(127),
    [anon_sym_ATf_COLON] = ACTIONS(127),
    [anon_sym_ATs_COLON] = ACTIONS(127),
    [anon_sym_ATv_COLON] = ACTIONS(127),
    [anon_sym_ATx_COLON] = ACTIONS(127),
    [anon_sym_SEMI] = ACTIONS(127),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_GT_GT] = ACTIONS(127),
    [sym_html_redirect_operator] = ACTIONS(129),
    [sym_html_append_operator] = ACTIONS(127),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(127),
  },
  [66] = {
    [sym__Cf_args] = STATE(178),
    [sym__arg_with_paren] = STATE(390),
    [sym__arg] = STATE(390),
    [sym_arg] = STATE(343),
    [sym_arg_identifier] = STATE(390),
    [sym_double_quoted_arg] = STATE(390),
    [sym_single_quoted_arg] = STATE(390),
    [sym_cmd_substitution_arg] = STATE(390),
    [sym_concatenation] = STATE(408),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_TILDE] = ACTIONS(147),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_PIPEH] = ACTIONS(147),
    [anon_sym_AT_AT_DOT] = ACTIONS(147),
    [anon_sym_AT_AT_EQ] = ACTIONS(147),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(147),
    [anon_sym_AT_AT] = ACTIONS(151),
    [anon_sym_AT_ATc_COLON] = ACTIONS(147),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(147),
    [anon_sym_AT_ATC] = ACTIONS(147),
    [anon_sym_AT_ATdbt] = ACTIONS(151),
    [anon_sym_AT_ATdbta] = ACTIONS(147),
    [anon_sym_AT_ATdbtb] = ACTIONS(147),
    [anon_sym_AT_ATdbts] = ACTIONS(147),
    [anon_sym_AT_ATt] = ACTIONS(147),
    [anon_sym_AT_ATb] = ACTIONS(147),
    [anon_sym_AT_ATi] = ACTIONS(151),
    [anon_sym_AT_ATii] = ACTIONS(147),
    [anon_sym_AT_ATiS] = ACTIONS(151),
    [anon_sym_AT_ATiSS] = ACTIONS(147),
    [anon_sym_AT_ATis] = ACTIONS(147),
    [anon_sym_AT_ATiz] = ACTIONS(147),
    [anon_sym_AT_ATf] = ACTIONS(147),
    [anon_sym_AT_ATF] = ACTIONS(147),
    [anon_sym_AT_ATom] = ACTIONS(147),
    [anon_sym_AT_ATdm] = ACTIONS(147),
    [anon_sym_AT_ATr] = ACTIONS(147),
    [anon_sym_AT_ATs_COLON] = ACTIONS(147),
    [anon_sym_AT] = ACTIONS(147),
    [anon_sym_AT_BANG] = ACTIONS(147),
    [anon_sym_AT_LPAREN] = ACTIONS(147),
    [anon_sym_ATa_COLON] = ACTIONS(147),
    [anon_sym_ATb_COLON] = ACTIONS(147),
    [anon_sym_ATB_COLON] = ACTIONS(147),
    [anon_sym_ATe_COLON] = ACTIONS(147),
    [anon_sym_ATF_COLON] = ACTIONS(147),
    [anon_sym_ATi_COLON] = ACTIONS(147),
    [anon_sym_ATk_COLON] = ACTIONS(147),
    [anon_sym_ATo_COLON] = ACTIONS(147),
    [anon_sym_ATr_COLON] = ACTIONS(147),
    [anon_sym_ATf_COLON] = ACTIONS(147),
    [anon_sym_ATs_COLON] = ACTIONS(147),
    [anon_sym_ATv_COLON] = ACTIONS(147),
    [anon_sym_ATx_COLON] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_LPAREN] = ACTIONS(153),
    [anon_sym_PIPE_DOT] = ACTIONS(147),
    [anon_sym_DOLLAR] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(147),
    [sym_html_redirect_operator] = ACTIONS(151),
    [sym_html_append_operator] = ACTIONS(147),
    [anon_sym_COMMA] = ACTIONS(157),
    [aux_sym_arg_identifier_token1] = ACTIONS(155),
    [anon_sym_SQUOTE] = ACTIONS(159),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(147),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(147),
  },
  [67] = {
    [sym__arg_with_paren] = STATE(76),
    [sym__arg] = STATE(76),
    [sym_arg] = STATE(54),
    [sym_arg_identifier] = STATE(76),
    [sym_double_quoted_arg] = STATE(76),
    [sym_single_quoted_arg] = STATE(76),
    [sym_cmd_substitution_arg] = STATE(76),
    [sym_concatenation] = STATE(94),
    [aux_sym_args_repeat1] = STATE(54),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [anon_sym_TILDE] = ACTIONS(165),
    [anon_sym_PIPE] = ACTIONS(167),
    [anon_sym_PIPEH] = ACTIONS(165),
    [anon_sym_AT_AT_DOT] = ACTIONS(165),
    [anon_sym_AT_AT_EQ] = ACTIONS(165),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(165),
    [anon_sym_AT_AT] = ACTIONS(167),
    [anon_sym_AT_ATc_COLON] = ACTIONS(165),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(165),
    [anon_sym_AT_ATC] = ACTIONS(165),
    [anon_sym_AT_ATdbt] = ACTIONS(167),
    [anon_sym_AT_ATdbta] = ACTIONS(165),
    [anon_sym_AT_ATdbtb] = ACTIONS(165),
    [anon_sym_AT_ATdbts] = ACTIONS(165),
    [anon_sym_AT_ATt] = ACTIONS(165),
    [anon_sym_AT_ATb] = ACTIONS(165),
    [anon_sym_AT_ATi] = ACTIONS(167),
    [anon_sym_AT_ATii] = ACTIONS(165),
    [anon_sym_AT_ATiS] = ACTIONS(167),
    [anon_sym_AT_ATiSS] = ACTIONS(165),
    [anon_sym_AT_ATis] = ACTIONS(165),
    [anon_sym_AT_ATiz] = ACTIONS(165),
    [anon_sym_AT_ATf] = ACTIONS(165),
    [anon_sym_AT_ATF] = ACTIONS(165),
    [anon_sym_AT_ATom] = ACTIONS(165),
    [anon_sym_AT_ATdm] = ACTIONS(165),
    [anon_sym_AT_ATr] = ACTIONS(165),
    [anon_sym_AT_ATs_COLON] = ACTIONS(165),
    [anon_sym_AT] = ACTIONS(165),
    [anon_sym_AT_BANG] = ACTIONS(165),
    [anon_sym_AT_LPAREN] = ACTIONS(165),
    [anon_sym_ATa_COLON] = ACTIONS(165),
    [anon_sym_ATb_COLON] = ACTIONS(165),
    [anon_sym_ATB_COLON] = ACTIONS(165),
    [anon_sym_ATe_COLON] = ACTIONS(165),
    [anon_sym_ATF_COLON] = ACTIONS(165),
    [anon_sym_ATi_COLON] = ACTIONS(165),
    [anon_sym_ATk_COLON] = ACTIONS(165),
    [anon_sym_ATo_COLON] = ACTIONS(165),
    [anon_sym_ATr_COLON] = ACTIONS(165),
    [anon_sym_ATf_COLON] = ACTIONS(165),
    [anon_sym_ATs_COLON] = ACTIONS(165),
    [anon_sym_ATv_COLON] = ACTIONS(165),
    [anon_sym_ATx_COLON] = ACTIONS(165),
    [anon_sym_SEMI] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(103),
    [anon_sym_PIPE_DOT] = ACTIONS(165),
    [anon_sym_DOLLAR] = ACTIONS(105),
    [anon_sym_GT] = ACTIONS(167),
    [anon_sym_GT_GT] = ACTIONS(165),
    [sym_html_redirect_operator] = ACTIONS(167),
    [sym_html_append_operator] = ACTIONS(165),
    [anon_sym_COMMA] = ACTIONS(107),
    [aux_sym_arg_identifier_token1] = ACTIONS(105),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(111),
    [anon_sym_BQUOTE] = ACTIONS(165),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(165),
  },
  [68] = {
    [sym__pf_arg_parentheses] = STATE(103),
    [sym_pf_arg_identifier] = STATE(103),
    [sym__pf_arg] = STATE(103),
    [sym_pf_concatenation] = STATE(110),
    [sym_pf_arg] = STATE(90),
    [sym_pf_args] = STATE(233),
    [sym_cmd_substitution_arg] = STATE(103),
    [aux_sym_pf_args_repeat1] = STATE(90),
    [aux_sym_pf_dot_args_repeat1] = STATE(118),
    [anon_sym_TILDE] = ACTIONS(194),
    [anon_sym_PIPE] = ACTIONS(196),
    [anon_sym_PIPEH] = ACTIONS(194),
    [anon_sym_AT_AT_DOT] = ACTIONS(194),
    [anon_sym_AT_AT_EQ] = ACTIONS(194),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(194),
    [anon_sym_AT_AT] = ACTIONS(196),
    [anon_sym_AT_ATc_COLON] = ACTIONS(194),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(194),
    [anon_sym_AT_ATC] = ACTIONS(194),
    [anon_sym_AT_ATdbt] = ACTIONS(196),
    [anon_sym_AT_ATdbta] = ACTIONS(194),
    [anon_sym_AT_ATdbtb] = ACTIONS(194),
    [anon_sym_AT_ATdbts] = ACTIONS(194),
    [anon_sym_AT_ATt] = ACTIONS(194),
    [anon_sym_AT_ATb] = ACTIONS(194),
    [anon_sym_AT_ATi] = ACTIONS(196),
    [anon_sym_AT_ATii] = ACTIONS(194),
    [anon_sym_AT_ATiS] = ACTIONS(196),
    [anon_sym_AT_ATiSS] = ACTIONS(194),
    [anon_sym_AT_ATis] = ACTIONS(194),
    [anon_sym_AT_ATiz] = ACTIONS(194),
    [anon_sym_AT_ATf] = ACTIONS(194),
    [anon_sym_AT_ATF] = ACTIONS(194),
    [anon_sym_AT_ATom] = ACTIONS(194),
    [anon_sym_AT_ATdm] = ACTIONS(194),
    [anon_sym_AT_ATr] = ACTIONS(194),
    [anon_sym_AT_ATs_COLON] = ACTIONS(194),
    [anon_sym_AT] = ACTIONS(194),
    [anon_sym_AT_BANG] = ACTIONS(194),
    [anon_sym_AT_LPAREN] = ACTIONS(194),
    [anon_sym_ATa_COLON] = ACTIONS(194),
    [anon_sym_ATb_COLON] = ACTIONS(194),
    [anon_sym_ATB_COLON] = ACTIONS(194),
    [anon_sym_ATe_COLON] = ACTIONS(194),
    [anon_sym_ATF_COLON] = ACTIONS(194),
    [anon_sym_ATi_COLON] = ACTIONS(194),
    [anon_sym_ATk_COLON] = ACTIONS(194),
    [anon_sym_ATo_COLON] = ACTIONS(194),
    [anon_sym_ATr_COLON] = ACTIONS(194),
    [anon_sym_ATf_COLON] = ACTIONS(194),
    [anon_sym_ATs_COLON] = ACTIONS(194),
    [anon_sym_ATv_COLON] = ACTIONS(194),
    [anon_sym_ATx_COLON] = ACTIONS(194),
    [anon_sym_SEMI] = ACTIONS(194),
    [anon_sym_LPAREN] = ACTIONS(198),
    [anon_sym_PIPE_DOT] = ACTIONS(194),
    [anon_sym_EQ] = ACTIONS(196),
    [anon_sym_DOLLAR] = ACTIONS(200),
    [aux_sym_pf_arg_identifier_token1] = ACTIONS(200),
    [anon_sym_GT] = ACTIONS(196),
    [anon_sym_GT_GT] = ACTIONS(194),
    [sym_html_redirect_operator] = ACTIONS(196),
    [sym_html_append_operator] = ACTIONS(194),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(202),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [sym__comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(194),
    [sym__concat_pf_dot] = ACTIONS(206),
  },
  [69] = {
    [sym_eq_sep_args] = STATE(209),
    [sym__eq_sep_key_single] = STATE(117),
    [sym__eq_sep_key_concatenation] = STATE(172),
    [sym__eq_sep_key] = STATE(171),
    [sym_double_quoted_arg] = STATE(117),
    [sym_single_quoted_arg] = STATE(117),
    [sym_cmd_substitution_arg] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(208),
    [anon_sym_DQUOTE] = ACTIONS(210),
    [anon_sym_TILDE] = ACTIONS(208),
    [anon_sym_PIPE] = ACTIONS(212),
    [anon_sym_PIPEH] = ACTIONS(208),
    [anon_sym_AT_AT_DOT] = ACTIONS(208),
    [anon_sym_AT_AT_EQ] = ACTIONS(208),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(208),
    [anon_sym_AT_AT] = ACTIONS(212),
    [anon_sym_AT_ATc_COLON] = ACTIONS(208),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(208),
    [anon_sym_AT_ATC] = ACTIONS(208),
    [anon_sym_AT_ATdbt] = ACTIONS(212),
    [anon_sym_AT_ATdbta] = ACTIONS(208),
    [anon_sym_AT_ATdbtb] = ACTIONS(208),
    [anon_sym_AT_ATdbts] = ACTIONS(208),
    [anon_sym_AT_ATt] = ACTIONS(208),
    [anon_sym_AT_ATb] = ACTIONS(208),
    [anon_sym_AT_ATi] = ACTIONS(212),
    [anon_sym_AT_ATii] = ACTIONS(208),
    [anon_sym_AT_ATiS] = ACTIONS(212),
    [anon_sym_AT_ATiSS] = ACTIONS(208),
    [anon_sym_AT_ATis] = ACTIONS(208),
    [anon_sym_AT_ATiz] = ACTIONS(208),
    [anon_sym_AT_ATf] = ACTIONS(208),
    [anon_sym_AT_ATF] = ACTIONS(208),
    [anon_sym_AT_ATom] = ACTIONS(208),
    [anon_sym_AT_ATdm] = ACTIONS(208),
    [anon_sym_AT_ATr] = ACTIONS(208),
    [anon_sym_AT_ATs_COLON] = ACTIONS(208),
    [anon_sym_AT] = ACTIONS(208),
    [anon_sym_AT_BANG] = ACTIONS(208),
    [anon_sym_AT_LPAREN] = ACTIONS(208),
    [anon_sym_RPAREN] = ACTIONS(208),
    [anon_sym_ATa_COLON] = ACTIONS(208),
    [anon_sym_ATb_COLON] = ACTIONS(208),
    [anon_sym_ATB_COLON] = ACTIONS(208),
    [anon_sym_ATe_COLON] = ACTIONS(208),
    [anon_sym_ATF_COLON] = ACTIONS(208),
    [anon_sym_ATi_COLON] = ACTIONS(208),
    [anon_sym_ATk_COLON] = ACTIONS(208),
    [anon_sym_ATo_COLON] = ACTIONS(208),
    [anon_sym_ATr_COLON] = ACTIONS(208),
    [anon_sym_ATf_COLON] = ACTIONS(208),
    [anon_sym_ATs_COLON] = ACTIONS(208),
    [anon_sym_ATv_COLON] = ACTIONS(208),
    [anon_sym_ATx_COLON] = ACTIONS(208),
    [anon_sym_SEMI] = ACTIONS(208),
    [anon_sym_PIPE_DOT] = ACTIONS(208),
    [anon_sym_GT] = ACTIONS(212),
    [anon_sym_GT_GT] = ACTIONS(208),
    [sym_html_redirect_operator] = ACTIONS(212),
    [sym_html_append_operator] = ACTIONS(208),
    [sym__eq_sep_key_identifier] = ACTIONS(214),
    [anon_sym_SQUOTE] = ACTIONS(216),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(218),
    [anon_sym_BQUOTE] = ACTIONS(220),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(208),
    [anon_sym_CR] = ACTIONS(208),
    [sym_file_descriptor] = ACTIONS(208),
  },
  [70] = {
    [sym__pf_arg_parentheses] = STATE(103),
    [sym_pf_arg_identifier] = STATE(103),
    [sym__pf_arg] = STATE(103),
    [sym_pf_concatenation] = STATE(110),
    [sym_pf_arg] = STATE(71),
    [sym_cmd_substitution_arg] = STATE(103),
    [aux_sym_pf_args_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(222),
    [anon_sym_TILDE] = ACTIONS(222),
    [anon_sym_PIPE] = ACTIONS(224),
    [anon_sym_PIPEH] = ACTIONS(222),
    [anon_sym_AT_AT_DOT] = ACTIONS(222),
    [anon_sym_AT_AT_EQ] = ACTIONS(222),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(222),
    [anon_sym_AT_AT] = ACTIONS(224),
    [anon_sym_AT_ATc_COLON] = ACTIONS(222),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(222),
    [anon_sym_AT_ATC] = ACTIONS(222),
    [anon_sym_AT_ATdbt] = ACTIONS(224),
    [anon_sym_AT_ATdbta] = ACTIONS(222),
    [anon_sym_AT_ATdbtb] = ACTIONS(222),
    [anon_sym_AT_ATdbts] = ACTIONS(222),
    [anon_sym_AT_ATt] = ACTIONS(222),
    [anon_sym_AT_ATb] = ACTIONS(222),
    [anon_sym_AT_ATi] = ACTIONS(224),
    [anon_sym_AT_ATii] = ACTIONS(222),
    [anon_sym_AT_ATiS] = ACTIONS(224),
    [anon_sym_AT_ATiSS] = ACTIONS(222),
    [anon_sym_AT_ATis] = ACTIONS(222),
    [anon_sym_AT_ATiz] = ACTIONS(222),
    [anon_sym_AT_ATf] = ACTIONS(222),
    [anon_sym_AT_ATF] = ACTIONS(222),
    [anon_sym_AT_ATom] = ACTIONS(222),
    [anon_sym_AT_ATdm] = ACTIONS(222),
    [anon_sym_AT_ATr] = ACTIONS(222),
    [anon_sym_AT_ATs_COLON] = ACTIONS(222),
    [anon_sym_AT] = ACTIONS(222),
    [anon_sym_AT_BANG] = ACTIONS(222),
    [anon_sym_AT_LPAREN] = ACTIONS(222),
    [anon_sym_RPAREN] = ACTIONS(222),
    [anon_sym_ATa_COLON] = ACTIONS(222),
    [anon_sym_ATb_COLON] = ACTIONS(222),
    [anon_sym_ATB_COLON] = ACTIONS(222),
    [anon_sym_ATe_COLON] = ACTIONS(222),
    [anon_sym_ATF_COLON] = ACTIONS(222),
    [anon_sym_ATi_COLON] = ACTIONS(222),
    [anon_sym_ATk_COLON] = ACTIONS(222),
    [anon_sym_ATo_COLON] = ACTIONS(222),
    [anon_sym_ATr_COLON] = ACTIONS(222),
    [anon_sym_ATf_COLON] = ACTIONS(222),
    [anon_sym_ATs_COLON] = ACTIONS(222),
    [anon_sym_ATv_COLON] = ACTIONS(222),
    [anon_sym_ATx_COLON] = ACTIONS(222),
    [anon_sym_SEMI] = ACTIONS(222),
    [anon_sym_LPAREN] = ACTIONS(198),
    [anon_sym_PIPE_DOT] = ACTIONS(222),
    [anon_sym_DOLLAR] = ACTIONS(200),
    [aux_sym_pf_arg_identifier_token1] = ACTIONS(200),
    [anon_sym_GT] = ACTIONS(224),
    [anon_sym_GT_GT] = ACTIONS(222),
    [sym_html_redirect_operator] = ACTIONS(224),
    [sym_html_append_operator] = ACTIONS(222),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(202),
    [anon_sym_BQUOTE] = ACTIONS(204),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(222),
    [anon_sym_CR] = ACTIONS(222),
    [sym_file_descriptor] = ACTIONS(222),
  },
  [71] = {
    [sym__pf_arg_parentheses] = STATE(103),
    [sym_pf_arg_identifier] = STATE(103),
    [sym__pf_arg] = STATE(103),
    [sym_pf_concatenation] = STATE(110),
    [sym_pf_arg] = STATE(71),
    [sym_cmd_substitution_arg] = STATE(103),
    [aux_sym_pf_args_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(226),
    [anon_sym_TILDE] = ACTIONS(226),
    [anon_sym_PIPE] = ACTIONS(228),
    [anon_sym_PIPEH] = ACTIONS(226),
    [anon_sym_AT_AT_DOT] = ACTIONS(226),
    [anon_sym_AT_AT_EQ] = ACTIONS(226),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(226),
    [anon_sym_AT_AT] = ACTIONS(228),
    [anon_sym_AT_ATc_COLON] = ACTIONS(226),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(226),
    [anon_sym_AT_ATC] = ACTIONS(226),
    [anon_sym_AT_ATdbt] = ACTIONS(228),
    [anon_sym_AT_ATdbta] = ACTIONS(226),
    [anon_sym_AT_ATdbtb] = ACTIONS(226),
    [anon_sym_AT_ATdbts] = ACTIONS(226),
    [anon_sym_AT_ATt] = ACTIONS(226),
    [anon_sym_AT_ATb] = ACTIONS(226),
    [anon_sym_AT_ATi] = ACTIONS(228),
    [anon_sym_AT_ATii] = ACTIONS(226),
    [anon_sym_AT_ATiS] = ACTIONS(228),
    [anon_sym_AT_ATiSS] = ACTIONS(226),
    [anon_sym_AT_ATis] = ACTIONS(226),
    [anon_sym_AT_ATiz] = ACTIONS(226),
    [anon_sym_AT_ATf] = ACTIONS(226),
    [anon_sym_AT_ATF] = ACTIONS(226),
    [anon_sym_AT_ATom] = ACTIONS(226),
    [anon_sym_AT_ATdm] = ACTIONS(226),
    [anon_sym_AT_ATr] = ACTIONS(226),
    [anon_sym_AT_ATs_COLON] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(226),
    [anon_sym_AT_BANG] = ACTIONS(226),
    [anon_sym_AT_LPAREN] = ACTIONS(226),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_ATa_COLON] = ACTIONS(226),
    [anon_sym_ATb_COLON] = ACTIONS(226),
    [anon_sym_ATB_COLON] = ACTIONS(226),
    [anon_sym_ATe_COLON] = ACTIONS(226),
    [anon_sym_ATF_COLON] = ACTIONS(226),
    [anon_sym_ATi_COLON] = ACTIONS(226),
    [anon_sym_ATk_COLON] = ACTIONS(226),
    [anon_sym_ATo_COLON] = ACTIONS(226),
    [anon_sym_ATr_COLON] = ACTIONS(226),
    [anon_sym_ATf_COLON] = ACTIONS(226),
    [anon_sym_ATs_COLON] = ACTIONS(226),
    [anon_sym_ATv_COLON] = ACTIONS(226),
    [anon_sym_ATx_COLON] = ACTIONS(226),
    [anon_sym_SEMI] = ACTIONS(226),
    [anon_sym_LPAREN] = ACTIONS(230),
    [anon_sym_PIPE_DOT] = ACTIONS(226),
    [anon_sym_DOLLAR] = ACTIONS(233),
    [aux_sym_pf_arg_identifier_token1] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(228),
    [anon_sym_GT_GT] = ACTIONS(226),
    [sym_html_redirect_operator] = ACTIONS(228),
    [sym_html_append_operator] = ACTIONS(226),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(236),
    [anon_sym_BQUOTE] = ACTIONS(239),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(226),
    [anon_sym_CR] = ACTIONS(226),
    [sym_file_descriptor] = ACTIONS(226),
  },
  [72] = {
    [sym_specifiers] = STATE(93),
    [aux_sym_specifiers_repeat1] = STATE(75),
    [ts_builtin_sym_end] = ACTIONS(242),
    [anon_sym_DQUOTE] = ACTIONS(242),
    [anon_sym_TILDE] = ACTIONS(242),
    [anon_sym_PIPE] = ACTIONS(244),
    [anon_sym_PIPEH] = ACTIONS(242),
    [anon_sym_AT_AT_DOT] = ACTIONS(242),
    [anon_sym_AT_AT_EQ] = ACTIONS(242),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(242),
    [anon_sym_AT_AT] = ACTIONS(244),
    [anon_sym_AT_ATc_COLON] = ACTIONS(242),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(242),
    [anon_sym_AT_ATC] = ACTIONS(242),
    [anon_sym_AT_ATdbt] = ACTIONS(244),
    [anon_sym_AT_ATdbta] = ACTIONS(242),
    [anon_sym_AT_ATdbtb] = ACTIONS(242),
    [anon_sym_AT_ATdbts] = ACTIONS(242),
    [anon_sym_AT_ATt] = ACTIONS(242),
    [anon_sym_AT_ATb] = ACTIONS(242),
    [anon_sym_AT_ATi] = ACTIONS(244),
    [anon_sym_AT_ATii] = ACTIONS(242),
    [anon_sym_AT_ATiS] = ACTIONS(244),
    [anon_sym_AT_ATiSS] = ACTIONS(242),
    [anon_sym_AT_ATis] = ACTIONS(242),
    [anon_sym_AT_ATiz] = ACTIONS(242),
    [anon_sym_AT_ATf] = ACTIONS(242),
    [anon_sym_AT_ATF] = ACTIONS(242),
    [anon_sym_AT_ATom] = ACTIONS(242),
    [anon_sym_AT_ATdm] = ACTIONS(242),
    [anon_sym_AT_ATr] = ACTIONS(242),
    [anon_sym_AT_ATs_COLON] = ACTIONS(242),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_AT_BANG] = ACTIONS(242),
    [anon_sym_AT_LPAREN] = ACTIONS(242),
    [anon_sym_RPAREN] = ACTIONS(242),
    [anon_sym_ATa_COLON] = ACTIONS(242),
    [anon_sym_ATb_COLON] = ACTIONS(242),
    [anon_sym_ATB_COLON] = ACTIONS(242),
    [anon_sym_ATe_COLON] = ACTIONS(242),
    [anon_sym_ATF_COLON] = ACTIONS(242),
    [anon_sym_ATi_COLON] = ACTIONS(242),
    [anon_sym_ATk_COLON] = ACTIONS(242),
    [anon_sym_ATo_COLON] = ACTIONS(242),
    [anon_sym_ATr_COLON] = ACTIONS(242),
    [anon_sym_ATf_COLON] = ACTIONS(242),
    [anon_sym_ATs_COLON] = ACTIONS(242),
    [anon_sym_ATv_COLON] = ACTIONS(242),
    [anon_sym_ATx_COLON] = ACTIONS(242),
    [anon_sym_SEMI] = ACTIONS(242),
    [anon_sym_LPAREN] = ACTIONS(242),
    [anon_sym_PIPE_DOT] = ACTIONS(242),
    [anon_sym_DOLLAR] = ACTIONS(244),
    [anon_sym_GT] = ACTIONS(244),
    [anon_sym_GT_GT] = ACTIONS(242),
    [sym_html_redirect_operator] = ACTIONS(244),
    [sym_html_append_operator] = ACTIONS(242),
    [anon_sym_COMMA] = ACTIONS(242),
    [aux_sym_arg_identifier_token1] = ACTIONS(244),
    [anon_sym_SQUOTE] = ACTIONS(242),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(242),
    [anon_sym_BQUOTE] = ACTIONS(242),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(242),
    [anon_sym_CR] = ACTIONS(242),
    [sym_file_descriptor] = ACTIONS(242),
    [sym__spec_sep] = ACTIONS(246),
  },
  [73] = {
    [aux_sym_concatenation_repeat1] = STATE(74),
    [ts_builtin_sym_end] = ACTIONS(248),
    [anon_sym_DQUOTE] = ACTIONS(248),
    [anon_sym_TILDE] = ACTIONS(248),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_PIPEH] = ACTIONS(248),
    [anon_sym_AT_AT_DOT] = ACTIONS(248),
    [anon_sym_AT_AT_EQ] = ACTIONS(248),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(248),
    [anon_sym_AT_AT] = ACTIONS(250),
    [anon_sym_AT_ATc_COLON] = ACTIONS(248),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(248),
    [anon_sym_AT_ATC] = ACTIONS(248),
    [anon_sym_AT_ATdbt] = ACTIONS(250),
    [anon_sym_AT_ATdbta] = ACTIONS(248),
    [anon_sym_AT_ATdbtb] = ACTIONS(248),
    [anon_sym_AT_ATdbts] = ACTIONS(248),
    [anon_sym_AT_ATt] = ACTIONS(248),
    [anon_sym_AT_ATb] = ACTIONS(248),
    [anon_sym_AT_ATi] = ACTIONS(250),
    [anon_sym_AT_ATii] = ACTIONS(248),
    [anon_sym_AT_ATiS] = ACTIONS(250),
    [anon_sym_AT_ATiSS] = ACTIONS(248),
    [anon_sym_AT_ATis] = ACTIONS(248),
    [anon_sym_AT_ATiz] = ACTIONS(248),
    [anon_sym_AT_ATf] = ACTIONS(248),
    [anon_sym_AT_ATF] = ACTIONS(248),
    [anon_sym_AT_ATom] = ACTIONS(248),
    [anon_sym_AT_ATdm] = ACTIONS(248),
    [anon_sym_AT_ATr] = ACTIONS(248),
    [anon_sym_AT_ATs_COLON] = ACTIONS(248),
    [anon_sym_AT] = ACTIONS(248),
    [anon_sym_AT_BANG] = ACTIONS(248),
    [anon_sym_AT_LPAREN] = ACTIONS(248),
    [anon_sym_RPAREN] = ACTIONS(248),
    [anon_sym_ATa_COLON] = ACTIONS(248),
    [anon_sym_ATb_COLON] = ACTIONS(248),
    [anon_sym_ATB_COLON] = ACTIONS(248),
    [anon_sym_ATe_COLON] = ACTIONS(248),
    [anon_sym_ATF_COLON] = ACTIONS(248),
    [anon_sym_ATi_COLON] = ACTIONS(248),
    [anon_sym_ATk_COLON] = ACTIONS(248),
    [anon_sym_ATo_COLON] = ACTIONS(248),
    [anon_sym_ATr_COLON] = ACTIONS(248),
    [anon_sym_ATf_COLON] = ACTIONS(248),
    [anon_sym_ATs_COLON] = ACTIONS(248),
    [anon_sym_ATv_COLON] = ACTIONS(248),
    [anon_sym_ATx_COLON] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(248),
    [anon_sym_LPAREN] = ACTIONS(248),
    [anon_sym_PIPE_DOT] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(250),
    [anon_sym_GT_GT] = ACTIONS(248),
    [sym_html_redirect_operator] = ACTIONS(250),
    [sym_html_append_operator] = ACTIONS(248),
    [anon_sym_COMMA] = ACTIONS(248),
    [aux_sym_arg_identifier_token1] = ACTIONS(250),
    [anon_sym_SQUOTE] = ACTIONS(248),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(248),
    [anon_sym_BQUOTE] = ACTIONS(248),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(248),
    [anon_sym_CR] = ACTIONS(248),
    [sym_file_descriptor] = ACTIONS(248),
    [sym__concat] = ACTIONS(252),
  },
  [74] = {
    [aux_sym_concatenation_repeat1] = STATE(74),
    [ts_builtin_sym_end] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(254),
    [anon_sym_TILDE] = ACTIONS(254),
    [anon_sym_PIPE] = ACTIONS(256),
    [anon_sym_PIPEH] = ACTIONS(254),
    [anon_sym_AT_AT_DOT] = ACTIONS(254),
    [anon_sym_AT_AT_EQ] = ACTIONS(254),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(254),
    [anon_sym_AT_AT] = ACTIONS(256),
    [anon_sym_AT_ATc_COLON] = ACTIONS(254),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(254),
    [anon_sym_AT_ATC] = ACTIONS(254),
    [anon_sym_AT_ATdbt] = ACTIONS(256),
    [anon_sym_AT_ATdbta] = ACTIONS(254),
    [anon_sym_AT_ATdbtb] = ACTIONS(254),
    [anon_sym_AT_ATdbts] = ACTIONS(254),
    [anon_sym_AT_ATt] = ACTIONS(254),
    [anon_sym_AT_ATb] = ACTIONS(254),
    [anon_sym_AT_ATi] = ACTIONS(256),
    [anon_sym_AT_ATii] = ACTIONS(254),
    [anon_sym_AT_ATiS] = ACTIONS(256),
    [anon_sym_AT_ATiSS] = ACTIONS(254),
    [anon_sym_AT_ATis] = ACTIONS(254),
    [anon_sym_AT_ATiz] = ACTIONS(254),
    [anon_sym_AT_ATf] = ACTIONS(254),
    [anon_sym_AT_ATF] = ACTIONS(254),
    [anon_sym_AT_ATom] = ACTIONS(254),
    [anon_sym_AT_ATdm] = ACTIONS(254),
    [anon_sym_AT_ATr] = ACTIONS(254),
    [anon_sym_AT_ATs_COLON] = ACTIONS(254),
    [anon_sym_AT] = ACTIONS(254),
    [anon_sym_AT_BANG] = ACTIONS(254),
    [anon_sym_AT_LPAREN] = ACTIONS(254),
    [anon_sym_RPAREN] = ACTIONS(254),
    [anon_sym_ATa_COLON] = ACTIONS(254),
    [anon_sym_ATb_COLON] = ACTIONS(254),
    [anon_sym_ATB_COLON] = ACTIONS(254),
    [anon_sym_ATe_COLON] = ACTIONS(254),
    [anon_sym_ATF_COLON] = ACTIONS(254),
    [anon_sym_ATi_COLON] = ACTIONS(254),
    [anon_sym_ATk_COLON] = ACTIONS(254),
    [anon_sym_ATo_COLON] = ACTIONS(254),
    [anon_sym_ATr_COLON] = ACTIONS(254),
    [anon_sym_ATf_COLON] = ACTIONS(254),
    [anon_sym_ATs_COLON] = ACTIONS(254),
    [anon_sym_ATv_COLON] = ACTIONS(254),
    [anon_sym_ATx_COLON] = ACTIONS(254),
    [anon_sym_SEMI] = ACTIONS(254),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_PIPE_DOT] = ACTIONS(254),
    [anon_sym_DOLLAR] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(256),
    [anon_sym_GT_GT] = ACTIONS(254),
    [sym_html_redirect_operator] = ACTIONS(256),
    [sym_html_append_operator] = ACTIONS(254),
    [anon_sym_COMMA] = ACTIONS(254),
    [aux_sym_arg_identifier_token1] = ACTIONS(256),
    [anon_sym_SQUOTE] = ACTIONS(254),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(254),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(254),
    [anon_sym_CR] = ACTIONS(254),
    [sym_file_descriptor] = ACTIONS(254),
    [sym__concat] = ACTIONS(258),
  },
  [75] = {
    [aux_sym_specifiers_repeat1] = STATE(77),
    [ts_builtin_sym_end] = ACTIONS(261),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_PIPE] = ACTIONS(263),
    [anon_sym_PIPEH] = ACTIONS(261),
    [anon_sym_AT_AT_DOT] = ACTIONS(261),
    [anon_sym_AT_AT_EQ] = ACTIONS(261),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(261),
    [anon_sym_AT_AT] = ACTIONS(263),
    [anon_sym_AT_ATc_COLON] = ACTIONS(261),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(261),
    [anon_sym_AT_ATC] = ACTIONS(261),
    [anon_sym_AT_ATdbt] = ACTIONS(263),
    [anon_sym_AT_ATdbta] = ACTIONS(261),
    [anon_sym_AT_ATdbtb] = ACTIONS(261),
    [anon_sym_AT_ATdbts] = ACTIONS(261),
    [anon_sym_AT_ATt] = ACTIONS(261),
    [anon_sym_AT_ATb] = ACTIONS(261),
    [anon_sym_AT_ATi] = ACTIONS(263),
    [anon_sym_AT_ATii] = ACTIONS(261),
    [anon_sym_AT_ATiS] = ACTIONS(263),
    [anon_sym_AT_ATiSS] = ACTIONS(261),
    [anon_sym_AT_ATis] = ACTIONS(261),
    [anon_sym_AT_ATiz] = ACTIONS(261),
    [anon_sym_AT_ATf] = ACTIONS(261),
    [anon_sym_AT_ATF] = ACTIONS(261),
    [anon_sym_AT_ATom] = ACTIONS(261),
    [anon_sym_AT_ATdm] = ACTIONS(261),
    [anon_sym_AT_ATr] = ACTIONS(261),
    [anon_sym_AT_ATs_COLON] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [anon_sym_AT_BANG] = ACTIONS(261),
    [anon_sym_AT_LPAREN] = ACTIONS(261),
    [anon_sym_RPAREN] = ACTIONS(261),
    [anon_sym_ATa_COLON] = ACTIONS(261),
    [anon_sym_ATb_COLON] = ACTIONS(261),
    [anon_sym_ATB_COLON] = ACTIONS(261),
    [anon_sym_ATe_COLON] = ACTIONS(261),
    [anon_sym_ATF_COLON] = ACTIONS(261),
    [anon_sym_ATi_COLON] = ACTIONS(261),
    [anon_sym_ATk_COLON] = ACTIONS(261),
    [anon_sym_ATo_COLON] = ACTIONS(261),
    [anon_sym_ATr_COLON] = ACTIONS(261),
    [anon_sym_ATf_COLON] = ACTIONS(261),
    [anon_sym_ATs_COLON] = ACTIONS(261),
    [anon_sym_ATv_COLON] = ACTIONS(261),
    [anon_sym_ATx_COLON] = ACTIONS(261),
    [anon_sym_SEMI] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(261),
    [anon_sym_PIPE_DOT] = ACTIONS(261),
    [anon_sym_DOLLAR] = ACTIONS(263),
    [anon_sym_GT] = ACTIONS(263),
    [anon_sym_GT_GT] = ACTIONS(261),
    [sym_html_redirect_operator] = ACTIONS(263),
    [sym_html_append_operator] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(261),
    [aux_sym_arg_identifier_token1] = ACTIONS(263),
    [anon_sym_SQUOTE] = ACTIONS(261),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(261),
    [anon_sym_BQUOTE] = ACTIONS(261),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(261),
    [anon_sym_CR] = ACTIONS(261),
    [sym_file_descriptor] = ACTIONS(261),
    [sym__spec_sep] = ACTIONS(246),
  },
  [76] = {
    [aux_sym_concatenation_repeat1] = STATE(73),
    [ts_builtin_sym_end] = ACTIONS(265),
    [anon_sym_DQUOTE] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [anon_sym_PIPE] = ACTIONS(267),
    [anon_sym_PIPEH] = ACTIONS(265),
    [anon_sym_AT_AT_DOT] = ACTIONS(265),
    [anon_sym_AT_AT_EQ] = ACTIONS(265),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(265),
    [anon_sym_AT_AT] = ACTIONS(267),
    [anon_sym_AT_ATc_COLON] = ACTIONS(265),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(265),
    [anon_sym_AT_ATC] = ACTIONS(265),
    [anon_sym_AT_ATdbt] = ACTIONS(267),
    [anon_sym_AT_ATdbta] = ACTIONS(265),
    [anon_sym_AT_ATdbtb] = ACTIONS(265),
    [anon_sym_AT_ATdbts] = ACTIONS(265),
    [anon_sym_AT_ATt] = ACTIONS(265),
    [anon_sym_AT_ATb] = ACTIONS(265),
    [anon_sym_AT_ATi] = ACTIONS(267),
    [anon_sym_AT_ATii] = ACTIONS(265),
    [anon_sym_AT_ATiS] = ACTIONS(267),
    [anon_sym_AT_ATiSS] = ACTIONS(265),
    [anon_sym_AT_ATis] = ACTIONS(265),
    [anon_sym_AT_ATiz] = ACTIONS(265),
    [anon_sym_AT_ATf] = ACTIONS(265),
    [anon_sym_AT_ATF] = ACTIONS(265),
    [anon_sym_AT_ATom] = ACTIONS(265),
    [anon_sym_AT_ATdm] = ACTIONS(265),
    [anon_sym_AT_ATr] = ACTIONS(265),
    [anon_sym_AT_ATs_COLON] = ACTIONS(265),
    [anon_sym_AT] = ACTIONS(265),
    [anon_sym_AT_BANG] = ACTIONS(265),
    [anon_sym_AT_LPAREN] = ACTIONS(265),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_ATa_COLON] = ACTIONS(265),
    [anon_sym_ATb_COLON] = ACTIONS(265),
    [anon_sym_ATB_COLON] = ACTIONS(265),
    [anon_sym_ATe_COLON] = ACTIONS(265),
    [anon_sym_ATF_COLON] = ACTIONS(265),
    [anon_sym_ATi_COLON] = ACTIONS(265),
    [anon_sym_ATk_COLON] = ACTIONS(265),
    [anon_sym_ATo_COLON] = ACTIONS(265),
    [anon_sym_ATr_COLON] = ACTIONS(265),
    [anon_sym_ATf_COLON] = ACTIONS(265),
    [anon_sym_ATs_COLON] = ACTIONS(265),
    [anon_sym_ATv_COLON] = ACTIONS(265),
    [anon_sym_ATx_COLON] = ACTIONS(265),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_PIPE_DOT] = ACTIONS(265),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_GT] = ACTIONS(267),
    [anon_sym_GT_GT] = ACTIONS(265),
    [sym_html_redirect_operator] = ACTIONS(267),
    [sym_html_append_operator] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [aux_sym_arg_identifier_token1] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(265),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(265),
    [anon_sym_BQUOTE] = ACTIONS(265),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(265),
    [anon_sym_CR] = ACTIONS(265),
    [sym_file_descriptor] = ACTIONS(265),
    [sym__concat] = ACTIONS(252),
  },
  [77] = {
    [aux_sym_specifiers_repeat1] = STATE(77),
    [ts_builtin_sym_end] = ACTIONS(269),
    [anon_sym_DQUOTE] = ACTIONS(269),
    [anon_sym_TILDE] = ACTIONS(269),
    [anon_sym_PIPE] = ACTIONS(271),
    [anon_sym_PIPEH] = ACTIONS(269),
    [anon_sym_AT_AT_DOT] = ACTIONS(269),
    [anon_sym_AT_AT_EQ] = ACTIONS(269),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(269),
    [anon_sym_AT_AT] = ACTIONS(271),
    [anon_sym_AT_ATc_COLON] = ACTIONS(269),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(269),
    [anon_sym_AT_ATC] = ACTIONS(269),
    [anon_sym_AT_ATdbt] = ACTIONS(271),
    [anon_sym_AT_ATdbta] = ACTIONS(269),
    [anon_sym_AT_ATdbtb] = ACTIONS(269),
    [anon_sym_AT_ATdbts] = ACTIONS(269),
    [anon_sym_AT_ATt] = ACTIONS(269),
    [anon_sym_AT_ATb] = ACTIONS(269),
    [anon_sym_AT_ATi] = ACTIONS(271),
    [anon_sym_AT_ATii] = ACTIONS(269),
    [anon_sym_AT_ATiS] = ACTIONS(271),
    [anon_sym_AT_ATiSS] = ACTIONS(269),
    [anon_sym_AT_ATis] = ACTIONS(269),
    [anon_sym_AT_ATiz] = ACTIONS(269),
    [anon_sym_AT_ATf] = ACTIONS(269),
    [anon_sym_AT_ATF] = ACTIONS(269),
    [anon_sym_AT_ATom] = ACTIONS(269),
    [anon_sym_AT_ATdm] = ACTIONS(269),
    [anon_sym_AT_ATr] = ACTIONS(269),
    [anon_sym_AT_ATs_COLON] = ACTIONS(269),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_AT_BANG] = ACTIONS(269),
    [anon_sym_AT_LPAREN] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(269),
    [anon_sym_ATa_COLON] = ACTIONS(269),
    [anon_sym_ATb_COLON] = ACTIONS(269),
    [anon_sym_ATB_COLON] = ACTIONS(269),
    [anon_sym_ATe_COLON] = ACTIONS(269),
    [anon_sym_ATF_COLON] = ACTIONS(269),
    [anon_sym_ATi_COLON] = ACTIONS(269),
    [anon_sym_ATk_COLON] = ACTIONS(269),
    [anon_sym_ATo_COLON] = ACTIONS(269),
    [anon_sym_ATr_COLON] = ACTIONS(269),
    [anon_sym_ATf_COLON] = ACTIONS(269),
    [anon_sym_ATs_COLON] = ACTIONS(269),
    [anon_sym_ATv_COLON] = ACTIONS(269),
    [anon_sym_ATx_COLON] = ACTIONS(269),
    [anon_sym_SEMI] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(269),
    [anon_sym_PIPE_DOT] = ACTIONS(269),
    [anon_sym_DOLLAR] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(271),
    [anon_sym_GT_GT] = ACTIONS(269),
    [sym_html_redirect_operator] = ACTIONS(271),
    [sym_html_append_operator] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(269),
    [aux_sym_arg_identifier_token1] = ACTIONS(271),
    [anon_sym_SQUOTE] = ACTIONS(269),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(269),
    [anon_sym_BQUOTE] = ACTIONS(269),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(269),
    [anon_sym_CR] = ACTIONS(269),
    [sym_file_descriptor] = ACTIONS(269),
    [sym__spec_sep] = ACTIONS(273),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(276),
    [anon_sym_DQUOTE] = ACTIONS(276),
    [anon_sym_TILDE] = ACTIONS(276),
    [anon_sym_PIPE] = ACTIONS(278),
    [anon_sym_PIPEH] = ACTIONS(276),
    [anon_sym_AT_AT_DOT] = ACTIONS(276),
    [anon_sym_AT_AT_EQ] = ACTIONS(276),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(276),
    [anon_sym_AT_AT] = ACTIONS(278),
    [anon_sym_AT_ATc_COLON] = ACTIONS(276),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(276),
    [anon_sym_AT_ATC] = ACTIONS(276),
    [anon_sym_AT_ATdbt] = ACTIONS(278),
    [anon_sym_AT_ATdbta] = ACTIONS(276),
    [anon_sym_AT_ATdbtb] = ACTIONS(276),
    [anon_sym_AT_ATdbts] = ACTIONS(276),
    [anon_sym_AT_ATt] = ACTIONS(276),
    [anon_sym_AT_ATb] = ACTIONS(276),
    [anon_sym_AT_ATi] = ACTIONS(278),
    [anon_sym_AT_ATii] = ACTIONS(276),
    [anon_sym_AT_ATiS] = ACTIONS(278),
    [anon_sym_AT_ATiSS] = ACTIONS(276),
    [anon_sym_AT_ATis] = ACTIONS(276),
    [anon_sym_AT_ATiz] = ACTIONS(276),
    [anon_sym_AT_ATf] = ACTIONS(276),
    [anon_sym_AT_ATF] = ACTIONS(276),
    [anon_sym_AT_ATom] = ACTIONS(276),
    [anon_sym_AT_ATdm] = ACTIONS(276),
    [anon_sym_AT_ATr] = ACTIONS(276),
    [anon_sym_AT_ATs_COLON] = ACTIONS(276),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_AT_BANG] = ACTIONS(276),
    [anon_sym_AT_LPAREN] = ACTIONS(276),
    [anon_sym_RPAREN] = ACTIONS(276),
    [anon_sym_ATa_COLON] = ACTIONS(276),
    [anon_sym_ATb_COLON] = ACTIONS(276),
    [anon_sym_ATB_COLON] = ACTIONS(276),
    [anon_sym_ATe_COLON] = ACTIONS(276),
    [anon_sym_ATF_COLON] = ACTIONS(276),
    [anon_sym_ATi_COLON] = ACTIONS(276),
    [anon_sym_ATk_COLON] = ACTIONS(276),
    [anon_sym_ATo_COLON] = ACTIONS(276),
    [anon_sym_ATr_COLON] = ACTIONS(276),
    [anon_sym_ATf_COLON] = ACTIONS(276),
    [anon_sym_ATs_COLON] = ACTIONS(276),
    [anon_sym_ATv_COLON] = ACTIONS(276),
    [anon_sym_ATx_COLON] = ACTIONS(276),
    [anon_sym_SEMI] = ACTIONS(276),
    [anon_sym_LPAREN] = ACTIONS(276),
    [anon_sym_PIPE_DOT] = ACTIONS(276),
    [anon_sym_DOLLAR] = ACTIONS(278),
    [anon_sym_GT] = ACTIONS(278),
    [anon_sym_GT_GT] = ACTIONS(276),
    [sym_html_redirect_operator] = ACTIONS(278),
    [sym_html_append_operator] = ACTIONS(276),
    [anon_sym_COMMA] = ACTIONS(276),
    [aux_sym_arg_identifier_token1] = ACTIONS(278),
    [anon_sym_SQUOTE] = ACTIONS(276),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(276),
    [anon_sym_BQUOTE] = ACTIONS(276),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(276),
    [anon_sym_CR] = ACTIONS(276),
    [sym_file_descriptor] = ACTIONS(276),
    [sym__concat] = ACTIONS(276),
  },
  [79] = {
    [ts_builtin_sym_end] = ACTIONS(280),
    [anon_sym_DQUOTE] = ACTIONS(280),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_PIPEH] = ACTIONS(280),
    [anon_sym_AT_AT_DOT] = ACTIONS(280),
    [anon_sym_AT_AT_EQ] = ACTIONS(280),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(280),
    [anon_sym_AT_AT] = ACTIONS(282),
    [anon_sym_AT_ATc_COLON] = ACTIONS(280),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(280),
    [anon_sym_AT_ATC] = ACTIONS(280),
    [anon_sym_AT_ATdbt] = ACTIONS(282),
    [anon_sym_AT_ATdbta] = ACTIONS(280),
    [anon_sym_AT_ATdbtb] = ACTIONS(280),
    [anon_sym_AT_ATdbts] = ACTIONS(280),
    [anon_sym_AT_ATt] = ACTIONS(280),
    [anon_sym_AT_ATb] = ACTIONS(280),
    [anon_sym_AT_ATi] = ACTIONS(282),
    [anon_sym_AT_ATii] = ACTIONS(280),
    [anon_sym_AT_ATiS] = ACTIONS(282),
    [anon_sym_AT_ATiSS] = ACTIONS(280),
    [anon_sym_AT_ATis] = ACTIONS(280),
    [anon_sym_AT_ATiz] = ACTIONS(280),
    [anon_sym_AT_ATf] = ACTIONS(280),
    [anon_sym_AT_ATF] = ACTIONS(280),
    [anon_sym_AT_ATom] = ACTIONS(280),
    [anon_sym_AT_ATdm] = ACTIONS(280),
    [anon_sym_AT_ATr] = ACTIONS(280),
    [anon_sym_AT_ATs_COLON] = ACTIONS(280),
    [anon_sym_AT] = ACTIONS(280),
    [anon_sym_AT_BANG] = ACTIONS(280),
    [anon_sym_AT_LPAREN] = ACTIONS(280),
    [anon_sym_RPAREN] = ACTIONS(280),
    [anon_sym_ATa_COLON] = ACTIONS(280),
    [anon_sym_ATb_COLON] = ACTIONS(280),
    [anon_sym_ATB_COLON] = ACTIONS(280),
    [anon_sym_ATe_COLON] = ACTIONS(280),
    [anon_sym_ATF_COLON] = ACTIONS(280),
    [anon_sym_ATi_COLON] = ACTIONS(280),
    [anon_sym_ATk_COLON] = ACTIONS(280),
    [anon_sym_ATo_COLON] = ACTIONS(280),
    [anon_sym_ATr_COLON] = ACTIONS(280),
    [anon_sym_ATf_COLON] = ACTIONS(280),
    [anon_sym_ATs_COLON] = ACTIONS(280),
    [anon_sym_ATv_COLON] = ACTIONS(280),
    [anon_sym_ATx_COLON] = ACTIONS(280),
    [anon_sym_SEMI] = ACTIONS(280),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_PIPE_DOT] = ACTIONS(280),
    [anon_sym_DOLLAR] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(282),
    [anon_sym_GT_GT] = ACTIONS(280),
    [sym_html_redirect_operator] = ACTIONS(282),
    [sym_html_append_operator] = ACTIONS(280),
    [anon_sym_COMMA] = ACTIONS(280),
    [aux_sym_arg_identifier_token1] = ACTIONS(282),
    [anon_sym_SQUOTE] = ACTIONS(280),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(280),
    [anon_sym_BQUOTE] = ACTIONS(280),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(280),
    [anon_sym_CR] = ACTIONS(280),
    [sym_file_descriptor] = ACTIONS(280),
    [sym__spec_sep] = ACTIONS(280),
  },
  [80] = {
    [ts_builtin_sym_end] = ACTIONS(284),
    [anon_sym_DQUOTE] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_PIPE] = ACTIONS(286),
    [anon_sym_PIPEH] = ACTIONS(284),
    [anon_sym_AT_AT_DOT] = ACTIONS(284),
    [anon_sym_AT_AT_EQ] = ACTIONS(284),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(284),
    [anon_sym_AT_AT] = ACTIONS(286),
    [anon_sym_AT_ATc_COLON] = ACTIONS(284),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(284),
    [anon_sym_AT_ATC] = ACTIONS(284),
    [anon_sym_AT_ATdbt] = ACTIONS(286),
    [anon_sym_AT_ATdbta] = ACTIONS(284),
    [anon_sym_AT_ATdbtb] = ACTIONS(284),
    [anon_sym_AT_ATdbts] = ACTIONS(284),
    [anon_sym_AT_ATt] = ACTIONS(284),
    [anon_sym_AT_ATb] = ACTIONS(284),
    [anon_sym_AT_ATi] = ACTIONS(286),
    [anon_sym_AT_ATii] = ACTIONS(284),
    [anon_sym_AT_ATiS] = ACTIONS(286),
    [anon_sym_AT_ATiSS] = ACTIONS(284),
    [anon_sym_AT_ATis] = ACTIONS(284),
    [anon_sym_AT_ATiz] = ACTIONS(284),
    [anon_sym_AT_ATf] = ACTIONS(284),
    [anon_sym_AT_ATF] = ACTIONS(284),
    [anon_sym_AT_ATom] = ACTIONS(284),
    [anon_sym_AT_ATdm] = ACTIONS(284),
    [anon_sym_AT_ATr] = ACTIONS(284),
    [anon_sym_AT_ATs_COLON] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_AT_BANG] = ACTIONS(284),
    [anon_sym_AT_LPAREN] = ACTIONS(284),
    [anon_sym_RPAREN] = ACTIONS(284),
    [anon_sym_ATa_COLON] = ACTIONS(284),
    [anon_sym_ATb_COLON] = ACTIONS(284),
    [anon_sym_ATB_COLON] = ACTIONS(284),
    [anon_sym_ATe_COLON] = ACTIONS(284),
    [anon_sym_ATF_COLON] = ACTIONS(284),
    [anon_sym_ATi_COLON] = ACTIONS(284),
    [anon_sym_ATk_COLON] = ACTIONS(284),
    [anon_sym_ATo_COLON] = ACTIONS(284),
    [anon_sym_ATr_COLON] = ACTIONS(284),
    [anon_sym_ATf_COLON] = ACTIONS(284),
    [anon_sym_ATs_COLON] = ACTIONS(284),
    [anon_sym_ATv_COLON] = ACTIONS(284),
    [anon_sym_ATx_COLON] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(284),
    [anon_sym_PIPE_DOT] = ACTIONS(284),
    [anon_sym_DOLLAR] = ACTIONS(286),
    [anon_sym_GT] = ACTIONS(286),
    [anon_sym_GT_GT] = ACTIONS(284),
    [sym_html_redirect_operator] = ACTIONS(286),
    [sym_html_append_operator] = ACTIONS(284),
    [anon_sym_COMMA] = ACTIONS(284),
    [aux_sym_arg_identifier_token1] = ACTIONS(286),
    [anon_sym_SQUOTE] = ACTIONS(284),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(284),
    [anon_sym_BQUOTE] = ACTIONS(284),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(284),
    [anon_sym_CR] = ACTIONS(284),
    [sym_file_descriptor] = ACTIONS(284),
    [sym__concat] = ACTIONS(284),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(288),
    [anon_sym_DQUOTE] = ACTIONS(288),
    [anon_sym_TILDE] = ACTIONS(288),
    [anon_sym_PIPE] = ACTIONS(290),
    [anon_sym_PIPEH] = ACTIONS(288),
    [anon_sym_AT_AT_DOT] = ACTIONS(288),
    [anon_sym_AT_AT_EQ] = ACTIONS(288),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(288),
    [anon_sym_AT_AT] = ACTIONS(290),
    [anon_sym_AT_ATc_COLON] = ACTIONS(288),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(288),
    [anon_sym_AT_ATC] = ACTIONS(288),
    [anon_sym_AT_ATdbt] = ACTIONS(290),
    [anon_sym_AT_ATdbta] = ACTIONS(288),
    [anon_sym_AT_ATdbtb] = ACTIONS(288),
    [anon_sym_AT_ATdbts] = ACTIONS(288),
    [anon_sym_AT_ATt] = ACTIONS(288),
    [anon_sym_AT_ATb] = ACTIONS(288),
    [anon_sym_AT_ATi] = ACTIONS(290),
    [anon_sym_AT_ATii] = ACTIONS(288),
    [anon_sym_AT_ATiS] = ACTIONS(290),
    [anon_sym_AT_ATiSS] = ACTIONS(288),
    [anon_sym_AT_ATis] = ACTIONS(288),
    [anon_sym_AT_ATiz] = ACTIONS(288),
    [anon_sym_AT_ATf] = ACTIONS(288),
    [anon_sym_AT_ATF] = ACTIONS(288),
    [anon_sym_AT_ATom] = ACTIONS(288),
    [anon_sym_AT_ATdm] = ACTIONS(288),
    [anon_sym_AT_ATr] = ACTIONS(288),
    [anon_sym_AT_ATs_COLON] = ACTIONS(288),
    [anon_sym_AT] = ACTIONS(288),
    [anon_sym_AT_BANG] = ACTIONS(288),
    [anon_sym_AT_LPAREN] = ACTIONS(288),
    [anon_sym_RPAREN] = ACTIONS(288),
    [anon_sym_ATa_COLON] = ACTIONS(288),
    [anon_sym_ATb_COLON] = ACTIONS(288),
    [anon_sym_ATB_COLON] = ACTIONS(288),
    [anon_sym_ATe_COLON] = ACTIONS(288),
    [anon_sym_ATF_COLON] = ACTIONS(288),
    [anon_sym_ATi_COLON] = ACTIONS(288),
    [anon_sym_ATk_COLON] = ACTIONS(288),
    [anon_sym_ATo_COLON] = ACTIONS(288),
    [anon_sym_ATr_COLON] = ACTIONS(288),
    [anon_sym_ATf_COLON] = ACTIONS(288),
    [anon_sym_ATs_COLON] = ACTIONS(288),
    [anon_sym_ATv_COLON] = ACTIONS(288),
    [anon_sym_ATx_COLON] = ACTIONS(288),
    [anon_sym_SEMI] = ACTIONS(288),
    [anon_sym_LPAREN] = ACTIONS(288),
    [anon_sym_PIPE_DOT] = ACTIONS(288),
    [anon_sym_DOLLAR] = ACTIONS(290),
    [anon_sym_GT] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(288),
    [sym_html_redirect_operator] = ACTIONS(290),
    [sym_html_append_operator] = ACTIONS(288),
    [anon_sym_COMMA] = ACTIONS(288),
    [aux_sym_arg_identifier_token1] = ACTIONS(290),
    [anon_sym_SQUOTE] = ACTIONS(288),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(288),
    [anon_sym_BQUOTE] = ACTIONS(288),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(288),
    [anon_sym_CR] = ACTIONS(288),
    [sym_file_descriptor] = ACTIONS(288),
    [sym__concat] = ACTIONS(288),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(292),
    [anon_sym_DQUOTE] = ACTIONS(292),
    [anon_sym_TILDE] = ACTIONS(292),
    [anon_sym_PIPE] = ACTIONS(294),
    [anon_sym_PIPEH] = ACTIONS(292),
    [anon_sym_AT_AT_DOT] = ACTIONS(292),
    [anon_sym_AT_AT_EQ] = ACTIONS(292),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(292),
    [anon_sym_AT_AT] = ACTIONS(294),
    [anon_sym_AT_ATc_COLON] = ACTIONS(292),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(292),
    [anon_sym_AT_ATC] = ACTIONS(292),
    [anon_sym_AT_ATdbt] = ACTIONS(294),
    [anon_sym_AT_ATdbta] = ACTIONS(292),
    [anon_sym_AT_ATdbtb] = ACTIONS(292),
    [anon_sym_AT_ATdbts] = ACTIONS(292),
    [anon_sym_AT_ATt] = ACTIONS(292),
    [anon_sym_AT_ATb] = ACTIONS(292),
    [anon_sym_AT_ATi] = ACTIONS(294),
    [anon_sym_AT_ATii] = ACTIONS(292),
    [anon_sym_AT_ATiS] = ACTIONS(294),
    [anon_sym_AT_ATiSS] = ACTIONS(292),
    [anon_sym_AT_ATis] = ACTIONS(292),
    [anon_sym_AT_ATiz] = ACTIONS(292),
    [anon_sym_AT_ATf] = ACTIONS(292),
    [anon_sym_AT_ATF] = ACTIONS(292),
    [anon_sym_AT_ATom] = ACTIONS(292),
    [anon_sym_AT_ATdm] = ACTIONS(292),
    [anon_sym_AT_ATr] = ACTIONS(292),
    [anon_sym_AT_ATs_COLON] = ACTIONS(292),
    [anon_sym_AT] = ACTIONS(292),
    [anon_sym_AT_BANG] = ACTIONS(292),
    [anon_sym_AT_LPAREN] = ACTIONS(292),
    [anon_sym_RPAREN] = ACTIONS(292),
    [anon_sym_ATa_COLON] = ACTIONS(292),
    [anon_sym_ATb_COLON] = ACTIONS(292),
    [anon_sym_ATB_COLON] = ACTIONS(292),
    [anon_sym_ATe_COLON] = ACTIONS(292),
    [anon_sym_ATF_COLON] = ACTIONS(292),
    [anon_sym_ATi_COLON] = ACTIONS(292),
    [anon_sym_ATk_COLON] = ACTIONS(292),
    [anon_sym_ATo_COLON] = ACTIONS(292),
    [anon_sym_ATr_COLON] = ACTIONS(292),
    [anon_sym_ATf_COLON] = ACTIONS(292),
    [anon_sym_ATs_COLON] = ACTIONS(292),
    [anon_sym_ATv_COLON] = ACTIONS(292),
    [anon_sym_ATx_COLON] = ACTIONS(292),
    [anon_sym_SEMI] = ACTIONS(292),
    [anon_sym_LPAREN] = ACTIONS(292),
    [anon_sym_PIPE_DOT] = ACTIONS(292),
    [anon_sym_DOLLAR] = ACTIONS(294),
    [anon_sym_GT] = ACTIONS(294),
    [anon_sym_GT_GT] = ACTIONS(292),
    [sym_html_redirect_operator] = ACTIONS(294),
    [sym_html_append_operator] = ACTIONS(292),
    [anon_sym_COMMA] = ACTIONS(292),
    [aux_sym_arg_identifier_token1] = ACTIONS(294),
    [anon_sym_SQUOTE] = ACTIONS(292),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(292),
    [anon_sym_BQUOTE] = ACTIONS(292),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(292),
    [anon_sym_CR] = ACTIONS(292),
    [sym_file_descriptor] = ACTIONS(292),
    [sym__concat] = ACTIONS(292),
  },
  [83] = {
    [ts_builtin_sym_end] = ACTIONS(296),
    [anon_sym_DQUOTE] = ACTIONS(296),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_PIPE] = ACTIONS(298),
    [anon_sym_PIPEH] = ACTIONS(296),
    [anon_sym_AT_AT_DOT] = ACTIONS(296),
    [anon_sym_AT_AT_EQ] = ACTIONS(296),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(296),
    [anon_sym_AT_AT] = ACTIONS(298),
    [anon_sym_AT_ATc_COLON] = ACTIONS(296),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(296),
    [anon_sym_AT_ATC] = ACTIONS(296),
    [anon_sym_AT_ATdbt] = ACTIONS(298),
    [anon_sym_AT_ATdbta] = ACTIONS(296),
    [anon_sym_AT_ATdbtb] = ACTIONS(296),
    [anon_sym_AT_ATdbts] = ACTIONS(296),
    [anon_sym_AT_ATt] = ACTIONS(296),
    [anon_sym_AT_ATb] = ACTIONS(296),
    [anon_sym_AT_ATi] = ACTIONS(298),
    [anon_sym_AT_ATii] = ACTIONS(296),
    [anon_sym_AT_ATiS] = ACTIONS(298),
    [anon_sym_AT_ATiSS] = ACTIONS(296),
    [anon_sym_AT_ATis] = ACTIONS(296),
    [anon_sym_AT_ATiz] = ACTIONS(296),
    [anon_sym_AT_ATf] = ACTIONS(296),
    [anon_sym_AT_ATF] = ACTIONS(296),
    [anon_sym_AT_ATom] = ACTIONS(296),
    [anon_sym_AT_ATdm] = ACTIONS(296),
    [anon_sym_AT_ATr] = ACTIONS(296),
    [anon_sym_AT_ATs_COLON] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(296),
    [anon_sym_AT_BANG] = ACTIONS(296),
    [anon_sym_AT_LPAREN] = ACTIONS(296),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_ATa_COLON] = ACTIONS(296),
    [anon_sym_ATb_COLON] = ACTIONS(296),
    [anon_sym_ATB_COLON] = ACTIONS(296),
    [anon_sym_ATe_COLON] = ACTIONS(296),
    [anon_sym_ATF_COLON] = ACTIONS(296),
    [anon_sym_ATi_COLON] = ACTIONS(296),
    [anon_sym_ATk_COLON] = ACTIONS(296),
    [anon_sym_ATo_COLON] = ACTIONS(296),
    [anon_sym_ATr_COLON] = ACTIONS(296),
    [anon_sym_ATf_COLON] = ACTIONS(296),
    [anon_sym_ATs_COLON] = ACTIONS(296),
    [anon_sym_ATv_COLON] = ACTIONS(296),
    [anon_sym_ATx_COLON] = ACTIONS(296),
    [anon_sym_SEMI] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(296),
    [anon_sym_PIPE_DOT] = ACTIONS(296),
    [anon_sym_DOLLAR] = ACTIONS(298),
    [anon_sym_GT] = ACTIONS(298),
    [anon_sym_GT_GT] = ACTIONS(296),
    [sym_html_redirect_operator] = ACTIONS(298),
    [sym_html_append_operator] = ACTIONS(296),
    [anon_sym_COMMA] = ACTIONS(296),
    [aux_sym_arg_identifier_token1] = ACTIONS(298),
    [anon_sym_SQUOTE] = ACTIONS(296),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(296),
    [anon_sym_BQUOTE] = ACTIONS(296),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(296),
    [anon_sym_CR] = ACTIONS(296),
    [sym_file_descriptor] = ACTIONS(296),
    [sym__spec_sep] = ACTIONS(296),
  },
  [84] = {
    [ts_builtin_sym_end] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [anon_sym_TILDE] = ACTIONS(300),
    [anon_sym_PIPE] = ACTIONS(302),
    [anon_sym_PIPEH] = ACTIONS(300),
    [anon_sym_AT_AT_DOT] = ACTIONS(300),
    [anon_sym_AT_AT_EQ] = ACTIONS(300),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(300),
    [anon_sym_AT_AT] = ACTIONS(302),
    [anon_sym_AT_ATc_COLON] = ACTIONS(300),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(300),
    [anon_sym_AT_ATC] = ACTIONS(300),
    [anon_sym_AT_ATdbt] = ACTIONS(302),
    [anon_sym_AT_ATdbta] = ACTIONS(300),
    [anon_sym_AT_ATdbtb] = ACTIONS(300),
    [anon_sym_AT_ATdbts] = ACTIONS(300),
    [anon_sym_AT_ATt] = ACTIONS(300),
    [anon_sym_AT_ATb] = ACTIONS(300),
    [anon_sym_AT_ATi] = ACTIONS(302),
    [anon_sym_AT_ATii] = ACTIONS(300),
    [anon_sym_AT_ATiS] = ACTIONS(302),
    [anon_sym_AT_ATiSS] = ACTIONS(300),
    [anon_sym_AT_ATis] = ACTIONS(300),
    [anon_sym_AT_ATiz] = ACTIONS(300),
    [anon_sym_AT_ATf] = ACTIONS(300),
    [anon_sym_AT_ATF] = ACTIONS(300),
    [anon_sym_AT_ATom] = ACTIONS(300),
    [anon_sym_AT_ATdm] = ACTIONS(300),
    [anon_sym_AT_ATr] = ACTIONS(300),
    [anon_sym_AT_ATs_COLON] = ACTIONS(300),
    [anon_sym_AT] = ACTIONS(300),
    [anon_sym_AT_BANG] = ACTIONS(300),
    [anon_sym_AT_LPAREN] = ACTIONS(300),
    [anon_sym_RPAREN] = ACTIONS(300),
    [anon_sym_ATa_COLON] = ACTIONS(300),
    [anon_sym_ATb_COLON] = ACTIONS(300),
    [anon_sym_ATB_COLON] = ACTIONS(300),
    [anon_sym_ATe_COLON] = ACTIONS(300),
    [anon_sym_ATF_COLON] = ACTIONS(300),
    [anon_sym_ATi_COLON] = ACTIONS(300),
    [anon_sym_ATk_COLON] = ACTIONS(300),
    [anon_sym_ATo_COLON] = ACTIONS(300),
    [anon_sym_ATr_COLON] = ACTIONS(300),
    [anon_sym_ATf_COLON] = ACTIONS(300),
    [anon_sym_ATs_COLON] = ACTIONS(300),
    [anon_sym_ATv_COLON] = ACTIONS(300),
    [anon_sym_ATx_COLON] = ACTIONS(300),
    [anon_sym_SEMI] = ACTIONS(300),
    [anon_sym_LPAREN] = ACTIONS(300),
    [anon_sym_PIPE_DOT] = ACTIONS(300),
    [anon_sym_DOLLAR] = ACTIONS(302),
    [anon_sym_GT] = ACTIONS(302),
    [anon_sym_GT_GT] = ACTIONS(300),
    [sym_html_redirect_operator] = ACTIONS(302),
    [sym_html_append_operator] = ACTIONS(300),
    [anon_sym_COMMA] = ACTIONS(300),
    [aux_sym_arg_identifier_token1] = ACTIONS(302),
    [anon_sym_SQUOTE] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(300),
    [anon_sym_BQUOTE] = ACTIONS(300),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(300),
    [anon_sym_CR] = ACTIONS(300),
    [sym_file_descriptor] = ACTIONS(300),
    [sym__concat] = ACTIONS(300),
  },
  [85] = {
    [ts_builtin_sym_end] = ACTIONS(304),
    [anon_sym_DQUOTE] = ACTIONS(304),
    [anon_sym_TILDE] = ACTIONS(304),
    [anon_sym_PIPE] = ACTIONS(306),
    [anon_sym_PIPEH] = ACTIONS(304),
    [anon_sym_AT_AT_DOT] = ACTIONS(304),
    [anon_sym_AT_AT_EQ] = ACTIONS(304),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(304),
    [anon_sym_AT_AT] = ACTIONS(306),
    [anon_sym_AT_ATc_COLON] = ACTIONS(304),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(304),
    [anon_sym_AT_ATC] = ACTIONS(304),
    [anon_sym_AT_ATdbt] = ACTIONS(306),
    [anon_sym_AT_ATdbta] = ACTIONS(304),
    [anon_sym_AT_ATdbtb] = ACTIONS(304),
    [anon_sym_AT_ATdbts] = ACTIONS(304),
    [anon_sym_AT_ATt] = ACTIONS(304),
    [anon_sym_AT_ATb] = ACTIONS(304),
    [anon_sym_AT_ATi] = ACTIONS(306),
    [anon_sym_AT_ATii] = ACTIONS(304),
    [anon_sym_AT_ATiS] = ACTIONS(306),
    [anon_sym_AT_ATiSS] = ACTIONS(304),
    [anon_sym_AT_ATis] = ACTIONS(304),
    [anon_sym_AT_ATiz] = ACTIONS(304),
    [anon_sym_AT_ATf] = ACTIONS(304),
    [anon_sym_AT_ATF] = ACTIONS(304),
    [anon_sym_AT_ATom] = ACTIONS(304),
    [anon_sym_AT_ATdm] = ACTIONS(304),
    [anon_sym_AT_ATr] = ACTIONS(304),
    [anon_sym_AT_ATs_COLON] = ACTIONS(304),
    [anon_sym_AT] = ACTIONS(304),
    [anon_sym_AT_BANG] = ACTIONS(304),
    [anon_sym_AT_LPAREN] = ACTIONS(304),
    [anon_sym_RPAREN] = ACTIONS(304),
    [anon_sym_ATa_COLON] = ACTIONS(304),
    [anon_sym_ATb_COLON] = ACTIONS(304),
    [anon_sym_ATB_COLON] = ACTIONS(304),
    [anon_sym_ATe_COLON] = ACTIONS(304),
    [anon_sym_ATF_COLON] = ACTIONS(304),
    [anon_sym_ATi_COLON] = ACTIONS(304),
    [anon_sym_ATk_COLON] = ACTIONS(304),
    [anon_sym_ATo_COLON] = ACTIONS(304),
    [anon_sym_ATr_COLON] = ACTIONS(304),
    [anon_sym_ATf_COLON] = ACTIONS(304),
    [anon_sym_ATs_COLON] = ACTIONS(304),
    [anon_sym_ATv_COLON] = ACTIONS(304),
    [anon_sym_ATx_COLON] = ACTIONS(304),
    [anon_sym_SEMI] = ACTIONS(304),
    [anon_sym_LPAREN] = ACTIONS(304),
    [anon_sym_PIPE_DOT] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [anon_sym_GT] = ACTIONS(306),
    [anon_sym_GT_GT] = ACTIONS(304),
    [sym_html_redirect_operator] = ACTIONS(306),
    [sym_html_append_operator] = ACTIONS(304),
    [anon_sym_COMMA] = ACTIONS(304),
    [aux_sym_arg_identifier_token1] = ACTIONS(306),
    [anon_sym_SQUOTE] = ACTIONS(304),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(304),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(304),
    [anon_sym_CR] = ACTIONS(304),
    [sym_file_descriptor] = ACTIONS(304),
    [sym__concat] = ACTIONS(304),
  },
  [86] = {
    [ts_builtin_sym_end] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(308),
    [anon_sym_TILDE] = ACTIONS(308),
    [anon_sym_PIPE] = ACTIONS(310),
    [anon_sym_PIPEH] = ACTIONS(308),
    [anon_sym_AT_AT_DOT] = ACTIONS(308),
    [anon_sym_AT_AT_EQ] = ACTIONS(308),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(308),
    [anon_sym_AT_AT] = ACTIONS(310),
    [anon_sym_AT_ATc_COLON] = ACTIONS(308),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(308),
    [anon_sym_AT_ATC] = ACTIONS(308),
    [anon_sym_AT_ATdbt] = ACTIONS(310),
    [anon_sym_AT_ATdbta] = ACTIONS(308),
    [anon_sym_AT_ATdbtb] = ACTIONS(308),
    [anon_sym_AT_ATdbts] = ACTIONS(308),
    [anon_sym_AT_ATt] = ACTIONS(308),
    [anon_sym_AT_ATb] = ACTIONS(308),
    [anon_sym_AT_ATi] = ACTIONS(310),
    [anon_sym_AT_ATii] = ACTIONS(308),
    [anon_sym_AT_ATiS] = ACTIONS(310),
    [anon_sym_AT_ATiSS] = ACTIONS(308),
    [anon_sym_AT_ATis] = ACTIONS(308),
    [anon_sym_AT_ATiz] = ACTIONS(308),
    [anon_sym_AT_ATf] = ACTIONS(308),
    [anon_sym_AT_ATF] = ACTIONS(308),
    [anon_sym_AT_ATom] = ACTIONS(308),
    [anon_sym_AT_ATdm] = ACTIONS(308),
    [anon_sym_AT_ATr] = ACTIONS(308),
    [anon_sym_AT_ATs_COLON] = ACTIONS(308),
    [anon_sym_AT] = ACTIONS(308),
    [anon_sym_AT_BANG] = ACTIONS(308),
    [anon_sym_AT_LPAREN] = ACTIONS(308),
    [anon_sym_RPAREN] = ACTIONS(308),
    [anon_sym_ATa_COLON] = ACTIONS(308),
    [anon_sym_ATb_COLON] = ACTIONS(308),
    [anon_sym_ATB_COLON] = ACTIONS(308),
    [anon_sym_ATe_COLON] = ACTIONS(308),
    [anon_sym_ATF_COLON] = ACTIONS(308),
    [anon_sym_ATi_COLON] = ACTIONS(308),
    [anon_sym_ATk_COLON] = ACTIONS(308),
    [anon_sym_ATo_COLON] = ACTIONS(308),
    [anon_sym_ATr_COLON] = ACTIONS(308),
    [anon_sym_ATf_COLON] = ACTIONS(308),
    [anon_sym_ATs_COLON] = ACTIONS(308),
    [anon_sym_ATv_COLON] = ACTIONS(308),
    [anon_sym_ATx_COLON] = ACTIONS(308),
    [anon_sym_SEMI] = ACTIONS(308),
    [anon_sym_LPAREN] = ACTIONS(308),
    [anon_sym_PIPE_DOT] = ACTIONS(308),
    [anon_sym_DOLLAR] = ACTIONS(310),
    [anon_sym_GT] = ACTIONS(310),
    [anon_sym_GT_GT] = ACTIONS(308),
    [sym_html_redirect_operator] = ACTIONS(310),
    [sym_html_append_operator] = ACTIONS(308),
    [anon_sym_COMMA] = ACTIONS(308),
    [aux_sym_arg_identifier_token1] = ACTIONS(310),
    [anon_sym_SQUOTE] = ACTIONS(308),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(308),
    [anon_sym_BQUOTE] = ACTIONS(308),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(308),
    [anon_sym_CR] = ACTIONS(308),
    [sym_file_descriptor] = ACTIONS(308),
    [sym__concat] = ACTIONS(308),
  },
  [87] = {
    [ts_builtin_sym_end] = ACTIONS(312),
    [anon_sym_DQUOTE] = ACTIONS(312),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(314),
    [anon_sym_PIPEH] = ACTIONS(312),
    [anon_sym_AT_AT_DOT] = ACTIONS(312),
    [anon_sym_AT_AT_EQ] = ACTIONS(312),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(312),
    [anon_sym_AT_AT] = ACTIONS(314),
    [anon_sym_AT_ATc_COLON] = ACTIONS(312),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(312),
    [anon_sym_AT_ATC] = ACTIONS(312),
    [anon_sym_AT_ATdbt] = ACTIONS(314),
    [anon_sym_AT_ATdbta] = ACTIONS(312),
    [anon_sym_AT_ATdbtb] = ACTIONS(312),
    [anon_sym_AT_ATdbts] = ACTIONS(312),
    [anon_sym_AT_ATt] = ACTIONS(312),
    [anon_sym_AT_ATb] = ACTIONS(312),
    [anon_sym_AT_ATi] = ACTIONS(314),
    [anon_sym_AT_ATii] = ACTIONS(312),
    [anon_sym_AT_ATiS] = ACTIONS(314),
    [anon_sym_AT_ATiSS] = ACTIONS(312),
    [anon_sym_AT_ATis] = ACTIONS(312),
    [anon_sym_AT_ATiz] = ACTIONS(312),
    [anon_sym_AT_ATf] = ACTIONS(312),
    [anon_sym_AT_ATF] = ACTIONS(312),
    [anon_sym_AT_ATom] = ACTIONS(312),
    [anon_sym_AT_ATdm] = ACTIONS(312),
    [anon_sym_AT_ATr] = ACTIONS(312),
    [anon_sym_AT_ATs_COLON] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(312),
    [anon_sym_AT_BANG] = ACTIONS(312),
    [anon_sym_AT_LPAREN] = ACTIONS(312),
    [anon_sym_RPAREN] = ACTIONS(312),
    [anon_sym_ATa_COLON] = ACTIONS(312),
    [anon_sym_ATb_COLON] = ACTIONS(312),
    [anon_sym_ATB_COLON] = ACTIONS(312),
    [anon_sym_ATe_COLON] = ACTIONS(312),
    [anon_sym_ATF_COLON] = ACTIONS(312),
    [anon_sym_ATi_COLON] = ACTIONS(312),
    [anon_sym_ATk_COLON] = ACTIONS(312),
    [anon_sym_ATo_COLON] = ACTIONS(312),
    [anon_sym_ATr_COLON] = ACTIONS(312),
    [anon_sym_ATf_COLON] = ACTIONS(312),
    [anon_sym_ATs_COLON] = ACTIONS(312),
    [anon_sym_ATv_COLON] = ACTIONS(312),
    [anon_sym_ATx_COLON] = ACTIONS(312),
    [anon_sym_SEMI] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(312),
    [anon_sym_PIPE_DOT] = ACTIONS(312),
    [anon_sym_DOLLAR] = ACTIONS(314),
    [anon_sym_GT] = ACTIONS(314),
    [anon_sym_GT_GT] = ACTIONS(312),
    [sym_html_redirect_operator] = ACTIONS(314),
    [sym_html_append_operator] = ACTIONS(312),
    [anon_sym_COMMA] = ACTIONS(312),
    [aux_sym_arg_identifier_token1] = ACTIONS(314),
    [anon_sym_SQUOTE] = ACTIONS(312),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(312),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(312),
    [anon_sym_CR] = ACTIONS(312),
    [sym_file_descriptor] = ACTIONS(312),
    [sym__concat] = ACTIONS(312),
  },
  [88] = {
    [ts_builtin_sym_end] = ACTIONS(312),
    [anon_sym_DQUOTE] = ACTIONS(312),
    [anon_sym_TILDE] = ACTIONS(312),
    [anon_sym_PIPE] = ACTIONS(314),
    [anon_sym_PIPEH] = ACTIONS(312),
    [anon_sym_AT_AT_DOT] = ACTIONS(312),
    [anon_sym_AT_AT_EQ] = ACTIONS(312),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(312),
    [anon_sym_AT_AT] = ACTIONS(314),
    [anon_sym_AT_ATc_COLON] = ACTIONS(312),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(312),
    [anon_sym_AT_ATC] = ACTIONS(312),
    [anon_sym_AT_ATdbt] = ACTIONS(314),
    [anon_sym_AT_ATdbta] = ACTIONS(312),
    [anon_sym_AT_ATdbtb] = ACTIONS(312),
    [anon_sym_AT_ATdbts] = ACTIONS(312),
    [anon_sym_AT_ATt] = ACTIONS(312),
    [anon_sym_AT_ATb] = ACTIONS(312),
    [anon_sym_AT_ATi] = ACTIONS(314),
    [anon_sym_AT_ATii] = ACTIONS(312),
    [anon_sym_AT_ATiS] = ACTIONS(314),
    [anon_sym_AT_ATiSS] = ACTIONS(312),
    [anon_sym_AT_ATis] = ACTIONS(312),
    [anon_sym_AT_ATiz] = ACTIONS(312),
    [anon_sym_AT_ATf] = ACTIONS(312),
    [anon_sym_AT_ATF] = ACTIONS(312),
    [anon_sym_AT_ATom] = ACTIONS(312),
    [anon_sym_AT_ATdm] = ACTIONS(312),
    [anon_sym_AT_ATr] = ACTIONS(312),
    [anon_sym_AT_ATs_COLON] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(312),
    [anon_sym_AT_BANG] = ACTIONS(312),
    [anon_sym_AT_LPAREN] = ACTIONS(312),
    [anon_sym_RPAREN] = ACTIONS(312),
    [anon_sym_ATa_COLON] = ACTIONS(312),
    [anon_sym_ATb_COLON] = ACTIONS(312),
    [anon_sym_ATB_COLON] = ACTIONS(312),
    [anon_sym_ATe_COLON] = ACTIONS(312),
    [anon_sym_ATF_COLON] = ACTIONS(312),
    [anon_sym_ATi_COLON] = ACTIONS(312),
    [anon_sym_ATk_COLON] = ACTIONS(312),
    [anon_sym_ATo_COLON] = ACTIONS(312),
    [anon_sym_ATr_COLON] = ACTIONS(312),
    [anon_sym_ATf_COLON] = ACTIONS(312),
    [anon_sym_ATs_COLON] = ACTIONS(312),
    [anon_sym_ATv_COLON] = ACTIONS(312),
    [anon_sym_ATx_COLON] = ACTIONS(312),
    [anon_sym_SEMI] = ACTIONS(312),
    [anon_sym_LPAREN] = ACTIONS(312),
    [anon_sym_PIPE_DOT] = ACTIONS(312),
    [anon_sym_DOLLAR] = ACTIONS(314),
    [anon_sym_GT] = ACTIONS(314),
    [anon_sym_GT_GT] = ACTIONS(312),
    [sym_html_redirect_operator] = ACTIONS(314),
    [sym_html_append_operator] = ACTIONS(312),
    [anon_sym_COMMA] = ACTIONS(312),
    [aux_sym_arg_identifier_token1] = ACTIONS(314),
    [anon_sym_SQUOTE] = ACTIONS(312),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(312),
    [anon_sym_BQUOTE] = ACTIONS(312),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(312),
    [anon_sym_CR] = ACTIONS(312),
    [sym_file_descriptor] = ACTIONS(312),
    [sym__concat] = ACTIONS(312),
  },
  [89] = {
    [ts_builtin_sym_end] = ACTIONS(254),
    [anon_sym_DQUOTE] = ACTIONS(254),
    [anon_sym_TILDE] = ACTIONS(254),
    [anon_sym_PIPE] = ACTIONS(256),
    [anon_sym_PIPEH] = ACTIONS(254),
    [anon_sym_AT_AT_DOT] = ACTIONS(254),
    [anon_sym_AT_AT_EQ] = ACTIONS(254),
    [anon_sym_AT_AT_AT_EQ] = ACTIONS(254),
    [anon_sym_AT_AT] = ACTIONS(256),
    [anon_sym_AT_ATc_COLON] = ACTIONS(254),
    [anon_sym_AT_AT_ATc_COLON] = ACTIONS(254),
    [anon_sym_AT_ATC] = ACTIONS(254),
    [anon_sym_AT_ATdbt] = ACTIONS(256),
    [anon_sym_AT_ATdbta] = ACTIONS(254),
    [anon_sym_AT_ATdbtb] = ACTIONS(254),
    [anon_sym_AT_ATdbts] = ACTIONS(254),
    [anon_sym_AT_ATt] = ACTIONS(254),
    [anon_sym_AT_ATb] = ACTIONS(254),
    [anon_sym_AT_ATi] = ACTIONS(256),
    [anon_sym_AT_ATii] = ACTIONS(254),
    [anon_sym_AT_ATiS] = ACTIONS(256),
    [anon_sym_AT_ATiSS] = ACTIONS(254),
    [anon_sym_AT_ATis] = ACTIONS(254),
    [anon_sym_AT_ATiz] = ACTIONS(254),
    [anon_sym_AT_ATf] = ACTIONS(254),
    [anon_sym_AT_ATF] = ACTIONS(254),
    [anon_sym_AT_ATom] = ACTIONS(254),
    [anon_sym_AT_ATdm] = ACTIONS(254),
    [anon_sym_AT_ATr] = ACTIONS(254),
    [anon_sym_AT_ATs_COLON] = ACTIONS(254),
    [anon_sym_AT] = ACTIONS(254),
    [anon_sym_AT_BANG] = ACTIONS(254),
    [anon_sym_AT_LPAREN] = ACTIONS(254),
    [anon_sym_RPAREN] = ACTIONS(254),
    [anon_sym_ATa_COLON] = ACTIONS(254),
    [anon_sym_ATb_COLON] = ACTIONS(254),
    [anon_sym_ATB_COLON] = ACTIONS(254),
    [anon_sym_ATe_COLON] = ACTIONS(254),
    [anon_sym_ATF_COLON] = ACTIONS(254),
    [anon_sym_ATi_COLON] = ACTIONS(254),
    [anon_sym_ATk_COLON] = ACTIONS(254),
    [anon_sym_ATo_COLON] = ACTIONS(254),
    [anon_sym_ATr_COLON] = ACTIONS(254),
    [anon_sym_ATf_COLON] = ACTIONS(254),
    [anon_sym_ATs_COLON] = ACTIONS(254),
    [anon_sym_ATv_COLON] = ACTIONS(254),
    [anon_sym_ATx_COLON] = ACTIONS(254),
    [anon_sym_SEMI] = ACTIONS(254),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_PIPE_DOT] = ACTIONS(254),
    [anon_sym_DOLLAR] = ACTIONS(256),
    [anon_sym_GT] = ACTIONS(256),
    [anon_sym_GT_GT] = ACTIONS(254),
    [sym_html_redirect_operator] = ACTIONS(256),
    [sym_html_append_operator] = ACTIONS(254),
    [anon_sym_COMMA] = ACTIONS(254),
    [aux_sym_arg_identifier_token1] = ACTIONS(256),
    [anon_sym_SQUOTE] = ACTIONS(254),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(254),
    [anon_sym_BQUOTE] = ACTIONS(254),
    [sym__comment] = ACTIONS(3),
    [anon_sym_LF] = ACTIONS(254),
    [anon_sym_CR] = ACTIONS(254),
    [sym_file_descriptor] = ACTIONS(254),
    [sym__concat] = ACTIONS(254),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 9,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(110), 1,
      sym_pf_concatenation,
    ACTIONS(200), 2,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
    STATE(71), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(103), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
    ACTIONS(224), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(222), 45,
      sym_file_descriptor,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [83] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(210), 1,
      anon_sym_DQUOTE,
    ACTIONS(214), 1,
      sym__eq_sep_key_identifier,
    ACTIONS(216), 1,
      anon_sym_SQUOTE,
    ACTIONS(218), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(171), 1,
      sym__eq_sep_key,
    STATE(172), 1,
      sym__eq_sep_key_concatenation,
    STATE(209), 1,
      sym_eq_sep_args,
    STATE(117), 4,
      sym__eq_sep_key_single,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
    ACTIONS(212), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(208), 45,
      sym_file_descriptor,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [170] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(320), 1,
      sym__concat_pf_dot,
    STATE(92), 1,
      aux_sym_pf_dot_concatenation_repeat1,
    ACTIONS(318), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(316), 51,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [245] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(325), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      anon_sym_GT,
      sym_html_redirect_operator,
      aux_sym_arg_identifier_token1,
    ACTIONS(323), 54,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [316] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(267), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      anon_sym_GT,
      sym_html_redirect_operator,
      aux_sym_arg_identifier_token1,
    ACTIONS(265), 54,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [387] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(96), 1,
      aux_sym_pf_dot_concatenation_repeat1,
    ACTIONS(329), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(327), 52,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [460] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(335), 1,
      sym__concat_pf_dot,
    STATE(92), 1,
      aux_sym_pf_dot_concatenation_repeat1,
    ACTIONS(333), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(331), 51,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [535] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 52,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [605] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(341), 1,
      sym__concat,
    STATE(98), 1,
      aux_sym_pf_concatenation_repeat1,
    ACTIONS(339), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(337), 51,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [679] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(348), 1,
      sym__concat,
    STATE(98), 1,
      aux_sym_pf_concatenation_repeat1,
    ACTIONS(346), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(344), 51,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [753] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(329), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(327), 52,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [823] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 52,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [893] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(352), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(350), 52,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [963] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(348), 1,
      sym__concat,
    STATE(99), 1,
      aux_sym_pf_concatenation_repeat1,
    ACTIONS(356), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(354), 51,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1037] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(318), 10,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_EQ,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(316), 52,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1107] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(339), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(337), 52,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1176] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(360), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(358), 52,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1245] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(364), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(362), 52,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1314] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 52,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1383] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 52,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1452] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(356), 9,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_DOLLAR,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(354), 51,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1520] = 8,
    ACTIONS(370), 1,
      sym_grep_specifier_identifier,
    ACTIONS(372), 1,
      aux_sym_grep_specifier_token1,
    ACTIONS(374), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(376), 1,
      anon_sym_BQUOTE,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(366), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    STATE(112), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
    ACTIONS(368), 52,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_LF,
      anon_sym_CR,
  [1598] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(384), 1,
      sym_grep_specifier_identifier,
    ACTIONS(387), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(390), 1,
      anon_sym_BQUOTE,
    ACTIONS(380), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    STATE(112), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
    ACTIONS(382), 53,
      anon_sym_TILDE,
      aux_sym_grep_specifier_token1,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_LF,
      anon_sym_CR,
  [1674] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(395), 8,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
      sym__eq_sep_key_identifier,
    ACTIONS(393), 52,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1742] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(401), 1,
      aux_sym_tmp_eval_arg_token1,
    STATE(114), 1,
      aux_sym_tmp_eval_arg_repeat1,
    ACTIONS(399), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(397), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1813] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(408), 1,
      aux_sym_tmp_eval_arg_token1,
    STATE(114), 1,
      aux_sym_tmp_eval_arg_repeat1,
    ACTIONS(406), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(404), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1884] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(414), 1,
      sym__eq_sep_concat,
    STATE(121), 1,
      aux_sym__eq_sep_key_concatenation_repeat1,
    ACTIONS(412), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(410), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [1955] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(414), 1,
      sym__eq_sep_concat,
    STATE(116), 1,
      aux_sym__eq_sep_key_concatenation_repeat1,
    ACTIONS(418), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(416), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2026] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(206), 1,
      sym__concat_pf_dot,
    STATE(127), 1,
      aux_sym_pf_dot_args_repeat1,
    ACTIONS(422), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(420), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2097] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(206), 1,
      sym__concat_pf_dot,
    STATE(118), 1,
      aux_sym_pf_dot_args_repeat1,
    ACTIONS(196), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(194), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2168] = 4,
    ACTIONS(3), 1,
      sym__comment,
    STATE(124), 1,
      aux_sym_pf_dot_concatenation_repeat1,
    ACTIONS(329), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(327), 51,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2237] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(428), 1,
      sym__eq_sep_concat,
    STATE(121), 1,
      aux_sym__eq_sep_key_concatenation_repeat1,
    ACTIONS(426), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(424), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2308] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(265), 1,
      sym__eq_sep_concat,
    ACTIONS(435), 1,
      sym__concat,
    STATE(429), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(433), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(431), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2381] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(437), 1,
      sym__concat,
    STATE(123), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(256), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(254), 50,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2452] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(440), 1,
      sym__concat_pf_dot,
    STATE(125), 1,
      aux_sym_pf_dot_concatenation_repeat1,
    ACTIONS(333), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(331), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2523] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(442), 1,
      sym__concat_pf_dot,
    STATE(125), 1,
      aux_sym_pf_dot_concatenation_repeat1,
    ACTIONS(318), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(316), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2594] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(445), 1,
      sym__concat,
    STATE(123), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(250), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(248), 50,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2665] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(451), 1,
      sym__concat_pf_dot,
    STATE(127), 1,
      aux_sym_pf_dot_args_repeat1,
    ACTIONS(449), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(447), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2736] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(445), 1,
      sym__concat,
    STATE(126), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(267), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(265), 50,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2807] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(294), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(292), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2873] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(286), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(284), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [2939] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(278), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(276), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3005] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 51,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3071] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 51,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3137] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(456), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(454), 51,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3203] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(462), 1,
      sym__eq_sep_concat,
    STATE(135), 1,
      aux_sym__eq_sep_val_concatenation_repeat1,
    ACTIONS(460), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(458), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3273] = 3,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(312), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(314), 56,
      anon_sym_TILDE,
      sym_grep_specifier_identifier,
      aux_sym_grep_specifier_token1,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3339] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(469), 1,
      anon_sym_COMMA,
    STATE(137), 1,
      aux_sym_tmp_eval_args_repeat1,
    ACTIONS(467), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(465), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3409] = 3,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(312), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(314), 56,
      anon_sym_TILDE,
      sym_grep_specifier_identifier,
      aux_sym_grep_specifier_token1,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3475] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3541] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(476), 1,
      sym__eq_sep_concat,
    STATE(135), 1,
      aux_sym__eq_sep_val_concatenation_repeat1,
    ACTIONS(474), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(472), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3611] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(352), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(350), 51,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3677] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(329), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(327), 51,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3743] = 8,
    ACTIONS(366), 1,
      sym_file_descriptor,
    ACTIONS(372), 1,
      aux_sym_grep_specifier_token1,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(478), 1,
      sym_grep_specifier_identifier,
    ACTIONS(480), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(482), 1,
      anon_sym_BQUOTE,
    STATE(147), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
    ACTIONS(368), 51,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
  [3819] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3885] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(488), 1,
      anon_sym_COMMA,
    STATE(137), 1,
      aux_sym_tmp_eval_args_repeat1,
    ACTIONS(486), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(484), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [3955] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(426), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(424), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4021] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(380), 1,
      sym_file_descriptor,
    ACTIONS(490), 1,
      sym_grep_specifier_identifier,
    ACTIONS(493), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(496), 1,
      anon_sym_BQUOTE,
    STATE(147), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
    ACTIONS(382), 52,
      anon_sym_TILDE,
      aux_sym_grep_specifier_token1,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
  [4095] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(503), 1,
      anon_sym_LPAREN,
    STATE(260), 1,
      sym_macro_call,
    ACTIONS(501), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(499), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4165] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(318), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(316), 51,
      sym_file_descriptor,
      sym__concat_pf_dot,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4231] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(310), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(308), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4297] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4363] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(256), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(254), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4429] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(290), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(288), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4495] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(302), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(300), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4561] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(286), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(284), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4627] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(294), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(292), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4693] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(278), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(276), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4759] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(306), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(304), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4825] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(310), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(308), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4891] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(488), 1,
      anon_sym_COMMA,
    STATE(145), 1,
      aux_sym_tmp_eval_args_repeat1,
    ACTIONS(507), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(505), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [4961] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(312), 51,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5027] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(511), 8,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
      aux_sym_tmp_eval_arg_token1,
    ACTIONS(509), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5093] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(267), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(265), 50,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5158] = 7,
    ACTIONS(366), 1,
      sym_file_descriptor,
    ACTIONS(372), 1,
      aux_sym_grep_specifier_token1,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(478), 1,
      sym_grep_specifier_identifier,
    ACTIONS(480), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(147), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
    ACTIONS(368), 51,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [5231] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(517), 1,
      anon_sym_COLON,
    ACTIONS(515), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(513), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5298] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(523), 1,
      anon_sym_COLON,
    ACTIONS(521), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(519), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5365] = 53,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(527), 1,
      anon_sym_TILDE,
    ACTIONS(529), 1,
      anon_sym_PIPE,
    ACTIONS(531), 1,
      anon_sym_PIPEH,
    ACTIONS(533), 1,
      anon_sym_AT_AT_DOT,
    ACTIONS(535), 1,
      anon_sym_AT_AT_EQ,
    ACTIONS(537), 1,
      anon_sym_AT_AT_AT_EQ,
    ACTIONS(539), 1,
      anon_sym_AT_AT,
    ACTIONS(541), 1,
      anon_sym_AT_ATc_COLON,
    ACTIONS(543), 1,
      anon_sym_AT_AT_ATc_COLON,
    ACTIONS(545), 1,
      anon_sym_AT_ATC,
    ACTIONS(547), 1,
      anon_sym_AT_ATdbt,
    ACTIONS(549), 1,
      anon_sym_AT_ATdbta,
    ACTIONS(551), 1,
      anon_sym_AT_ATdbtb,
    ACTIONS(553), 1,
      anon_sym_AT_ATdbts,
    ACTIONS(555), 1,
      anon_sym_AT_ATt,
    ACTIONS(557), 1,
      anon_sym_AT_ATb,
    ACTIONS(559), 1,
      anon_sym_AT_ATi,
    ACTIONS(561), 1,
      anon_sym_AT_ATii,
    ACTIONS(563), 1,
      anon_sym_AT_ATiS,
    ACTIONS(565), 1,
      anon_sym_AT_ATiSS,
    ACTIONS(567), 1,
      anon_sym_AT_ATis,
    ACTIONS(569), 1,
      anon_sym_AT_ATiz,
    ACTIONS(571), 1,
      anon_sym_AT_ATf,
    ACTIONS(573), 1,
      anon_sym_AT_ATF,
    ACTIONS(575), 1,
      anon_sym_AT_ATom,
    ACTIONS(577), 1,
      anon_sym_AT_ATdm,
    ACTIONS(579), 1,
      anon_sym_AT_ATr,
    ACTIONS(581), 1,
      anon_sym_AT_ATs_COLON,
    ACTIONS(583), 1,
      anon_sym_AT,
    ACTIONS(585), 1,
      anon_sym_AT_BANG,
    ACTIONS(587), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(589), 1,
      anon_sym_ATa_COLON,
    ACTIONS(591), 1,
      anon_sym_ATb_COLON,
    ACTIONS(593), 1,
      anon_sym_ATB_COLON,
    ACTIONS(595), 1,
      anon_sym_ATe_COLON,
    ACTIONS(597), 1,
      anon_sym_ATF_COLON,
    ACTIONS(599), 1,
      anon_sym_ATi_COLON,
    ACTIONS(601), 1,
      anon_sym_ATk_COLON,
    ACTIONS(603), 1,
      anon_sym_ATo_COLON,
    ACTIONS(605), 1,
      anon_sym_ATr_COLON,
    ACTIONS(607), 1,
      anon_sym_ATf_COLON,
    ACTIONS(609), 1,
      anon_sym_ATs_COLON,
    ACTIONS(611), 1,
      anon_sym_ATv_COLON,
    ACTIONS(613), 1,
      anon_sym_ATx_COLON,
    ACTIONS(615), 1,
      anon_sym_PIPE_DOT,
    ACTIONS(617), 1,
      anon_sym_GT,
    ACTIONS(619), 1,
      anon_sym_GT_GT,
    ACTIONS(621), 1,
      sym_html_redirect_operator,
    ACTIONS(623), 1,
      sym_html_append_operator,
    ACTIONS(625), 1,
      sym_file_descriptor,
    STATE(308), 3,
      sym__redirect_operator,
      sym_fdn_redirect_operator,
      sym_fdn_append_operator,
    ACTIONS(525), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [5530] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(467), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(465), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5595] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(631), 1,
      anon_sym_COLON,
    ACTIONS(629), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(627), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5662] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(460), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(458), 50,
      sym_file_descriptor,
      sym__eq_sep_concat,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5727] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(637), 1,
      anon_sym_EQ,
    ACTIONS(635), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(633), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5794] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(418), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(416), 50,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_EQ,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5859] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(643), 1,
      sym__concat,
    ACTIONS(641), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(639), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5926] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(647), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(645), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [5990] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6054] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(655), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(653), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6118] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(661), 1,
      anon_sym_EQ,
    ACTIONS(659), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(657), 48,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_LF,
      anon_sym_CR,
  [6184] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(665), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(663), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6248] = 3,
    ACTIONS(312), 1,
      sym_file_descriptor,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(314), 55,
      anon_sym_TILDE,
      sym_grep_specifier_identifier,
      aux_sym_grep_specifier_token1,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [6312] = 3,
    ACTIONS(312), 1,
      sym_file_descriptor,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(314), 55,
      anon_sym_TILDE,
      sym_grep_specifier_identifier,
      aux_sym_grep_specifier_token1,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [6376] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6440] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6504] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(669), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(667), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6568] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(368), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(366), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6632] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(673), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(671), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6696] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(677), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(675), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6760] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(681), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(679), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6824] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(685), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(683), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6888] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(689), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(687), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [6952] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(693), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(691), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7016] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(697), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(695), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7080] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(701), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(699), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7144] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(705), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(703), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7208] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(709), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(707), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7272] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(713), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(711), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7336] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(717), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(715), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7400] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(721), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(719), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7464] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(725), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(723), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7528] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(729), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(727), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7592] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(733), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(731), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7656] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(737), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(735), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7720] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(741), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(739), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7784] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(745), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(743), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7848] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(749), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(747), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7912] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(753), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(751), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [7976] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(757), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(755), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8040] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(761), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(759), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8104] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(765), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(763), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8168] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(769), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(767), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8232] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(773), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(771), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8296] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(777), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(775), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8360] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(781), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(779), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8424] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(785), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(783), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8488] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(789), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(787), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8552] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(793), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(791), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8616] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(797), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(795), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8680] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(801), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(799), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8744] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(805), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(803), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8808] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(809), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(807), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8872] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [8936] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(813), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(811), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9000] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(817), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(815), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9064] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(641), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(639), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9128] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(821), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(819), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9192] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(825), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(823), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9256] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(829), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(827), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9320] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9384] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(833), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(831), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9448] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(837), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(835), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9512] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9576] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(841), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(839), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9640] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(845), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(843), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9704] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(849), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(847), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9768] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(853), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(851), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9832] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(845), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(843), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9896] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(857), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(855), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [9960] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(861), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(859), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10024] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(865), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(863), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10088] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10152] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(869), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(867), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10216] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(873), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(871), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10280] = 4,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(875), 1,
      aux_sym__interpret_stmt_token2,
    ACTIONS(139), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(141), 53,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_LF,
      anon_sym_CR,
  [10346] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(433), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(431), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10410] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(879), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(877), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10474] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(883), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(881), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10538] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(887), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(885), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10602] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(891), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(889), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10666] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(895), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(893), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10730] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(899), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(897), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10794] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(903), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(901), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10858] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(907), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(905), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10922] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(911), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(909), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [10986] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(915), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(913), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11050] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11114] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(651), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(649), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11178] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(145), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(143), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11242] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(921), 1,
      sym__concat_pf_dot,
    ACTIONS(919), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(917), 48,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_LF,
      anon_sym_CR,
  [11308] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(925), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(923), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11372] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(929), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(927), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11436] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(933), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(931), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11500] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(937), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(935), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11564] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(941), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(939), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11628] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(57), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(55), 49,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_RPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [11692] = 53,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(529), 1,
      anon_sym_PIPE,
    ACTIONS(531), 1,
      anon_sym_PIPEH,
    ACTIONS(533), 1,
      anon_sym_AT_AT_DOT,
    ACTIONS(535), 1,
      anon_sym_AT_AT_EQ,
    ACTIONS(537), 1,
      anon_sym_AT_AT_AT_EQ,
    ACTIONS(539), 1,
      anon_sym_AT_AT,
    ACTIONS(541), 1,
      anon_sym_AT_ATc_COLON,
    ACTIONS(543), 1,
      anon_sym_AT_AT_ATc_COLON,
    ACTIONS(545), 1,
      anon_sym_AT_ATC,
    ACTIONS(547), 1,
      anon_sym_AT_ATdbt,
    ACTIONS(549), 1,
      anon_sym_AT_ATdbta,
    ACTIONS(551), 1,
      anon_sym_AT_ATdbtb,
    ACTIONS(553), 1,
      anon_sym_AT_ATdbts,
    ACTIONS(555), 1,
      anon_sym_AT_ATt,
    ACTIONS(557), 1,
      anon_sym_AT_ATb,
    ACTIONS(559), 1,
      anon_sym_AT_ATi,
    ACTIONS(561), 1,
      anon_sym_AT_ATii,
    ACTIONS(563), 1,
      anon_sym_AT_ATiS,
    ACTIONS(565), 1,
      anon_sym_AT_ATiSS,
    ACTIONS(567), 1,
      anon_sym_AT_ATis,
    ACTIONS(569), 1,
      anon_sym_AT_ATiz,
    ACTIONS(571), 1,
      anon_sym_AT_ATf,
    ACTIONS(573), 1,
      anon_sym_AT_ATF,
    ACTIONS(575), 1,
      anon_sym_AT_ATom,
    ACTIONS(577), 1,
      anon_sym_AT_ATdm,
    ACTIONS(579), 1,
      anon_sym_AT_ATr,
    ACTIONS(581), 1,
      anon_sym_AT_ATs_COLON,
    ACTIONS(583), 1,
      anon_sym_AT,
    ACTIONS(585), 1,
      anon_sym_AT_BANG,
    ACTIONS(587), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(589), 1,
      anon_sym_ATa_COLON,
    ACTIONS(591), 1,
      anon_sym_ATb_COLON,
    ACTIONS(593), 1,
      anon_sym_ATB_COLON,
    ACTIONS(595), 1,
      anon_sym_ATe_COLON,
    ACTIONS(597), 1,
      anon_sym_ATF_COLON,
    ACTIONS(599), 1,
      anon_sym_ATi_COLON,
    ACTIONS(601), 1,
      anon_sym_ATk_COLON,
    ACTIONS(603), 1,
      anon_sym_ATo_COLON,
    ACTIONS(605), 1,
      anon_sym_ATr_COLON,
    ACTIONS(607), 1,
      anon_sym_ATf_COLON,
    ACTIONS(609), 1,
      anon_sym_ATs_COLON,
    ACTIONS(611), 1,
      anon_sym_ATv_COLON,
    ACTIONS(613), 1,
      anon_sym_ATx_COLON,
    ACTIONS(615), 1,
      anon_sym_PIPE_DOT,
    ACTIONS(617), 1,
      anon_sym_GT,
    ACTIONS(619), 1,
      anon_sym_GT_GT,
    ACTIONS(621), 1,
      sym_html_redirect_operator,
    ACTIONS(623), 1,
      sym_html_append_operator,
    ACTIONS(625), 1,
      sym_file_descriptor,
    ACTIONS(943), 1,
      anon_sym_TILDE,
    ACTIONS(525), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(308), 3,
      sym__redirect_operator,
      sym_fdn_redirect_operator,
      sym_fdn_append_operator,
  [11855] = 46,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(531), 1,
      anon_sym_PIPEH,
    ACTIONS(533), 1,
      anon_sym_AT_AT_DOT,
    ACTIONS(535), 1,
      anon_sym_AT_AT_EQ,
    ACTIONS(537), 1,
      anon_sym_AT_AT_AT_EQ,
    ACTIONS(539), 1,
      anon_sym_AT_AT,
    ACTIONS(541), 1,
      anon_sym_AT_ATc_COLON,
    ACTIONS(543), 1,
      anon_sym_AT_AT_ATc_COLON,
    ACTIONS(545), 1,
      anon_sym_AT_ATC,
    ACTIONS(547), 1,
      anon_sym_AT_ATdbt,
    ACTIONS(549), 1,
      anon_sym_AT_ATdbta,
    ACTIONS(551), 1,
      anon_sym_AT_ATdbtb,
    ACTIONS(553), 1,
      anon_sym_AT_ATdbts,
    ACTIONS(555), 1,
      anon_sym_AT_ATt,
    ACTIONS(557), 1,
      anon_sym_AT_ATb,
    ACTIONS(559), 1,
      anon_sym_AT_ATi,
    ACTIONS(561), 1,
      anon_sym_AT_ATii,
    ACTIONS(563), 1,
      anon_sym_AT_ATiS,
    ACTIONS(565), 1,
      anon_sym_AT_ATiSS,
    ACTIONS(567), 1,
      anon_sym_AT_ATis,
    ACTIONS(569), 1,
      anon_sym_AT_ATiz,
    ACTIONS(571), 1,
      anon_sym_AT_ATf,
    ACTIONS(573), 1,
      anon_sym_AT_ATF,
    ACTIONS(575), 1,
      anon_sym_AT_ATom,
    ACTIONS(577), 1,
      anon_sym_AT_ATdm,
    ACTIONS(579), 1,
      anon_sym_AT_ATr,
    ACTIONS(581), 1,
      anon_sym_AT_ATs_COLON,
    ACTIONS(583), 1,
      anon_sym_AT,
    ACTIONS(585), 1,
      anon_sym_AT_BANG,
    ACTIONS(587), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(589), 1,
      anon_sym_ATa_COLON,
    ACTIONS(591), 1,
      anon_sym_ATb_COLON,
    ACTIONS(593), 1,
      anon_sym_ATB_COLON,
    ACTIONS(595), 1,
      anon_sym_ATe_COLON,
    ACTIONS(597), 1,
      anon_sym_ATF_COLON,
    ACTIONS(599), 1,
      anon_sym_ATi_COLON,
    ACTIONS(601), 1,
      anon_sym_ATk_COLON,
    ACTIONS(603), 1,
      anon_sym_ATo_COLON,
    ACTIONS(605), 1,
      anon_sym_ATr_COLON,
    ACTIONS(607), 1,
      anon_sym_ATf_COLON,
    ACTIONS(609), 1,
      anon_sym_ATs_COLON,
    ACTIONS(611), 1,
      anon_sym_ATv_COLON,
    ACTIONS(613), 1,
      anon_sym_ATx_COLON,
    ACTIONS(615), 1,
      anon_sym_PIPE_DOT,
    ACTIONS(947), 3,
      anon_sym_PIPE,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(945), 9,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_LF,
      anon_sym_CR,
  [12004] = 46,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(531), 1,
      anon_sym_PIPEH,
    ACTIONS(533), 1,
      anon_sym_AT_AT_DOT,
    ACTIONS(535), 1,
      anon_sym_AT_AT_EQ,
    ACTIONS(537), 1,
      anon_sym_AT_AT_AT_EQ,
    ACTIONS(539), 1,
      anon_sym_AT_AT,
    ACTIONS(541), 1,
      anon_sym_AT_ATc_COLON,
    ACTIONS(543), 1,
      anon_sym_AT_AT_ATc_COLON,
    ACTIONS(545), 1,
      anon_sym_AT_ATC,
    ACTIONS(547), 1,
      anon_sym_AT_ATdbt,
    ACTIONS(549), 1,
      anon_sym_AT_ATdbta,
    ACTIONS(551), 1,
      anon_sym_AT_ATdbtb,
    ACTIONS(553), 1,
      anon_sym_AT_ATdbts,
    ACTIONS(555), 1,
      anon_sym_AT_ATt,
    ACTIONS(557), 1,
      anon_sym_AT_ATb,
    ACTIONS(559), 1,
      anon_sym_AT_ATi,
    ACTIONS(561), 1,
      anon_sym_AT_ATii,
    ACTIONS(563), 1,
      anon_sym_AT_ATiS,
    ACTIONS(565), 1,
      anon_sym_AT_ATiSS,
    ACTIONS(567), 1,
      anon_sym_AT_ATis,
    ACTIONS(569), 1,
      anon_sym_AT_ATiz,
    ACTIONS(571), 1,
      anon_sym_AT_ATf,
    ACTIONS(573), 1,
      anon_sym_AT_ATF,
    ACTIONS(575), 1,
      anon_sym_AT_ATom,
    ACTIONS(577), 1,
      anon_sym_AT_ATdm,
    ACTIONS(579), 1,
      anon_sym_AT_ATr,
    ACTIONS(581), 1,
      anon_sym_AT_ATs_COLON,
    ACTIONS(583), 1,
      anon_sym_AT,
    ACTIONS(585), 1,
      anon_sym_AT_BANG,
    ACTIONS(587), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(589), 1,
      anon_sym_ATa_COLON,
    ACTIONS(591), 1,
      anon_sym_ATb_COLON,
    ACTIONS(593), 1,
      anon_sym_ATB_COLON,
    ACTIONS(595), 1,
      anon_sym_ATe_COLON,
    ACTIONS(597), 1,
      anon_sym_ATF_COLON,
    ACTIONS(599), 1,
      anon_sym_ATi_COLON,
    ACTIONS(601), 1,
      anon_sym_ATk_COLON,
    ACTIONS(603), 1,
      anon_sym_ATo_COLON,
    ACTIONS(605), 1,
      anon_sym_ATr_COLON,
    ACTIONS(607), 1,
      anon_sym_ATf_COLON,
    ACTIONS(609), 1,
      anon_sym_ATs_COLON,
    ACTIONS(611), 1,
      anon_sym_ATv_COLON,
    ACTIONS(613), 1,
      anon_sym_ATx_COLON,
    ACTIONS(615), 1,
      anon_sym_PIPE_DOT,
    ACTIONS(951), 3,
      anon_sym_PIPE,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(949), 9,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_LF,
      anon_sym_CR,
  [12153] = 53,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(531), 1,
      anon_sym_PIPEH,
    ACTIONS(533), 1,
      anon_sym_AT_AT_DOT,
    ACTIONS(545), 1,
      anon_sym_AT_ATC,
    ACTIONS(547), 1,
      anon_sym_AT_ATdbt,
    ACTIONS(549), 1,
      anon_sym_AT_ATdbta,
    ACTIONS(551), 1,
      anon_sym_AT_ATdbtb,
    ACTIONS(553), 1,
      anon_sym_AT_ATdbts,
    ACTIONS(555), 1,
      anon_sym_AT_ATt,
    ACTIONS(557), 1,
      anon_sym_AT_ATb,
    ACTIONS(559), 1,
      anon_sym_AT_ATi,
    ACTIONS(561), 1,
      anon_sym_AT_ATii,
    ACTIONS(563), 1,
      anon_sym_AT_ATiS,
    ACTIONS(565), 1,
      anon_sym_AT_ATiSS,
    ACTIONS(567), 1,
      anon_sym_AT_ATis,
    ACTIONS(569), 1,
      anon_sym_AT_ATiz,
    ACTIONS(571), 1,
      anon_sym_AT_ATf,
    ACTIONS(573), 1,
      anon_sym_AT_ATF,
    ACTIONS(575), 1,
      anon_sym_AT_ATom,
    ACTIONS(577), 1,
      anon_sym_AT_ATdm,
    ACTIONS(579), 1,
      anon_sym_AT_ATr,
    ACTIONS(587), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(589), 1,
      anon_sym_ATa_COLON,
    ACTIONS(593), 1,
      anon_sym_ATB_COLON,
    ACTIONS(595), 1,
      anon_sym_ATe_COLON,
    ACTIONS(597), 1,
      anon_sym_ATF_COLON,
    ACTIONS(601), 1,
      anon_sym_ATk_COLON,
    ACTIONS(605), 1,
      anon_sym_ATr_COLON,
    ACTIONS(607), 1,
      anon_sym_ATf_COLON,
    ACTIONS(609), 1,
      anon_sym_ATs_COLON,
    ACTIONS(611), 1,
      anon_sym_ATv_COLON,
    ACTIONS(613), 1,
      anon_sym_ATx_COLON,
    ACTIONS(615), 1,
      anon_sym_PIPE_DOT,
    ACTIONS(617), 1,
      anon_sym_GT,
    ACTIONS(619), 1,
      anon_sym_GT_GT,
    ACTIONS(621), 1,
      sym_html_redirect_operator,
    ACTIONS(623), 1,
      sym_html_append_operator,
    ACTIONS(625), 1,
      sym_file_descriptor,
    ACTIONS(953), 1,
      anon_sym_TILDE,
    ACTIONS(955), 1,
      anon_sym_PIPE,
    ACTIONS(957), 1,
      anon_sym_AT_AT_EQ,
    ACTIONS(959), 1,
      anon_sym_AT_AT_AT_EQ,
    ACTIONS(961), 1,
      anon_sym_AT_AT,
    ACTIONS(963), 1,
      anon_sym_AT_ATc_COLON,
    ACTIONS(965), 1,
      anon_sym_AT_AT_ATc_COLON,
    ACTIONS(967), 1,
      anon_sym_AT_ATs_COLON,
    ACTIONS(969), 1,
      anon_sym_AT,
    ACTIONS(971), 1,
      anon_sym_AT_BANG,
    ACTIONS(973), 1,
      anon_sym_ATb_COLON,
    ACTIONS(975), 1,
      anon_sym_ATi_COLON,
    ACTIONS(977), 1,
      anon_sym_ATo_COLON,
    ACTIONS(525), 2,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    STATE(308), 3,
      sym__redirect_operator,
      sym_fdn_redirect_operator,
      sym_fdn_append_operator,
  [12316] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(979), 1,
      anon_sym_EQ,
    ACTIONS(659), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(657), 45,
      sym_file_descriptor,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [12379] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(981), 1,
      sym__concat_pf_dot,
    ACTIONS(919), 7,
      anon_sym_PIPE,
      anon_sym_AT_AT,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATi,
      anon_sym_AT_ATiS,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(917), 45,
      sym_file_descriptor,
      anon_sym_TILDE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [12442] = 4,
    ACTIONS(139), 1,
      sym_file_descriptor,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(983), 1,
      aux_sym__interpret_stmt_token2,
    ACTIONS(141), 51,
      anon_sym_TILDE,
      anon_sym_PIPE,
      anon_sym_PIPEH,
      anon_sym_AT_AT_DOT,
      anon_sym_AT_AT_EQ,
      anon_sym_AT_AT_AT_EQ,
      anon_sym_AT_AT,
      anon_sym_AT_ATc_COLON,
      anon_sym_AT_AT_ATc_COLON,
      anon_sym_AT_ATC,
      anon_sym_AT_ATdbt,
      anon_sym_AT_ATdbta,
      anon_sym_AT_ATdbtb,
      anon_sym_AT_ATdbts,
      anon_sym_AT_ATt,
      anon_sym_AT_ATb,
      anon_sym_AT_ATi,
      anon_sym_AT_ATii,
      anon_sym_AT_ATiS,
      anon_sym_AT_ATiSS,
      anon_sym_AT_ATis,
      anon_sym_AT_ATiz,
      anon_sym_AT_ATf,
      anon_sym_AT_ATF,
      anon_sym_AT_ATom,
      anon_sym_AT_ATdm,
      anon_sym_AT_ATr,
      anon_sym_AT_ATs_COLON,
      anon_sym_AT,
      anon_sym_AT_BANG,
      anon_sym_AT_LPAREN,
      anon_sym_ATa_COLON,
      anon_sym_ATb_COLON,
      anon_sym_ATB_COLON,
      anon_sym_ATe_COLON,
      anon_sym_ATF_COLON,
      anon_sym_ATi_COLON,
      anon_sym_ATk_COLON,
      anon_sym_ATo_COLON,
      anon_sym_ATr_COLON,
      anon_sym_ATf_COLON,
      anon_sym_ATs_COLON,
      anon_sym_ATv_COLON,
      anon_sym_ATx_COLON,
      anon_sym_SEMI,
      anon_sym_PIPE_DOT,
      anon_sym_GT,
      anon_sym_GT_GT,
      sym_html_redirect_operator,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [12505] = 46,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(531), 1,
      anon_sym_PIPEH,
    ACTIONS(533), 1,
      anon_sym_AT_AT_DOT,
    ACTIONS(545), 1,
      anon_sym_AT_ATC,
    ACTIONS(547), 1,
      anon_sym_AT_ATdbt,
    ACTIONS(549), 1,
      anon_sym_AT_ATdbta,
    ACTIONS(551), 1,
      anon_sym_AT_ATdbtb,
    ACTIONS(553), 1,
      anon_sym_AT_ATdbts,
    ACTIONS(555), 1,
      anon_sym_AT_ATt,
    ACTIONS(557), 1,
      anon_sym_AT_ATb,
    ACTIONS(559), 1,
      anon_sym_AT_ATi,
    ACTIONS(561), 1,
      anon_sym_AT_ATii,
    ACTIONS(563), 1,
      anon_sym_AT_ATiS,
    ACTIONS(565), 1,
      anon_sym_AT_ATiSS,
    ACTIONS(567), 1,
      anon_sym_AT_ATis,
    ACTIONS(569), 1,
      anon_sym_AT_ATiz,
    ACTIONS(571), 1,
      anon_sym_AT_ATf,
    ACTIONS(573), 1,
      anon_sym_AT_ATF,
    ACTIONS(575), 1,
      anon_sym_AT_ATom,
    ACTIONS(577), 1,
      anon_sym_AT_ATdm,
    ACTIONS(579), 1,
      anon_sym_AT_ATr,
    ACTIONS(587), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(589), 1,
      anon_sym_ATa_COLON,
    ACTIONS(593), 1,
      anon_sym_ATB_COLON,
    ACTIONS(595), 1,
      anon_sym_ATe_COLON,
    ACTIONS(597), 1,
      anon_sym_ATF_COLON,
    ACTIONS(601), 1,
      anon_sym_ATk_COLON,
    ACTIONS(605), 1,
      anon_sym_ATr_COLON,
    ACTIONS(607), 1,
      anon_sym_ATf_COLON,
    ACTIONS(609), 1,
      anon_sym_ATs_COLON,
    ACTIONS(611), 1,
      anon_sym_ATv_COLON,
    ACTIONS(613), 1,
      anon_sym_ATx_COLON,
    ACTIONS(615), 1,
      anon_sym_PIPE_DOT,
    ACTIONS(957), 1,
      anon_sym_AT_AT_EQ,
    ACTIONS(959), 1,
      anon_sym_AT_AT_AT_EQ,
    ACTIONS(961), 1,
      anon_sym_AT_AT,
    ACTIONS(963), 1,
      anon_sym_AT_ATc_COLON,
    ACTIONS(965), 1,
      anon_sym_AT_AT_ATc_COLON,
    ACTIONS(967), 1,
      anon_sym_AT_ATs_COLON,
    ACTIONS(969), 1,
      anon_sym_AT,
    ACTIONS(971), 1,
      anon_sym_AT_BANG,
    ACTIONS(973), 1,
      anon_sym_ATb_COLON,
    ACTIONS(975), 1,
      anon_sym_ATi_COLON,
    ACTIONS(977), 1,
      anon_sym_ATo_COLON,
    ACTIONS(951), 3,
      anon_sym_PIPE,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(949), 6,
      sym_file_descriptor,
      anon_sym_TILDE,
      anon_sym_SEMI,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [12651] = 46,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(531), 1,
      anon_sym_PIPEH,
    ACTIONS(533), 1,
      anon_sym_AT_AT_DOT,
    ACTIONS(545), 1,
      anon_sym_AT_ATC,
    ACTIONS(547), 1,
      anon_sym_AT_ATdbt,
    ACTIONS(549), 1,
      anon_sym_AT_ATdbta,
    ACTIONS(551), 1,
      anon_sym_AT_ATdbtb,
    ACTIONS(553), 1,
      anon_sym_AT_ATdbts,
    ACTIONS(555), 1,
      anon_sym_AT_ATt,
    ACTIONS(557), 1,
      anon_sym_AT_ATb,
    ACTIONS(559), 1,
      anon_sym_AT_ATi,
    ACTIONS(561), 1,
      anon_sym_AT_ATii,
    ACTIONS(563), 1,
      anon_sym_AT_ATiS,
    ACTIONS(565), 1,
      anon_sym_AT_ATiSS,
    ACTIONS(567), 1,
      anon_sym_AT_ATis,
    ACTIONS(569), 1,
      anon_sym_AT_ATiz,
    ACTIONS(571), 1,
      anon_sym_AT_ATf,
    ACTIONS(573), 1,
      anon_sym_AT_ATF,
    ACTIONS(575), 1,
      anon_sym_AT_ATom,
    ACTIONS(577), 1,
      anon_sym_AT_ATdm,
    ACTIONS(579), 1,
      anon_sym_AT_ATr,
    ACTIONS(587), 1,
      anon_sym_AT_LPAREN,
    ACTIONS(589), 1,
      anon_sym_ATa_COLON,
    ACTIONS(593), 1,
      anon_sym_ATB_COLON,
    ACTIONS(595), 1,
      anon_sym_ATe_COLON,
    ACTIONS(597), 1,
      anon_sym_ATF_COLON,
    ACTIONS(601), 1,
      anon_sym_ATk_COLON,
    ACTIONS(605), 1,
      anon_sym_ATr_COLON,
    ACTIONS(607), 1,
      anon_sym_ATf_COLON,
    ACTIONS(609), 1,
      anon_sym_ATs_COLON,
    ACTIONS(611), 1,
      anon_sym_ATv_COLON,
    ACTIONS(613), 1,
      anon_sym_ATx_COLON,
    ACTIONS(615), 1,
      anon_sym_PIPE_DOT,
    ACTIONS(957), 1,
      anon_sym_AT_AT_EQ,
    ACTIONS(959), 1,
      anon_sym_AT_AT_AT_EQ,
    ACTIONS(961), 1,
      anon_sym_AT_AT,
    ACTIONS(963), 1,
      anon_sym_AT_ATc_COLON,
    ACTIONS(965), 1,
      anon_sym_AT_AT_ATc_COLON,
    ACTIONS(967), 1,
      anon_sym_AT_ATs_COLON,
    ACTIONS(969), 1,
      anon_sym_AT,
    ACTIONS(971), 1,
      anon_sym_AT_BANG,
    ACTIONS(973), 1,
      anon_sym_ATb_COLON,
    ACTIONS(975), 1,
      anon_sym_ATi_COLON,
    ACTIONS(977), 1,
      anon_sym_ATo_COLON,
    ACTIONS(947), 3,
      anon_sym_PIPE,
      anon_sym_GT,
      sym_html_redirect_operator,
    ACTIONS(945), 6,
      sym_file_descriptor,
      anon_sym_TILDE,
      anon_sym_SEMI,
      anon_sym_GT_GT,
      sym_html_append_operator,
      anon_sym_BQUOTE,
  [12797] = 5,
    ACTIONS(3), 1,
      sym__comment,
    STATE(273), 1,
      aux_sym_statements_repeat1,
    ACTIONS(987), 3,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(990), 7,
      anon_sym_LPAREN,
      anon_sym_LPAREN_DASH,
      anon_sym_DOT,
      aux_sym__interpret_stmt_token1,
      aux_sym_pf_cmd_token1,
      anon_sym_DOT_DOT_DOT,
      aux_sym__dec_number_token2,
    ACTIONS(985), 19,
      sym__cmd_identifier,
      sym__help_stmt,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_LPAREN_DASH_STAR,
      anon_sym_LPAREN_STAR,
      aux_sym__interpret_stmt_token3,
      aux_sym__interpret_stmt_token4,
      anon_sym_DOT_SLASH,
      anon_sym_pfo,
      anon_sym_Cf,
      sym_pf_dot_cmd_identifier,
      sym_pf_dot_full_cmd_identifier,
      anon_sym_PERCENT,
      anon_sym_env,
      sym_system_identifier,
      sym_question_mark_identifier,
      sym_pointer_identifier,
      aux_sym__dec_number_token1,
  [12839] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(994), 1,
      anon_sym_SEMI,
    STATE(274), 1,
      aux_sym__statements_singleline_repeat1,
    ACTIONS(997), 7,
      anon_sym_LPAREN,
      anon_sym_LPAREN_DASH,
      anon_sym_DOT,
      aux_sym__interpret_stmt_token1,
      aux_sym_pf_cmd_token1,
      anon_sym_DOT_DOT_DOT,
      aux_sym__dec_number_token2,
    ACTIONS(992), 18,
      sym__cmd_identifier,
      sym__help_stmt,
      anon_sym_DQUOTE,
      anon_sym_LPAREN_DASH_STAR,
      anon_sym_LPAREN_STAR,
      aux_sym__interpret_stmt_token3,
      aux_sym__interpret_stmt_token4,
      anon_sym_DOT_SLASH,
      anon_sym_pfo,
      anon_sym_Cf,
      sym_pf_dot_cmd_identifier,
      sym_pf_dot_full_cmd_identifier,
      anon_sym_PERCENT,
      anon_sym_env,
      sym_system_identifier,
      sym_question_mark_identifier,
      sym_pointer_identifier,
      aux_sym__dec_number_token1,
  [12878] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1001), 7,
      anon_sym_LPAREN,
      anon_sym_LPAREN_DASH,
      anon_sym_DOT,
      aux_sym__interpret_stmt_token1,
      aux_sym_pf_cmd_token1,
      anon_sym_DOT_DOT_DOT,
      aux_sym__dec_number_token2,
    ACTIONS(999), 18,
      sym__cmd_identifier,
      sym__help_stmt,
      anon_sym_DQUOTE,
      anon_sym_LPAREN_DASH_STAR,
      anon_sym_LPAREN_STAR,
      aux_sym__interpret_stmt_token3,
      aux_sym__interpret_stmt_token4,
      anon_sym_DOT_SLASH,
      anon_sym_pfo,
      anon_sym_Cf,
      sym_pf_dot_cmd_identifier,
      sym_pf_dot_full_cmd_identifier,
      anon_sym_PERCENT,
      anon_sym_env,
      sym_system_identifier,
      sym_question_mark_identifier,
      sym_pointer_identifier,
      aux_sym__dec_number_token1,
  [12911] = 15,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1005), 1,
      anon_sym_SEMI,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(457), 1,
      sym_args,
    STATE(476), 1,
      sym_macro_body,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [12963] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    ACTIONS(1021), 1,
      anon_sym_RPAREN,
    STATE(342), 1,
      sym_concatenation,
    STATE(502), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13012] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    ACTIONS(1023), 1,
      anon_sym_RPAREN,
    STATE(342), 1,
      sym_concatenation,
    STATE(496), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13061] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1025), 1,
      anon_sym_DQUOTE,
    ACTIONS(1028), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_DOLLAR,
    ACTIONS(1034), 1,
      anon_sym_COMMA,
    ACTIONS(1037), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1040), 1,
      anon_sym_SQUOTE,
    ACTIONS(1043), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1046), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    ACTIONS(169), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(279), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13108] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    ACTIONS(165), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(279), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13155] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(235), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13201] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(176), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13247] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(492), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13293] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(203), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13339] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(201), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13385] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(228), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13431] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(197), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13477] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(194), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13523] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(193), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13569] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(192), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13615] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(194), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13661] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(193), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13707] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(192), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13753] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(203), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13799] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(197), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13845] = 14,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1057), 1,
      anon_sym_COMMA,
    ACTIONS(1059), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1061), 1,
      anon_sym_SQUOTE,
    ACTIONS(1063), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1065), 1,
      anon_sym_BQUOTE,
    STATE(243), 1,
      sym__eq_sep_val_concatenation,
    STATE(244), 1,
      sym__eq_sep_val,
    STATE(449), 1,
      sym_arg,
    STATE(479), 1,
      sym_concatenation,
    STATE(122), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13893] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(478), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13939] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(499), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [13985] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(228), 1,
      sym_args,
    STATE(67), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14031] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(235), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14077] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(500), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14123] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(485), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14169] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(201), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14215] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(461), 1,
      sym_args,
    STATE(280), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14261] = 13,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(176), 1,
      sym_args,
    STATE(53), 2,
      sym_arg,
      aux_sym_args_repeat1,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14307] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(187), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14349] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(207), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14391] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(342), 1,
      sym_concatenation,
    STATE(397), 1,
      sym_arg,
    STATE(321), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14433] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(196), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14475] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(251), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14517] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(250), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14559] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(249), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14601] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1057), 1,
      anon_sym_COMMA,
    ACTIONS(1059), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1061), 1,
      anon_sym_SQUOTE,
    ACTIONS(1063), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1065), 1,
      anon_sym_BQUOTE,
    STATE(163), 1,
      sym_concatenation,
    STATE(170), 1,
      sym_arg,
    STATE(128), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14643] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(174), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14685] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(205), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14727] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(202), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14769] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(198), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14811] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(208), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14853] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(200), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14895] = 12,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(94), 1,
      sym_concatenation,
    STATE(206), 1,
      sym_arg,
    STATE(76), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [14937] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(267), 1,
      anon_sym_DOLLAR,
    ACTIONS(1067), 1,
      sym__concat,
    STATE(322), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(265), 12,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [14964] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(250), 1,
      anon_sym_DOLLAR,
    ACTIONS(1067), 1,
      sym__concat,
    STATE(323), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(248), 12,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [14991] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(256), 1,
      anon_sym_DOLLAR,
    ACTIONS(1069), 1,
      sym__concat,
    STATE(323), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(254), 12,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15018] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_LPAREN,
    ACTIONS(105), 1,
      anon_sym_DOLLAR,
    ACTIONS(107), 1,
      anon_sym_COMMA,
    ACTIONS(109), 1,
      anon_sym_SQUOTE,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1049), 1,
      aux_sym_arg_identifier_token1,
    STATE(89), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [15054] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1003), 1,
      anon_sym_DQUOTE,
    ACTIONS(1007), 1,
      anon_sym_LPAREN,
    ACTIONS(1009), 1,
      anon_sym_DOLLAR,
    ACTIONS(1011), 1,
      anon_sym_COMMA,
    ACTIONS(1013), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1019), 1,
      anon_sym_BQUOTE,
    STATE(330), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [15090] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(310), 1,
      anon_sym_DOLLAR,
    ACTIONS(308), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15112] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 1,
      anon_sym_DOLLAR,
    ACTIONS(312), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15134] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(290), 1,
      anon_sym_DOLLAR,
    ACTIONS(288), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15156] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 1,
      anon_sym_DOLLAR,
    ACTIONS(312), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15178] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(256), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15200] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1072), 1,
      anon_sym_DQUOTE,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1076), 1,
      anon_sym_DOLLAR,
    ACTIONS(1078), 1,
      anon_sym_COMMA,
    ACTIONS(1080), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1082), 1,
      anon_sym_SQUOTE,
    ACTIONS(1084), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1086), 1,
      anon_sym_BQUOTE,
    STATE(455), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [15236] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(302), 1,
      anon_sym_DOLLAR,
    ACTIONS(300), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15258] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(304), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15280] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1051), 1,
      anon_sym_DQUOTE,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1057), 1,
      anon_sym_COMMA,
    ACTIONS(1059), 1,
      aux_sym_arg_identifier_token1,
    ACTIONS(1061), 1,
      anon_sym_SQUOTE,
    ACTIONS(1063), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1065), 1,
      anon_sym_BQUOTE,
    STATE(152), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [15316] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(278), 1,
      anon_sym_DOLLAR,
    ACTIONS(276), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15338] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(153), 1,
      anon_sym_LPAREN,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_COMMA,
    ACTIONS(159), 1,
      anon_sym_SQUOTE,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(163), 1,
      anon_sym_BQUOTE,
    ACTIONS(1088), 1,
      aux_sym_arg_identifier_token1,
    STATE(401), 6,
      sym__arg_with_paren,
      sym__arg,
      sym_arg_identifier,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [15374] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(286), 1,
      anon_sym_DOLLAR,
    ACTIONS(284), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15396] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(294), 1,
      anon_sym_DOLLAR,
    ACTIONS(292), 13,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15418] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(200), 1,
      anon_sym_DOLLAR,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(204), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(110), 1,
      sym_pf_concatenation,
    STATE(262), 1,
      sym_pf_args,
    STATE(70), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(103), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15453] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(200), 1,
      anon_sym_DOLLAR,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(204), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(110), 1,
      sym_pf_concatenation,
    STATE(190), 1,
      sym_pf_args,
    STATE(90), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(103), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15488] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(200), 1,
      anon_sym_DOLLAR,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(204), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(110), 1,
      sym_pf_concatenation,
    STATE(262), 1,
      sym_pf_args,
    STATE(90), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(103), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15523] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(267), 1,
      anon_sym_DOLLAR,
    ACTIONS(265), 12,
      ts_builtin_sym_end,
      anon_sym_DQUOTE,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [15544] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(200), 1,
      anon_sym_DOLLAR,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(204), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(110), 1,
      sym_pf_concatenation,
    STATE(214), 1,
      sym_pf_args,
    STATE(90), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(103), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15579] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(200), 1,
      anon_sym_DOLLAR,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(204), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(110), 1,
      sym_pf_concatenation,
    STATE(190), 1,
      sym_pf_args,
    STATE(70), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(103), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15614] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(226), 1,
      anon_sym_RPAREN,
    ACTIONS(1092), 1,
      anon_sym_LPAREN,
    ACTIONS(1095), 1,
      anon_sym_DOLLAR,
    ACTIONS(1098), 1,
      aux_sym_pf_arg_identifier_token1,
    ACTIONS(1101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1104), 1,
      anon_sym_BQUOTE,
    STATE(396), 1,
      sym_pf_concatenation,
    STATE(345), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(367), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15649] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(163), 1,
      anon_sym_BQUOTE,
    ACTIONS(222), 1,
      anon_sym_RPAREN,
    ACTIONS(1107), 1,
      anon_sym_LPAREN,
    ACTIONS(1109), 1,
      anon_sym_DOLLAR,
    ACTIONS(1111), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(396), 1,
      sym_pf_concatenation,
    STATE(345), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(367), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15684] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(163), 1,
      anon_sym_BQUOTE,
    ACTIONS(1107), 1,
      anon_sym_LPAREN,
    ACTIONS(1109), 1,
      anon_sym_DOLLAR,
    ACTIONS(1111), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(396), 1,
      sym_pf_concatenation,
    STATE(505), 1,
      sym_pf_args,
    STATE(346), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(367), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15719] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(200), 1,
      anon_sym_DOLLAR,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(204), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(110), 1,
      sym_pf_concatenation,
    STATE(214), 1,
      sym_pf_args,
    STATE(70), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(103), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15754] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(163), 1,
      anon_sym_BQUOTE,
    ACTIONS(1107), 1,
      anon_sym_LPAREN,
    ACTIONS(1109), 1,
      anon_sym_DOLLAR,
    ACTIONS(1111), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(396), 1,
      sym_pf_concatenation,
    STATE(491), 1,
      sym_pf_args,
    STATE(346), 2,
      sym_pf_arg,
      aux_sym_pf_args_repeat1,
    STATE(367), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15789] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(210), 1,
      anon_sym_DQUOTE,
    ACTIONS(216), 1,
      anon_sym_SQUOTE,
    ACTIONS(218), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(220), 1,
      anon_sym_BQUOTE,
    ACTIONS(1113), 1,
      sym__eq_sep_key_identifier,
    STATE(171), 1,
      sym__eq_sep_key,
    STATE(172), 1,
      sym__eq_sep_key_concatenation,
    STATE(210), 1,
      sym_eq_sep_args,
    STATE(117), 4,
      sym__eq_sep_key_single,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [15823] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1115), 1,
      aux_sym__pf_dot_arg_identifier_token1,
    ACTIONS(1117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1119), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_BQUOTE,
    STATE(68), 1,
      sym_pf_dot_arg,
    STATE(100), 1,
      sym_pf_dot_concatenation,
    STATE(211), 1,
      sym_pf_dot_cmd_args,
    STATE(212), 1,
      sym_pf_new_args,
    STATE(268), 1,
      sym_pf_dot_args,
    STATE(95), 3,
      sym__pf_dot_arg_identifier,
      sym__pf_dot_arg,
      sym_cmd_substitution_arg,
  [15859] = 11,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1115), 1,
      aux_sym__pf_dot_arg_identifier_token1,
    ACTIONS(1117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1119), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_BQUOTE,
    STATE(55), 1,
      sym_pf_dot_arg,
    STATE(100), 1,
      sym_pf_dot_concatenation,
    STATE(177), 1,
      sym_pf_dot_args,
    STATE(211), 1,
      sym_pf_dot_cmd_args,
    STATE(212), 1,
      sym_pf_new_args,
    STATE(95), 3,
      sym__pf_dot_arg_identifier,
      sym__pf_dot_arg,
      sym_cmd_substitution_arg,
  [15895] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1123), 1,
      aux_sym__pf_dot_arg_identifier_token1,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_BQUOTE,
    STATE(119), 1,
      sym_pf_dot_arg,
    STATE(142), 1,
      sym_pf_dot_concatenation,
    STATE(177), 1,
      sym_pf_dot_args,
    STATE(211), 1,
      sym_pf_dot_cmd_args,
    STATE(120), 3,
      sym__pf_dot_arg_identifier,
      sym__pf_dot_arg,
      sym_cmd_substitution_arg,
  [15928] = 10,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1123), 1,
      aux_sym__pf_dot_arg_identifier_token1,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_BQUOTE,
    STATE(119), 1,
      sym_pf_dot_arg,
    STATE(142), 1,
      sym_pf_dot_concatenation,
    STATE(211), 1,
      sym_pf_dot_cmd_args,
    STATE(268), 1,
      sym_pf_dot_args,
    STATE(120), 3,
      sym__pf_dot_arg_identifier,
      sym__pf_dot_arg,
      sym_cmd_substitution_arg,
  [15961] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(161), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(163), 1,
      anon_sym_BQUOTE,
    ACTIONS(1107), 1,
      anon_sym_LPAREN,
    ACTIONS(1109), 1,
      anon_sym_DOLLAR,
    ACTIONS(1111), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(388), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [15986] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(210), 1,
      anon_sym_DQUOTE,
    ACTIONS(216), 1,
      anon_sym_SQUOTE,
    ACTIONS(218), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(220), 1,
      anon_sym_BQUOTE,
    ACTIONS(1131), 1,
      sym__eq_sep_key_identifier,
    STATE(146), 4,
      sym__eq_sep_key_single,
      sym_double_quoted_arg,
      sym_single_quoted_arg,
      sym_cmd_substitution_arg,
  [16011] = 7,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(198), 1,
      anon_sym_LPAREN,
    ACTIONS(200), 1,
      anon_sym_DOLLAR,
    ACTIONS(202), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(204), 1,
      anon_sym_BQUOTE,
    ACTIONS(1090), 1,
      aux_sym_pf_arg_identifier_token1,
    STATE(105), 4,
      sym__pf_arg_parentheses,
      sym_pf_arg_identifier,
      sym__pf_arg,
      sym_cmd_substitution_arg,
  [16036] = 8,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1123), 1,
      aux_sym__pf_dot_arg_identifier_token1,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_BQUOTE,
    STATE(134), 1,
      sym_pf_dot_arg,
    STATE(142), 1,
      sym_pf_dot_concatenation,
    STATE(120), 3,
      sym__pf_dot_arg_identifier,
      sym__pf_dot_arg,
      sym_cmd_substitution_arg,
  [16063] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1133), 1,
      anon_sym_DQUOTE,
    ACTIONS(1135), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1137), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(366), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16087] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1135), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    ACTIONS(1137), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(366), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16111] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1135), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1145), 1,
      anon_sym_DQUOTE,
    ACTIONS(1137), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(366), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16135] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1149), 1,
      anon_sym_DOLLAR,
    ACTIONS(1147), 7,
      anon_sym_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16151] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1135), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1151), 1,
      anon_sym_DQUOTE,
    ACTIONS(1137), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(366), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16175] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1153), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1157), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(378), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16199] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1159), 7,
      anon_sym_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16215] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1163), 1,
      anon_sym_DQUOTE,
    ACTIONS(1165), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1171), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1174), 1,
      anon_sym_BQUOTE,
    ACTIONS(1168), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(366), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16239] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1177), 1,
      sym__concat,
    STATE(370), 1,
      aux_sym_pf_concatenation_repeat1,
    ACTIONS(354), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16259] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1179), 1,
      anon_sym_DQUOTE,
    ACTIONS(1181), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1183), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(361), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16283] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1187), 1,
      anon_sym_DOLLAR,
    ACTIONS(1185), 7,
      anon_sym_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16299] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(346), 1,
      anon_sym_DOLLAR,
    ACTIONS(1177), 1,
      sym__concat,
    STATE(371), 1,
      aux_sym_pf_concatenation_repeat1,
    ACTIONS(344), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16319] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(339), 1,
      anon_sym_DOLLAR,
    ACTIONS(1189), 1,
      sym__concat,
    STATE(371), 1,
      aux_sym_pf_concatenation_repeat1,
    ACTIONS(337), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16339] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1194), 1,
      anon_sym_DOLLAR,
    ACTIONS(1192), 7,
      anon_sym_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16355] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1196), 1,
      anon_sym_DQUOTE,
    ACTIONS(1198), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1200), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(363), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16379] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1135), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1202), 1,
      anon_sym_DQUOTE,
    ACTIONS(1137), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(366), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16403] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1206), 1,
      anon_sym_DOLLAR,
    ACTIONS(1204), 7,
      anon_sym_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      aux_sym_arg_identifier_token1,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16419] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1208), 1,
      anon_sym_DQUOTE,
    ACTIONS(1210), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1212), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(374), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16443] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_DQUOTE,
    ACTIONS(1216), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1218), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(359), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16467] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1135), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1220), 1,
      anon_sym_DQUOTE,
    ACTIONS(1137), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(366), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16491] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1141), 1,
      anon_sym_BQUOTE,
    ACTIONS(1222), 1,
      anon_sym_DQUOTE,
    ACTIONS(1224), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(1226), 2,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
    STATE(360), 2,
      sym_cmd_substitution_arg,
      aux_sym_double_quoted_arg_repeat1,
  [16515] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1123), 1,
      aux_sym__pf_dot_arg_identifier_token1,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_BQUOTE,
    STATE(149), 3,
      sym__pf_dot_arg_identifier,
      sym__pf_dot_arg,
      sym_cmd_substitution_arg,
  [16536] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(364), 1,
      anon_sym_DOLLAR,
    ACTIONS(362), 6,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16551] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 1,
      anon_sym_DOLLAR,
    ACTIONS(312), 6,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16566] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(250), 1,
      anon_sym_DOLLAR,
    ACTIONS(1228), 1,
      sym__concat,
    STATE(385), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(248), 4,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16585] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(314), 1,
      anon_sym_DOLLAR,
    ACTIONS(312), 6,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16600] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(256), 1,
      anon_sym_DOLLAR,
    ACTIONS(1230), 1,
      sym__concat,
    STATE(385), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(254), 4,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16619] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(360), 1,
      anon_sym_DOLLAR,
    ACTIONS(358), 6,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16634] = 7,
    ACTIONS(374), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(376), 1,
      anon_sym_BQUOTE,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1233), 1,
      sym_grep_specifier_identifier,
    ACTIONS(1235), 1,
      aux_sym_grep_specifier_token1,
    STATE(185), 1,
      sym_grep_specifier,
    STATE(111), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
  [16657] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(339), 1,
      anon_sym_DOLLAR,
    ACTIONS(337), 6,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16672] = 6,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1115), 1,
      aux_sym__pf_dot_arg_identifier_token1,
    ACTIONS(1117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1119), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1121), 1,
      anon_sym_BQUOTE,
    STATE(104), 3,
      sym__pf_dot_arg_identifier,
      sym__pf_dot_arg,
      sym_cmd_substitution_arg,
  [16693] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(267), 1,
      anon_sym_DOLLAR,
    ACTIONS(1228), 1,
      sym__concat,
    STATE(383), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(265), 4,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16712] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(480), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(482), 1,
      anon_sym_BQUOTE,
    ACTIONS(1235), 1,
      aux_sym_grep_specifier_token1,
    ACTIONS(1237), 1,
      sym_grep_specifier_identifier,
    STATE(185), 1,
      sym_grep_specifier,
    STATE(164), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
  [16735] = 7,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(480), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(482), 1,
      anon_sym_BQUOTE,
    ACTIONS(1235), 1,
      aux_sym_grep_specifier_token1,
    ACTIONS(1239), 1,
      sym_grep_specifier_identifier,
    STATE(185), 1,
      sym_grep_specifier,
    STATE(143), 2,
      sym_cmd_substitution_arg,
      aux_sym_grep_specifier_repeat1,
  [16758] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(278), 1,
      anon_sym_DOLLAR,
    ACTIONS(276), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16772] = 3,
    ACTIONS(312), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(314), 5,
      anon_sym_DQUOTE,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16786] = 3,
    ACTIONS(312), 1,
      aux_sym_double_quoted_arg_token1,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(314), 5,
      anon_sym_DQUOTE,
      aux_sym_double_quoted_arg_token2,
      aux_sym_double_quoted_arg_token3,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16800] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(356), 1,
      anon_sym_DOLLAR,
    ACTIONS(354), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16814] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1241), 6,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
      anon_sym_LF,
      anon_sym_CR,
  [16826] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(302), 1,
      anon_sym_DOLLAR,
    ACTIONS(300), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16840] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(290), 1,
      anon_sym_DOLLAR,
    ACTIONS(288), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16854] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(304), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16868] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(256), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16882] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(310), 1,
      anon_sym_DOLLAR,
    ACTIONS(308), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16896] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(286), 1,
      anon_sym_DOLLAR,
    ACTIONS(284), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16910] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(294), 1,
      anon_sym_DOLLAR,
    ACTIONS(292), 5,
      sym__concat,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16924] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1243), 1,
      ts_builtin_sym_end,
    STATE(407), 1,
      aux_sym_statements_repeat2,
    ACTIONS(1245), 3,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [16939] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1247), 1,
      ts_builtin_sym_end,
    STATE(406), 1,
      aux_sym_statements_repeat2,
    ACTIONS(1249), 3,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [16954] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1252), 1,
      ts_builtin_sym_end,
    STATE(406), 1,
      aux_sym_statements_repeat2,
    ACTIONS(1245), 3,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [16969] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(267), 1,
      anon_sym_DOLLAR,
    ACTIONS(265), 4,
      anon_sym_LPAREN,
      aux_sym_pf_arg_identifier_token1,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [16982] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(83), 1,
      ts_builtin_sym_end,
    STATE(410), 1,
      aux_sym_statements_repeat2,
    ACTIONS(1245), 3,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [16997] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1243), 1,
      ts_builtin_sym_end,
    STATE(406), 1,
      aux_sym_statements_repeat2,
    ACTIONS(1245), 3,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [17012] = 5,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1254), 1,
      aux_sym_tmp_eval_arg_token1,
    STATE(115), 1,
      aux_sym_tmp_eval_arg_repeat1,
    STATE(160), 1,
      sym_tmp_eval_arg,
    STATE(199), 1,
      sym_tmp_eval_args,
  [17028] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1256), 1,
      anon_sym_SQUOTE,
    ACTIONS(1258), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1260), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(425), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17044] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1262), 1,
      anon_sym_SQUOTE,
    ACTIONS(1264), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1266), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(418), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17060] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1268), 1,
      anon_sym_SQUOTE,
    ACTIONS(1270), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1272), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(424), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17076] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1247), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [17086] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1274), 1,
      anon_sym_SQUOTE,
    ACTIONS(1276), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1278), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(417), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17102] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1270), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1272), 1,
      aux_sym_single_quoted_arg_token2,
    ACTIONS(1280), 1,
      anon_sym_SQUOTE,
    STATE(424), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17118] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1270), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1272), 1,
      aux_sym_single_quoted_arg_token2,
    ACTIONS(1282), 1,
      anon_sym_SQUOTE,
    STATE(424), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17134] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1284), 1,
      anon_sym_SQUOTE,
    ACTIONS(1286), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1288), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(423), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17150] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1290), 1,
      anon_sym_SQUOTE,
    ACTIONS(1292), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1294), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(422), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17166] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1296), 1,
      anon_sym_SQUOTE,
    ACTIONS(1298), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1300), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(414), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17182] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1270), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1272), 1,
      aux_sym_single_quoted_arg_token2,
    ACTIONS(1302), 1,
      anon_sym_SQUOTE,
    STATE(424), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17198] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1270), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1272), 1,
      aux_sym_single_quoted_arg_token2,
    ACTIONS(1304), 1,
      anon_sym_SQUOTE,
    STATE(424), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17214] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1306), 1,
      anon_sym_SQUOTE,
    ACTIONS(1308), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1311), 1,
      aux_sym_single_quoted_arg_token2,
    STATE(424), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17230] = 5,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1270), 1,
      aux_sym_single_quoted_arg_token1,
    ACTIONS(1272), 1,
      aux_sym_single_quoted_arg_token2,
    ACTIONS(1314), 1,
      anon_sym_SQUOTE,
    STATE(424), 1,
      aux_sym_single_quoted_arg_repeat1,
  [17246] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1316), 1,
      anon_sym_SEMI,
    ACTIONS(1319), 1,
      anon_sym_BQUOTE,
    STATE(426), 1,
      aux_sym__statements_singleline_repeat2,
  [17259] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1321), 1,
      anon_sym_RPAREN,
    ACTIONS(1323), 1,
      anon_sym_SEMI,
    STATE(428), 1,
      aux_sym__statements_singleline_repeat2,
  [17272] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1323), 1,
      anon_sym_SEMI,
    ACTIONS(1325), 1,
      anon_sym_RPAREN,
    STATE(443), 1,
      aux_sym__statements_singleline_repeat2,
  [17285] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(248), 1,
      sym__eq_sep_concat,
    ACTIONS(435), 1,
      sym__concat,
    STATE(437), 1,
      aux_sym_concatenation_repeat1,
  [17298] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1327), 1,
      anon_sym_RPAREN,
    ACTIONS(1329), 1,
      anon_sym_SEMI,
    STATE(433), 1,
      aux_sym_macro_body_repeat1,
  [17311] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1321), 1,
      anon_sym_BQUOTE,
    ACTIONS(1331), 1,
      anon_sym_SEMI,
    STATE(438), 1,
      aux_sym__statements_singleline_repeat2,
  [17324] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1333), 1,
      anon_sym_DOLLAR,
    ACTIONS(1335), 1,
      aux_sym_spec_arg_identifier_token1,
    STATE(83), 1,
      sym_spec_arg_identifier,
  [17337] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1329), 1,
      anon_sym_SEMI,
    ACTIONS(1337), 1,
      anon_sym_RPAREN,
    STATE(440), 1,
      aux_sym_macro_body_repeat1,
  [17350] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1331), 1,
      anon_sym_SEMI,
    ACTIONS(1339), 1,
      anon_sym_BQUOTE,
    STATE(426), 1,
      aux_sym__statements_singleline_repeat2,
  [17363] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1323), 1,
      anon_sym_SEMI,
    ACTIONS(1325), 1,
      anon_sym_RPAREN,
    STATE(442), 1,
      aux_sym__statements_singleline_repeat2,
  [17376] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1325), 1,
      anon_sym_BQUOTE,
    ACTIONS(1331), 1,
      anon_sym_SEMI,
    STATE(434), 1,
      aux_sym__statements_singleline_repeat2,
  [17389] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(254), 1,
      sym__eq_sep_concat,
    ACTIONS(1341), 1,
      sym__concat,
    STATE(437), 1,
      aux_sym_concatenation_repeat1,
  [17402] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1325), 1,
      anon_sym_BQUOTE,
    ACTIONS(1331), 1,
      anon_sym_SEMI,
    STATE(426), 1,
      aux_sym__statements_singleline_repeat2,
  [17415] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1254), 1,
      aux_sym_tmp_eval_arg_token1,
    STATE(115), 1,
      aux_sym_tmp_eval_arg_repeat1,
    STATE(168), 1,
      sym_tmp_eval_arg,
  [17428] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1344), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_SEMI,
    STATE(440), 1,
      aux_sym_macro_body_repeat1,
  [17441] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1319), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [17450] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1323), 1,
      anon_sym_SEMI,
    ACTIONS(1339), 1,
      anon_sym_RPAREN,
    STATE(443), 1,
      aux_sym__statements_singleline_repeat2,
  [17463] = 4,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1319), 1,
      anon_sym_RPAREN,
    ACTIONS(1349), 1,
      anon_sym_SEMI,
    STATE(443), 1,
      aux_sym__statements_singleline_repeat2,
  [17476] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(312), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17484] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(304), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17492] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1352), 1,
      aux_sym__search_stmt_token1,
    STATE(248), 1,
      sym__search_stmt,
  [17502] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1354), 1,
      anon_sym_GT,
    ACTIONS(1356), 1,
      anon_sym_GT_GT,
  [17512] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(284), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17520] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(476), 1,
      sym__eq_sep_concat,
    STATE(140), 1,
      aux_sym__eq_sep_val_concatenation_repeat1,
  [17530] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(292), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17538] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(300), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17546] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(288), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17554] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(276), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17562] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(308), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17570] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(254), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17578] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1344), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [17586] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1005), 1,
      anon_sym_SEMI,
    STATE(503), 1,
      sym_macro_body,
  [17596] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1358), 1,
      aux_sym__search_stmt_token1,
    STATE(248), 1,
      sym__search_stmt,
  [17606] = 3,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1360), 1,
      sym_macro_name,
    STATE(480), 1,
      sym_macro_content,
  [17616] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(312), 2,
      sym__eq_sep_concat,
      sym__concat,
  [17624] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1362), 1,
      anon_sym_RPAREN,
  [17631] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1364), 1,
      anon_sym_RPAREN,
  [17638] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1366), 1,
      anon_sym_BQUOTE,
  [17645] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1368), 1,
      anon_sym_RPAREN,
  [17652] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1370), 1,
      anon_sym_BQUOTE,
  [17659] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1372), 1,
      anon_sym_RPAREN,
  [17666] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1374), 1,
      anon_sym_BQUOTE,
  [17673] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1376), 1,
      anon_sym_RPAREN,
  [17680] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1378), 1,
      anon_sym_BQUOTE,
  [17687] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1380), 1,
      anon_sym_RPAREN,
  [17694] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
  [17701] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1384), 1,
      anon_sym_RPAREN,
  [17708] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1386), 1,
      anon_sym_BQUOTE,
  [17715] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1388), 1,
      anon_sym_RPAREN,
  [17722] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1390), 1,
      anon_sym_BQUOTE,
  [17729] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1392), 1,
      anon_sym_RPAREN,
  [17736] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1394), 1,
      anon_sym_DQUOTE,
  [17743] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1396), 1,
      anon_sym_RPAREN,
  [17750] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(265), 1,
      sym__eq_sep_concat,
  [17757] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1398), 1,
      anon_sym_RPAREN,
  [17764] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1400), 1,
      anon_sym_BQUOTE,
  [17771] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1402), 1,
      sym__concat,
  [17778] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1404), 1,
      anon_sym_DOT,
  [17785] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1406), 1,
      anon_sym_RPAREN,
  [17792] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1408), 1,
      anon_sym_RPAREN,
  [17799] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1410), 1,
      anon_sym_BQUOTE,
  [17806] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1412), 1,
      anon_sym_RPAREN,
  [17813] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1414), 1,
      anon_sym_BQUOTE,
  [17820] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1416), 1,
      sym__concat,
  [17827] = 2,
    ACTIONS(378), 1,
      sym__comment,
    ACTIONS(1418), 1,
      aux_sym_legacy_quoted_stmt_token1,
  [17834] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1420), 1,
      anon_sym_RPAREN,
  [17841] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1422), 1,
      anon_sym_RPAREN,
  [17848] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1424), 1,
      ts_builtin_sym_end,
  [17855] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1426), 1,
      anon_sym_RPAREN,
  [17862] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1428), 1,
      anon_sym_BQUOTE,
  [17869] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1430), 1,
      anon_sym_RPAREN,
  [17876] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1432), 1,
      anon_sym_RPAREN,
  [17883] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1434), 1,
      sym__concat_pf_dot,
  [17890] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1436), 1,
      anon_sym_RPAREN,
  [17897] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1438), 1,
      anon_sym_RPAREN,
  [17904] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1440), 1,
      sym__concat,
  [17911] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1442), 1,
      anon_sym_RPAREN,
  [17918] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1444), 1,
      anon_sym_RPAREN,
  [17925] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1446), 1,
      sym__concat_pf_dot,
  [17932] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1448), 1,
      anon_sym_RPAREN,
  [17939] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1450), 1,
      anon_sym_BQUOTE,
  [17946] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1452), 1,
      anon_sym_RPAREN,
  [17953] = 2,
    ACTIONS(3), 1,
      sym__comment,
    ACTIONS(1454), 1,
      sym__concat_pf_dot,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(90)] = 0,
  [SMALL_STATE(91)] = 83,
  [SMALL_STATE(92)] = 170,
  [SMALL_STATE(93)] = 245,
  [SMALL_STATE(94)] = 316,
  [SMALL_STATE(95)] = 387,
  [SMALL_STATE(96)] = 460,
  [SMALL_STATE(97)] = 535,
  [SMALL_STATE(98)] = 605,
  [SMALL_STATE(99)] = 679,
  [SMALL_STATE(100)] = 753,
  [SMALL_STATE(101)] = 823,
  [SMALL_STATE(102)] = 893,
  [SMALL_STATE(103)] = 963,
  [SMALL_STATE(104)] = 1037,
  [SMALL_STATE(105)] = 1107,
  [SMALL_STATE(106)] = 1176,
  [SMALL_STATE(107)] = 1245,
  [SMALL_STATE(108)] = 1314,
  [SMALL_STATE(109)] = 1383,
  [SMALL_STATE(110)] = 1452,
  [SMALL_STATE(111)] = 1520,
  [SMALL_STATE(112)] = 1598,
  [SMALL_STATE(113)] = 1674,
  [SMALL_STATE(114)] = 1742,
  [SMALL_STATE(115)] = 1813,
  [SMALL_STATE(116)] = 1884,
  [SMALL_STATE(117)] = 1955,
  [SMALL_STATE(118)] = 2026,
  [SMALL_STATE(119)] = 2097,
  [SMALL_STATE(120)] = 2168,
  [SMALL_STATE(121)] = 2237,
  [SMALL_STATE(122)] = 2308,
  [SMALL_STATE(123)] = 2381,
  [SMALL_STATE(124)] = 2452,
  [SMALL_STATE(125)] = 2523,
  [SMALL_STATE(126)] = 2594,
  [SMALL_STATE(127)] = 2665,
  [SMALL_STATE(128)] = 2736,
  [SMALL_STATE(129)] = 2807,
  [SMALL_STATE(130)] = 2873,
  [SMALL_STATE(131)] = 2939,
  [SMALL_STATE(132)] = 3005,
  [SMALL_STATE(133)] = 3071,
  [SMALL_STATE(134)] = 3137,
  [SMALL_STATE(135)] = 3203,
  [SMALL_STATE(136)] = 3273,
  [SMALL_STATE(137)] = 3339,
  [SMALL_STATE(138)] = 3409,
  [SMALL_STATE(139)] = 3475,
  [SMALL_STATE(140)] = 3541,
  [SMALL_STATE(141)] = 3611,
  [SMALL_STATE(142)] = 3677,
  [SMALL_STATE(143)] = 3743,
  [SMALL_STATE(144)] = 3819,
  [SMALL_STATE(145)] = 3885,
  [SMALL_STATE(146)] = 3955,
  [SMALL_STATE(147)] = 4021,
  [SMALL_STATE(148)] = 4095,
  [SMALL_STATE(149)] = 4165,
  [SMALL_STATE(150)] = 4231,
  [SMALL_STATE(151)] = 4297,
  [SMALL_STATE(152)] = 4363,
  [SMALL_STATE(153)] = 4429,
  [SMALL_STATE(154)] = 4495,
  [SMALL_STATE(155)] = 4561,
  [SMALL_STATE(156)] = 4627,
  [SMALL_STATE(157)] = 4693,
  [SMALL_STATE(158)] = 4759,
  [SMALL_STATE(159)] = 4825,
  [SMALL_STATE(160)] = 4891,
  [SMALL_STATE(161)] = 4961,
  [SMALL_STATE(162)] = 5027,
  [SMALL_STATE(163)] = 5093,
  [SMALL_STATE(164)] = 5158,
  [SMALL_STATE(165)] = 5231,
  [SMALL_STATE(166)] = 5298,
  [SMALL_STATE(167)] = 5365,
  [SMALL_STATE(168)] = 5530,
  [SMALL_STATE(169)] = 5595,
  [SMALL_STATE(170)] = 5662,
  [SMALL_STATE(171)] = 5727,
  [SMALL_STATE(172)] = 5794,
  [SMALL_STATE(173)] = 5859,
  [SMALL_STATE(174)] = 5926,
  [SMALL_STATE(175)] = 5990,
  [SMALL_STATE(176)] = 6054,
  [SMALL_STATE(177)] = 6118,
  [SMALL_STATE(178)] = 6184,
  [SMALL_STATE(179)] = 6248,
  [SMALL_STATE(180)] = 6312,
  [SMALL_STATE(181)] = 6376,
  [SMALL_STATE(182)] = 6440,
  [SMALL_STATE(183)] = 6504,
  [SMALL_STATE(184)] = 6568,
  [SMALL_STATE(185)] = 6632,
  [SMALL_STATE(186)] = 6696,
  [SMALL_STATE(187)] = 6760,
  [SMALL_STATE(188)] = 6824,
  [SMALL_STATE(189)] = 6888,
  [SMALL_STATE(190)] = 6952,
  [SMALL_STATE(191)] = 7016,
  [SMALL_STATE(192)] = 7080,
  [SMALL_STATE(193)] = 7144,
  [SMALL_STATE(194)] = 7208,
  [SMALL_STATE(195)] = 7272,
  [SMALL_STATE(196)] = 7336,
  [SMALL_STATE(197)] = 7400,
  [SMALL_STATE(198)] = 7464,
  [SMALL_STATE(199)] = 7528,
  [SMALL_STATE(200)] = 7592,
  [SMALL_STATE(201)] = 7656,
  [SMALL_STATE(202)] = 7720,
  [SMALL_STATE(203)] = 7784,
  [SMALL_STATE(204)] = 7848,
  [SMALL_STATE(205)] = 7912,
  [SMALL_STATE(206)] = 7976,
  [SMALL_STATE(207)] = 8040,
  [SMALL_STATE(208)] = 8104,
  [SMALL_STATE(209)] = 8168,
  [SMALL_STATE(210)] = 8232,
  [SMALL_STATE(211)] = 8296,
  [SMALL_STATE(212)] = 8360,
  [SMALL_STATE(213)] = 8424,
  [SMALL_STATE(214)] = 8488,
  [SMALL_STATE(215)] = 8552,
  [SMALL_STATE(216)] = 8616,
  [SMALL_STATE(217)] = 8680,
  [SMALL_STATE(218)] = 8744,
  [SMALL_STATE(219)] = 8808,
  [SMALL_STATE(220)] = 8872,
  [SMALL_STATE(221)] = 8936,
  [SMALL_STATE(222)] = 9000,
  [SMALL_STATE(223)] = 9064,
  [SMALL_STATE(224)] = 9128,
  [SMALL_STATE(225)] = 9192,
  [SMALL_STATE(226)] = 9256,
  [SMALL_STATE(227)] = 9320,
  [SMALL_STATE(228)] = 9384,
  [SMALL_STATE(229)] = 9448,
  [SMALL_STATE(230)] = 9512,
  [SMALL_STATE(231)] = 9576,
  [SMALL_STATE(232)] = 9640,
  [SMALL_STATE(233)] = 9704,
  [SMALL_STATE(234)] = 9768,
  [SMALL_STATE(235)] = 9832,
  [SMALL_STATE(236)] = 9896,
  [SMALL_STATE(237)] = 9960,
  [SMALL_STATE(238)] = 10024,
  [SMALL_STATE(239)] = 10088,
  [SMALL_STATE(240)] = 10152,
  [SMALL_STATE(241)] = 10216,
  [SMALL_STATE(242)] = 10280,
  [SMALL_STATE(243)] = 10346,
  [SMALL_STATE(244)] = 10410,
  [SMALL_STATE(245)] = 10474,
  [SMALL_STATE(246)] = 10538,
  [SMALL_STATE(247)] = 10602,
  [SMALL_STATE(248)] = 10666,
  [SMALL_STATE(249)] = 10730,
  [SMALL_STATE(250)] = 10794,
  [SMALL_STATE(251)] = 10858,
  [SMALL_STATE(252)] = 10922,
  [SMALL_STATE(253)] = 10986,
  [SMALL_STATE(254)] = 11050,
  [SMALL_STATE(255)] = 11114,
  [SMALL_STATE(256)] = 11178,
  [SMALL_STATE(257)] = 11242,
  [SMALL_STATE(258)] = 11308,
  [SMALL_STATE(259)] = 11372,
  [SMALL_STATE(260)] = 11436,
  [SMALL_STATE(261)] = 11500,
  [SMALL_STATE(262)] = 11564,
  [SMALL_STATE(263)] = 11628,
  [SMALL_STATE(264)] = 11692,
  [SMALL_STATE(265)] = 11855,
  [SMALL_STATE(266)] = 12004,
  [SMALL_STATE(267)] = 12153,
  [SMALL_STATE(268)] = 12316,
  [SMALL_STATE(269)] = 12379,
  [SMALL_STATE(270)] = 12442,
  [SMALL_STATE(271)] = 12505,
  [SMALL_STATE(272)] = 12651,
  [SMALL_STATE(273)] = 12797,
  [SMALL_STATE(274)] = 12839,
  [SMALL_STATE(275)] = 12878,
  [SMALL_STATE(276)] = 12911,
  [SMALL_STATE(277)] = 12963,
  [SMALL_STATE(278)] = 13012,
  [SMALL_STATE(279)] = 13061,
  [SMALL_STATE(280)] = 13108,
  [SMALL_STATE(281)] = 13155,
  [SMALL_STATE(282)] = 13201,
  [SMALL_STATE(283)] = 13247,
  [SMALL_STATE(284)] = 13293,
  [SMALL_STATE(285)] = 13339,
  [SMALL_STATE(286)] = 13385,
  [SMALL_STATE(287)] = 13431,
  [SMALL_STATE(288)] = 13477,
  [SMALL_STATE(289)] = 13523,
  [SMALL_STATE(290)] = 13569,
  [SMALL_STATE(291)] = 13615,
  [SMALL_STATE(292)] = 13661,
  [SMALL_STATE(293)] = 13707,
  [SMALL_STATE(294)] = 13753,
  [SMALL_STATE(295)] = 13799,
  [SMALL_STATE(296)] = 13845,
  [SMALL_STATE(297)] = 13893,
  [SMALL_STATE(298)] = 13939,
  [SMALL_STATE(299)] = 13985,
  [SMALL_STATE(300)] = 14031,
  [SMALL_STATE(301)] = 14077,
  [SMALL_STATE(302)] = 14123,
  [SMALL_STATE(303)] = 14169,
  [SMALL_STATE(304)] = 14215,
  [SMALL_STATE(305)] = 14261,
  [SMALL_STATE(306)] = 14307,
  [SMALL_STATE(307)] = 14349,
  [SMALL_STATE(308)] = 14391,
  [SMALL_STATE(309)] = 14433,
  [SMALL_STATE(310)] = 14475,
  [SMALL_STATE(311)] = 14517,
  [SMALL_STATE(312)] = 14559,
  [SMALL_STATE(313)] = 14601,
  [SMALL_STATE(314)] = 14643,
  [SMALL_STATE(315)] = 14685,
  [SMALL_STATE(316)] = 14727,
  [SMALL_STATE(317)] = 14769,
  [SMALL_STATE(318)] = 14811,
  [SMALL_STATE(319)] = 14853,
  [SMALL_STATE(320)] = 14895,
  [SMALL_STATE(321)] = 14937,
  [SMALL_STATE(322)] = 14964,
  [SMALL_STATE(323)] = 14991,
  [SMALL_STATE(324)] = 15018,
  [SMALL_STATE(325)] = 15054,
  [SMALL_STATE(326)] = 15090,
  [SMALL_STATE(327)] = 15112,
  [SMALL_STATE(328)] = 15134,
  [SMALL_STATE(329)] = 15156,
  [SMALL_STATE(330)] = 15178,
  [SMALL_STATE(331)] = 15200,
  [SMALL_STATE(332)] = 15236,
  [SMALL_STATE(333)] = 15258,
  [SMALL_STATE(334)] = 15280,
  [SMALL_STATE(335)] = 15316,
  [SMALL_STATE(336)] = 15338,
  [SMALL_STATE(337)] = 15374,
  [SMALL_STATE(338)] = 15396,
  [SMALL_STATE(339)] = 15418,
  [SMALL_STATE(340)] = 15453,
  [SMALL_STATE(341)] = 15488,
  [SMALL_STATE(342)] = 15523,
  [SMALL_STATE(343)] = 15544,
  [SMALL_STATE(344)] = 15579,
  [SMALL_STATE(345)] = 15614,
  [SMALL_STATE(346)] = 15649,
  [SMALL_STATE(347)] = 15684,
  [SMALL_STATE(348)] = 15719,
  [SMALL_STATE(349)] = 15754,
  [SMALL_STATE(350)] = 15789,
  [SMALL_STATE(351)] = 15823,
  [SMALL_STATE(352)] = 15859,
  [SMALL_STATE(353)] = 15895,
  [SMALL_STATE(354)] = 15928,
  [SMALL_STATE(355)] = 15961,
  [SMALL_STATE(356)] = 15986,
  [SMALL_STATE(357)] = 16011,
  [SMALL_STATE(358)] = 16036,
  [SMALL_STATE(359)] = 16063,
  [SMALL_STATE(360)] = 16087,
  [SMALL_STATE(361)] = 16111,
  [SMALL_STATE(362)] = 16135,
  [SMALL_STATE(363)] = 16151,
  [SMALL_STATE(364)] = 16175,
  [SMALL_STATE(365)] = 16199,
  [SMALL_STATE(366)] = 16215,
  [SMALL_STATE(367)] = 16239,
  [SMALL_STATE(368)] = 16259,
  [SMALL_STATE(369)] = 16283,
  [SMALL_STATE(370)] = 16299,
  [SMALL_STATE(371)] = 16319,
  [SMALL_STATE(372)] = 16339,
  [SMALL_STATE(373)] = 16355,
  [SMALL_STATE(374)] = 16379,
  [SMALL_STATE(375)] = 16403,
  [SMALL_STATE(376)] = 16419,
  [SMALL_STATE(377)] = 16443,
  [SMALL_STATE(378)] = 16467,
  [SMALL_STATE(379)] = 16491,
  [SMALL_STATE(380)] = 16515,
  [SMALL_STATE(381)] = 16536,
  [SMALL_STATE(382)] = 16551,
  [SMALL_STATE(383)] = 16566,
  [SMALL_STATE(384)] = 16585,
  [SMALL_STATE(385)] = 16600,
  [SMALL_STATE(386)] = 16619,
  [SMALL_STATE(387)] = 16634,
  [SMALL_STATE(388)] = 16657,
  [SMALL_STATE(389)] = 16672,
  [SMALL_STATE(390)] = 16693,
  [SMALL_STATE(391)] = 16712,
  [SMALL_STATE(392)] = 16735,
  [SMALL_STATE(393)] = 16758,
  [SMALL_STATE(394)] = 16772,
  [SMALL_STATE(395)] = 16786,
  [SMALL_STATE(396)] = 16800,
  [SMALL_STATE(397)] = 16814,
  [SMALL_STATE(398)] = 16826,
  [SMALL_STATE(399)] = 16840,
  [SMALL_STATE(400)] = 16854,
  [SMALL_STATE(401)] = 16868,
  [SMALL_STATE(402)] = 16882,
  [SMALL_STATE(403)] = 16896,
  [SMALL_STATE(404)] = 16910,
  [SMALL_STATE(405)] = 16924,
  [SMALL_STATE(406)] = 16939,
  [SMALL_STATE(407)] = 16954,
  [SMALL_STATE(408)] = 16969,
  [SMALL_STATE(409)] = 16982,
  [SMALL_STATE(410)] = 16997,
  [SMALL_STATE(411)] = 17012,
  [SMALL_STATE(412)] = 17028,
  [SMALL_STATE(413)] = 17044,
  [SMALL_STATE(414)] = 17060,
  [SMALL_STATE(415)] = 17076,
  [SMALL_STATE(416)] = 17086,
  [SMALL_STATE(417)] = 17102,
  [SMALL_STATE(418)] = 17118,
  [SMALL_STATE(419)] = 17134,
  [SMALL_STATE(420)] = 17150,
  [SMALL_STATE(421)] = 17166,
  [SMALL_STATE(422)] = 17182,
  [SMALL_STATE(423)] = 17198,
  [SMALL_STATE(424)] = 17214,
  [SMALL_STATE(425)] = 17230,
  [SMALL_STATE(426)] = 17246,
  [SMALL_STATE(427)] = 17259,
  [SMALL_STATE(428)] = 17272,
  [SMALL_STATE(429)] = 17285,
  [SMALL_STATE(430)] = 17298,
  [SMALL_STATE(431)] = 17311,
  [SMALL_STATE(432)] = 17324,
  [SMALL_STATE(433)] = 17337,
  [SMALL_STATE(434)] = 17350,
  [SMALL_STATE(435)] = 17363,
  [SMALL_STATE(436)] = 17376,
  [SMALL_STATE(437)] = 17389,
  [SMALL_STATE(438)] = 17402,
  [SMALL_STATE(439)] = 17415,
  [SMALL_STATE(440)] = 17428,
  [SMALL_STATE(441)] = 17441,
  [SMALL_STATE(442)] = 17450,
  [SMALL_STATE(443)] = 17463,
  [SMALL_STATE(444)] = 17476,
  [SMALL_STATE(445)] = 17484,
  [SMALL_STATE(446)] = 17492,
  [SMALL_STATE(447)] = 17502,
  [SMALL_STATE(448)] = 17512,
  [SMALL_STATE(449)] = 17520,
  [SMALL_STATE(450)] = 17530,
  [SMALL_STATE(451)] = 17538,
  [SMALL_STATE(452)] = 17546,
  [SMALL_STATE(453)] = 17554,
  [SMALL_STATE(454)] = 17562,
  [SMALL_STATE(455)] = 17570,
  [SMALL_STATE(456)] = 17578,
  [SMALL_STATE(457)] = 17586,
  [SMALL_STATE(458)] = 17596,
  [SMALL_STATE(459)] = 17606,
  [SMALL_STATE(460)] = 17616,
  [SMALL_STATE(461)] = 17624,
  [SMALL_STATE(462)] = 17631,
  [SMALL_STATE(463)] = 17638,
  [SMALL_STATE(464)] = 17645,
  [SMALL_STATE(465)] = 17652,
  [SMALL_STATE(466)] = 17659,
  [SMALL_STATE(467)] = 17666,
  [SMALL_STATE(468)] = 17673,
  [SMALL_STATE(469)] = 17680,
  [SMALL_STATE(470)] = 17687,
  [SMALL_STATE(471)] = 17694,
  [SMALL_STATE(472)] = 17701,
  [SMALL_STATE(473)] = 17708,
  [SMALL_STATE(474)] = 17715,
  [SMALL_STATE(475)] = 17722,
  [SMALL_STATE(476)] = 17729,
  [SMALL_STATE(477)] = 17736,
  [SMALL_STATE(478)] = 17743,
  [SMALL_STATE(479)] = 17750,
  [SMALL_STATE(480)] = 17757,
  [SMALL_STATE(481)] = 17764,
  [SMALL_STATE(482)] = 17771,
  [SMALL_STATE(483)] = 17778,
  [SMALL_STATE(484)] = 17785,
  [SMALL_STATE(485)] = 17792,
  [SMALL_STATE(486)] = 17799,
  [SMALL_STATE(487)] = 17806,
  [SMALL_STATE(488)] = 17813,
  [SMALL_STATE(489)] = 17820,
  [SMALL_STATE(490)] = 17827,
  [SMALL_STATE(491)] = 17834,
  [SMALL_STATE(492)] = 17841,
  [SMALL_STATE(493)] = 17848,
  [SMALL_STATE(494)] = 17855,
  [SMALL_STATE(495)] = 17862,
  [SMALL_STATE(496)] = 17869,
  [SMALL_STATE(497)] = 17876,
  [SMALL_STATE(498)] = 17883,
  [SMALL_STATE(499)] = 17890,
  [SMALL_STATE(500)] = 17897,
  [SMALL_STATE(501)] = 17904,
  [SMALL_STATE(502)] = 17911,
  [SMALL_STATE(503)] = 17918,
  [SMALL_STATE(504)] = 17925,
  [SMALL_STATE(505)] = 17932,
  [SMALL_STATE(506)] = 17939,
  [SMALL_STATE(507)] = 17946,
  [SMALL_STATE(508)] = 17953,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statements, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [55] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_stmt_identifier, 1),
  [57] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_stmt_identifier, 1),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [83] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statements, 1),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [87] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statements_repeat2, 1),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [95] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_singleline_repeat2, 1),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_offsetssizes_stmt, 2),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_offsetssizes_stmt, 2),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__search_stmt, 1, .production_id = 2),
  [117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__search_stmt, 1, .production_id = 2),
  [119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_arged_stmt, 1, .production_id = 2),
  [121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_arged_stmt, 1, .production_id = 2),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_offsets_stmt, 2),
  [125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_offsets_stmt, 2),
  [127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_html_disable_stmt, 2, .production_id = 2),
  [129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_html_disable_stmt, 2, .production_id = 2),
  [131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__system_stmt, 1, .production_id = 2),
  [133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__system_stmt, 1, .production_id = 2),
  [135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_help_stmt, 1, .production_id = 2),
  [137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_help_stmt, 1, .production_id = 2),
  [139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpret_stmt, 1, .production_id = 3),
  [141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpret_stmt, 1, .production_id = 3),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpret_stmt, 2, .production_id = 3),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpret_stmt, 2, .production_id = 3),
  [147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Cf_cmd, 1, .production_id = 2),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Cf_cmd, 1, .production_id = 2),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_args, 1),
  [167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_args, 1),
  [169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2),
  [171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(373),
  [174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_args_repeat1, 2),
  [176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(298),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(81),
  [182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(84),
  [185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(421),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(21),
  [191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(20),
  [194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_dot_args, 1),
  [196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_dot_args, 1),
  [198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__env_stmt, 1, .production_id = 2),
  [210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__env_stmt, 1, .production_id = 2),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_args, 1),
  [224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_args, 1),
  [226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2),
  [228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pf_args_repeat1, 2),
  [230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(349),
  [233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(107),
  [236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(27),
  [239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(26),
  [242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmd_identifier, 1, .production_id = 1),
  [244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmd_identifier, 1, .production_id = 1),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(324),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_specifiers, 1),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_specifiers, 1),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg, 1),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg, 1),
  [269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_specifiers_repeat1, 2),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_specifiers_repeat1, 2),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_specifiers_repeat1, 2), SHIFT_REPEAT(489),
  [276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double_quoted_arg, 3),
  [278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double_quoted_arg, 3),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spec_arg_identifier, 1),
  [282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_spec_arg_identifier, 1),
  [284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double_quoted_arg, 2),
  [286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double_quoted_arg, 2),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_identifier, 1),
  [290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_identifier, 1),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_quoted_arg, 2),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_single_quoted_arg, 2),
  [296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_specifiers_repeat1, 3),
  [298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_specifiers_repeat1, 3),
  [300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arg, 1, .production_id = 7),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arg, 1, .production_id = 7),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arg_with_paren, 3, .production_id = 17),
  [306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arg_with_paren, 3, .production_id = 17),
  [308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_single_quoted_arg, 3),
  [310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_single_quoted_arg, 3),
  [312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmd_substitution_arg, 3),
  [314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmd_substitution_arg, 3),
  [316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pf_dot_concatenation_repeat1, 2),
  [318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pf_dot_concatenation_repeat1, 2),
  [320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_dot_concatenation_repeat1, 2), SHIFT_REPEAT(389),
  [323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmd_identifier, 2, .production_id = 6),
  [325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmd_identifier, 2, .production_id = 6),
  [327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_dot_arg, 1),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_dot_arg, 1),
  [331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_dot_concatenation, 2),
  [333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_dot_concatenation, 2),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pf_concatenation_repeat1, 2),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pf_concatenation_repeat1, 2),
  [341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_concatenation_repeat1, 2), SHIFT_REPEAT(357),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_concatenation, 2),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_concatenation, 2),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pf_dot_arg_identifier, 1),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pf_dot_arg_identifier, 1),
  [354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_arg, 1),
  [356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_arg, 1),
  [358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pf_arg_parentheses, 3, .production_id = 19),
  [360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pf_arg_parentheses, 3, .production_id = 19),
  [362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_arg_identifier, 1),
  [364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_arg_identifier, 1),
  [366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grep_specifier, 1),
  [368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grep_specifier, 1),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_grep_specifier_repeat1, 2),
  [382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_grep_specifier_repeat1, 2),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grep_specifier_repeat1, 2), SHIFT_REPEAT(112),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grep_specifier_repeat1, 2), SHIFT_REPEAT(13),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grep_specifier_repeat1, 2), SHIFT_REPEAT(12),
  [393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__env_stmt_identifier, 1),
  [395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__env_stmt_identifier, 1),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tmp_eval_arg_repeat1, 2),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tmp_eval_arg_repeat1, 2),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tmp_eval_arg_repeat1, 2), SHIFT_REPEAT(162),
  [404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_eval_arg, 1, .production_id = 7),
  [406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_eval_arg, 1, .production_id = 7),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__eq_sep_key_concatenation, 2),
  [412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__eq_sep_key_concatenation, 2),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__eq_sep_key, 1),
  [418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__eq_sep_key, 1),
  [420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_dot_args, 2),
  [422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_dot_args, 2),
  [424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__eq_sep_key_concatenation_repeat1, 2),
  [426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__eq_sep_key_concatenation_repeat1, 2),
  [428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__eq_sep_key_concatenation_repeat1, 2), SHIFT_REPEAT(356),
  [431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__eq_sep_val, 1),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__eq_sep_val, 1),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(334),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_dot_concatenation_repeat1, 2), SHIFT_REPEAT(380),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pf_dot_args_repeat1, 2),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pf_dot_args_repeat1, 2),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_dot_args_repeat1, 2), SHIFT_REPEAT(483),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pf_dot_args_repeat1, 4),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pf_dot_args_repeat1, 4),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__eq_sep_val_concatenation_repeat1, 2),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__eq_sep_val_concatenation_repeat1, 2),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__eq_sep_val_concatenation_repeat1, 2), SHIFT_REPEAT(313),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tmp_eval_args_repeat1, 2),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tmp_eval_args_repeat1, 2),
  [469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tmp_eval_args_repeat1, 2), SHIFT_REPEAT(439),
  [472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__eq_sep_val_concatenation, 2),
  [474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__eq_sep_val_concatenation, 2),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_eval_args, 2),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_eval_args, 2),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grep_specifier_repeat1, 2), SHIFT_REPEAT(147),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grep_specifier_repeat1, 2), SHIFT_REPEAT(8),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_grep_specifier_repeat1, 2), SHIFT_REPEAT(14),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_stmt, 4, .production_id = 3),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_stmt, 4, .production_id = 3),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_eval_args, 1),
  [507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_eval_args, 1),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tmp_eval_arg_repeat1, 1),
  [511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tmp_eval_arg_repeat1, 1),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_function_stmt, 2),
  [515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_function_stmt, 2),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_flags_stmt, 2),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_flags_stmt, 2),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_comment_stmt, 2),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_comment_stmt, 2),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eq_sep_args, 1),
  [635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eq_sep_args, 1),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__macro_arged_stmt, 1, .production_id = 3),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__macro_arged_stmt, 1, .production_id = 3),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_reg_stmt, 3),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_reg_stmt, 3),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arged_stmt, 1, .production_id = 4),
  [651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arged_stmt, 1, .production_id = 4),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pf_arged_stmt, 2, .production_id = 8),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pf_arged_stmt, 2, .production_id = 8),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_dot_cmd_args, 1),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_dot_cmd_args, 1),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Cf_cmd, 2, .production_id = 8),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_Cf_cmd, 2, .production_id = 8),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arged_stmt, 1, .production_id = 5),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arged_stmt, 1, .production_id = 5),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grep_stmt, 3, .production_id = 15),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grep_stmt, 3, .production_id = 15),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_stmt, 3),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_stmt, 3),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_file_lines_stmt, 3),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_file_lines_stmt, 3),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_offsets_stmt, 3),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_offsets_stmt, 3),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_offsetssizes_stmt, 3),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_offsetssizes_stmt, 3),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_cmd, 2, .production_id = 8),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_cmd, 2, .production_id = 8),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__system_stmt, 2, .production_id = 8),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__system_stmt, 2, .production_id = 8),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_step_stmt, 3),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_step_stmt, 3),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_seek_stmt, 3),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_seek_stmt, 3),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_blksz_stmt, 3),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_blksz_stmt, 3),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__last_stmt, 1, .production_id = 2),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__last_stmt, 1, .production_id = 2),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_arch_stmt, 3),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_arch_stmt, 3),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_bits_stmt, 3),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_bits_stmt, 3),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_nthi_stmt, 3),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_nthi_stmt, 3),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_eval_stmt, 3),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_eval_stmt, 3),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_fs_stmt, 3),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_fs_stmt, 3),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_reli_stmt, 3),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_reli_stmt, 3),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_kuery_stmt, 3),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_kuery_stmt, 3),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_fd_stmt, 3),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_fd_stmt, 3),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_arged_stmt, 2, .production_id = 8),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_arged_stmt, 2, .production_id = 8),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_file_stmt, 3),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_file_stmt, 3),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_string_stmt, 3),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_string_stmt, 3),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_value_stmt, 3),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_value_stmt, 3),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_hex_stmt, 3),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_hex_stmt, 3),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__env_stmt, 2, .production_id = 8),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__env_stmt, 2, .production_id = 8),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pointer_arged_stmt, 2, .production_id = 8),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pointer_arged_stmt, 2, .production_id = 8),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_dot_cmd, 3, .production_id = 14),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_dot_cmd, 3, .production_id = 14),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_new_cmd, 3, .production_id = 14),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_new_cmd, 3, .production_id = 14),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_repeat_stmt, 2, .production_id = 11),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_repeat_stmt, 2, .production_id = 11),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Cf_args, 2),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__Cf_args, 2),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpret_stmt, 3, .production_id = 9),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpret_stmt, 3, .production_id = 9),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_register_stmt, 2),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_register_stmt, 2),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpret_stmt, 3, .production_id = 13),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpret_stmt, 3, .production_id = 13),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_dbgmap_stmt, 2),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_dbgmap_stmt, 2),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_iomap_stmt, 2),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_iomap_stmt, 2),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_arged_stmt_question, 2, .production_id = 8),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_arged_stmt_question, 2, .production_id = 8),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_arged_stmt, 2, .production_id = 8),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_arged_stmt, 2, .production_id = 8),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_legacy_quoted_stmt, 3, .production_id = 12),
  [821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_legacy_quoted_stmt, 3, .production_id = 12),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_string_stmt, 2),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_string_stmt, 2),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_symbol_stmt, 2),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_symbol_stmt, 2),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__macro_arged_stmt, 2, .production_id = 9),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__macro_arged_stmt, 2, .production_id = 9),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_call, 3, .production_id = 23),
  [837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_call, 3, .production_id = 23),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_segments_stmt, 2),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_segments_stmt, 2),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpret_stmt, 2, .production_id = 9),
  [845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpret_stmt, 2, .production_id = 9),
  [847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_new_args, 2),
  [849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_new_args, 2),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_sections_stmt, 2),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_sections_stmt, 2),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_import_stmt, 2),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_import_stmt, 2),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_instrs_stmt, 2),
  [861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_instrs_stmt, 2),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_bbs_stmt, 2),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_bbs_stmt, 2),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_threads_stmt, 2),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_threads_stmt, 2),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_dbts_stmt, 2),
  [873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_dbts_stmt, 2),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eq_sep_args, 3),
  [879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eq_sep_args, 3),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_grep_specifier, 2),
  [883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_grep_specifier, 2),
  [885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_dbtb_stmt, 2),
  [887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_dbtb_stmt, 2),
  [889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_dbta_stmt, 2),
  [891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_dbta_stmt, 2),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_hit_stmt, 4, .production_id = 20),
  [895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_hit_stmt, 4, .production_id = 20),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_comment_stmt, 4),
  [899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_comment_stmt, 4),
  [901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_flags_stmt, 4),
  [903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_flags_stmt, 4),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_function_stmt, 4),
  [907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_function_stmt, 4),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tmp_fromto_stmt, 4),
  [911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tmp_fromto_stmt, 4),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_call, 2),
  [915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_call, 2),
  [917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pf_arged_stmt, 1, .production_id = 2),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pf_arged_stmt, 1, .production_id = 2),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpret_stmt, 2, .production_id = 10),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpret_stmt, 2, .production_id = 10),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__search_stmt, 2, .production_id = 8),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__search_stmt, 2, .production_id = 8),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_stmt, 5, .production_id = 3),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_stmt, 5, .production_id = 3),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_html_enable_stmt, 2, .production_id = 2),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_html_enable_stmt, 2, .production_id = 2),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pf_dot_cmd_args, 3, .production_id = 22),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pf_dot_cmd_args, 3, .production_id = 22),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_interpret_offsetssizes_stmt, 3),
  [947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_interpret_offsetssizes_stmt, 3),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iter_interpret_stmt, 3),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iter_interpret_stmt, 3),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statements_repeat1, 2),
  [987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statements_repeat1, 2), SHIFT_REPEAT(273),
  [990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statements_repeat1, 2),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_singleline_repeat1, 2),
  [994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_singleline_repeat1, 2), SHIFT_REPEAT(274),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_singleline_repeat1, 2),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dec_number, 1),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dec_number, 1),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(368),
  [1028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(297),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(328),
  [1034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(332),
  [1037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(328),
  [1040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(412),
  [1043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(7),
  [1046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_args_repeat1, 2), SHIFT_REPEAT(10),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(325),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(347),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(381),
  [1098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(381),
  [1101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(29),
  [1104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_args_repeat1, 2), SHIFT_REPEAT(6),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdn_redirect_operator, 1),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdn_redirect_operator, 1),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpret_search_identifier, 1),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpret_search_identifier, 1),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_double_quoted_arg_repeat1, 2),
  [1165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_double_quoted_arg_repeat1, 2), SHIFT_REPEAT(366),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_double_quoted_arg_repeat1, 2), SHIFT_REPEAT(366),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_double_quoted_arg_repeat1, 2), SHIFT_REPEAT(23),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_double_quoted_arg_repeat1, 2), SHIFT_REPEAT(22),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdn_append_operator, 1),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdn_append_operator, 1),
  [1189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pf_concatenation_repeat1, 2), SHIFT_REPEAT(355),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdn_redirect_operator, 2),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdn_redirect_operator, 2),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fdn_append_operator, 2),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fdn_append_operator, 2),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(336),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirect_stmt, 3, .production_id = 16),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statements, 2),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_statements_repeat2, 2),
  [1249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_statements_repeat2, 2), SHIFT_REPEAT(5),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statements, 3),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_single_quoted_arg_repeat1, 2),
  [1308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_single_quoted_arg_repeat1, 2), SHIFT_REPEAT(424),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_single_quoted_arg_repeat1, 2), SHIFT_REPEAT(424),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_singleline_repeat2, 2), SHIFT_REPEAT(31),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_singleline_repeat2, 2),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements_singleline, 1),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements_singleline, 2),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_body, 2),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_body, 3),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements_singleline, 3),
  [1341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(331),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macro_body_repeat1, 2),
  [1346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_body_repeat1, 2), SHIFT_REPEAT(34),
  [1349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_singleline_repeat2, 2), SHIFT_REPEAT(32),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_content, 2, .production_id = 18),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1424] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_content, 3, .production_id = 21),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_rzcmd_external_scanner_create(void);
void tree_sitter_rzcmd_external_scanner_destroy(void *);
bool tree_sitter_rzcmd_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_rzcmd_external_scanner_serialize(void *, char *);
void tree_sitter_rzcmd_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_rzcmd(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_rzcmd_external_scanner_create,
      tree_sitter_rzcmd_external_scanner_destroy,
      tree_sitter_rzcmd_external_scanner_scan,
      tree_sitter_rzcmd_external_scanner_serialize,
      tree_sitter_rzcmd_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
